<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Invoice extends CI_Controller {
	function Invoice() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		if($this->crud_model->check_permission("invoice","view")==false && $this->session->userdata('default_controller_name')!="invoice"){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}
	public function index() {
		$data['records'] = $this->crud_model->get('furniture_invoice',null,null,null,"invoice_id","DESC");
		$this->load->view('templates/header');
		$this->load->view('manage/invoices',$data);
		$this->load->view('templates/footer');
    }
	public function create() {
		if($this->crud_model->check_permission("invoice","add")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->view('templates/header');
		$this->load->view('manage/createinvoice');
		$this->load->view('templates/footer');
    }
	function search_client() {
		$search_name = 	trim($this->input->post('client'));
		$like		 =	array('client_name'=>$search_name);
		$records['quotation_list']=$this->crud_model->get('new_client_master',null,null,null,null,null,$like,null,null,null);				
		if($records['quotation_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/client_search', $records);
			
		}
		
	}
	public function search_work_orders() {
		$sql 	= '';
		$from 	= $this->input->post('from');
		$from1 	= date("Y-m-d", strtotime($from));
		$to 	= $this->input->post('to');
		$to1 	= date("Y-m-d", strtotime($to));
		$today 	= date("Y-m-d");
		$client = $this->input->post('client');
		$report_submitted = $this->input->post('report_submitted');
		$project_wise 	  = $this->input->post('project_wise');
		if($from){
			$sql .= " AND `work_order_date`>='$from1'";
		}
		if($to){
			$sql .= " AND `work_order_date`<='$to1'";
		}else{
			$sql .= " AND `work_order_date`<='$today'";
		}
		if($report_submitted){
			$sql .= " AND `report_submitted`=1";
		}
		if($client){
			$sql .= " AND `client_name`='$client'";
		}
		if($project_wise && $client){
			$group_by = " GROUP BY `client_name`,`project_name`";
		}else{
			$group_by = " GROUP BY `client_name`";
		}
		$detailed = $this->db->query("SELECT client_name,COUNT(`work_order_no`) AS work_order_count,project_name FROM `work_order_main` WHERE `status`=1 AND work_order_no NOT IN (SELECT work_order_number FROM `furniture_invoice_details` JOIN furniture_invoice ON furniture_invoice.invoice_id=furniture_invoice_details.invoice_id WHERE invoice_status='1') AND work_order_no NOT IN (SELECT work_order_no FROM `work_order` WHERE `test_name`='spare')".$sql.$group_by);
		$records['detailed_list']= $detailed->result_array();
		$this->load->view('templates/header');
		$this->load->view('manage/createinvoice',$records);
		$this->load->view('templates/footer');
	}
	public function work_order_list() {
		$sql 	= '';
		$client_name 		= $this->input->post('client_name');
		$project_name 		= $this->input->post('project_name');
		$from 				= $this->input->post('from');
		$from1 				= date("Y-m-d", strtotime($from));
		$to 				= $this->input->post('to');
		$to1 				= date("Y-m-d", strtotime($to));
		$today 				= date("Y-m-d");
		$report_submitted 	= $this->input->post('report_submitted');
		if($client_name){
			$sql .= " AND `client_name`='$client_name'";
		}
		if($project_name){
			$sql .= " AND `project_name`='$project_name'";
		}
		if($from){
			$sql .= " AND `work_order_date`>='$from1'";
		}
		if($to){
			$sql .= " AND `work_order_date`<='$to1'";
		}else{
			$sql .= " AND `work_order_date`<='$today'";
		}
		if($report_submitted==1){
			$sql .= " AND `report_submitted`=1";
		}
		$detailed = $this->db->query("SELECT * FROM `work_order_main` WHERE `status`=1 AND work_order_no NOT IN (SELECT work_order_number FROM `furniture_invoice_details` JOIN furniture_invoice ON furniture_invoice.invoice_id=furniture_invoice_details.invoice_id WHERE invoice_status='1') AND work_order_no NOT IN (SELECT work_order_no FROM `work_order` WHERE `test_name`='spare')".$sql);
		$records  = $detailed->result_array();
		
		$invoice_count  = $this->crud_model->get_count('furniture_invoice');
		$invoice_number = "QEL-INV-".(5001+$invoice_count);
		
		$html = '<table width="100%" border="0" cellpadding="0" cellspacing="0" id="ashbar">
					<tr>
						<td  style="width:150px;">
							&nbsp;&nbsp;&nbsp;Invoice Number<span class="mandi">*</span>
						</td>
						<td>
							<input type="text" name="invoice_number" style="width:200px;" readonly class="input-percentage" value="'.$invoice_number.'" required/>
							<input type="hidden" name="client_name1" value="'.$client_name.'"/>
						</td>
						<td  style="width:150px;">
							&nbsp;&nbsp;&nbsp;Invoice Date<span class="mandi">*</span>
						</td>
						<td>
							<input type="text" name="invoice_date" style="width:200px;" class="input-percentage invdate" value="" required/>
						</td>
					</tr>
				 </table>
				 <br>
					<table class="table1 mouseleave" id="myTable">
						<tr>
						  <th>Work Order No.</th>
						  <th>Work Order Date</th>
						  <th>Client</th>
						  <th>Project</th>
						  <th><input type="checkbox" name="check_all" id="check_all" class="check_all" value="1" />&nbsp;&nbsp;Select All</th>
						</tr>
						<input type="hidden" name="hidden_count" id="hidden_count" value="0">';
		$i = 1;
		if($records!=false){
			foreach($records as $record){
				$html .= '<tr>
							<td class="mouseover">
								<input type="hidden" class="work_order_no_class" name="work_order_no[]" value="'.$record['work_order_no'].'" />'.$record['work_order_no'].'
							</td>
							<td class="mouseover">
								<input type="hidden" name="work_order_date[]" value="'.$record['work_order_date'].'" />'.date("M d Y", strtotime($record['work_order_date'])).'
							</td>
							<td class="mouseover">
								<input type="hidden" name="client_name[]" value="'.$record['client_name'].'" />'.$record['client_name'].'
							</td>
							<td class="mouseleave">
								<input type="hidden" name="project_name[]" value="'.$record['project_name'].'" />'.$record['project_name'].'
							</td>
							<td class="mouseleave">
								<input type="hidden" name="hidden_name[]" class="hidden_class" value="0">
								<input type="checkbox" name="check_box[]" class="check_class" value="1" />
							</td>
						</tr>';
			$i++;
			}
		}else{
			$html .= '<tr>
							<td style="color:#FF0000;" colspan="3">No Files</td>
						</tr>';
		}
		$html .= '</table><script>$(".invdate").datepicker();</script>';
		echo $html;
	}
	public function create_invoice() {
		$invoice_number =  $this->input->post('invoice_number');
		$invoice_date   =  $this->input->post('invoice_date');
		$client_name    =  $this->input->post('client_name1');
		$invoice_date1  =  date("Y-m-d", strtotime($invoice_date));
		$check_box      =  $this->input->post('check_box');
		$work_order_no  =  $this->input->post('work_order_no');
		$hidden_name  	=  $this->input->post('hidden_name');
		$hidden_count  	=  $this->input->post('hidden_count');
		if($invoice_date!="" && $hidden_count>0){
		
			$invoice_count  = $this->crud_model->get_count('furniture_invoice');
			$invoice_number11 = "QEL-INV-".(5001+$invoice_count);
		
			$invoice_main = array('invoice_date' => $invoice_date1,'invoice_number' => $invoice_number11,'client' => $client_name);
			$main = $this->db->insert('furniture_invoice',$invoice_main);
			
			$query    = $this->db->query("SELECT MAX(`invoice_id`) AS max_invoice_id FROM `furniture_invoice`");
			$res      = $query->result_array();
			
			for($i=0; $i<count($work_order_no) ; $i++){
				if($hidden_name[$i]==1){
					$invoice_details = array(
					'invoice_id' 		=> $res[0]['max_invoice_id'],
					'work_order_number' => $work_order_no[$i]
					);
					$sub = $this->db->insert('furniture_invoice_details',$invoice_details);
				}
			}
		}
		if($main && $sub){
			$this->session->set_flashdata('response','<div class="alert alert-success">New Invoice Created</div>');
			redirect('invoice');
		}else{
			$this->session->set_flashdata('response','<div class="alert alert-error">Error</div>');
			redirect('invoice');
		}
	}
	public function cancel_invoice($invoice_id) {
		if($this->crud_model->check_permission("invoice","delete")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$records=$this->crud_model->update('furniture_invoice',array('invoice_status' => 0,'invoice_cancelled_date' => date('Y-m-d')),array('invoice_id'=>$invoice_id));
		$this->session->set_flashdata('response','<div class="alert alert-success">Invoice Cancelled</div>');
		redirect('invoice');
	}
	public function print_invoice($invoice_id) {
		$detailed11 		  = $this->db->query("SELECT * FROM `furniture_invoice` JOIN new_client_master ON new_client_master.client_name=furniture_invoice.client WHERE invoice_id=$invoice_id");
		$data['records']  = $detailed11->result_array();
		$detailed 		  = $this->db->query("SELECT work_order_no,project_name FROM `furniture_invoice_details` JOIN work_order_main ON work_order_main.work_order_no=furniture_invoice_details.work_order_number WHERE furniture_invoice_details.`invoice_id`=$invoice_id");
		$data['details']  = $detailed->result_array();
		$this->load->view('manage/invoice_print',$data);
		
		//$this->load->helper(array('dompdf', 'file'));
		//$html = $this->load->view('manage/invoice_print',$data, true);
		//pdf_create($html);
	}
	public function item_list() {
		$work_order_no 		= $this->input->post('work_order_no');
		$records 			= $this->crud_model->get('work_order',array('work_order_no'=>$work_order_no),null,null,null,null,null,null,null,'item_id');
		$html = '<table class="table1">
						<tr bgcolor="lightblue">
						  <th>Test Name</th>
						  <th>Test Method</th>
						  <th>QTY</th>
						  <th>Rate</th>
						  <th>Amount</th>
						</tr>';
		if($records!=false){
			foreach($records as $record){
			
				$details 			= $this->crud_model->get('work_order',array('work_order_no'=>$work_order_no,'item_id'=>$record['item_id']));
				
				$html .= '<tr>
								<td style="text-align:center; background:lightgray;" colspan="5">
									<b>'.$record['item_name'].'</b>
								</td>
						  </tr>';
				if($details!=false){
					foreach($details as $detail){		
						$html .= '<tr>
									<td>
										'.$detail['test_name'].'
									</td>
									<td>
										'.$detail['test_method'].'
									</td>
									<td>
										'.$detail['quantity'].'
									</td>
									<td>
										'.$detail['rate'].'
									</td>
									<td>
										'.$detail['quantity']*$detail['rate'].'
									</td>
								</tr>';
					}
				}
			}
		}			
		$html .= '</table>';
		echo $html;
	}
	public function search_invoice() {
	
		if($this->input->post('filter_by') == 1) {
			$filter_value = $this->input->post('filter_value');
			$like=" AND invoice_number LIKE '%$filter_value%'";
		} elseif($this->input->post('filter_by') == 2) {
			$filter_value = $this->input->post('filter_value');
			$like=" AND client LIKE '%$filter_value%'";
		} elseif($this->input->post('filter_by') == 3) {
			$filter_value = $this->input->post('filter_value');
			$like=" AND work_order_number LIKE '%$filter_value%'";
		} else {
			$like="";
		}
		
		$detailed = $this->db->query("SELECT * FROM `furniture_invoice` JOIN furniture_invoice_details ON furniture_invoice_details.invoice_id=furniture_invoice.invoice_id WHERE (invoice_status=1 OR invoice_status = 0)".$like);
		$data['records'] = $detailed->result_array();
		
		$this->load->view('templates/header');
		$this->load->view('manage/invoices',$data);
		$this->load->view('templates/footer');
    }
}
?>