<?php
class Login extends CI_Controller {
	function __construct() {
		parent::__construct();
		$this->load->model('users_model');
		$this->load->library('form_validation');
		//$this->load->library('tw_email');
	}
	function index()
	{
		if($this->session->userdata('user_logged_in') == true)
		{
			redirect('dashboard');
		}
		else
		{
			//$this->load->view('templates/header');
			$this->load->view('login/login');
			//$this->load->view('templates/footer');
		}
	}

	function do_login()
	{
		$this->form_validation->set_rules('u_name', 'User Name', 'required');
		$this->form_validation->set_rules('user_password', 'Password', 'required');
		if ($this->form_validation->run() == FALSE)
		{	// false section
			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			//$this->load->view('templates/header');
			$this->load->view('login/login');
			//$this->load->view('templates/footer');
		}
		else
		{	// true section
			
			// check if login credentials are valid from db
			$this->load->model('auth_model');
			$u_name=$this->input->post('u_name');
			$user_password=$this->input->post('user_password');
			$user_record = $this->auth_model->check_user_login($u_name,$user_password);
			if($user_record == false){
				// throw invalid email id or password error
				$this->session->set_flashdata('response','<div class="alert alert-error">Invalid Email ID or Password</div>',':old:');
				$this->load->view('templates/header');
				$this->load->view('login/login');
				$this->load->view('templates/footer');
			}
			else
			{
				// create session
				$userdata = array(
					'user_logged_in' => true,
					'user_id' => $user_record['user_id'],
					'user_email_id' => $user_record['user_email_id'],
					'user_name' => $user_record['user_name'],
					'u_name' => $user_record['u_name'],
					'user_group_id' => $user_record['user_group_id'],
					'default_controller_name' => $user_record['default_controller_name']
				);
				$this->session->set_userdata($userdata);
				
				// redirect
				redirect('dashboard');
			}
		}
	}
	function do_send_new_password($user_email_id="")
	{
		/*$this->form_validation->set_rules('user_email_id', 'Email ID', 'required|min_length[5]|max_length[100]|valid_email');
		if($this->form_validation->run() == FALSE)
		{
			// false section
			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			
			$this->load->view('templates/header');
			$this->load->view('login/forgot_password');
			$this->load->view('templates/footer');
		}
		else
		{*/
			//true section
			$this->load->helper('string');
			//$user_email_id = $this->input->post('user_email_id');
			$where = array('user_email_id' => $user_email_id);

			$records = $this->crud_model->get('users',$where);

			if($records!=false)
			{// true section
				// email id found
				$random_password=strtoupper(random_string('alnum', 8));
				
				$update = array('user_password'=>md5($random_password));
				
				$this->crud_model->update('users',$update,$where);
				log_message('INFO','New password for '.$user_email_id.' is '.$random_password);
				
				// send mail code
				$from 		= ADMIN_MAIL;
				$fromname 	= 'Password Reset';
				$to 		= $user_email_id;
				$subject 	= 'Your new password';
				$message 	= '
	<p>Hello,</p>
	<p>Based on your request to reset the password we are sending you the updated password here. Please note down the new password and <a href="'.site_url().'">login here</a></p>
	<p>New Password: '.$random_password.'</p>';

				$this->tw_email->send($from,$fromname,$to,$subject,$message);
				
				$this->session->set_flashdata('response','<div class="alert alert-info">New password sent to your Email ID. Please use your new password for login.</div>');
				redirect('login');
			}
			else
			{// false section
				// no email id found
				$this->session->set_flashdata('response','<div class="alert alert-error">Email ID not available in our database</div>');
				redirect('login');
			}
		//}
	}
}
