<?php
class Users extends CI_Controller {
	function Users()
	{
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
	}
	function index($page=1)
	{
		$config['per_page']		= 5;
		$config['base_url'] 	= site_url('admin/users/index/');
		$config['total_rows'] 	= $this->crud_model->get_count('users',array());

		$offset = ($page-1) * $config['per_page'];

		$data['records'] = $this->crud_model->get('users',
		array(),
		$config['per_page'],
		$offset
		);

		$this->pagination->initialize($config);
		$data['pagination'] = $this->pagination->create_links();

		$this->load->view('templates/header');
		$this->load->view('admin/users/list',$data);
		$this->load->view('templates/footer');
	}
	function create()
	{
		$records = $this->crud_model->get('user_groups');
		if($records!=false){

			$list = array(0 => ' - Select - ');
			foreach($records as $record){
				$list[$record['user_group_id']] = $record['user_group_name'];
			}

			$data['user_statuses'] = $this->config->item('user_status_array');
			$data['user_groups'] = $list;

			$this->load->view('templates/header');
			$this->load->view('admin/users/create',$data);
			$this->load->view('templates/footer');

		}
		else{
			$this->session->set_flashdata('response','<div class="alert alert-error">No worktop Edge Profile Thickness available. Add new Price Group before added Worktop Edge Profile Thickness.</div>');
			redirect('admin/users');
		}
	}
	function edit($id = 0)
	{


		$where=array(
				'user_id' => $id
		);
		$records=$this->crud_model->get('users',$where);
		if($records != false){
			//true section
			$data['user_name']			     = $records[0]['user_name'];
			$data['u_name']			 = $records[0]['u_name'];
			$data['user_email_id']			 = $records[0]['user_email_id'];
			$data['user_status']			 = $records[0]['user_status'];
			$data['user_contact_number']	 = $records[0]['user_contact_number'];
			$data['user_direct_number']		 = $records[0]['user_direct_number'];
			$data['user_group_id']			 = $records[0]['user_group_id'];
			$data['user_id']			     = $records[0]['user_id'];
			$data['default_controller_name']			     = $records[0]['default_controller_name'];

			$records = $this->crud_model->get('user_groups');
			if($records!=false){
					
				$list = array(0 => ' - Select - ');
				foreach($records as $record){

					$list[$record['user_group_id']] = $record['user_group_name'];

				}

				$data['user_statuses'] = $this->config->item('user_status_array');
				$data['user_groups'] = $list;
				$this->load->view('templates/header');
				$this->load->view('admin/users/edit',$data);
				$this->load->view('templates/footer');

			}
		}
		else{
			//false section
			$this->session->set_flashdata('response','<div class="alert alert-error">error</div>');
			redirect('admin/users');
		}

	}
	function do_insert()
	{
		$this->form_validation->set_rules('user_name', 'Full Name', 'required');
		$this->form_validation->set_rules('u_name', 'User Name', 'required|min_length[6]');
		$this->form_validation->set_rules('user_email_id', 'Email ID', 'valid_email|is_unique[users.user_email_id]');
	
		$this->form_validation->set_rules('new_password', 'New Password', 'required|min_length[6]|max_length[10]|matches[retype_password]');
		$this->form_validation->set_rules('retype_password', 'Retyped Password', 'required|min_length[6]|max_length[10]');
		$this->form_validation->set_rules('user_contact_number', 'Mobile Number', 'required|max_length[40]');
		$this->form_validation->set_rules('user_direct_number', 'Direct Number', 'required|max_length[20]');
		$this->form_validation->set_rules('user_status', 'Status', 'required');
		$this->form_validation->set_rules('user_group_id', 'Group', 'required|is_natural_no_zero');
		$this->form_validation->set_rules('default_controller_name', 'Default Controller Name', 'required');
		if ($this->form_validation->run() == FALSE)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$this->create();
		}
		else
		{	// true section



			//db validation
			$where = array('user_email_id'=>$this->input->post('user_email_id'));
			$user_exists = $this->crud_model->get('users',$where);
			if($user_exists != false){
				// user already exists in db
				// error section
				$this->session->set_flashdata('response','<div class="alert alert-error">Email ID already exists</div>',':old:');
				$this->create();
			}
			else{
				// user not exists in db
				// success section
				$user_name			= $this->input->post('user_name');
				$u_name			= $this->input->post('u_name');
				$user_email_id		= $this->input->post('user_email_id');
				$user_contact_number= $this->input->post('user_contact_number');
				$user_direct_number= $this->input->post('user_direct_number');
				$user_group_id		= $this->input->post('user_group_id');
				$default_controller_name		= $this->input->post('default_controller_name');

				$data=array(
				                        'user_name' 			=> $user_name,
										'u_name' 			=> $u_name,
										'user_email_id' 		=>$user_email_id,
										'user_contact_number' 	=>$user_contact_number,
										'user_direct_number' 	=>$user_direct_number,
										'user_group_id' 		=>$user_group_id,
										'user_password' 		=> md5($this->input->post('new_password')),
										'default_controller_name' 		=>$default_controller_name
				);

				$rr = $this->crud_model->insert('users',$data);

				if($rr != false){
					// true section
					$this->session->set_flashdata('response','<div class="alert alert-success">User added successfully</div>');
					redirect('admin/users');
				}
				else
				{
					// false section
					$this->session->set_flashdata('response','<div class="alert alert-error">Error creating user record</div>',':old:');
					$this->create();
				}
			}

		}

	}

	function do_update()
	{
		$this->form_validation->set_rules('user_name', 'Full Name', 'required');
		$this->form_validation->set_rules('user_contact_number', 'Mobile Number', 'required|max_length[40]');
		$this->form_validation->set_rules('user_direct_number', 'Direct Number', 'required|max_length[20]');
		$this->form_validation->set_rules('new_password', 'New Password', 'min_length[6]|max_length[10]|matches[retype_password]');
		$this->form_validation->set_rules('retype_password', 'Retyped Password', 'min_length[6]|max_length[10]');
		$this->form_validation->set_rules('user_status', 'Status', 'required');
		$this->form_validation->set_rules('user_group_id', 'Group', 'required|is_natural_no_zero');
		$this->form_validation->set_rules('default_controller_name', 'Default Controller Name', 'required');
		if ($this->form_validation->run() == FALSE)
		{
			// false section

			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$this->edit($this->input->post('user_id'));

		}
		else
		{// true section

			
			$user_name 			      = $this->input->post('user_name');
			$user_email_id 			      = $this->input->post('user_email_id');
			$user_contact_number      = $this->input->post('user_contact_number');
			$user_direct_number      = $this->input->post('user_direct_number');
			$user_status		      = $this->input->post('user_status');
			$user_group_id		      = $this->input->post('user_group_id');
			$default_controller_name		= $this->input->post('default_controller_name');

			$data=array(
			                  'user_name'              => $user_name,
							  'user_email_id'    => $user_email_id,
						      'user_contact_number'    => $user_contact_number,
							  'user_direct_number'    => $user_direct_number,
						      'user_status'            => $user_status,
						      'user_group_id'          => $user_group_id,
							  'default_controller_name' 		=>$default_controller_name
			);
			if($this->input->post('new_password') != ''){
				$data['user_password'] = md5($this->input->post('new_password'));
			}

			$where=array(
					'user_id'=> $this->input->post('user_id')
			);
			$records=$this->crud_model->update('users',$data,$where);

			$this->session->set_flashdata('response','<div class="alert alert-success">User details updated</div>');
			redirect('admin/users');
				
		}
	}
	function do_delete($id=0)
	{

		$where=array(
				'user_id'=> $id
		);

		$this->crud_model->delete('users',$where);

		$this->session->set_flashdata('response','<div class="alert alert-success">User deleted</div>');
		redirect('admin/users');
	}
}
