<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Client_reports extends CI_Controller {

	function Client_reports()
	{
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
		//$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
	}	
	
	
	public function index() {
			$data['records']=$this->crud_model->get('new_client_master');
		    $this->load->view('templates/header');
			$this->load->view('reports/client_reports',$data);
			$this->load->view('templates/footer');
	}
	function create() {
		$this->load->view('templates/header');
		$this->load->view('reports/add_client');
		$this->load->view('templates/footer');
	}
	function do_insert() {
		$this->form_validation->set_rules('client_name', 'Client Name', 'required|max_length[150]');
		$this->form_validation->set_rules('client_address', 'Client Address', 'required|max_length[200]');
		$this->form_validation->set_rules('client_telephone1', 'Telephone 1', 'required|numeric|max_length[20]');
		$this->form_validation->set_rules('client_telephone2', 'Telephone 2', 'numeric|max_length[20]');
		$this->form_validation->set_rules('client_fax', 'Fax', 'numeric|max_length[20]');
		$this->form_validation->set_rules('contact_person', 'Contact Person', 'required|max_length[100]');
		$this->form_validation->set_rules('opening_balance', 'Opening Balance', 'required');
		
		$client_id  		=   $this->input->post('client_id');
		$client_name  		=   $this->input->post('client_name');
		$client_address  	=   $this->input->post('client_address');
		$client_telephone1  =   $this->input->post('client_telephone1');
		$client_telephone2  =   $this->input->post('client_telephone2');
		$client_fax  		=   $this->input->post('client_fax');
		$client_email  		=   $this->input->post('client_email');
		$contact_person  	=   $this->input->post('contact_person');
		$opening_balance  	=   $this->input->post('opening_balance');
		$tax_name  	=   $this->input->post('tax_name');
		$tax_no  	=   $this->input->post('tax_no');

		if ($this->form_validation->run() == FALSE) {
				$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
				$this->create();
		} else {
			$data=array(
				'client_name' 		=>	$client_name,
				'client_address' 	=>	$client_address,
				'client_telephone1' =>	$client_telephone1,
				'client_telephone2' =>	$client_telephone2,
				'client_fax' 		=> 	$client_fax,
				'client_email' 		=> 	$client_email,
				'contact_person' 	=> 	$contact_person,
				'opening_balance' 	=> 	$opening_balance,
				'tax_name' 			=> 	$tax_name,
				'tax_no' 			=> 	$tax_no,
			);

			$records=$this->crud_model->insert('new_client_master',$data);

			$this->session->set_flashdata('response','<div class="alert alert-success">Client Details Added</div>');
			redirect('client_reports');

		}

	}
	public function search_client() {
			$like=array();
			$or_where=array();
			if($this->input->post('client_name') != "") {
			$like=array('client_name'=> $this->input->post('client_name'));
			}
			if($this->input->post('telephone') != "") {
			$or_where = array('client_telephone1'=>$this->input->post('telephone'),
							'client_telephone2'=>$this->input->post('telephone'));
			}
			$data['records'] = $this->crud_model->get('new_client_master', null, null, null, null, null, $like, $or_where);
		    $this->load->view('templates/header');
			$this->load->view('reports/client_reports',$data);
			$this->load->view('templates/footer');
	}
	function edit($client_id) {
		$where=array(
				'client_id' => $client_id
		);
		$records=$this->crud_model->get('new_client_master',$where);
		if($records != false){
			//true section
			$data['client_id']		 	 = $records[0]['client_id'];
			$data['client_name']		 = $records[0]['client_name'];
			$data['client_address']		 = $records[0]['client_address'];
			$data['client_telephone1']	 = $records[0]['client_telephone1'];
			$data['client_telephone2']	 = $records[0]['client_telephone2'];
			$data['client_fax']			 = $records[0]['client_fax'];
			$data['client_email']		 = $records[0]['client_email'];
			$data['contact_person']		 = $records[0]['contact_person'];
			$data['opening_balance']		 = $records[0]['opening_balance'];
			$data['tax_name']		 = $records[0]['tax_name'];
			$data['tax_no']		 = $records[0]['tax_no'];
			$this->load->view('templates/header');
			$this->load->view('reports/edit_client',$data);
			$this->load->view('templates/footer');

		} else {
			//false section
			$this->session->set_flashdata('response','<div class="alert alert-error">error</div>');
			redirect('client_reports');
		}
	}
	function do_update() {
		$this->form_validation->set_rules('client_name', 'Client Name', 'required|max_length[150]');
		$this->form_validation->set_rules('client_address', 'Client Address', 'required|max_length[200]');
		$this->form_validation->set_rules('client_telephone1', 'Telephone 1', 'required|numeric|max_length[20]');
		$this->form_validation->set_rules('client_telephone2', 'Telephone 2', 'numeric|max_length[20]');
		$this->form_validation->set_rules('client_fax', 'Fax', 'numeric|max_length[20]');
		$this->form_validation->set_rules('contact_person', 'Contact Person', 'required|max_length[100]');
		$this->form_validation->set_rules('opening_balance', 'Opening Balance', 'required');
		
		$client_id  		=   $this->input->post('client_id');
		$client_name  		=   $this->input->post('client_name');
		$client_address  	=   $this->input->post('client_address');
		$client_telephone1  =   $this->input->post('client_telephone1');
		$client_telephone2  =   $this->input->post('client_telephone2');
		$client_fax  		=   $this->input->post('client_fax');
		$client_email  		=   $this->input->post('client_email');
		$contact_person  	=   $this->input->post('contact_person');
		$opening_balance  	=   $this->input->post('opening_balance');
		$tax_name  	=   $this->input->post('tax_name');
		$tax_no  	=   $this->input->post('tax_no');

		if ($this->form_validation->run() == FALSE) {
			
			
			$where		=   array("client_id"=>$client_id);
			$records	=	$this->crud_model->get('new_client_master', $where);
			
			if($records != false){
			
				$data['client_id']		 	 = $records[0]['client_id'];
				$data['client_name']		 = $records[0]['client_name'];
				$data['client_address']		 = $records[0]['client_address'];
				$data['client_telephone1']	 = $records[0]['client_telephone1'];
				$data['client_telephone2']	 = $records[0]['client_telephone2'];
				$data['client_fax']			 = $records[0]['client_fax'];
				$data['client_email']		 = $records[0]['client_email'];
				$data['contact_person']		 = $records[0]['contact_person'];
				$data['opening_balance']		 = $records[0]['opening_balance'];
				$data['tax_name']		 = $records[0]['tax_name'];
				$data['tax_no']		 = $records[0]['tax_no'];
				
				$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
				$this->load->view('templates/header');
				$this->load->view('reports/edit_client',$data);
				$this->load->view('templates/footer');

			} else {
				$this->session->set_flashdata('response','<div class="alert alert-error">error</div>');
				redirect('client_reports');
			}
		} else {
			$where=array(
				'client_id'  => $client_id
			);
			$data=array(
				'client_name' 		=>	$client_name,
				'client_address' 	=>	$client_address,
				'client_telephone1' =>	$client_telephone1,
				'client_telephone2' =>	$client_telephone2,
				'client_fax' 		=> 	$client_fax,
				'client_email' 		=> 	$client_email,
				'contact_person' 	=> 	$contact_person,
				'opening_balance' 	=> 	$opening_balance,
				'tax_name' 			=> 	$tax_name,
				'tax_no' 			=> 	$tax_no,
			);

			$records=$this->crud_model->update('new_client_master',$data,$where);
			
			$this->session->set_flashdata('response','<div class="alert alert-success">Client Details Updated</div>');
			redirect('client_reports/edit/'.$client_id);

		}

	}
	public function n_do_update(){
		$client_id		= $this->input->post('client_id');
		$client_name	= $this->input->post('client_name');
		if ($client_id!=='' or $client_name!==''){
			$where=array(
				'client_id'  => $client_id
			);
			$data2=array(
				'client_name' 		=>	$client_name,
			);
			//$records=$this->crud_model->update('new_client_master',$data2,$where);
			$records=$this->crud_model->update('jobs',$data2,$where);
			$records=$this->crud_model->update('work_order_main',$data2,$where);
			echo '1';
		} else {
			echo '0';
		}
	}
}
?>