<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Cube_invoice extends CI_Controller {
	function Cube_invoice() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		if($this->crud_model->check_permission("invoice","view")==false && $this->session->userdata('default_controller_name')!="invoice"){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}
	public function index() {
		$data['records'] = $this->crud_model->get('furniture_invoice',array("division" => 'C'),null,null,"invoice_id","DESC");
		$this->load->view('templates/header');
		$this->load->view('manage/cube_invoices',$data);
		$this->load->view('templates/footer');
    }
	public function create() {
		if($this->crud_model->check_permission("invoice","add")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->view('templates/header');
		$this->load->view('manage/createinvoice');
		$this->load->view('templates/footer');
    }
	function search_client() {
		$search_name = 	trim($this->input->post('client'));
		$like		 =	array('client_name'=>$search_name);
		$records['quotation_list']=$this->crud_model->get('new_client_master',null,null,null,null,null,$like,null,null,null);				
		if($records['quotation_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/client_search', $records);
			
		}
		
	}
	public function search_work_orders() {
		$sql 	= '';
		$from 	= $this->input->post('from');
		$from1 	= date("Y-m-d", strtotime($from));
		$to 	= $this->input->post('to');
		$to1 	= date("Y-m-d", strtotime($to));
		$today 	= date("Y-m-d");
		$client = $this->input->post('client');
		$report_submitted = $this->input->post('report_submitted');
		$project_wise 	  = $this->input->post('project_wise');
		if($from){
			$sql .= " AND `work_order_date`>='$from1'";
		}
		if($to){
			$sql .= " AND `work_order_date`<='$to1'";
		}else{
			$sql .= " AND `work_order_date`<='$today'";
		}
		if($report_submitted){
			$sql .= " AND `report_submitted`=1";
		}
		if($client){
			$sql .= " AND `client_name`='$client'";
		}
		if($project_wise && $client){
			$group_by = " GROUP BY `client_name`,`project_name`";
		}else{
			$group_by = " GROUP BY `client_name`";
		}
		$detailed = $this->db->query("SELECT client_name,COUNT(`work_order_no`) AS work_order_count,project_name FROM `work_order_main` WHERE `status`=1 AND work_order_no NOT IN (SELECT work_order_number FROM `furniture_invoice_details` JOIN furniture_invoice ON furniture_invoice.invoice_id=furniture_invoice_details.invoice_id WHERE invoice_status='1' OR invoice_status='10') AND work_order_no NOT IN (SELECT work_order_no FROM `work_order` WHERE `test_name`='spare')".$sql.$group_by);
		$records['detailed_list']= $detailed->result_array();
		$this->load->view('templates/header');
		$this->load->view('manage/createinvoice',$records);
		$this->load->view('templates/footer');
	}
	public function work_order_list() {
		$sql 	= '';
		$client_name 		= $this->input->post('client_name');
		$project_name 		= $this->input->post('project_name');
		$from 				= $this->input->post('from');
		$from1 				= date("Y-m-d", strtotime($from));
		$to 				= $this->input->post('to');
		$to1 				= date("Y-m-d", strtotime($to));
		$today 				= date("Y-m-d");
		$report_submitted 	= $this->input->post('report_submitted');
		if($client_name){
			$sql .= " AND `client_name`='$client_name'";
		}
		if($project_name){
			$sql .= " AND `project_name`='$project_name'";
		}
		if($from){
			$sql .= " AND `work_order_date`>='$from1'";
		}
		if($to){
			$sql .= " AND `work_order_date`<='$to1'";
		}else{
			$sql .= " AND `work_order_date`<='$today'";
		}
		if($report_submitted==1){
			$sql .= " AND `report_submitted`=1";
		}
		$detailed = $this->db->query("SELECT * FROM `work_order_main` WHERE `status`=1 AND work_order_no NOT IN (SELECT work_order_number FROM `furniture_invoice_details` JOIN furniture_invoice ON furniture_invoice.invoice_id=furniture_invoice_details.invoice_id WHERE invoice_status='1' OR invoice_status='10') AND work_order_no NOT IN (SELECT work_order_no FROM `work_order` WHERE `test_name`='spare')".$sql);
		$records  = $detailed->result_array();
		
		$invoice_count  = $this->crud_model->get_count('furniture_invoice');
		$invoice_number = "QEL-INV-".(5001+$invoice_count);
		
		$html = '<table width="100%" border="0" cellpadding="0" cellspacing="0" id="ashbar">
					<tr>
						<td  style="width:150px;">
							&nbsp;&nbsp;&nbsp;Invoice Number<span class="mandi">*</span>
						</td>
						<td>
							<input type="text" name="invoice_number" style="width:200px;" readonly class="input-percentage" value="'.$invoice_number.'" required/>
							<input type="hidden" name="client_name1" value="'.$client_name.'"/>
							<input type="hidden" name="po_client_id" value="'.$records[0]['client_id'].'"/>
						</td>
						<td  style="width:150px;">
							&nbsp;&nbsp;&nbsp;Invoice Date<span class="mandi">*</span>
						</td>
						<td>
							<input type="text" name="invoice_date" style="width:200px;" class="input-percentage invdate" value="" required/>
						</td>
					</tr>
				 </table>
				 <br>
					<table class="table1 mouseleave" id="myTable">
						<tr>
						  <th>Work Order No.</th>
						  <th>Work Order Date</th>
						  <th>Client</th>
						  <th>Project</th>
						  <th><input type="checkbox" name="check_all" id="check_all" class="check_all" value="1" />&nbsp;&nbsp;Select All</th>
						</tr>
						<input type="hidden" name="hidden_count" id="hidden_count" value="0">';
		$i = 1;
		if($records!=false){
			foreach($records as $record){
				$html .= '<tr>
							<td class="mouseover">
								<input type="hidden" class="work_order_no_class" name="work_order_no[]" value="'.$record['work_order_no'].'" />'.$record['work_order_no'].'
							</td>
							<td class="mouseover">
								<input type="hidden" name="work_order_date[]" value="'.$record['work_order_date'].'" />'.date("M d Y", strtotime($record['work_order_date'])).'
							</td>
							<td class="mouseover">
								<input type="hidden" name="client_name[]" value="'.$record['client_name'].'" />'.$record['client_name'].'
							</td>
							<td class="mouseleave">
								<input type="hidden" name="project_name[]" value="'.$record['project_name'].'" />'.$record['project_name'].'
							</td>
							<td class="mouseleave">
								<input type="hidden" name="hidden_name[]" class="hidden_class" value="0">
								<input type="checkbox" name="check_box[]" class="check_class" value="1" />
							</td>
						</tr>';
			$i++;
			}
		}else{
			$html .= '<tr>
							<td style="color:#FF0000;" colspan="3">No Files</td>
						</tr>';
		}
		$html .= '</table><script>$(".invdate").datepicker();</script>';
		echo $html;
	}
	public function create_invoice() {
		$invoice_number =  $this->input->post('invoice_number');
		$invoice_date   =  $this->input->post('invoice_date');
		$client_name    =  $this->input->post('client_name1');
		$invoice_date1  =  date("Y-m-d", strtotime($invoice_date));
		$check_box      =  $this->input->post('check_box');
		$work_order_no  =  $this->input->post('work_order_no');
		$hidden_name  	=  $this->input->post('hidden_name');
		$hidden_count  	=  $this->input->post('hidden_count');
		$po_client_id =  $this->input->post('po_client_id');
		if($invoice_date!="" && $hidden_count>0){
		
			$invoice_count  = $this->crud_model->get_count('furniture_invoice');
			$invoice_number11 = "QEL-INV-".(5001+$invoice_count);
		
			$invoice_main = array('invoice_date' => $invoice_date1,'invoice_number' => $invoice_number11,'invoice_status' => 10,'client' => $client_name,'client_id' => $po_client_id,'invoice_created_by' => $this->session->userdata('user_name'));
			$main = $this->db->insert('furniture_invoice',$invoice_main);
			
			$query    = $this->db->query("SELECT MAX(`invoice_id`) AS max_invoice_id FROM `furniture_invoice`");
			$res      = $query->result_array();
			
			for($i=0; $i<count($work_order_no) ; $i++){
				if($hidden_name[$i]==1){
					$invoice_details = array(
					'invoice_id' 		=> $res[0]['max_invoice_id'],
					'work_order_number' => $work_order_no[$i]
					);
					$sub = $this->db->insert('furniture_invoice_details',$invoice_details);
				}
			}
			
			
			$invc_i	=	$res[0]['max_invoice_id'];
			$detailed		= $this->db->query("SELECT work_order_no FROM `furniture_invoice_details` INNER JOIN work_order_main ON work_order_main.work_order_no=furniture_invoice_details.work_order_number WHERE furniture_invoice_details.`invoice_id`='$invc_i'");
			$data_result	= $detailed->result_array();
			$array_work_order_no    =   array();
			foreach ($data_result as $data_results){
				array_push($array_work_order_no,$data_results['work_order_no']); 
			}
			
			$records	=	$this->crud_model->get_total_amount($array_work_order_no);
			if($records == true){
				$this->db->query("UPDATE `furniture_invoice` SET `invoice_amount`='$records' WHERE invoice_id='$invc_i'");
			}
			
		}
		if($main && $sub){
			$this->session->set_flashdata('response','<div class="alert alert-success">New Invoice Created</div>');
			redirect('invoice');
		}else{
			$this->session->set_flashdata('response','<div class="alert alert-error">Error</div>');
			redirect('invoice');
		}
	}
	
	public function invoice_status(){
		$invoiceNumber =  $this->input->post('invoiceNumber');
		$query    = $this->db->query("SELECT * FROM `furniture_invoice` where `invoice_number`='$invoiceNumber'");
		$res      = $query->result_array();
		$html='';
		if ($res[0]['invoice_status']=='10'){
			$html='<input type="text" name="division" value="'.$res[0]['division'].'"/><select name="invoice_status" class="input-search" required="required">
					<option value="" > Select Status</option>
					<option value="1" > Confirm</option>
					<option value="0" > Cancel</option>
				   </select>';
		} else if ($res[0]['invoice_status']=='1'){
			$html='<select name="invoice_status" class="input-search" required="required">
					<option value="" > Select Status</option>
					<option value="0" > Cancel</option>
				   </select>';
		} else {
			$html='';
		}
		print $html;
	}
	
	public function cancel_invoice($invoice_id) {
		if($this->crud_model->check_permission("invoice","delete")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$records=$this->crud_model->update('furniture_invoice',array('invoice_status' => 0,'invoice_cancelled_date' => date('Y-m-d')),array('invoice_id'=>$invoice_id));
		$this->session->set_flashdata('response','<div class="alert alert-success">Invoice Cancelled</div>');
		redirect('invoice');
	}
	public function print_cube_invoice($invoice_id='',$status='') {
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$detailed11 		  = $this->db->query("SELECT FI.`invoice_id`,FI.`invoice_created_by`,FI.`invoice_number`,FI.`invoice_remarks`,FI.`invoice_date`,NCM.`client_name` AS client,NCM.`client_address` FROM `furniture_invoice` FI INNER JOIN furniture_invoice_details FID ON FID.`invoice_id`=FI.`invoice_id` INNER JOIN work_order_main WOM ON WOM.work_order_no=FID.work_order_number INNER JOIN new_client_master NCM ON NCM.client_id=WOM.client_id WHERE FI.invoice_id='$invoice_id'");
		$data['records']  = $detailed11->result_array();
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$detailed 		  = $this->db->query("SELECT work_order_no,project_name,project_id,work_order_main.id,work_order_main.`Casting_Date`,work_order_main.`sampled_submitted_date` FROM `furniture_invoice_details` JOIN work_order_main ON work_order_main.work_order_no=furniture_invoice_details.work_order_number WHERE furniture_invoice_details.`invoice_id`='$invoice_id' ORDER BY project_name, work_order_no");
		$data['details']  = $detailed->result_array();
		if ($status!=''){
			$data['invoice_status']='';
			//$status
		} else {
			$data['invoice_status']='';
		}
		$this->load->view('manage/print_cube_invoice',$data);
		
		//$this->load->helper(array('dompdf', 'file'));
		//$html = $this->load->view('manage/invoice_print',$data, true);
		//pdf_create($html);
	}
	public function cube_print_cover($invoice_id) {
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$detailed11 		  = $this->db->query("SELECT FI.`invoice_id`,FI.`invoice_amount`,FI.`invoice_number`,FI.`invoice_date`,NCM.`client_name` AS client,NCM.`client_address` FROM `furniture_invoice` FI INNER JOIN furniture_invoice_details FID ON FID.`invoice_id`=FI.`invoice_id` INNER JOIN work_order_main WOM ON WOM.work_order_no=FID.work_order_number INNER JOIN new_client_master NCM ON NCM.client_id=WOM.client_id WHERE FI.invoice_id='$invoice_id'");
		$data['records']  = $detailed11->result_array();
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$detailed 		  = $this->db->query("SELECT work_order_no,project_name FROM `furniture_invoice_details` JOIN work_order_main ON work_order_main.work_order_no=furniture_invoice_details.work_order_number WHERE furniture_invoice_details.`invoice_id`=$invoice_id");
		$data['details']  = $detailed->result_array();
		$this->load->view('manage/cube_print_cover',$data);
		
		//$this->load->helper(array('dompdf', 'file'));
		//$html = $this->load->view('manage/invoice_print',$data, true);
		//pdf_create($html);
	}
	public function item_list() {
		$work_order_no 		= $this->input->post('work_order_no');
		$records 			= $this->crud_model->get('work_order',array('work_order_no'=>$work_order_no),null,null,null,null,null,null,null,'item_id');
		$html = '<table class="table1">
						<tr bgcolor="lightblue">
						  <th>Test Name</th>
						  <th>Unit Of Measurement</th>
						  <th>QTY</th>
						  <th>Rate</th>
						  <th>Amount</th>
						</tr>';
		if($records!=false){
			foreach($records as $record){
			
				$details 			= $this->crud_model->get('work_order',array('work_order_no'=>$work_order_no,'item_id'=>$record['item_id']));
				if ($record['sub_clause']!=''){
					$sub_clause='-'.$record['sub_clause'];
				} else {
					$sub_clause='';
				}
				$html .= '<tr>
								<td style="text-align:center; background:lightgray;" colspan="5">
									<b>'.$record['item_name'].''.$sub_clause.'</b>
								</td>
						  </tr>';
				if($details!=false){
					foreach($details as $detail){		
						$html .= '<tr>
									<td>
										'.$detail['test_name'].'
									</td>
									<td>
										'.$detail['uom'].'
									</td>
									<td>
										'.$detail['quantity'].'
									</td>
									<td>
										'.$detail['rate'].'
									</td>
									<td>
										'.$detail['quantity']*$detail['rate'].'
									</td>
								</tr>';
					}
				}
			}
		}			
		$html .= '</table>';
		echo $html;
	}
	public function search_invoice() {
	
		if($this->input->post('filter_by') == 1) {
			$filter_value = $this->input->post('filter_value');
			$like=" AND invoice_number LIKE '%$filter_value%'";
		} elseif($this->input->post('filter_by') == 2) {
			$filter_value = $this->input->post('filter_value');
			$like=" AND client LIKE '%$filter_value%'";
		} elseif($this->input->post('filter_by') == 3) {
			$filter_value = $this->input->post('filter_value');
			$like=" AND work_order_number LIKE '%$filter_value%'";
		} else {
			$like="";
		}
		
		$detailed = $this->db->query("SELECT * FROM `furniture_invoice` JOIN furniture_invoice_details ON furniture_invoice_details.invoice_id=furniture_invoice.invoice_id WHERE (invoice_status=1 OR invoice_status = 0)".$like);
		$data['records'] = $detailed->result_array();
		
		$this->load->view('templates/header');
		$this->load->view('manage/invoices',$data);
		$this->load->view('templates/footer');
    }
	
	function update_draft() {
     $invoiceNumber	=	$this->input->post('popinvoiceNumber');
	 $invoice_status	=	$this->input->post('invoice_status');
   
     $update = $this->crud_model->update('furniture_invoice',array('invoice_status' => $invoice_status),array('invoice_number'=>$invoiceNumber));
   
     $this->session->set_flashdata('response','<div class="alert alert-success">Details Updated</div>');
   
   redirect('invoice');
 }
 function list_un_invoice_work_order($work_order_date="NIL",$client="NIL",$project_id="NIL") {
		if (@$this->input->post('work_order_date')) {
			$work_order_date =   $this->input->post("work_order_date");
		}elseif ($work_order_date != "NIL") {
			$work_order_date	=	$work_order_date;
		} else {
			$work_order_date	= "NIL";
		}
		$sql='';
		
		if ($work_order_date != "NIL"){
			$sql	.= " and work_order_date <= '$work_order_date'";
		}
		
		if (@$this->input->post('client')) {
			$client =   str_replace("%20"," ",$this->input->post("client"));
		}elseif ($client != "NIL") {
			$client	=	str_replace("%20"," ",$client);
		} else {
			$client	= "NIL";
		}
		
		if ($client != "NIL"){
			$sql	.= " and client_name='$client'";
		}
		
		if (@$this->input->post('project_id')) {
			$project_id =   str_replace("%20"," ",$this->input->post("project_id"));
		}elseif ($project_id != "NIL") {
			$project_id	=	str_replace("%20"," ",$project_id);
		} else {
			$project_id	= "NIL";
		}
		
		if ($project_id != "NIL"){
			$sql	.= " and project_id='$project_id'";
		}
		$row_count_data	=	$this->db->query("select work_order_no, work_order_date, client_name, project_name from work_order_main where status=1 and work_order_no not in (select distinct(work_order_number) from furniture_invoice_details
inner join furniture_invoice i where invoice_status = 1 ) ".$sql." order by client_name, project_name");
		
		//pagging start
		$config['uri_segment'] = 6;
        //$config['use_page_numbers'] = TRUE;
		$config['base_url'] = base_url() . "index.php/invoice/list_un_invoice_work_order/".$work_order_date."/".$client."/".$project_id;
        $config["total_rows"] = $row_count_data->num_rows();
        $config['num_links'] = 10;
        $config["per_page"] = 1000000000000;
        $this->pagination->initialize($config);
        if ($this->uri->segment(6)) {
            $page = $this->uri->segment(6)*1000000000000-1000000000000;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
        //pagging end
		
		if ($project_id!='NIL'){
			
		}
		
		$data1				=	$this->db->query("select work_order_no, work_order_date, client_name, project_name from work_order_main where status=1 and work_order_no not in (select distinct(work_order_number) from furniture_invoice_details
inner join furniture_invoice i where invoice_status = 1 ) ".$sql."  order by client_name, project_name limit ".$page.",".$config["per_page"]);
		
		$data['records']	=	$data1->result_array();
		$data['work_order_date']	=	$work_order_date;
		$data['client']	=	$client;
		$data['project_id']	=	$project_id;
		$data['pagination'] = $this->pagination->create_links();
		$this->load->view('templates/header');
		$this->load->view('manage/list_un_invoice_work_order',$data);
		$this->load->view('templates/footer');
	}
	
	function print_un_invoice_work_order($work_order_date="NIL",$client="NIL",$project_id="NIL") {
		if (@$this->input->post('work_order_date')) {
			$work_order_date =   $this->input->post("work_order_date");
		}elseif ($work_order_date != "NIL") {
			$work_order_date	=	$work_order_date;
		} else {
			$work_order_date	= "NIL";
		}
		$sql='';
		
		if ($work_order_date != "NIL"){
			$sql	.= " and work_order_date <= '$work_order_date'";
		}
		
		if (@$this->input->post('client')) {
			$client =   str_replace("%20"," ",$this->input->post("client"));
		}elseif ($client != "NIL") {
			$client	=	str_replace("%20"," ",$client);
		} else {
			$client	= "NIL";
		}
		
		if ($client != "NIL"){
			$sql	.= " and client_name='$client'";
		}
		
		if (@$this->input->post('project_id')) {
			$project_id =   str_replace("%20"," ",$this->input->post("project_id"));
		}elseif ($project_id != "NIL") {
			$project_id	=	str_replace("%20"," ",$project_id);
		} else {
			$project_id	= "NIL";
		}
		
		if ($project_id != "NIL"){
			$sql	.= " and project_id='$project_id'";
		}
		$row_count_data	=	$this->db->query("select work_order_no, work_order_date, client_name, project_name from work_order_main where status=1 and work_order_no not in (select distinct(work_order_number) from furniture_invoice_details
inner join furniture_invoice i where invoice_status = 1 ) ".$sql." order by client_name, project_name");
		
		//pagging start
		$config['uri_segment'] = 6;
        //$config['use_page_numbers'] = TRUE;
		$config['base_url'] = base_url() . "index.php/invoice/list_un_invoice_work_order/".$work_order_date."/".$client."/".$project_id;
        $config["total_rows"] = $row_count_data->num_rows();
        $config['num_links'] = 10;
        $config["per_page"] = 1000000000000;
        $this->pagination->initialize($config);
        if ($this->uri->segment(6)) {
            $page = $this->uri->segment(6)*1000000000000-1000000000000;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
        //pagging end
		
		if ($project_id!='NIL'){
			
		}
		
		$data1				=	$this->db->query("select work_order_no, work_order_date, client_name, project_name from work_order_main where status=1 and work_order_no not in (select distinct(work_order_number) from furniture_invoice_details
inner join furniture_invoice i where invoice_status = 1 ) ".$sql."  order by client_name, project_name limit ".$page.",".$config["per_page"]);
		
		$data['records']	=	$data1->result_array();
		$data['work_order_date']	=	$work_order_date;
		$data['client']	=	$client;
		$data['project_id']	=	$project_id;
		$data['pagination'] = $this->pagination->create_links();
		//$this->load->view('templates/header');
		$this->load->view('manage/print_un_invoice_work_order',$data);
		//$this->load->view('templates/footer');
	}
	
	function project_list() {
		$client_id 		= 	$this->input->post('client_id');
		$data_val 		= 	$this->db->query("SELECT id,project_name FROM `projects` WHERE client_id='$client_id'");
		$method_list	=	$data_val->result_array();				
		if($method_list != false ){
			$html = '<option value="">-- select --</option>';
			foreach($method_list as $method_lists){
				$html .= '<option value="'.$method_lists['id'].'">'.$method_lists['project_name'].'</option>';
			}
			echo $html;
		}else{
			echo 0;
		}
	}
	public function export_un_invoice_work_order($work_order_date="NIL",$client="NIL",$project_id="NIL") {
		if (@$this->input->post('work_order_date')) {
			$work_order_date =   $this->input->post("work_order_date");
		}elseif ($work_order_date != "NIL") {
			$work_order_date	=	$work_order_date;
		} else {
			$work_order_date	= "NIL";
		}
		$sql='';
		
		if ($work_order_date != "NIL"){
			$sql	.= " and work_order_date <= '$work_order_date'";
		}
		
		if (@$this->input->post('client')) {
			$client =   str_replace("%20"," ",$this->input->post("client"));
		}elseif ($client != "NIL") {
			$client	=	str_replace("%20"," ",$client);
		} else {
			$client	= "NIL";
		}
		
		if ($client != "NIL"){
			$sql	.= " and client_name='$client'";
		}
		
		if (@$this->input->post('project_id')) {
			$project_id =   str_replace("%20"," ",$this->input->post("project_id"));
		}elseif ($project_id != "NIL") {
			$project_id	=	str_replace("%20"," ",$project_id);
		} else {
			$project_id	= "NIL";
		}
		
		if ($project_id != "NIL"){
			$sql	.= " and project_id='$project_id'";
		}
		$row_count_data	=	$this->db->query("select work_order_no, work_order_date, client_name, project_name from work_order_main where status=1 and work_order_no not in (select distinct(work_order_number) from furniture_invoice_details
inner join furniture_invoice i where invoice_status = 1 ) ".$sql." order by client_name, project_name");
		
		//pagging start
		$config['uri_segment'] = 6;
        //$config['use_page_numbers'] = TRUE;
		$config['base_url'] = base_url() . "index.php/invoice/list_un_invoice_work_order/".$work_order_date."/".$client."/".$project_id;
        $config["total_rows"] = $row_count_data->num_rows();
        $config['num_links'] = 10;
        $config["per_page"] = 1000000000000;
        $this->pagination->initialize($config);
        if ($this->uri->segment(6)) {
            $page = $this->uri->segment(6)*1000000000000-1000000000000;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
        //pagging end
		
	
		
		$data1				=	$this->db->query("select work_order_no, work_order_date, client_name, project_name from work_order_main where status=1 and work_order_no not in (select distinct(work_order_number) from furniture_invoice_details
inner join furniture_invoice i where invoice_status = 1 ) ".$sql."  order by client_name, project_name limit ".$page.",".$config["per_page"]);
		
		$records	=	$data1->result_array();
		
        	$list	='';
			$details    =   array();
        	foreach($records as $record){
				
						$new    =   array(
							$i++,
							$record['work_order_no'],
							date("M d Y", strtotime($record['work_order_date'])),
							$record['client_name'],
							$record['project_name']
						);
						array_push($details,$new);
					
					} 
					$head   =   array(
						"No",
						"Work Order No",
						"Work Order Date",
						"Client Name",
						"Project Name"
					);
        			$this->load->library('Excel');
        			$Excel = new Excel;
        			$Excel->export($head, $details, 0, "Uninvoiced");
					
	}
	
	public function mod_total_amount($invoice_id=''){
			$detailed		= $this->db->query("SELECT work_order_no FROM `furniture_invoice_details` INNER JOIN work_order_main ON work_order_main.work_order_no=furniture_invoice_details.work_order_number WHERE furniture_invoice_details.`invoice_id`='$invoice_id'");
			$data_result	= $detailed->result_array();
			$array_work_order_no    =   array();
			foreach ($data_result as $data_results){
				array_push($array_work_order_no,$data_results['work_order_no']); 
			}
			
			$records	=	$this->crud_model->get_total_amount($array_work_order_no);
			if($records == false){
				echo false;
			}else{
				return $records;
			}
			
		}
	
}
?>