<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class Furniture_payment_terms extends CI_Controller {

	function __construct() {
		parent::__construct();

		if($this->session->userdata('user_logged_in') != true) {
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}

		if($this->session->userdata('furniture_quotation_id') == false) {
			$this->session->set_flashdata('response','<div class="alert alert-error">You are not authorized to edit this quotation.</div>');
			redirect('furniture/furniture_quotations');
		}

		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->helper('tw');
		$this->load->model('furniture_quotation_model');

		if($this->furniture_quotation_model->check_privilege($this->session->userdata('furniture_quotation_id')) == false) {
		if($this->session->userdata('staus_for_qoute') == false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You are not authorized to edit this quotation.</div>');}
			else{
			$this->session->set_flashdata('response','<div class="alert alert-success">Quotation Status Updated successfully.</div>');
			$this->session->unset_userdata('staus_for_qoute');
			}
			redirect('furniture/furniture_quotations');

		}

	}

	function index() {

		$quotation_id=$this->session->userdata('furniture_quotation_id');



		$where=array(
			'quotation_id' => $quotation_id
		);

		$data['quotation_id'] = $quotation_id;

		$quotation_details = $this->furniture_quotation_model->get_full_quotation_details($quotation_id);
		if(( QMS_GENERAL_QTN_DIV_ID == $quotation_details["division_id"]) or ( QMS_WORKSHOP_QTN_DIV_ID == $quotation_details["division_id"]) ) 		{
			$data['general_quotation'] = true;
		}

		$records = $this->crud_model->get('covering_letter_template');
		$list = $this->crud_model->get_list('cl_template_id','cl_template_name','covering_letter_template',array(0=>' - Select - '));
		$data['covering_letter_template'] = $list;
		
		$list_terms = $this->crud_model->get_list('terms_id','terms_name','terms_and_conditions',array(0=>' - Select - '));
		$data['terms_and_condition'] = $list_terms;

		$data['quotation_number_full'] = $quotation_details['quotation_number_full'];
		$data['quotation_date'] = $quotation_details['quotation_date'];
		$data['salesman_name'] 	= $quotation_details['salesman_name'];
		$data['quotation_total'] = $quotation_details['quotation_total'];
		$data['discount_percentage'] = $quotation_details['discount_percentage'];
		$data['quotation_discount_amount'] = $quotation_details['quotation_discount_amount'];
		$data['quotation_net_total'] = round($quotation_details['quotation_net_total'],3);
		$data['advance_percentage'] = $quotation_details['advance_percentage'];
		$data['advance_amount'] 	= $quotation_details['advance_amount'];

		if($this->session->userdata('user_group_id') == 1) {
			//Loading Exstock Payment Terms and ByOrder Payement terms from master table
			$list = $this->crud_model->get_list('payment_id','payment_label','furniture_byorder_paymentterm',array());
			$data['byorder_label'] = $list;

			$list = $this->crud_model->get_list('payment_id','payment_text','furniture_byorder_paymentterm',array());
			$data['byorder_text'] = $list;

			$list = $this->crud_model->get_list('payment_id','payment_label','furniture_exstock_paymentterm',array());
			$data['exstock_label'] = $list;

			$list = $this->crud_model->get_list('payment_id','payment_text','furniture_exstock_paymentterm',array());
			$data['exstock_text'] = $list;

			$data['byorder_paymenttermid']=$quotation_details['byorder_paymenttermid'];
			$data['exstock_paymenttermid']=$quotation_details['exstock_paymenttermid'];


		} else {
			$data['byorder_label'] = $quotation_details['byorder_payment_label'];
			$data['byorder_text'] = $quotation_details['byorder_payment_text'];
			$data['exstock_label'] = $quotation_details['exstock_payment_label'];
			$data['exstock_text'] = $quotation_details['exstock_payment_text'];
		}

		$list = $this->crud_model->get_list('logo_id','company_name','logos',array(""=>' - Select Logo - '));
		$data['logos_list'] = $list;
		
		$footer_list = $this->crud_model->get_list('footer_id','footer_name','footer',array('select'=>' - Select Footer - '));
		$data['footer_list'] = $footer_list;

		$data['quotation_logos'] = $quotation_details['quotation_logos'];
		$data['quotation_footer'] = $quotation_details['quotation_footer'];
		//$data['quotation_logos'] = '9';
		$data['covering_letter'] = $quotation_details['covering_letter'];
		
		$data['terms_and_conditions'] = $quotation_details['terms_and_conditions'];

		$data['quotation_status'] = $quotation_details['quotation_status'];

		$data['project_name'] = $quotation_details['project_name'];
		$data['project_location'] = $quotation_details['project_location'];

		$this->load->view('templates/header');
		//$this->load->view('templates/header1');
		$this->load->view('furniture/quotations/payment_terms/payment_terms_view',$data);
		//$this->load->view('templates/footer');
		$this->load->view('templates/footer1');

	}




	function do_update() {

		$this->form_validation->set_rules('quotation_discount_amount', 'Discount Amt.', 'numeric|callback_discount_check');
		//$this->form_validation->set_rules('covering_letter', 'Template Content', 'required');
		//$this->form_validation->set_rules('quotation_logos', 'Template Logo', 'required');
		if($this->session->userdata('user_group_id') == 1) {
			//$this->form_validation->set_rules('exstock_paymenttermid', 'Ex-stock Paymentterm', 'required');
			//$this->form_validation->set_rules('byorder_paymenttermid', 'By-order Paymentterm', 'required');
		}

		if ($this->form_validation->run() == FALSE)	{
			// false section
			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$this->update_failed();
		} else {

			//$this->furniture_quotation_model->check_changes_cloned();

			$where=array('id'	=> $this->session->userdata('furniture_quotation_id'));

			$data_quo = array(
				'quotation_status'		=> $this->input->post('quotation_status'),
				'last_modified_date' => date('Y-m-d')
			);

			if($this->input->post('quotation_status') == 'Confirmed'){
			
				// MAILING ....

				$res = $this->furniture_quotation_model->get_full_quotation_details($this->session->userdata('furniture_quotation_id'));
				$adv_required = $this->furniture_quotation_model->get_quotation_advance($this->session->userdata('furniture_quotation_id'));
				$this->db->select('*');
				$this->db->from('emails'); 
				$query = $this->db->get();
				$records=$query->result_array();
				if(@$records[0]['quote_confirmation']!=""){
				$quote_confirmation = $records[0]['quote_confirmation'];
				}else{
				$quote_confirmation = "";
				}

				$links =   site_url('furniture/furniture_quotations/view/'.$res['quotation_id']);
				/*	email notification start	*/
				$this->load->library('tw_email');
				// send mail code
				$from 		= ADMIN_MAIL;
				$fromname 	= 'Q-Pro Admin';
				$to 		= $quote_confirmation;
				$subject 	= 'Q-Pro - Furniture Quotation for '.$res['client_name'].'('.$res['quotation_number_full'].') is confirmed';
				$message 	= '
				<table>
					<tr>
						<td>Quotation No.</td>
						<td>:</td>
						<td><a href='.$links.'>'.$res['quotation_number_full'].'</a></td>

					</tr>
					<tr>
						<td>Client</td>
						<td>:</td>
						<td>'.$res['client_name'].'</td>
					</tr>
					<tr>
						<td>Sales Person</td>
						<td>:</td>
						<td>'.$res['salesman_name'].'</td>
					</tr>
					<tr>
						<td>Quotation Total</td>
						<td>:</td>
						<td>'.$res['currency_code'].'. '.number_format( $res['quotation_net_total'],2).'</td>
					</tr>
					<tr>
						<td>Quotation Discount</td>
						<td>:</td>
						<td>'.$res['currency_code'].'. '.number_format( $this->input->post('discount_bd'),2).'</td>
					</tr>
					<tr>
						<td><b>Net Amount</b></td>
						<td>:</td>
						<td>'.$res['currency_code'].'. '.number_format( $res['quotation_net_total']-$this->input->post('discount_bd'),2).'</td>
					</tr>
					<tr>
						<td>Advance Amount</td>
						<td>:</td>
						<td>'.$res['currency_code'].'. '.number_format($this->input->post('advance_amount'),2).'</td>
					</tr>
				</table>';

				$this->tw_email->send($from,$fromname,$to,$subject,$message);
				
				$this->tw_email->send($from,$fromname,$res['salesman_email_id'],$subject,$message);

				/*	email notification end		*/
			
			
				$data_quo['quotation_confirmationdate'] = date('Y-m-d');
				$this->session->set_userdata('staus_for_qoute', 'Confirmed');
                 $rr_quo=$this->crud_model->update('furniture_quotation',$data_quo,$where);
				$this->session->set_flashdata('response','<div class="alert alert-success">Quotation Status Updated successfully</div>');
			}elseif($this->input->post('quotation_status') == 'Closed'){
				$this->session->set_userdata('staus_for_qoute', 'Closed');
				$data_quo['reason_forclose'] = $this->input->post('quotation_closed_reason');
				$rr_quo=$this->crud_model->update('furniture_quotation',$data_quo,$where);
				$this->session->set_flashdata('response','<div class="alert alert-success">Quotation Status Updated successfully</div>');
			}else{//Draft or open
				$data_quo['quotation_date']=date('Y-m-d');
				$rr_quo=$this->crud_model->update('furniture_quotation',$data_quo,$where);
				$this->session->set_flashdata('response','<div class="alert alert-success">Quotation Status Updated successfully</div>');
			}


			$data = array(
				'quotation_discount' => $this->input->post('discount_bd'),
				'advance_percentage' => $this->input->post('advance_percentage'),
				'advance_amount' => $this->input->post('advance_amount'),
				'quotation_logos' => $this->input->post('quotation_logos'),
				'quotation_footer' => $this->input->post('footer_list'),
				'covering_letter' => $this->input->post('covering_letter'),
				'terms_and_conditions' => $this->input->post('covering_letter2'),
				'last_modified_by' => $this->session->userdata('user_id'),
				'last_modified_date' => date('Y-m-d h:m:s')
			);

			if($this->session->userdata('user_group_id') == 1) {

				//$data['exstock_paymenttermid'] = $this->input->post('exstock_paymenttermid');
				//$data['byorder_paymenttermid'] = $this->input->post('byorder_paymenttermid');
			}

			$this->crud_model->update('furniture_quotation',$data,$where);
			//var_dump($data);var_dump($where); exit;
			$this->session->set_flashdata('response','<div class="alert alert-success">Quotation Details Updated successfully</div>');


			if($this->input->post('update') == "Update Quotation & Close"){
				$this->session->unset_userdata('furniture_quotation_id');

                                redirect('furniture/general_quotations');

			}
			else{
				$quotation_id    = $this->session->userdata('furniture_quotation_id');
				$quote_res       = $this->db->query("SELECT * FROM `furniture_quotation` WHERE `id`='$quotation_id'");
		 		$quote_detls     = $quote_res->result_array();
                                redirect('manage_quotation/quotation/'.$quotation_id.'/'.$quote_detls[0]['quotation_divisionid'].'/'.$quote_detls[0]['quotation_number'].'/'.$this->input->post('quotation_status'));
                                //redirect('furniture/furniture_payment_terms');

			}

		}
	}

	private function update_failed() {

		$quotation_id=$this->session->userdata('furniture_quotation_id');

		$where=array(
			'quotation_id' => $quotation_id
		);

		$data['quotation_id']=$quotation_id;

		$quotation_details = $this->furniture_quotation_model->get_full_quotation_details($quotation_id);

		$data['quotation_number_full'] = $quotation_details['quotation_number_full'];
		$data['quotation_date'] = $quotation_details['quotation_date'];

		$data['salesman_name'] 	= $quotation_details['salesman_name'];

		$data['quotation_total'] = $quotation_details['quotation_total'];
		$data['discount_percentage'] = $quotation_details['discount_percentage'];

		$data['quotation_discount_amount'] = $quotation_details['quotation_discount_amount'];


		$data['quotation_net_total'] = $quotation_details['quotation_net_total'];
		$data['advance_percentage'] = $quotation_details['advance_percentage'];
		$data['advance_amount'] 	= $quotation_details['advance_amount'];

		if($this->session->userdata('user_group_id') == 1) {
			//Loading Exstock Payment Terms and ByOrder Payement terms from master table
			$list = $this->crud_model->get_list('payment_id','payment_label','furniture_byorder_paymentterm',array());
			$data['byorder_label'] = $list;

			$list = $this->crud_model->get_list('payment_id','payment_text','furniture_byorder_paymentterm',array());
			$data['byorder_text'] = $list;

			$list = $this->crud_model->get_list('payment_id','payment_label','furniture_exstock_paymentterm',array());
			$data['exstock_label'] = $list;

			$list = $this->crud_model->get_list('payment_id','payment_text','furniture_exstock_paymentterm',array());
			$data['exstock_text'] = $list;

		} else {
			$data['byorder_label'] = $quotation_details['byorder_payment_label'];
			$data['byorder_text'] = $quotation_details['byorder_payment_text'];
			$data['exstock_label'] = $quotation_details['exstock_payment_label'];
			$data['exstock_text'] = $quotation_details['exstock_payment_text'];
		}
			$data['project_name'] = $quotation_details['project_name'];
			
		$list = $this->crud_model->get_list('logo_id','company_name','logos',array(""=>' - Select Logo - '));
		$data['logos_list'] = $list;
		
		$list_footer = $this->crud_model->get_list('footer_id','footer_name','footer',array('select'=>' - Select Footer - '));
		$data['footer_list'] = $list_footer;
		
		$listnew = $this->crud_model->get_list('cl_template_id','cl_template_name','covering_letter_template',array(0=>' - Select - '));
		$data['covering_letter_template'] = $listnew;
		
		$list_terms = $this->crud_model->get_list('terms_id','terms_name','terms_and_conditions',array(0=>' - Select - '));
		$data['terms_and_condition'] = $list_terms;

		$data['quotation_status'] = $quotation_details['quotation_status'];


		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/payment_terms/payment_terms_view',$data);
		$this->load->view('templates/footer');

	}



	function do_update_quotation_status(){
		$this->form_validation->set_rules('quotation_status', 'Quotation Status', 'required');

		/*if($this->input->post('quotation_status') == 'Closed'){
			$this->form_validation->set_rules('quotation_closed_reason', 'Reason for close', 'required');
		}*/
		if ($this->form_validation->run() == FALSE) {
			// false section
			$this->session->set_flashdata('response_status_update','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$this->index();
		} else {

			if($this->input->post('quotation_status') == 'Confirmed'){

				// MAILING ....

				$res = $this->furniture_quotation_model->get_full_quotation_details($this->session->userdata('furniture_quotation_id'));
				$adv_required = $this->furniture_quotation_model->get_quotation_advance($this->session->userdata('furniture_quotation_id'));
				$this->db->select('*');
				$this->db->from('emails'); 
				$query = $this->db->get();
				$records=$query->result_array();
				if(@$records[0]['quote_confirmation']!=""){
				$quote_confirmation = $records[0]['quote_confirmation'];
				}else{
				$quote_confirmation = "";
				}

				$links =   site_url('manage_quotation/printQuotation/'.$res['quotation_id'].'/normal/without_image/0');
				/*	email notification start	*/
				$this->load->library('tw_email');
				// send mail code
				$from 		= ADMIN_MAIL;
				$fromname 	= 'Q-Pro Admin';
				$to 		= $quote_confirmation;
				$subject 	= 'Q-Pro - Furniture Quotation for '.$res['client_name'].'('.$res['quotation_number_full'].') is confirmed';
				$message 	= '
				<table>
					<tr>
						<td>Quotation No.</td>
						<td>:</td>
						<td><a href='.$links.'>'.$res['quotation_number_full'].'</a></td>

					</tr>
					<tr>
						<td>Client</td>
						<td>:</td>
						<td>'.$res['client_name'].'</td>
					</tr>
					<tr>
						<td>Sales Person</td>
						<td>:</td>
						<td>'.$res['salesman_name'].'</td>
					</tr>
					<tr>
						<td>Quotation Total</td>
						<td>:</td>
						<td>'.$res['currency_code'].'. '.number_format( $res['quotation_total'],2).'</td>
					</tr>
					<tr>
						<td>Quotation Discount</td>
						<td>:</td>
						<td>'.$res['currency_code'].'. '.number_format( $res['quotation_discount_amount'],2).'</td>
					</tr>
					<tr>
						<td><b>Net Amount</b></td>
						<td>:</td>
						<td>'.$res['currency_code'].'. '.number_format( $res['quotation_total']-$res['quotation_discount_amount'],2).'</td>
					</tr>
					<tr>
						<td>Advance Amount</td>
						<td>:</td>
						<td>'.$res['currency_code'].'. '.number_format($res['advance_amount'],2).'</td>
					</tr>
				</table>';

				$this->tw_email->send($from,$fromname,$to,$subject,$message);
				
				$this->tw_email->send($from,$fromname,$res['salesman_email_id'],$subject,$message);

				/*	email notification end		*/



				$data["quotation_cprid"] = 	$this->input->post('client_cpr_number');
				$data["quotation_status"] = $this->input->post('quotation_status');
				$data["quotation_confirmationdate"] = date('Y-m-d h:m:s');



			}else if(($this->input->post('quotation_status') == 'Draft') or ($this->input->post('quotation_status') == 'Open')){
				
				
				$where = array('id'	=> $this->session->userdata('furniture_quotation_id'));		
				$data_quo['quotation_date'] = date('Y-m-d');									
				$rr_quo = $this->crud_model->update('furniture_quotation',$data_quo,$where);	
												
				if ($this->input->post('quotation_status') == 'Open'){
					$approval_query= $this->db->query("SELECT * FROM `approval` WHERE `module`='1'");
					$approval_query_res   = $approval_query->result();
					$noneflag_1		=	$solelyflag_1	=	$eitherflag_1	=	$bothflag_1		=	$noneflag_2		=	$solelyflag_2	=	$eitherflag_2	=	$bothflag_2	=	0;
					foreach ($approval_query_res as $row){
						if ($row->approval_type_1 =='1'){
							$noneflag_1	=	0;
						}
						if ($row->approval_type_1 =='2'){
							$solelyflag_1	=	1;
						}
						if ($row->approval_type_1 =='3'){
							$eitherflag_1	=	1;
						}
						if ($row->approval_type_1 =='4'){
							$bothflag_1	=	2;
						} 
						if ($row->approval_type_2 =='1'){
							$noneflag_2	=	0;
						}
						if ($row->approval_type_2 =='2'){
							$solelyflag_2	=	1;
						}
						if ($row->approval_type_2 =='3'){
							$eitherflag_2	=	1;
						}
						if ($row->approval_type_2 =='4'){
							$bothflag_2	=	2;
						} 
					}
					$flg	=	$noneflag_1 + $solelyflag_1 + $eitherflag_1 + $bothflag_1 + $noneflag_2 + $solelyflag_2 + $eitherflag_2 + $bothflag_2;
					$flag	=	$flg+1;
					$this->db->where('id', $this->session->userdata('furniture_quotation_id'));
					$this->db->update('furniture_quotation', array( 'flag'=>	$flag));
				}
				$data["quotation_status"] = $this->input->post('quotation_status');
				$this->furniture_quotation_model->check_changes_cloned();


			}else if($this->input->post('quotation_status') == 'Closed'){

				$data["reason_forclose"] = 	$this->input->post('quotation_closed_reason');
				$data["quotation_status"] = $this->input->post('quotation_status');
			}


			$where=array('id'	=> $this->session->userdata('furniture_quotation_id'));

			$this->crud_model->update('furniture_quotation',$data,$where);

			$furniture_quotation_id=$this->session->userdata('furniture_quotation_id');

			$this->session->unset_userdata('furniture_quotation_id');

			$qtn_dets =  $this->furniture_quotation_model->get_full_quotation_details($furniture_quotation_id);
			if($qtn_dets["division_id"] == QMS_GENERAL_QTN_DIV_ID) {
				$general_quotation = 1;
			}

			if($this->input->post('quotation_status') == 'Draft') {

                                if ($qtn_dets["division_id"] == QMS_GENERAL_QTN_DIV_ID)
                                {
                                  redirect('general/general_quotations/index');
                                }  elseif ($qtn_dets["division_id"] == QMS_WORKSHOP_QTN_DIV_ID) {
                                  redirect('workshop/workshop_quotations/index');
                                }
                                   else {
                                  redirect('furniture/furniture_quotations/index');
                                }

                                /*
                                if(isset($general_quotation)) {
					redirect('general/general_quotations/index');
				} else {
					redirect('furniture/furniture_quotations/index');
				} */
			} else {

				if ($qtn_dets["division_id"] == QMS_GENERAL_QTN_DIV_ID)
                                {
                                  redirect('general/general_quotations/index/1/1/'.$furniture_quotation_id);
                                }  elseif ($qtn_dets["division_id"] == QMS_WORKSHOP_QTN_DIV_ID) {
                                  redirect('workshop/workshop_quotations/index/1/1/'.$furniture_quotation_id);
                                }
                                   else {
                                  //redirect('furniture/furniture_quotations/index/1/1/'.$furniture_quotation_id);
								  $this->session->set_flashdata('response','<div class="alert alert-success">Quotation Status Updated Successfully</div>');
								  redirect('manage_quotation/quotation/'.$furniture_quotation_id.'/'.$this->input->post('quotation_divisionid').'/'.$this->input->post('quotation_number').'/'.$this->input->post('quotation_status'));
                                }
                                /*
                                if(isset($general_quotation)) {
					redirect('general/general_quotations/index/1/1/'.$furniture_quotation_id);
				} else {
					redirect('furniture/furniture_quotations/index/1/1/'.$furniture_quotation_id);
				} */
			}

		}

	}


	function discount_check($discount){
		if($discount < 0) {
			return false;
		}
		$rs = $this->crud_model->get('user_groups',array('user_group_id'=>$this->session->userdata('user_group_id')));
		if($rs != false){
			$discount_percentage_allowed = $rs[0]['discount_limit'];
			if($discount_percentage_allowed >= $discount){
				return TRUE;
			}
			else{
				$this->form_validation->set_message('discount_check', 'Allowed maximum discount percentage is '.$discount_percentage_allowed.'%%');
				return FALSE;
			}
		}
		else{
			return false;
		}
	}
	
	function do_close() {
		$this->session->unset_userdata('furniture_quotation_id');
		redirect('furniture/furniture_quotations/index');
	}
} 
?>