<?php
 if (!defined('BASEPATH')) exit('No direct script access allowed');
 
 
class Furniture_quotation_client_project extends CI_Controller {

	function __construct() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true) {
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('cookie');
		
	}
	
	
	function index($quotation_id=NULL) {
		if($this->crud_model->check_permission("furniture_quotations","add")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$data['project_list'] = array('select'=>' - Select - ');
		$data['project_id'] = '';
		if($quotation_id== NULL) {
			$this->session->set_userdata('quotation_mode','new');
			$data['quotation_mode']='new';
		
		} else {
			
			// Edit Quotation
			if(!($this->furniture_quotation_model->check_privilege($quotation_id))) {
					$this->session->set_flashdata('response',
						'<div class="alert alert-error">Sorry! You don\'t have the privilege to modify this quotation.</div>');
					redirect('furniture/furniture_quotations');
			}
			
			// Good to go.
			
			$where=array('furniture_quotation.id' => $quotation_id);
						
			$records=$this->crud_model->get_view_furniture_quotations_client_project_users($where);
			
			$quotation_status = $records[0]['quotation_status'];
			
						
			if( $quotation_status == "Open" ) {
				$this->session->set_userdata('quotation_mode','edit');
			} else {
				$this->session->set_userdata('quotation_mode','draft');
			}

			$this->session->set_userdata('furniture_quotation_id',$quotation_id);
						
			$data['quotation_mode']='edit';
						
			$data["quotation_divisionid"] = $records[0]["quotation_divisionid"];
			$data["division_name"] = $records[0]["division_name"];
			
			
			$data["quotation_currencyid"] = $records[0]["quotation_currencyid"];
			$data["quotation_number_full"]=$records[0]["division_code"] . "-". $records[0]["quotation_number"] . "-" . $records[0]["quotation_revisionnumber"];
			
			
			$data["client_name"] = $records[0]["client_name"];
			$data["client_address"] = $records[0]["client_address"];
			$data["client_country"] = $records[0]["client_country"];
			$data["client_telephone1"] = $records[0]["client_telephone1"];
			$data["client_telephone2"] = $records[0]["client_telephone2"];
			$data["client_fax"] = $records[0]["client_fax"];
			$data["client_email"] = $records[0]["client_email"];			
			$data["client_id"] = $records[0]["client_id"];
			$data["contact_person"] = $records[0]["contact_person"];
			
			$data["project_name"] = $records[0]["project_name"];
			$data["project_location"] = $records[0]["project_location"];
			$data["project_remarks"] = $records[0]["project_remarks"];	
			
			$like=null;
			if($records[0]["client_id"]!=''){
				$like=array('client_id'=>$records[0]["client_id"]);
			}
			
			$prolist = $this->crud_model->get_list('project_id','project_name','projects',array('select'=>' - Select - '),$like);
			$data['project_list'] = $prolist;
			$data['project_id'] = $records[0]["project_location"];
						
		}		

		$list = $this->crud_model->get_list('division_id','division_name','company_division',array('select'=>' - Select - '));
		$data['division_list'] = $list;
		
		$data=html_escape($data);
		
		$this->load->view('templates/header');
		//$this->load->view('templates/header1');
		$this->load->view('furniture/quotations/furniture_quotation_client_project/client_project_view',$data);
		//$this->load->view('templates/footer');
		$this->load->view('templates/footer1');
	
	
	}
	
	
	function search_client() {
	
		$search_name = trim($this->input->post('search_name'));
		$search_mob = trim($this->input->post('search_mob'));
		
		//$search_name = 'imp';
		
		$or_where=array();
		$like=null;
		if($search_mob !='') {
			$or_where=array('client_telephone1'=>$search_mob,
							'client_telephone2'=>$search_mob);
		
		}	

		if($search_name!=''){
			$like=array('client_name'=>$search_name);
		}
		
		$records['client_list']=$this->crud_model->get('new_client_master',array(), null,null,null,null,$like, $or_where);
						
		if($records['client_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/furniture_quotation_client_project/search_result', $records);
			
		}
		
	}
	function search_project() {
	
		$project_name = trim($this->input->post('project_name'));
		
		$like=null;	

		if($project_name!=''){
			$like=array('project_name'=>$project_name);
		}
		
		$records['project_list']=$this->crud_model->get('projects',array(), null,null,null,null,$like,null);
						
		if($records['project_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/furniture_quotation_client_project/project_result', $records);
			
		}
		
	}
	function search_project2() {
		$like=null;
		$client = trim($this->input->post('search_client'));
		if($client!=''){
			$like=array('project_name'=>$client);
		}
		$project_data = $this->db->query("SELECT * FROM `projects` WHERE `client_id`='$client' ");
		$html='<option value="" >- Select -</option>';
		if ($project_data->result_array()){
			foreach ($project_data->result_array() as $row ){
				$html.='<option value="'.$row['project_id'].'" >'.$row['project_name'].'</option>';
			}
			echo $html;
		} else {
			echo '0';
		}
	}
	
	function save_project() {
		$this->form_validation->set_rules('pop_client_id', 'Client Name', 'required');
		$this->form_validation->set_rules('project_id1', 'Project ID', 'is_unique[projects.project_id]');
		$this->form_validation->set_rules('project_name1', 'Project Name', 'required');
		$this->form_validation->set_rules('pop_up_contact_person', 'Contact Person', 'required');
		
		$client_id  		=   $this->input->post('pop_client_id');
		$project_id  		=   $this->input->post('project_id1');
		$project_name  		=   $this->input->post('project_name1');
		$contact_person  	=   $this->input->post('pop_up_contact_person');

		if ($this->form_validation->run() == FALSE) {
				echo "unique";
		} else {
			$data=array(
				'client_id' 				=>	$client_id,
				'project_id' 				=>	$project_id,
				'project_name' 				=>	$project_name,
				'project_contect_person' 	=>	$contact_person
			);

			$records=$this->crud_model->insert('projects',$data);

			if($records == false){
				echo false;
			}else{
				echo json_encode($data);
			}
		}
	}
	
	function project_contact_person() {
		$like=null;
		$project_id = trim($this->input->post('project_id'));
		$project_data = $this->db->query("SELECT * FROM `projects` WHERE `project_id`='$project_id' ");
		if ($project_data->row()){
			$data	=	json_encode(array($project_data->row()->project_name,$project_data->row()->project_contect_person));
			print $data;
		} else {
			echo '0';
		}
	}
	function existing_search_client() {
	
		$client_email_id = $this->input->post('client_email_id');
		$client_phone_number1 = $this->input->post('client_phone_number1');
		$client_phone_number2 = $this->input->post('client_phone_number2');
		//$or_where=array();
	    //$where=array('client_email'=>$client_email_id);
		$or_where=array('client_email'=>$client_email_id,
							'client_telephone1'=>$client_phone_number1,'client_telephone2'=>$client_phone_number2);
		//$records['client_list']=$this->crud_model->get('new_client_master',array(), null,null,null,null,null, $or_where);
		
		$up_data = $this->db->query("SELECT * FROM `new_client_master` WHERE (`client_email`='$client_email_id' AND `client_email`!='') OR `client_telephone1`='$client_phone_number1' OR (`client_telephone2`='$client_phone_number2' AND `client_telephone2`!='')");
		
		$records['client_list'] = $up_data->result_array();
						
		if($records['client_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/furniture_quotation_client_project/search_result', $records);
			
		}
		
	}
	
	
	
	function update() {
		
		if($this->session->userdata('quotation_mode') != false && $this->session->userdata('quotation_mode') != 'new') {
		
			if(!($this->furniture_quotation_model->check_privilege($this->session->userdata('furniture_quotation_id')))) {
					$this->session->set_flashdata('response',
						'<div class="alert alert-error">Sorry! You don\'t have the privilege to modify this quotation.</div>');
					redirect('furniture/furniture_quotations');
			}
		}		
		
		
		$this->form_validation->set_rules('client_name', 'Client Name', 'required|max_length[100]');
		$this->form_validation->set_rules('client_address', 'Client Address', 'required|max_length[200]');
		$this->form_validation->set_rules('client_phone_number1', 'Telephone 1', 'required|numeric|max_length[20]');
		$this->form_validation->set_rules('client_phone_number2', 'Telephone 2', 'numeric|max_length[20]');
		$this->form_validation->set_rules('client_fax_number', 'Fax', 'numeric|max_length[20]');
		//$this->form_validation->set_rules('client_email_id', 'Client Email ID', 'required|valid_email|max_length[100]');
		$this->form_validation->set_rules('contact_person', 'Contact Person', 'required|max_length[100]');
		$this->form_validation->set_rules('project_name', 'Project Name', 'required|max_length[100]');
		$this->form_validation->set_rules('project_more_details', 'Project More details', 'max_length[200]');
		
		/*$this->db->select('*');
		$this->db->from('new_client_master');
		$this->db->where('client_telephone1', $this->input->post('client_phone_number1'));
		$this->db->or_where('client_telephone2', $this->input->post('client_phone_number2')); 
		$this->db->or_where('client_email', $this->input->post('client_email_id'));*/
		
		$client_phone_number1 = $this->input->post('client_phone_number1');
		$client_phone_number2 = $this->input->post('client_phone_number2');
		$client_email_id = $this->input->post('client_email_id'); 
		$up_data = $this->db->query("SELECT * FROM `new_client_master` WHERE (`client_email`='$client_email_id' AND `client_email`!='') OR `client_telephone1`='$client_phone_number1' OR (`client_telephone2`='$client_phone_number2' AND `client_telephone2`!='')");
		
		if ($this->form_validation->run() == false)	{
			// false section
			echo validation_errors();
			return;
		}else if($_POST['client'] == "new_client" && $up_data->num_rows() > 0){
			echo "Duplication in Email ID,Telephone 1 and Telephone 2 are not allowed";
			return;
		} else{
		
			$quotation_mode=$this->session->userdata('quotation_mode');
			
			//Updating Client Master
			$client_selection = $this->input->post('client');
			
			$data=array(
			  'client_name' => $this->input->post('client_name'),
			  'client_address' => $this->input->post('client_address'),
			  'client_country' => $this->input->post('client_country'),
			  'client_telephone1' => $this->input->post('client_phone_number1'),
			  'client_telephone2' => $this->input->post('client_phone_number2'),
			  'client_fax' => $this->input->post('client_fax_number'),
			  'client_email' => $this->input->post('client_email_id'),
			  'contact_person' => $this->input->post('contact_person')
			);
			
				
			if($client_selection=="search") {
				echo "<p>Missing Client Details</p>";
				return;
			} elseif($client_selection=="new_client") {
				
				$new_client_id=$this->crud_model->insert('new_client_master',$data);
				
				
			} else {
				$where = array('client_id' => $client_selection);
				$this->crud_model->update('new_client_master',$data,$where);
				$new_client_id=$client_selection;
			}
			
				
			if($quotation_mode == 'new') {
		
				$this->furniture_quotation_model->set_quotation_id($this->input->post('textfield2'));
				$data=array(
				'client_id' => $new_client_id,
				'project_name' => $this->input->post('project_name'),
				'quotation_revisionnumber' => 0,
				'project_location' => $this->input->post('project_location'),
				'project_remarks' => $this->input->post('project_more_details'),
				'quotation_divisionid' => $this->input->post('textfield2'),
				'quotation_currencyid ' => $this->input->post('currency'),
				'quotation_status' => "Draft",
				'last_modified_by' => $this->session->userdata('user_id'),
				'last_modified_date' => date('Y-m-d h:m:s'));
				if ($this->input->post('hidden_newclient')=='1'){
					$pro_data=array(
						'client_id' => $new_client_id,
						'project_id' => $this->input->post('project_location'),
						'project_name' => $this->input->post('project_name'),
						'project_contect_person' => $this->input->post('project_more_details'),
					);
					$this->crud_model->insert('projects',$pro_data);
				}
			} else {
			
				$this->furniture_quotation_model->check_changes_cloned();
				$data=array(
				'client_id' => $new_client_id,
				'project_name' => $this->input->post('project_name'),
				'project_location' => $this->input->post('project_location'),
				'project_remarks' => $this->input->post('project_more_details'),
				'quotation_currencyid ' => $this->input->post('currency'),
				'last_modified_by' => $this->session->userdata('user_id'),
				'last_modified_date' => date('Y-m-d h:m:s') );
	
			}
			$this->session->set_userdata('division_val_id',$this->input->post('textfield2'));
			$cookie_division_val = array(
					'name'   => 'division_val_id',
					'value'  => $this->input->post('textfield2'),
					'expire' => 60*60*24*60
				);
				$this->input->set_cookie($cookie_division_val);
			$curr_quotation_id = $this->session->userdata('furniture_quotation_id');
			$where = array('id' => $curr_quotation_id);
			$this->crud_model->update('furniture_quotation',$data,$where);
				
			$cookie_currency = array(
				'name'   => 'currency_value',
				'value'  => $this->input->post('currency'),
				'expire' => 60*60*24*60
			);
			$this->input->set_cookie($cookie_currency);
			
			if($this->input->post('division') != false) {
				
				$cookie_division = array(
					'name'   => 'division_value',
					'value'  => $this->input->post('division'),
					'expire' => 60*60*24*60
				);
				$this->input->set_cookie($cookie_division);
				
			}
					
			
			if($quotation_mode == 'new') {
				$this->session->set_flashdata('response','<div class="alert alert-error">New quotation is created.</div>',':old:');
			} else {
				$this->session->set_flashdata('response','<div class="alert alert-error">The quotation has been updated.</div>',':old:');
			}
			echo '1';
			return;
		
		}
	}// Function update
	
} // Closing of main class
?>