<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Furniture_quotations extends CI_Controller {

	function __construct() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		if($this->crud_model->check_permission("furniture_quotations","view")==false && $this->session->userdata('default_controller_name')!="furniture/furniture_quotations"){
			if($this->session->userdata('default_controller_name')=="furniture/furniture_quotations"){
				$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
				redirect($this->session->userdata('default_controller_name'));
			} else {
				redirect($this->session->userdata('default_controller_name'));
			}
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}

	public function index($page=1, $print_view=0, $print_quotation_id=0) {

		$where = array();
		$where1 = array('view_furniture_quotations_client_project_users.project_status !=' => '1');
		$delivery_where = array('view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00','view_furniture_quotations_client_project_users.project_status !=' => '1');
		//$where = array('furniture_quotation.quotation_divisionid' => 11);
		if($this->session->userdata('user_group_id') != 1){
			$where = array('furniture_quotation.salesman_id' => $this->session->userdata('user_id'));
		}

		$config['per_page']		= 2000;
		$config['base_url'] 	= site_url('furniture/furniture_quotations/index/');
		$config['total_rows'] 	= $this->crud_model->get_view_furniture_quotations_client_project_users_count($where);
		$offset = ($page-1) * $config['per_page'];

		/*$data['records'] = $this->crud_model->get_view_furniture_quotations_client_project_users
                                                                       ($where,$config['per_page'],$offset,'furniture_quotation.last_modified_date','desc');
                */
                if($this->session->userdata('user_group_id') != 1){
			$where = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'));
			$where1 = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'),'view_furniture_quotations_client_project_users.project_status !=' => '1');
			//$delivery_where = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'),'view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00','view_furniture_quotations_client_project_users.project_status !=' => '1');
		}
                $data['records'] = $this->crud_model->get('view_furniture_quotations_client_project_users',
				$where1,
				$config['per_page'],
				$offset,
				'quotation_id',
				'desc');
				
				$data['delivery_records'] = $this->crud_model->get('view_furniture_quotations_client_project_users',
				$delivery_where,
				5,
				0,
				'delivery_date',
				'asc');

		/*To handle previous versions code start*/
		$data['old_quotations']=array();
		if($data['records'] != false) {
			foreach($data['records'] as $record) {
				//var_dump($record);echo "<br/><br/>";
				//$data['old_quotations'][$record['quotation_number']]=array();
				if($record['quotation_revisionnumber'] == 0) {
					continue;
				}
				$where=array('quotation_number'=>$record['quotation_number'],'quotation_divisionid'=>$record['quotation_divisionid']);
				$quotation_data=$this->crud_model->get_view_furniture_quotations_client_project_users($where, null,null, 'furniture_quotation.quotation_revisionnumber', 'asc');
				foreach($quotation_data as $single_quotation) {
					$data['old_quotations'][$record['quotation_number']][$record['quotation_divisionid']][$single_quotation['quotation_revisionnumber']]=$single_quotation['id'];
				}
				//var_dump($data['old_quotations']); echo "<br/><br/>";
				unset($data['old_quotations'][$record['quotation_number']][$record['quotation_divisionid']][$record['quotation_revisionnumber']]);

			}// End of foreach($data['records'] as $record)
			/*To handle previous versions code end*/

		}
		//exit;

		$this->pagination->initialize($config);
		$data['pagination'] = $this->pagination->create_links();
		$data['print_view']=$print_view;
		$data['print_quotation_id']=$print_quotation_id;
		$data=html_escape($data);
		//$list = $this->crud_model->get_list('division_id','division_name','company_division',array('all'=>' - All Divisions - '));
		$list = $this->crud_model->get_list('division_id','division_name','company_division',array());

		//unset($list[QMS_GENERAL_QTN_DIV_ID]);
		//unset($list[QMS_WORKSHOP_QTN_DIV_ID]);

		$data['division_list'] = $list;
		
		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/quotation',$data);
		$this->load->view('templates/footer');
	}

	public function view($quotation_id) {

		$records = $this->furniture_quotation_model->get_full_quotation_details($quotation_id);

		if($records == false) {
				$this->session->set_flashdata('response','<div class="alert alert-error">Please Select a Quotation First..</div>');
				redirect('furniture/furniture_quotations');
		}

		if($records['quotation_status'] == "Draft") {
			$this->session->set_flashdata('response','<div class="alert alert-error">Sorry! Access denied.</div>');
			redirect('furniture/furniture_quotations');
		}

		$data['quotation_number'] = $records['quotation_number'];
		$data['quotation_revision_number'] = $records['quotation_revisionnumber'];
		$data['quotation_date'] = $records['quotation_date'];

		$data['salesman_name'] = $records['salesman_name'];
		$data['salesman_direct_number'] = $records['salesman_direct_number'];
		$data['salesman_contact_number'] = $records['salesman_contact_number'];
		$data['salesman_email_id'] = $records['salesman_email_id'];

		$data['client_name'] = $records['client_name'];
		$data['client_address'] = $records['client_address'];
		$data['client_phone_number1'] = $records['client_telephone1'];
		$data['client_phone_number2'] = $records['client_telephone2'];
		$data['client_fax_number'] = $records['client_fax'];
		$data['client_email_id'] = $records['client_email'];

		$data['covering_letter'] = $records['covering_letter'];
		$data['furniture_items'] = $records['furniture_items'];

		$data['exstock_payment_text'] = $records['exstock_payment_text'];
		$data['exstock_payment_label'] = $records['exstock_payment_label'];
		$data['byorder_payment_label'] = $records['byorder_payment_label'];
		$data['byorder_payment_text'] = $records['byorder_payment_text'];

		$data['currency_code'] = $records['currency_code'];
		$data['currency_name'] = $records['currency_name'];

		$data['advance'] = $this->furniture_quotation_model->get_quotation_advance($quotation_id);

		$data['division_code'] = $records['division_code'];

		$data['logos_url'] = array();
		$logos_id = explode(",",$records['quotation_logos']);
		foreach($logos_id as $key=>$logo_id) {
			$where = array('logo_id' => $logo_id);
			$logo = $this->crud_model->get('logos',$where);
			if($logo[0]['logo_filename']){
				array_push($data['logos_url'], $logo[0]['logo_filename']);
			}
		}

		$data['quotation_discount_amount'] = $records['quotation_discount_amount'];
		$data['advance_amount'] = $records['advance_amount'];
		$data['discount_percentage'] = $records['discount_percentage'];
		$data['quotation_net_total'] = $records['quotation_net_total'];
		$data['quotation_total'] = $records['quotation_total'];

		$data['logos'] = $records['quotation_logos'];

		$this->load->view('furniture/quotations/view',$data);

	}

	public function view_intl($quotation_id) {

		$records = $this->furniture_quotation_model->get_full_quotation_details($quotation_id);

		if($records == false) {
				$this->session->set_flashdata('response','<div class="alert alert-error">Please Select a Quotation First..</div>');
				redirect('furniture/furniture_quotations');
		}

		if($records['quotation_status'] == "Draft") {
			$this->session->set_flashdata('response','<div class="alert alert-error">Sorry! Access denied.</div>');
			redirect('furniture/furniture_quotations');
		}

		$data['quotation_number'] = $records['quotation_number'];
		$data['quotation_revision_number'] = $records['quotation_revisionnumber'];
		$data['quotation_date'] = $records['quotation_date'];

		$data['salesman_name'] = $records['salesman_name'];
		$data['salesman_direct_number'] = $records['salesman_direct_number'];
		$data['salesman_contact_number'] = $records['salesman_contact_number'];
		$data['salesman_email_id'] = $records['salesman_email_id'];

		$data['client_name'] = $records['client_name'];
		$data['client_address'] = $records['client_address'];
		$data['client_phone_number1'] = $records['client_telephone1'];
		$data['client_phone_number2'] = $records['client_telephone2'];
		$data['client_fax_number'] = $records['client_fax'];
		$data['client_email_id'] = $records['client_email'];

		$data['covering_letter'] = $records['covering_letter'];
		$data['furniture_items'] = $records['furniture_items'];

		$data['exstock_payment_text'] = $records['exstock_payment_text'];
		$data['exstock_payment_label'] = $records['exstock_payment_label'];
		$data['byorder_payment_label'] = $records['byorder_payment_label'];
		$data['byorder_payment_text'] = $records['byorder_payment_text'];

		$data['currency_code'] = $records['currency_code'];
		$data['currency_name'] = $records['currency_name'];

		$data['advance'] = $this->furniture_quotation_model->get_quotation_advance($quotation_id);

		$data['division_code'] = $records['division_code'];

		$data['logos_url'] = array();
		$logos_id = explode(",",$records['quotation_logos']);
		foreach($logos_id as $key=>$logo_id) {
			$where = array('logo_id' => $logo_id);
			$logo = $this->crud_model->get('logos',$where);
			if($logo[0]['logo_filename']){
				array_push($data['logos_url'], $logo[0]['logo_filename']);
			}
		}

		$data['quotation_discount_amount'] = $records['quotation_discount_amount'];
		$data['discount_percentage'] = $records['discount_percentage'];
		$data['quotation_net_total'] = $records['quotation_net_total'];
		$data['quotation_total'] = $records['quotation_total'];

		$data['logos'] = $records['quotation_logos'];

		$this->load->view('furniture/quotations/view_intl',$data);

	}


        public function view_ver2($quotation_id) {

		$records = $this->furniture_quotation_model->get_full_quotation_details($quotation_id);

		if($records == false) {
				$this->session->set_flashdata('response','<div class="alert alert-error">Please Select a Quotation First..</div>');
				redirect('furniture/furniture_quotations');
		}

		if($records['quotation_status'] == "Draft") {
			$this->session->set_flashdata('response','<div class="alert alert-error">Sorry! Access denied.</div>');
			redirect('furniture/furniture_quotations');
		}

		$data['quotation_number'] = $records['quotation_number'];
		$data['quotation_revision_number'] = $records['quotation_revisionnumber'];
		$data['quotation_date'] = $records['quotation_date'];

		$data['salesman_name'] = $records['salesman_name'];
		$data['salesman_direct_number'] = $records['salesman_direct_number'];
		$data['salesman_contact_number'] = $records['salesman_contact_number'];
		$data['salesman_email_id'] = $records['salesman_email_id'];

		$data['client_name'] = $records['client_name'];
		$data['client_address'] = $records['client_address'];
		$data['client_phone_number1'] = $records['client_telephone1'];
		$data['client_phone_number2'] = $records['client_telephone2'];
		$data['client_fax_number'] = $records['client_fax'];
		$data['client_email_id'] = $records['client_email'];

		$data['covering_letter'] = $records['covering_letter'];
		$data['furniture_items'] = $records['furniture_items'];

		$data['exstock_payment_text'] = $records['exstock_payment_text'];
		$data['exstock_payment_label'] = $records['exstock_payment_label'];
		$data['byorder_payment_label'] = $records['byorder_payment_label'];
		$data['byorder_payment_text'] = $records['byorder_payment_text'];

		$data['currency_code'] = $records['currency_code'];
		$data['currency_name'] = $records['currency_name'];

		$data['advance'] = $this->furniture_quotation_model->get_quotation_advance($quotation_id);

		$data['division_code'] = $records['division_code'];

		$data['logos_url'] = array();
		$logos_id = explode(",",$records['quotation_logos']);
		foreach($logos_id as $key=>$logo_id) {
			$where = array('logo_id' => $logo_id);
			$logo = $this->crud_model->get('logos',$where);
			if($logo[0]['logo_filename']){
				array_push($data['logos_url'], $logo[0]['logo_filename']);
			}
		}

		$data['quotation_discount_amount'] = $records['quotation_discount_amount'];
		$data['discount_percentage'] = $records['discount_percentage'];
		$data['quotation_net_total'] = $records['quotation_net_total'];
		$data['quotation_total'] = $records['quotation_total'];

		$data['logos'] = $records['quotation_logos'];

		$this->load->view('furniture/quotations/view_ver2',$data);

	}

        public function view_dn($quotation_id) {

		$records = $this->furniture_quotation_model->get_full_quotation_details($quotation_id);

		if($records == false) {
				$this->session->set_flashdata('response','<div class="alert alert-error">Please Select a Quotation First..</div>');
				redirect('furniture/furniture_quotations');
		}

		if($records['quotation_status'] == "Draft") {
			$this->session->set_flashdata('response','<div class="alert alert-error">Sorry! Access denied.</div>');
			redirect('furniture/furniture_quotations');
		}

		$data['quotation_number'] = $records['quotation_number'];
		$data['quotation_revision_number'] = $records['quotation_revisionnumber'];
		$data['quotation_date'] = $records['quotation_date'];

		$data['salesman_name'] = $records['salesman_name'];
		$data['salesman_direct_number'] = $records['salesman_direct_number'];
		$data['salesman_contact_number'] = $records['salesman_contact_number'];
		$data['salesman_email_id'] = $records['salesman_email_id'];

		$data['client_name'] = $records['client_name'];
		$data['client_address'] = $records['client_address'];
		$data['client_phone_number1'] = $records['client_telephone1'];
		$data['client_phone_number2'] = $records['client_telephone2'];
		$data['client_fax_number'] = $records['client_fax'];
		$data['client_email_id'] = $records['client_email'];

		$data['covering_letter'] = $records['covering_letter'];
		$data['furniture_items'] = $records['furniture_items'];

		$data['exstock_payment_text'] = $records['exstock_payment_text'];
		$data['exstock_payment_label'] = $records['exstock_payment_label'];
		$data['byorder_payment_label'] = $records['byorder_payment_label'];
		$data['byorder_payment_text'] = $records['byorder_payment_text'];

		$data['currency_code'] = $records['currency_code'];
		$data['currency_name'] = $records['currency_name'];

		$data['advance'] = $this->furniture_quotation_model->get_quotation_advance($quotation_id);

		$data['division_code'] = $records['division_code'];

		$data['logos_url'] = array();
		$logos_id = explode(",",$records['quotation_logos']);
		foreach($logos_id as $key=>$logo_id) {
			$where = array('logo_id' => $logo_id);
			$logo = $this->crud_model->get('logos',$where);
			if($logo[0]['logo_filename']){
				array_push($data['logos_url'], $logo[0]['logo_filename']);
			}
		}

		$data['quotation_discount_amount'] = $records['quotation_discount_amount'];
		$data['discount_percentage'] = $records['discount_percentage'];
		$data['quotation_net_total'] = $records['quotation_net_total'];
		$data['quotation_total'] = $records['quotation_total'];

		$data['logos'] = $records['quotation_logos'];

		$this->load->view('furniture/quotations/view_dn',$data);

	}


	public function filter_quotation() {

		$this->form_validation->set_rules('filter_division', 'Company Divisions', 'required'); // For set_value()
		$this->form_validation->set_rules('filter_by', 'Filter Category', 'required'); // For set_value()

                if($this->input->post('filter_division') == "all" || $this->session->userdata('user_group_id') != 1) {
			$this->form_validation->set_rules('filter_value', 'Quotation Number/Client Name', 'required');
		}
		if ($this->form_validation->run() == FALSE) {
			// false section
			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$this->index();
			return;
		}

		$like=null;
		$or_where=null;
		$where=array();
		$delivery_where = array('view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00');

		if($this->input->post('filter_by') == 1) {
			$where=array('view_furniture_quotations_client_project_users.quotation_number'=>$this->input->post('filter_value'));
			$delivery_where = array('view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00','view_furniture_quotations_client_project_users.quotation_number'=>$this->input->post('filter_value'));
		} elseif($this->input->post('filter_by') == 2) {
			$like=array('view_furniture_quotations_client_project_users.client_name'=> $this->input->post('filter_value'));
		} else {
			$or_where = array('view_furniture_quotations_client_project_users.client_telephone1'=>$this->input->post('filter_value'),
							'view_furniture_quotations_client_project_users.client_telephone2'=>$this->input->post('filter_value'));
		}
		// Handling Empty Text Field.
		if($this->input->post('filter_value') == "") {
			$where=array();
			$or_where=array();
		}

                if(($this->input->post('filter_division') != 'all') && $this->session->userdata('user_group_id') != 1) {
			//$where ['quotation_divisionid'] = $this->input->post('filter_division');

			$where = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'),'quotation_divisionid'=>$this->input->post('filter_division'));
			$delivery_where = array('view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00','quotation_divisionid'=>$this->input->post('filter_division'));

		} else {
                        $where ['quotation_divisionid'] = $this->input->post('filter_division');
						$delivery_where = array('view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00','quotation_divisionid'=>$this->input->post('filter_division'));
                }

		$data['records'] = $this->crud_model->get('view_furniture_quotations_client_project_users',
				$where,
				null,
				null,
				'quotation_id',
				'desc', $like, $or_where);
				
		$data['delivery_records'] = $this->crud_model->get('view_furniture_quotations_client_project_users',
				$delivery_where,
				5,
				0,
				'delivery_date',
				'asc', $like, $or_where);
 

		if($data['records'] == false && $data['delivery_records'] == false) {
			$this->session->set_flashdata('response','<div class="alert alert-error">No matching quotation found</div>',':old:');
			$this->index();
			return;
		}

		if($this->session->userdata('user_group_id') != 1){
			foreach($data['records'] as $index=>$furniture_item) {
				if($furniture_item['quotation_status'] == 'Confirmed') {
					continue;
				} else if ($furniture_item['salesman_id']!= $this->session->userdata('user_id') ){

					unset($data['records'][$index]);
				}
			}

		}

		/*To handle previous versions code start*/
		$data['old_quotations']=array();

		foreach($data['records'] as $record){

			$data['old_quotations'][$record['quotation_number']]=array();

			if($record['quotation_revisionnumber'] == 0) {
				continue;
			}

			$where=array('furniture_quotation.quotation_number'=>$record['quotation_number'],'quotation_divisionid'=>$record['quotation_divisionid']);
			$quotation_data=$this->crud_model->get_view_furniture_quotations_client_project_users($where, null,null, 'furniture_quotation.quotation_revisionnumber', 'asc');

			foreach($quotation_data as $single_quotation) {

				$data['old_quotations'][$record['quotation_number']][$record['quotation_divisionid']][$single_quotation['quotation_revisionnumber']]=$single_quotation['id'];
			}
			unset($data['old_quotations'][$record['quotation_number']][$record['quotation_divisionid']][$record['quotation_revisionnumber']]);

		}// End of foreach($data['records'] as $record)
		/*To handle previous versions code end*/


		$data['pagination'] = '';

		$data['print_view']=0;
		$data['print_quotation_id']=0;
		//$list = $this->crud_model->get_list('division_id','division_name','company_division',array('all'=>' - All Divisions - '));
		$list = $this->crud_model->get_list('division_id','division_name','company_division',array());
		//unset($list[QMS_GENERAL_QTN_DIV_ID]);
		unset($list[QMS_WORKSHOP_QTN_DIV_ID]);
		$data['division_list'] = $list;




		$data=html_escape($data);
		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/quotation',$data);
		$this->load->view('templates/footer');


	}

	public function view_old_version($quotation_id){
		$records = $this->furniture_quotation_model->get_full_quotation_details($quotation_id, 'multiple');
		$data['furniture_itemlist'] = $this->crud_model->get('furniture_items', array('furniture_items.quotation_id'=>$quotation_id), null, null, "ex_furniture_area", "ASC", null, null, null, "furniture_area");
		if($records == false) {
				$this->session->set_flashdata('response','<div class="alert alert-error">Please Select a Quotation First..</div>');
				redirect('furniture/furniture_quotations');
		}

		if($records['quotation_status'] == "Draft") {
			$this->session->set_flashdata('response','<div class="alert alert-error">Sorry! Access denied.</div>');
			redirect('furniture/furniture_quotations');
		}		
		
		$data['quotation_number'] = $records['quotation_number'];
		$data['quotation_revision_number'] = $records['quotation_revisionnumber'];
		$data['quotation_date'] = $records['quotation_date'];
		$data['quotation_number_full']		= $records['division_code']."-".$records['quotation_number'] . "-". $records['quotation_revisionnumber'];
		$data['salesman_name'] = $records['salesman_name'];
		
		$data['client_name'] = $records['client_name'];
		$data['client_address'] = $records['client_address'];
		$data['client_telephone1'] = $records['client_telephone1'];
		$data['client_telephone2'] = $records['client_telephone2'];
		$data['client_fax'] = $records['client_fax'];
		$data['client_email'] = $records['client_email'];
		
		$data['covering_letter'] = $records['covering_letter'];
		$data['furniture_items'] = $records['furniture_items'];
		
		$data['exstock_payment_text'] = $records['exstock_payment_text'];
		$data['exstock_payment_label'] = $records['exstock_payment_label'];
		$data['byorder_payment_label'] = $records['byorder_payment_label'];
		$data['byorder_payment_text'] = $records['byorder_payment_text'];
		$data['terms_and_conditions'] = $records['terms_and_conditions'];
		$data['project_remarks'] = $records['project_remarks'];
		
		$data['currency_code'] = $records['currency_code'];
		$data['currency_name'] = $records['currency_name'];
		$data['contact_person'] = $records['contact_person'];
		$data['division_id'] = $records['division_id'];
                $data['quotation_logos'] = $records['quotation_logos'];
		
		$data['advance'] = $this->furniture_quotation_model->get_quotation_advance($quotation_id);
		
		$data['division_code'] = $records['division_code'];

		$data['logos_url'] = array();
		$logos_id = explode(",",$records['quotation_logos']);
		foreach($logos_id as $key=>$logo_id) {
			$where = array('logo_id' => $logo_id);
			$logo = $this->crud_model->get('logos',$where); 
			if($logo[0]['logo_filename']){
				array_push($data['logos_url'], "images/logos/".$logo[0]['logo_filename']);
			}
		}
		
		$data['quotation_discount_amount'] = $records['quotation_discount_amount'];
		$data['discount_percentage'] = $records['discount_percentage'];
		$data['quotation_net_total'] = $records['quotation_net_total'];
		$data['quotation_total'] = $records['quotation_total'];
		$data['advance_amount'] = $records['advance_amount'];
		$data['logos'] = $records['quotation_logos'];
		
		//$this->load->view('furniture/quotations/view',$data);
		$data['image']	=	"without_image";
		$data['print_type'] = "normal_print_type";
		$data['chekval'] = 0;
		$data['without_sub'] = 0;
		$data['without_group'] = 0;
		
		$query = $this->db->get('company_details');  
		$data['company_details'] = $query->row();
		
		$this->load->view('general/quotations/printnormal',$data);
	}
	public function upcoming_deliveries($type="", $page=1, $print_view=0, $print_quotation_id=0) {
	
		$five_date = date('Y-m-d', strtotime("+4 days"));

		$where = array();
		if($type==1){
		    $delivery_where = array('view_furniture_quotations_client_project_users.delivery_date <=' => $five_date,'view_furniture_quotations_client_project_users.delivery_date >=' => date('Y-m-d'),'view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00','view_furniture_quotations_client_project_users.project_status !=' => '1');
		}else if($type==2){
			$delivery_where = array('view_furniture_quotations_client_project_users.delivery_date >' => $five_date,'view_furniture_quotations_client_project_users.delivery_date >=' => date('Y-m-d'),'view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00','view_furniture_quotations_client_project_users.project_status !=' => '1');
		}else if($type==3){
			$delivery_where = array('view_furniture_quotations_client_project_users.delivery_date <' => date('Y-m-d'),'view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00','view_furniture_quotations_client_project_users.project_status !=' => '1');
		}else{
			$delivery_where = array('view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00','view_furniture_quotations_client_project_users.project_status !=' => '1');
		}
		//$where = array('furniture_quotation.quotation_divisionid' => 11);
		if($this->session->userdata('user_group_id') != 1){
			$where = array('furniture_quotation.salesman_id' => $this->session->userdata('user_id'));
		}

		$config['per_page']		= 50;
		$config['base_url'] 	= site_url('furniture/furniture_quotations/index/');
		$config['total_rows'] 	= $this->crud_model->get_view_furniture_quotations_client_project_users_count($where);
		$offset = ($page-1) * $config['per_page'];

		/*$data['records'] = $this->crud_model->get_view_furniture_quotations_client_project_users
                                                                       ($where,$config['per_page'],$offset,'furniture_quotation.last_modified_date','desc');
                */
                if($this->session->userdata('user_group_id') != 1){
			$where = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'));
			/*if($type==1){
		    $delivery_where = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'),'view_furniture_quotations_client_project_users.delivery_date <=' => $five_date,'view_furniture_quotations_client_project_users.delivery_date >=' => date('Y-m-d'),'view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00','view_furniture_quotations_client_project_users.project_status !=' => '1');
		}else if($type==2){
			$delivery_where = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'),'view_furniture_quotations_client_project_users.delivery_date >' => $five_date,'view_furniture_quotations_client_project_users.delivery_date >=' => date('Y-m-d'),'view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00','view_furniture_quotations_client_project_users.project_status !=' => '1');
		}else if($type==3){
			$delivery_where = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'),'view_furniture_quotations_client_project_users.delivery_date <' => date('Y-m-d'),'view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00','view_furniture_quotations_client_project_users.project_status !=' => '1');
		}else{
			$delivery_where = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'),'view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00','view_furniture_quotations_client_project_users.project_status !=' => '1');
		}*/
		}
			
				$data['delivery_records'] = $this->crud_model->get('view_furniture_quotations_client_project_users',
				$delivery_where,
				null,
				null,
				'delivery_date',
				'asc');

		$this->pagination->initialize($config);
		$data['pagination'] = $this->pagination->create_links();
		$data['print_view']=$print_view;
		$data['print_quotation_id']=$print_quotation_id;
		$data=html_escape($data);
		//$list = $this->crud_model->get_list('division_id','division_name','company_division',array('all'=>' - All Divisions - '));
		$list = $this->crud_model->get_list('division_id','division_name','company_division',array());

		//unset($list[QMS_GENERAL_QTN_DIV_ID]);
		//unset($list[QMS_WORKSHOP_QTN_DIV_ID]);

		$data['division_list'] = $list;
		
		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/upcoming_deliveries',$data);
		$this->load->view('templates/footer');
	}
	public function search_upcoming_deliveries($page=1, $print_view=0, $print_quotation_id=0) {
	
		$five_date = date('Y-m-d', strtotime("+4 days"));

		$where = array();
		$like = array();
		if($this->input->post('filter_division') != 'all'){
		$delivery_where = array('view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00','view_furniture_quotations_client_project_users.project_status !=' => '1','view_furniture_quotations_client_project_users.quotation_divisionid' => $this->input->post('filter_division'));
		}
		if($this->input->post('filter_by') == 1 && $this->input->post('filter_value')!="") {
		$delivery_where = array('view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00','view_furniture_quotations_client_project_users.project_status !=' => '1','view_furniture_quotations_client_project_users.quotation_number' => $this->input->post('filter_value'),'view_furniture_quotations_client_project_users.quotation_divisionid' => $this->input->post('filter_division'));
		}
		if($this->input->post('filter_by') == 2 && $this->input->post('filter_value')!="") {
		$delivery_where = array('view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00','view_furniture_quotations_client_project_users.project_status !=' => '1','view_furniture_quotations_client_project_users.quotation_divisionid' => $this->input->post('filter_division'));
		$like=array('view_furniture_quotations_client_project_users.client_name'=> $this->input->post('filter_value'));
		}
		//$where = array('furniture_quotation.quotation_divisionid' => 11);
		if($this->session->userdata('user_group_id') != 1){
			$where = array('furniture_quotation.salesman_id' => $this->session->userdata('user_id'));
		}

		$config['per_page']		= 50;
		$config['base_url'] 	= site_url('furniture/furniture_quotations/index/');
		$config['total_rows'] 	= $this->crud_model->get_view_furniture_quotations_client_project_users_count($where);
		$offset = ($page-1) * $config['per_page'];

		/*$data['records'] = $this->crud_model->get_view_furniture_quotations_client_project_users
                                                                       ($where,$config['per_page'],$offset,'furniture_quotation.last_modified_date','desc');
                */
                if($this->session->userdata('user_group_id') != 1){
			$where = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'));
			/*if($this->input->post('filter_division') != 'all'){
			$delivery_where = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'),'view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00','view_furniture_quotations_client_project_users.project_status !=' => '1','view_furniture_quotations_client_project_users.quotation_divisionid' => $this->input->post('filter_division'));
			}
			if($this->input->post('filter_by') == 1 && $this->input->post('filter_value')!="") {
		$delivery_where = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'),'view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00','view_furniture_quotations_client_project_users.project_status !=' => '1','view_furniture_quotations_client_project_users.quotation_number' => $this->input->post('filter_value'),'view_furniture_quotations_client_project_users.quotation_divisionid' => $this->input->post('filter_division'));
		}
		if($this->input->post('filter_by') == 2 && $this->input->post('filter_value')!="") {
		$delivery_where = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'),'view_furniture_quotations_client_project_users.delivery_date !=' => '0000-00-00','view_furniture_quotations_client_project_users.project_status !=' => '1','view_furniture_quotations_client_project_users.quotation_divisionid' => $this->input->post('filter_division'));
		$like=array('view_furniture_quotations_client_project_users.client_name'=> $this->input->post('filter_value'));
		}*/
		}
			
				$data['delivery_records'] = $this->crud_model->get('view_furniture_quotations_client_project_users',
				$delivery_where,
				null,
				null,
				'delivery_date',
				'asc',$like);

		$this->pagination->initialize($config);
		$data['pagination'] = $this->pagination->create_links();
		$data['print_view']=$print_view;
		$data['print_quotation_id']=$print_quotation_id;
		$data=html_escape($data);
		//$list = $this->crud_model->get_list('division_id','division_name','company_division',array('all'=>' - All Divisions - '));
		$list = $this->crud_model->get_list('division_id','division_name','company_division',array());

		//unset($list[QMS_GENERAL_QTN_DIV_ID]);
		//unset($list[QMS_WORKSHOP_QTN_DIV_ID]);

		$data['division_list'] = $list;
		
		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/upcoming_deliveries',$data);
		$this->load->view('templates/footer');
	}
	public function latest_quotations($type="", $page=1, $print_view=0, $print_quotation_id=0) {
		
		$where = array();
		
		if($type==1){
		    $where1 = array('view_furniture_quotations_client_project_users.project_status !=' => '1','view_furniture_quotations_client_project_users.quotation_status' => 'Confirmed');
		}else if($type==2){
			$where1 = array('view_furniture_quotations_client_project_users.project_status !=' => '1','view_furniture_quotations_client_project_users.quotation_status' => 'Closed');
		}else if($type==3){
			$where1 = array('view_furniture_quotations_client_project_users.project_status !=' => '1','view_furniture_quotations_client_project_users.quotation_status' => 'Open');
		}else{
			$where1 = array('view_furniture_quotations_client_project_users.project_status !=' => '1','view_furniture_quotations_client_project_users.quotation_status' => 'Draft');
		}
		//$where = array('furniture_quotation.quotation_divisionid' => 11);
		if($this->session->userdata('user_group_id') != 1){
			$where = array('furniture_quotation.salesman_id' => $this->session->userdata('user_id'));
		}

		$config['per_page']		= 2000;
		$config['base_url'] 	= site_url('furniture/furniture_quotations/index/');
		$config['total_rows'] 	= $this->crud_model->get_view_furniture_quotations_client_project_users_count($where);
		$offset = ($page-1) * $config['per_page'];

		/*$data['records'] = $this->crud_model->get_view_furniture_quotations_client_project_users
                                                                       ($where,$config['per_page'],$offset,'furniture_quotation.last_modified_date','desc');
                */
                if($this->session->userdata('user_group_id') != 1){
			if($type==1){
		    $where1 = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'),'view_furniture_quotations_client_project_users.project_status !=' => '1','view_furniture_quotations_client_project_users.quotation_status' => 'Confirmed');
		}else if($type==2){
			$where1 = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'),'view_furniture_quotations_client_project_users.project_status !=' => '1','view_furniture_quotations_client_project_users.quotation_status' => 'Closed');
		}else if($type==3){
			$where1 = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'),'view_furniture_quotations_client_project_users.project_status !=' => '1','view_furniture_quotations_client_project_users.quotation_status' => 'Open');
		}else{
			$where1 = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'),'view_furniture_quotations_client_project_users.project_status !=' => '1','view_furniture_quotations_client_project_users.quotation_status' => 'Draft');
		}
		}
			
				$data['records'] = $this->crud_model->get('view_furniture_quotations_client_project_users',
				$where1,
				$config['per_page'],
				$offset,
				'quotation_id',
				'desc');
				
				/*To handle previous versions code start*/
		$data['old_quotations']=array();
		if($data['records'] != false) {
			foreach($data['records'] as $record) {
				//var_dump($record);echo "<br/><br/>";
				//$data['old_quotations'][$record['quotation_number']]=array();
				if($record['quotation_revisionnumber'] == 0) {
					continue;
				}
				$where=array('quotation_number'=>$record['quotation_number'],'quotation_divisionid'=>$record['quotation_divisionid']);
				$quotation_data=$this->crud_model->get_view_furniture_quotations_client_project_users($where, null,null, 'furniture_quotation.quotation_revisionnumber', 'asc');
				foreach($quotation_data as $single_quotation) {
					$data['old_quotations'][$record['quotation_number']][$record['quotation_divisionid']][$single_quotation['quotation_revisionnumber']]=$single_quotation['id'];
				}
				//var_dump($data['old_quotations']); echo "<br/><br/>";
				unset($data['old_quotations'][$record['quotation_number']][$record['quotation_divisionid']][$record['quotation_revisionnumber']]);

			}// End of foreach($data['records'] as $record)
			/*To handle previous versions code end*/

		}
		//exit;

		$this->pagination->initialize($config);
		$data['pagination'] = $this->pagination->create_links();
		$data['print_view']=$print_view;
		$data['print_quotation_id']=$print_quotation_id;
		$data=html_escape($data);
		//$list = $this->crud_model->get_list('division_id','division_name','company_division',array('all'=>' - All Divisions - '));
		$list = $this->crud_model->get_list('division_id','division_name','company_division',array());

		//unset($list[QMS_GENERAL_QTN_DIV_ID]);
		//unset($list[QMS_WORKSHOP_QTN_DIV_ID]);

		$data['division_list'] = $list;
		$data['type'] = $type;
		
		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/latest_quotations',$data);
		$this->load->view('templates/footer');
	}
	public function completed_projects($page=1, $print_view=0, $print_quotation_id=0) {
		
		$where = array();
		
		$where1 = array('view_furniture_quotations_client_project_users.project_status' => '1');
		//$where = array('furniture_quotation.quotation_divisionid' => 11);
		if($this->session->userdata('user_group_id') != 1){
			$where = array('furniture_quotation.salesman_id' => $this->session->userdata('user_id'));
		}

		$config['per_page']		= 50;
		$config['base_url'] 	= site_url('furniture/furniture_quotations/index/');
		$config['total_rows'] 	= $this->crud_model->get_view_furniture_quotations_client_project_users_count($where);
		$offset = ($page-1) * $config['per_page'];

		/*$data['records'] = $this->crud_model->get_view_furniture_quotations_client_project_users
                                                                       ($where,$config['per_page'],$offset,'furniture_quotation.last_modified_date','desc');
                */
        if($this->session->userdata('user_group_id') != 1){
		    $where1 = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'),'view_furniture_quotations_client_project_users.project_status' => '1');
		}
			
				$data['records'] = $this->crud_model->get('view_furniture_quotations_client_project_users',
				$where1,
				$config['per_page'],
				$offset,
				'quotation_id',
				'desc');
				
				/*To handle previous versions code start*/
		$data['old_quotations']=array();
		if($data['records'] != false) {
			foreach($data['records'] as $record) {
				//var_dump($record);echo "<br/><br/>";
				//$data['old_quotations'][$record['quotation_number']]=array();
				if($record['quotation_revisionnumber'] == 0) {
					continue;
				}
				$where=array('quotation_number'=>$record['quotation_number'],'quotation_divisionid'=>$record['quotation_divisionid']);
				$quotation_data=$this->crud_model->get_view_furniture_quotations_client_project_users($where, null,null, 'furniture_quotation.quotation_revisionnumber', 'asc');
				foreach($quotation_data as $single_quotation) {
					$data['old_quotations'][$record['quotation_number']][$record['quotation_divisionid']][$single_quotation['quotation_revisionnumber']]=$single_quotation['id'];
				}
				//var_dump($data['old_quotations']); echo "<br/><br/>";
				unset($data['old_quotations'][$record['quotation_number']][$record['quotation_divisionid']][$record['quotation_revisionnumber']]);

			}// End of foreach($data['records'] as $record)
			/*To handle previous versions code end*/

		}
		//exit;

		$this->pagination->initialize($config);
		$data['pagination'] = $this->pagination->create_links();
		$data['print_view']=$print_view;
		$data['print_quotation_id']=$print_quotation_id;
		$data=html_escape($data);
		//$list = $this->crud_model->get_list('division_id','division_name','company_division',array('all'=>' - All Divisions - '));
		$list = $this->crud_model->get_list('division_id','division_name','company_division',array());

		//unset($list[QMS_GENERAL_QTN_DIV_ID]);
		//unset($list[QMS_WORKSHOP_QTN_DIV_ID]);

		$data['division_list'] = $list;
		
		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/completed_projects',$data);
		$this->load->view('templates/footer');
	}
	public function test() {
		$this->load->view('furniture/quotations/invoice_print_new');
	}
		
}

?>