<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Jobs extends CI_Controller {

	function __construct() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		if($this->crud_model->check_permission("jobs","view")==false && $this->session->userdata('default_controller_name')!="furniture/jobs"){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}

	public function index($filter_division="NIL",$filter_value="NIL",$filter_by=1,$page=1){ 
		$where = array();


		if($this->input->post('filter_division') != "") {
			//$where=array('division'=> $this->input->post('filter_division'));
			$where['division'] = $this->input->post('filter_division');
			$filter_division=$this->input->post('filter_division');
		} else if($filter_division!="NIL"){
			$filter_division=$filter_division;
			$where['division'] = $filter_division;
		} else {
			$where=array();
			$filter_division='NIL';
		}
		$like=array();
		if($this->input->post('filter_by') == 1) {
			$like=array('job_no'=> $this->input->post('filter_value'));
			$filter_value=$this->input->post('filter_value');
			$filter_by=$this->input->post('filter_by');
		} elseif($this->input->post('filter_by') == 2) {
			$where['client_id'] = $this->input->post('client_id');
			$filter_value=$this->input->post('client_id');
			$filter_by=$this->input->post('filter_by');
		} else if($filter_value!="NIL"){
			$filter_by=$filter_by;
			if($filter_by==1) {
				$like=array('job_no'=> $filter_value);
			} else {
				$where['client_id'] = $filter_value;
			}
			$filter_value=$filter_value;
			
		} else {
			
			$filter_value='NIL';
			$filter_by='NIL';
		}
		$config['per_page']		= 50;
		$config['uri_segment'] = 7;
		$config['base_url'] 	= site_url('furniture/jobs/index/'.$filter_division.'/'.$filter_value.'/'.$filter_by);
		$config['total_rows'] 	= $this->crud_model->get_count('jobs',$where);
		
		$offset = ($page-1) * $config['per_page'];
		$data['records']	=	$this->crud_model->get('jobs',$where,$config['per_page'],$offset,'job_id','DESC',$like);
		
		$this->pagination->initialize($config);
		$data['pagination'] = $this->pagination->create_links();
		for($i=0; $i<sizeof($data['records']); $i++) {
			$job_id = $data['records'][$i]["job_id"];
			$where=array('job_id'=> $job_id);
			$search_sub_category=$this->crud_model->get('work_order_main',$where);
			if($search_sub_category) {
				$data['records'][$i]["hide_flag"] = 1;
			}			
		}

		$data['client_id']	= $filter_value;
		$data['filter_by']	= $filter_by;

		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/list_jobs',$data);
		$this->load->view('templates/footer');
	}
	public function edit_job($job_id) {
		if($this->crud_model->check_permission("jobs","edit")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$records['edit_val'] = $this->crud_model->get('jobs',array('job_id'=>$job_id));
		$records['categories']=$this->crud_model->get_list('id','category_name','main_category',array(''=>' - Select - '),array(),"category_name","ASC");
		$query    = $this->db->query("SELECT * FROM `job_details` WHERE job_id='$job_id' GROUP BY item_name,item_order");
		$records['detailed_list']      = $query->result_array();
		//$records['detailed_list']= $this->crud_model->get('job_details',array('job_id'=>$job_id),null,null,null,null,null,null,null,'item_name');
		$records['quotation_divisionid'] = $records['edit_val']['0']['division'];
		$records['division_list'] = $this->crud_model->get_list('division_code','division_name','company_division',array(),array('division_code'=>$records['edit_val']['0']['division']));
		$records['detailed_list11'] = $this->crud_model->get('job_details',array('job_id'=>$job_id));
		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/edit_job',$records);
		$this->load->view('templates/footer');
	}
	public function create_job($job_quote="",$division="") {
		if($this->crud_model->check_permission("jobs","add")==false){
				$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
				redirect($this->session->userdata('default_controller_name'));
			}
		$records['quotation_divisionid'] = $division;
		if($division!=""){
			$query    = $this->db->query("SELECT COUNT(`quote_no`) AS total_count FROM `jobs` WHERE SUBSTRING_INDEX(quote_no, '-', 1)='$division'");
				$res      = $query->result_array();
				if($res[0]['total_count']==0){
					$records['job_no'] = "JB1";
				}else{
					$new_count = $res[0]['total_count']+1;
					$records['job_no'] = "JB".$new_count;
				}
		}
		$where=array('quotation_id'=>$job_quote);
		$records['quotation_list']= $this->crud_model->get('view_furniture_quotations_client_project_users',$where);
		$records['detailed_list11'] = $this->crud_model->get('furniture_items',$where);
		//$records['categories']=$this->crud_model->get_list('id','category_name','main_category',array(''=>' - Select - '),array('status'=>1),"category_name","ASC");
		$detailed = $this->db->query("SELECT * FROM `furniture_items` JOIN main_category ON main_category.id=furniture_items.furniture_area WHERE `quotation_id`='$job_quote' GROUP BY ex_furniture_area ORDER BY ex_furniture_area ASC");
		$records['detailed_list'] = $detailed->result_array();
		$records['division_list'] = $this->crud_model->get_list('division_code','division_name','company_division',array(''=>' - Select - '));
		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/create_job',$records);
		$this->load->view('templates/footer');
	}
	function search_quotation() {
	
		$search_name = trim($this->input->post('quote_no'));
		$division = trim($this->input->post('division'));
		$like=null;
		$array = explode("-",$search_name.'-0');
		$like=array('division_code'=>$array[0],'quotation_number'=>$array[1]);
		$where=array('quotation_status'=>'Confirmed');
		$data = $this->db->query("SELECT * FROM view_furniture_quotations_client_project_users WHERE quotation_status='Confirmed' AND (division_code LIKE '%$search_name%' OR quotation_number LIKE '%$search_name%') AND quotation_id NOT IN (SELECT quote_id FROM jobs WHERE `status`='1') AND division_code='$division'");
		$records['quotation_list'] =$data->result_array();
		//$records['quotation_list']=$this->crud_model->get('view_furniture_quotations_client_project_users',$where,null,null,null,null,$like,null,null);					
		if($records['quotation_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/project_search_result', $records);
			
		}
		
	}
	function list_details() {
	
		$quote_id = $this->input->post('quote_id');
		$detailed = $this->db->query("SELECT * FROM `furniture_items` JOIN main_category ON main_category.id=furniture_items.furniture_area WHERE `quotation_id`='$quote_id' GROUP BY ex_furniture_area ORDER BY ex_furniture_area ASC");
		$records['detailed_list']= $detailed->result_array();		
		if($records['detailed_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/detailed_search_result', $records);
			
		}
		
	}
	function do_update() {
		$records	=	$this->crud_model->get('jobs', array("job_id"=>$this->input->post('job_id')));
		
		if($this->input->post('job_id') != $records[0]['job_id']) {
		   $is_unique =  'is_unique[jobs.quote_no]';
		} else {
		   $is_unique =  '';
		}
		$this->form_validation->set_rules('division', 'Division', 'required');
		//$this->form_validation->set_rules('quote_no', 'Quote No', 'required');
		$this->form_validation->set_rules('client_name', 'Client Name', 'required');
		//$this->form_validation->set_rules('quote_no', 'Quote No', $is_unique);
		$division  		=   $this->input->post('division');
		$quote_id  		=   $this->input->post('quote_id');
		if($this->input->post('quote_no')!=""){
			$quote_no  		=   $this->input->post('quote_no');
		}else{
			$quote_no  		=   "";
		}
		$lpo_no  		=   $this->input->post('lpo_no');
		$job_no  		=   $this->input->post('job_no');
		if($this->input->post('lpo_date')!=""){
			$lpo_date  		=   date("Y-m-d", strtotime($this->input->post('lpo_date')));
		}else{
			$lpo_date  		=   "";
		}
		$job_date  		=   date("Y-m-d", strtotime($this->input->post('job_date')));
		$project_name  	=   $this->input->post('project_name');
		$client_name  	=   $this->input->post('client_name');
		$type  			=   $this->input->post('type');
		$issued_by  	=   $this->input->post('issued_by');
		$budget  		=   $this->input->post('budget');
		$remark  		=   $this->input->post('remark');
		$job_id  		=   $this->input->post('job_id');
		$job_completed  		=   $this->input->post('job_completed');

		if ($this->form_validation->run() == FALSE) {
				$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
				$this->edit_job($job_id);
		} else {
		
			//$this->crud_model->delete('jobs',array('job_id'=>$job_id));
			
			//$this->crud_model->delete('job_details',array('job_id'=>$job_id));
			
			$data=array(
				'division' 				=>	$division,
				'quote_id' 				=>	$quote_id,
				'quote_no' 				=>	$quote_no,
				'lpo_no' 				=>	$lpo_no,
				'job_no' 				=>	$job_no,
				'lpo_date' 				=>	$lpo_date,
				'job_date' 				=>	$job_date,
				'project_name' 			=>	$project_name,
				'client_name' 			=>	$client_name,
				'type' 					=>	$type,
				'job_completed' 		=>	$job_completed,
				'issued_by' 			=>	$issued_by,
				'budget' 				=>	$budget,
				'remarks' 				=>	$remark,
				'created_by' 			=>	$this->session->userdata('user_name'),
				'created_date' 			=>	date('Y-m-d H:i:s')
			);

			$records = $this->crud_model->update('jobs',$data,array("job_id"=>$this->input->post('job_id')));
		
		$category = $this->input->post('category');
		$item_order = $this->input->post('item_order');
		$item_id = $this->input->post('item_id');
		$sub_clause = $this->input->post('sub_clause_val');
		$test_name = $this->input->post('test_name11');
		$furniture_model = $this->input->post('furniture_model');
		$method_id = $this->input->post('method_id');
		$furniture_quantity = $this->input->post('furniture_quantity');
		$furniture_unitprice = $this->input->post('furniture_unitprice');
		$minimum_call_out = $this->input->post('minimum_call_out_val');
		$total_amount = $this->input->post('total_amount');
		$uom = $this->input->post('uom');
		$job_details_id = $this->input->post('job_details_id');
		
			for($i=0; $i<count($test_name) ; $i++){
				if($category[$i]!="" && $test_name[$i]!=""){
					$datanew = array(
					'job_id' 			=> $job_id,
					'item_id' 			=> $item_id[$i],
					'sub_clause' 		=> $sub_clause[$i],
					'item_name' 		=> $category[$i],
					'item_order' 		=> $item_order[$i],
					'test_name' 		=> $test_name[$i],
					'test_method' 		=> $furniture_model[$i],
					'method_id' 		=> $method_id[$i],
					'item_description' 	=> $furniture_model[$i],
					'quantity' 			=> $furniture_quantity[$i],
					'rate' 				=> $furniture_unitprice[$i],
					'minimum_call_out' 	=> $minimum_call_out[$i],
					'amount' 			=> $total_amount[$i],
					'uom' 				=> $uom[$i]
					);
					if($job_details_id[$i]!=""){
						$this->db->update('job_details',$datanew,array("id"=>$job_details_id[$i]));
					}else{
						$this->db->insert('job_details',$datanew);
					}
				}
			}

			$this->session->set_flashdata('response','<div class="alert alert-success">Job Updated</div>');
			redirect('furniture/jobs');

		}

	}
	
	function do_update_job_details() {
		$records	=	$this->crud_model->get('jobs', array("job_id"=>$this->input->post('pop_job_no')));
		
		if($this->input->post('pop_job_no') != $records[0]['job_id']) {
		   $is_unique =  'is_unique[jobs.quote_no]';
		} else {
		   $is_unique =  '';
		}
		$this->form_validation->set_rules('pop_job_no', 'Job', 'required');
		//$this->form_validation->set_rules('quote_no', 'Quote No', 'required');
		/*$this->form_validation->set_rules('client_name', 'Client Name', 'required');
		//$this->form_validation->set_rules('quote_no', 'Quote No', $is_unique);
		$division  		=   $this->input->post('division');
		$quote_id  		=   $this->input->post('quote_id');
		if($this->input->post('quote_no')!=""){
			$quote_no  		=   $this->input->post('quote_no');
		}else{
			$quote_no  		=   "";
		}
		$lpo_no  		=   $this->input->post('lpo_no');
		$job_no  		=   $this->input->post('job_no');
		if($this->input->post('lpo_date')!=""){
			$lpo_date  		=   date("Y-m-d", strtotime($this->input->post('lpo_date')));
		}else{
			$lpo_date  		=   "";
		}
		$job_date  		=   date("Y-m-d", strtotime($this->input->post('job_date')));
		$project_name  	=   $this->input->post('project_name');
		$client_name  	=   $this->input->post('client_name');
		$type  			=   $this->input->post('type');
		$issued_by  	=   $this->input->post('issued_by');
		$budget  		=   $this->input->post('budget');
		$remark  		=   $this->input->post('remark');
		$job_id  		=   $this->input->post('job_id');*/
$job_id  		=   $this->input->post('pop_job_no');
		if ($this->form_validation->run() == FALSE) {
				$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
				$this->edit_job($job_id);
		} else {
		
			//$this->crud_model->delete('jobs',array('job_id'=>$job_id));
			
			//$this->crud_model->delete('job_details',array('job_id'=>$job_id));
			/*
			$data=array(
				'division' 				=>	$division,
				'quote_id' 				=>	$quote_id,
				'quote_no' 				=>	$quote_no,
				'lpo_no' 				=>	$lpo_no,
				'job_no' 				=>	$job_no,
				'lpo_date' 				=>	$lpo_date,
				'job_date' 				=>	$job_date,
				'project_name' 			=>	$project_name,
				'client_name' 			=>	$client_name,
				'type' 					=>	$type,
				'issued_by' 			=>	$issued_by,
				'budget' 				=>	$budget,
				'remarks' 				=>	$remark,
				'created_by' 			=>	$this->session->userdata('user_name'),
				'created_date' 			=>	date('Y-m-d H:i:s')
			);

			$records = $this->crud_model->update('jobs',$data,array("job_id"=>$this->input->post('job_id')));*/
		
		$category = $this->input->post('category');
		$item_order = $this->input->post('item_order');
		$item_id = $this->input->post('item_id');
		$sub_clause = $this->input->post('sub_clause_val');
		$test_name = $this->input->post('test_name11');
		$furniture_model = $this->input->post('furniture_model');
		$method_id = $this->input->post('method_id');
		$furniture_quantity = $this->input->post('furniture_quantity');
		$furniture_unitprice = $this->input->post('furniture_unitprice');
		$minimum_call_out = $this->input->post('minimum_call_out_val');
		$total_amount = $this->input->post('total_amount');
		$uom = $this->input->post('uom');
		$job_details_id = $this->input->post('job_details_id');
			for($i=0; $i<count($test_name) ; $i++){
				if($category[$i]!="" && $test_name[$i]!=""){
					$datanew = array(
					'job_id' 			=> $job_id,
					'item_id' 			=> $item_id[$i],
					'sub_clause' 		=> $sub_clause[$i],
					'item_name' 		=> $category[$i],
					'item_order' 		=> $item_order[$i],
					'test_name' 		=> $test_name[$i],
					'test_method' 		=> $furniture_model[$i],
					'method_id' 		=> $method_id[$i],
					'item_description' 	=> $furniture_model[$i],
					'quantity' 			=> $furniture_quantity[$i],
					'rate' 				=> $furniture_unitprice[$i],
					'minimum_call_out' 	=> $minimum_call_out[$i],
					'amount' 			=> $total_amount[$i],
					'uom' 				=> $uom[$i]
					);
					if($job_details_id[$i]!=""){
						$this->db->update('job_details',$datanew,array("id"=>$job_details_id[$i]));
					}else{
						$this->db->insert('job_details',$datanew);
					}
				}
			}
			$this->session->set_flashdata('response','<div class="alert alert-success">Job Updated</div>');
			redirect('furniture/jobs/edit_job/'.$job_id);

		}

	}
	
	
	function do_update_job_details2() {
		$records	=	$this->crud_model->get('jobs', array("job_id"=>$this->input->post('pop_job_no2')));
		
		if($this->input->post('pop_job_no2') != $records[0]['job_id']) {
		   $is_unique =  'is_unique[jobs.quote_no]';
		} else {
		   $is_unique =  '';
		}
		$this->form_validation->set_rules('pop_job_no2', 'Job', 'required');
		//$this->form_validation->set_rules('quote_no', 'Quote No', 'required');
		/*$this->form_validation->set_rules('client_name', 'Client Name', 'required');
		//$this->form_validation->set_rules('quote_no', 'Quote No', $is_unique);
		$division  		=   $this->input->post('division');
		$quote_id  		=   $this->input->post('quote_id');
		if($this->input->post('quote_no')!=""){
			$quote_no  		=   $this->input->post('quote_no');
		}else{
			$quote_no  		=   "";
		}
		$lpo_no  		=   $this->input->post('lpo_no');
		$job_no  		=   $this->input->post('job_no');
		if($this->input->post('lpo_date')!=""){
			$lpo_date  		=   date("Y-m-d", strtotime($this->input->post('lpo_date')));
		}else{
			$lpo_date  		=   "";
		}
		$job_date  		=   date("Y-m-d", strtotime($this->input->post('job_date')));
		$project_name  	=   $this->input->post('project_name');
		$client_name  	=   $this->input->post('client_name');
		$type  			=   $this->input->post('type');
		$issued_by  	=   $this->input->post('issued_by');
		$budget  		=   $this->input->post('budget');
		$remark  		=   $this->input->post('remark');
		$job_id  		=   $this->input->post('job_id');*/
$job_id  		=   $this->input->post('pop_job_no2');
		if ($this->form_validation->run() == FALSE) {
				$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
				$this->edit_job($job_id);
		} else {
		
			//$this->crud_model->delete('jobs',array('job_id'=>$job_id));
			
			//$this->crud_model->delete('job_details',array('job_id'=>$job_id));
			/*
			$data=array(
				'division' 				=>	$division,
				'quote_id' 				=>	$quote_id,
				'quote_no' 				=>	$quote_no,
				'lpo_no' 				=>	$lpo_no,
				'job_no' 				=>	$job_no,
				'lpo_date' 				=>	$lpo_date,
				'job_date' 				=>	$job_date,
				'project_name' 			=>	$project_name,
				'client_name' 			=>	$client_name,
				'type' 					=>	$type,
				'issued_by' 			=>	$issued_by,
				'budget' 				=>	$budget,
				'remarks' 				=>	$remark,
				'created_by' 			=>	$this->session->userdata('user_name'),
				'created_date' 			=>	date('Y-m-d H:i:s')
			);

			$records = $this->crud_model->update('jobs',$data,array("job_id"=>$this->input->post('job_id')));*/
		
		$category = $this->input->post('category');
		$item_order = $this->input->post('item_order');
		$item_id = $this->input->post('item_id');
		$sub_clause = $this->input->post('sub_clause_val');
		$test_name = $this->input->post('test_name11');
		$furniture_model = $this->input->post('furniture_model');
		$method_id = $this->input->post('method_id');
		$furniture_quantity = $this->input->post('furniture_quantity');
		$furniture_unitprice = $this->input->post('furniture_unitprice');
		$minimum_call_out = $this->input->post('minimum_call_out_val');
		$total_amount = $this->input->post('total_amount');
		$uom = $this->input->post('uom');
		$job_details_id = $this->input->post('job_details_id');
			for($i=0; $i<count($test_name) ; $i++){
				if($category[$i]!="" && $test_name[$i]!=""){
					$datanew = array(
					'job_id' 			=> $job_id,
					'item_id' 			=> $item_id[$i],
					'sub_clause' 		=> $sub_clause[$i],
					'item_name' 		=> $category[$i],
					'item_order' 		=> $item_order[$i],
					'test_name' 		=> $test_name[$i],
					'test_method' 		=> $furniture_model[$i],
					'method_id' 		=> $method_id[$i],
					'item_description' 	=> $furniture_model[$i],
					'quantity' 			=> $furniture_quantity[$i],
					'rate' 				=> $furniture_unitprice[$i],
					'minimum_call_out' 	=> $minimum_call_out[$i],
					'amount' 			=> $total_amount[$i],
					'uom' 				=> $uom[$i]
					);
					if($job_details_id[$i]!=""){
						$this->db->update('job_details',$datanew,array("id"=>$job_details_id[$i]));
					}else{
						$this->db->insert('job_details',$datanew);
					}
				}
			}
			$this->session->set_flashdata('response','<div class="alert alert-success">Job Updated</div>');
			redirect('furniture/jobs/edit_job/'.$job_id);

		}

	}
	
	function do_insert() {
		$this->form_validation->set_rules('division', 'Division', 'required');
		//$this->form_validation->set_rules('quote_no', 'Quote No', 'required');
		$this->form_validation->set_rules('client_name', 'Client Name', 'required');
		$this->form_validation->set_rules('project_name', 'Project Name', 'required');
		if ($this->input->post('type')=='budget'){
			$this->form_validation->set_rules('budget', 'Budget', 'required');
		}
		//$this->form_validation->set_rules('quote_no', 'Quote No', 'is_unique[jobs.quote_no]');
		$division  		= $this->input->post('division');
		$quote_id  		= $this->input->post('quote_id');
		$quote_no  		= $this->input->post('quote_no');
		$lpo_no  		= $this->input->post('lpo_no');
		$job_no  		= $this->input->post('job_no');
		if($this->input->post('lpo_date')!=""){
			$lpo_date  	= date("Y-m-d", strtotime($this->input->post('lpo_date')));
		}else{
			$lpo_date  	= "";
		}
		$job_date  		= date("Y-m-d", strtotime($this->input->post('job_date')));
		$project_name  	= $this->input->post('project_name');
		$client_name    = $this->input->post('client_name');
		$project_id_new = $this->input->post('project_id_new');
		$client_id_new  = $this->input->post('client_id_new');
		$type  			= $this->input->post('type');
		$issued_by  	= $this->input->post('issued_by');
		$budget  		= $this->input->post('budget');
		$remark  		= $this->input->post('remark');

		if ($this->form_validation->run() == FALSE) {
			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$this->create_job();
		} else {
		$query    = $this->db->query("SELECT COUNT(`quote_no`) AS total_count FROM `jobs` WHERE `division`='$division'");
		$res      = $query->result_array();
		if($res[0]['total_count']==0){
			$job_no1 = "JB-".$division."-1";
		}else{
			$new_count = $res[0]['total_count']+1;
			$job_no1 = "JB-".$division."-".$new_count;
		}
		
			$data=array(
				'division' 				=>	$division,
				'quote_id' 				=>	$quote_id,
				'quote_no' 				=>	$quote_no,
				'lpo_no' 				=>	$lpo_no,
				'job_no' 				=>	$job_no1,
				'lpo_date' 				=>	$lpo_date,
				'job_date' 				=>	$job_date,
				'project_name' 			=>	$project_id_new,
				'client_name' 			=>	$client_name,
				'project_id' 			=>	$project_name,
				'client_id' 			=>	$client_id_new,
				'type' 					=>	$type,
				'issued_by' 			=>	$issued_by,
				'budget' 				=>	$budget,
				'remarks' 				=>	$remark,
				'created_by' 			=>	$this->session->userdata('user_name'),
				'created_date' 			=>	date('Y-m-d H:i:s')
			);
			$records=$this->crud_model->insert('jobs',$data);
			
		$SQL 	= "SELECT MAX(job_id) as `job_id` FROM jobs;";
		$result = $this->db->query($SQL);
		$inv 	= $result->result_array();
		$job_id = $inv[0]['job_id'];
		
		$category = $this->input->post('category');
		$item_id = $this->input->post('item_id');
		$sub_clause = $this->input->post('sub_clause_val');
		$test_name = $this->input->post('test_name11');
		$furniture_model = $this->input->post('furniture_model');
		$method_id = $this->input->post('method_id');
		$furniture_quantity = $this->input->post('furniture_quantity');
		$furniture_unitprice = $this->input->post('furniture_unitprice');
		$minimum_call_out = $this->input->post('minimum_call_out_val');
		$total_amount = $this->input->post('total_amount');
		$uom = $this->input->post('uom');
		$item_order = $this->input->post('item_order');
		
			for($i=0; $i<count($test_name) ; $i++){
				if($category[$i]!="" && $test_name[$i]!=""){
					$datanew = array(
						'job_id' 			=> $job_id,
						'item_id' 			=> $item_id[$i],
						'sub_clause' 		=> $sub_clause[$i],
						'item_name' 		=> $category[$i],
						'item_order' 		=> $item_order[$i],
						'test_name' 		=> $test_name[$i],
						'test_method' 		=> $furniture_model[$i],
						'method_id' 		=> $method_id[$i],
						'item_description' 	=> $furniture_model[$i],
						'quantity' 			=> $furniture_quantity[$i],
						'rate' 				=> $furniture_unitprice[$i],
						'minimum_call_out' 	=> $minimum_call_out[$i],
						'amount' 			=> $total_amount[$i],
						'uom' 				=> $uom[$i]
					);
					$this->db->insert('job_details',$datanew);
				}
			}

			$this->session->set_flashdata('response','<div class="alert alert-success">New Job Created</div>');
			redirect('furniture/jobs');

		}

	}
	function save_project() {
		$this->form_validation->set_rules('project_id1', 'Project ID', 'is_unique[projects.project_id]');
		
		$project_id  		=   $this->input->post('project_id1');
		$project_name  		=   $this->input->post('project_name1');
		$contact_person  	=   $this->input->post('contact_person');
		$client_id  		=   $this->input->post('client_id');

		if ($this->form_validation->run() == FALSE) {
				echo "unique";
		} else {
			$data=array(
				'project_id' 				=>	$project_id,
				'project_name' 				=>	$project_name,
				'project_contect_person' 	=>	$contact_person,
				'client_id' 				=>	$client_id
			);

			$records=$this->crud_model->insert('projects',$data);

			if($records == false){
				echo false;
			}else{
				echo json_encode($data);
			}
		}
	}
	function save_client() {
		
		$client_id  		=   $this->input->post('client_id');
		$client_name  		=   $this->input->post('client_name1');
		$client_address  	=   $this->input->post('client_address');
		$client_telephone1  =   $this->input->post('client_telephone1');
		$client_telephone2  =   $this->input->post('client_telephone2');
		$client_fax  		=   $this->input->post('client_fax');
		$client_email  		=   $this->input->post('client_email');
		$contact_person  	=   $this->input->post('contact_person1');

		$data=array(
				'client_name' 		=>	$client_name,
				'client_address' 	=>	$client_address,
				'client_telephone1' =>	$client_telephone1,
				'client_telephone2' =>	$client_telephone2,
				'client_fax' 		=> 	$client_fax,
				'client_email' 		=> 	$client_email,
				'contact_person' 	=> 	$contact_person,
			);

		$records=$this->crud_model->insert('new_client_master',$data);

		if($records == false){
			echo false;
		}else{
			$query    = $this->db->query("SELECT `client_id`,`client_name` FROM `new_client_master` WHERE `client_id`=(SELECT MAX(`client_id`) FROM `new_client_master`)");
			$reslt    = $query->result_array();
			$resltdata=array(
				'client_name' 		=>	$reslt[0]['client_name'],
				'client_id' 		=>	$reslt[0]['client_id']
			);
			echo json_encode($resltdata);
		}

	}
	function existance() {
		$division = $this->input->post('division');
		$query    = $this->db->query("SELECT COUNT(`quote_no`) AS total_count FROM `jobs` WHERE `division`='$division'");
		$res      = $query->result_array();
		if($res[0]['total_count']==0){
			echo "JB-".$division."-1";
		}else{
			$new_count = $res[0]['total_count']+1;
			echo "JB-".$division."-".$new_count;
		}
	}
	function search_client() {
		$search_name = 	trim($this->input->post('client_name'));
		$like		 =	array('client_name'=>$search_name);
		$records['quotation_list']=$this->crud_model->get('new_client_master',null,null,null,null,null,$like,null,null,null);				
		if($records['quotation_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/client_search', $records);
			
		}
		
	}
	function filter_search_client() {
		$search_name = 	trim($this->input->post('filter_value'));
		$like		 =	array('client_name'=>$search_name);
		$records['quotation_list']=$this->crud_model->get('new_client_master',null,null,null,null,null,$like,null,null,null);				
		if($records['quotation_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/client_search', $records);
			
		}
		
	}
	public function delete_job($job_id) {
		if($this->crud_model->check_permission("jobs","delete")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		//$this->crud_model->delete('jobs',array('job_id'=>$job_id));
		$records=$this->crud_model->update('jobs',array('status'=>0),array('job_id'=>$job_id));
		//$this->crud_model->delete('job_details',array('job_id'=>$job_id));
		
		$this->session->set_flashdata('response','<div class="alert alert-success">Job Cancelled</div>');
		redirect('furniture/jobs');
	}
	function search_test_name() {
		$where_name = $this->input->post('category11');
		$data_val = $this->db->query("SELECT sub_category FROM `items` WHERE main_category='$where_name'");
		$quotation_list=	$data_val->result_array();				
		if($quotation_list == false ){
			echo 0;
		} else {
			$html='<tr>
			<td><span class="mandi">*</span>Test Name</td>
			<td><span class="mandi">*</span>Test Method</td>
			<td><span class="mandi">*</span>Unit</td>
			<td><span class="mandi">*</span>Rate</td>
			<td>Minimum Call Out</td>
			<td>Quantity</td>
			<td>Amount</td>
		</tr>';
		$i = 0;
		foreach($quotation_list as $quotation_lists) {
		$tname_val = $this->db->query("SELECT DISTINCT sub_id,sub_category_name FROM `items` JOIN sub_category ON sub_category.sub_id=items.sub_category WHERE items.main_category='$where_name'");
		$tname_rsl=	$tname_val->result_array();
		$html.='<tr>
					<td width="1%">
						<select name="test_name[]" style="width:445px; height:40px;" class="input-percentage3 test_class" id="test_name">';
							foreach($tname_rsl as $tname_rslt) {
								$html.='<option value="'.$tname_rslt['sub_id'].'">'.$tname_rslt['sub_category_name'].'</option>';
							}
			$html.='</select>
					<input type="hidden" name="test_hidden[]" class="test_class_hidden" />
					</td>
					<td width="1%">
						<select name="test_method[]" style="width:200px; height:40px;" class="input-percentage3 method_value" id="test_method">
						</select>
					<input type="hidden" name="method_hidden[]" class="method_value_hidden" />
					</td>
					<td width="1%">
						<input name="unit[]" style="width:100px;" type="text" class="input-percentage3 unit_class" id="unit" value="" />
					</td>
					<td width="1%">
						<input name="rate[]" style="width:100px;" type="text" class="input-percentage3 rate_class" id="rate" value="" />
					</td>
					<td width="1%">
						<input name="minimum_call_out[]" style="width:50px;" type="text" class="input-percentage3 minimum_call_out_class" id="minimum_call_out" value="0" />
					</td>
					<td width="1%">
						<input name="quantity[]" style="width:50px;" type="text" autocomplete="off" class="input-percentage3 quantity_class" id="quantity" value="" />
					</td>
					<td>
						<input name="amount[]" style="width:100px;" type="text" class="input-percentage3 amount_class" id="amount" value="" />
					</td>
					<td style="width:100px;">
					&nbsp;
					</td>
				</tr>
				
				<tr style="display:none;" class="hideData"> 
					<td width="1%">
						<select name="test_name[]" style="width:450px; height:40px;" class="input-percentage3 test_class" id="test_name">';
							foreach($tname_rsl as $tname_rslt) {
								$html.='<option value="'.$tname_rslt['sub_id'].'">'.$tname_rslt['sub_category_name'].'</option>';
							}
			$html.='</select>
			<input type="hidden" name="test_hidden[]" class="test_class_hidden" />
					</td>
					<td width="1%">
						<select name="test_method[]" style="width:200px; height:40px;" class="input-percentage3 method_value" id="test_method">
						</select>
						<input type="hidden" name="method_hidden[]" class="method_value_hidden" />
					</td>
					<td width="1%">
						<input name="unit[]" style="width:100px;" type="text" class="input-percentage3 unit_class" id="unit" value="" />
					</td>
					<td width="1%">
						<input name="rate[]" style="width:100px;" type="text" class="input-percentage3 rate_class" id="rate" value="" />
					</td>
					<td width="1%">
						<input name="minimum_call_out[]" style="width:50px;" type="text" class="input-percentage3 minimum_call_out_class" id="minimum_call_out" value="0" />
					</td>
					<td width="1%">
						<input name="quantity[]" style="width:50px;" type="text" autocomplete="off" class="input-percentage3 quantity_class" id="quantity" value="" />
					</td>
					<td>
						<input name="amount[]" style="width:100px;" type="text" class="input-percentage3 amount_class" id="amount" value="" />
					</td>
					<td style="width:100px;">
					<img src="'.base_url().'/images/Deletion_icon.svg.png" class="deleteButton" alt="delete" style="width75px; height="75px"" />
					</td>
				</tr>
				';
				$i++;
				break;
		}
				$html.='<tr><td><input name="count_val" type="hidden" id="count_val" value="'.count($quotation_list).'" /></tr></td>';
				echo $html;
			
		}
		
	}
	
	function search_test_name_2() {
		$where_name = $this->input->post('category11');
		/*$data_val = $this->db->query("SELECT sub_category FROM `items` WHERE main_category='$where_name'");
		$quotation_list=	$data_val->result_array();				
		if($quotation_list == false ){
			echo 0;
		} else {
			$html='<tr>
			<td><span class="mandi">*</span>Test Name</td>
			<td><span class="mandi">*</span>Test Method</td>
			<td><span class="mandi">*</span>Unit</td>
			<td><span class="mandi">*</span>Rate</td>
			<td>Minimum Call Out</td>
			<td>Quantity</td>
			<td>Amount</td>
		</tr>';
		$i = 0;
		foreach($quotation_list as $quotation_lists) {
		$tname_val = $this->db->query("SELECT DISTINCT sub_id,sub_category_name FROM `items` JOIN sub_category ON sub_category.sub_id=items.sub_category WHERE items.main_category='$where_name'");
		$tname_rsl=	$tname_val->result_array();
		$html.='<tr>
					<td width="1%">
						<select name="test_name[]" style="width:445px; height:40px;" class="input-percentage3 test_class" id="test_name">';
							foreach($tname_rsl as $tname_rslt) {
								$html.='<option value="'.$tname_rslt['sub_id'].'">'.$tname_rslt['sub_category_name'].'</option>';
							}
			$html.='</select>
					<input type="hidden" name="test_hidden[]" class="test_class_hidden" />
					</td>
					<td width="1%">
						<select name="test_method[]" style="width:200px; height:40px;" class="input-percentage3 method_value" id="test_method">
						</select>
					<input type="hidden" name="method_hidden[]" class="method_value_hidden" />
					</td>
					<td width="1%">
						<input name="unit[]" style="width:100px;" type="text" class="input-percentage3 unit_class" id="unit" value="" />
					</td>
					<td width="1%">
						<input name="rate[]" style="width:100px;" type="text" class="input-percentage3 rate_class" id="rate" value="" />
					</td>
					<td width="1%">
						<input name="minimum_call_out[]" style="width:50px;" type="text" class="input-percentage3 minimum_call_out_class" id="minimum_call_out" value="0" />
					</td>
					<td width="1%">
						<input name="quantity[]" style="width:50px;" type="text" autocomplete="off" class="input-percentage3 quantity_class" id="quantity" value="" />
					</td>
					<td>
						<input name="amount[]" style="width:100px;" type="text" class="input-percentage3 amount_class" id="amount" value="" />
					</td>
					<td style="width:100px;">
					&nbsp;
					</td>
				</tr>
				
				<tr style="display:none;" class="hideData"> 
					<td width="1%">
						<select name="test_name[]" style="width:450px; height:40px;" class="input-percentage3 test_class" id="test_name">';
							foreach($tname_rsl as $tname_rslt) {
								$html.='<option value="'.$tname_rslt['sub_id'].'">'.$tname_rslt['sub_category_name'].'</option>';
							}
			$html.='</select>
			<input type="hidden" name="test_hidden[]" class="test_class_hidden" />
					</td>
					<td width="1%">
						<select name="test_method[]" style="width:200px; height:40px;" class="input-percentage3 method_value" id="test_method">
						</select>
						<input type="hidden" name="method_hidden[]" class="method_value_hidden" />
					</td>
					<td width="1%">
						<input name="unit[]" style="width:100px;" type="text" class="input-percentage3 unit_class" id="unit" value="" />
					</td>
					<td width="1%">
						<input name="rate[]" style="width:100px;" type="text" class="input-percentage3 rate_class" id="rate" value="" />
					</td>
					<td width="1%">
						<input name="minimum_call_out[]" style="width:50px;" type="text" class="input-percentage3 minimum_call_out_class" id="minimum_call_out" value="0" />
					</td>
					<td width="1%">
						<input name="quantity[]" style="width:50px;" type="text" autocomplete="off" class="input-percentage3 quantity_class" id="quantity" value="" />
					</td>
					<td>
						<input name="amount[]" style="width:100px;" type="text" class="input-percentage3 amount_class" id="amount" value="" />
					</td>
					<td style="width:100px;">
					<img src="'.base_url().'/images/Deletion_icon.svg.png" class="deleteButton" alt="delete" style="width75px; height="75px"" />
					</td>
				</tr>
				';
				$i++;
				break;
		}
				$html.='<tr><td><input name="count_val" type="hidden" id="count_val" value="'.count($quotation_list).'" /></tr></td>';
				echo $html;
			
		}*/
		
	}
	
	function search_test_name_1() {
		$where_name = $this->input->post('category11');
		$sub_clause = $this->input->post('sub_clause');
		$item_order = $this->input->post('item_order');
		$data_val = $this->db->query("SELECT items.sub_category,items.main_category,main_category.category_name FROM `items` JOIN main_category ON main_category.id=items.main_category WHERE items.main_category='$where_name'");
		$quotation_list=	$data_val->result_array();				
		if($quotation_list == false ){
			echo 0;
		} else {
			$html='';
		$i = 0;
		foreach($quotation_list as $quotation_lists) {
		$tname_val = $this->db->query("SELECT DISTINCT sub_id,sub_category_name FROM `items` JOIN sub_category ON sub_category.sub_id=items.sub_category WHERE items.main_category='$where_name'");
		$tname_rsl=	$tname_val->result_array();
		$html.='<tr>
					<td>
						<input type="hidden" name="job_details_id[]" class="job_details_class vewcls"  value="" />
						<input type="hidden" name="item_id[]" class="item_id_class"  value="'.$quotation_lists['main_category'].'" />
						<input type="hidden" name="sub_clause_val[]" value="'.$sub_clause.'" />
						<input type="hidden" name="item_order[]" value="'.$item_order.'" />
						<input type="hidden" name="category[]" value="'.$quotation_lists['category_name'].'" />
						<select name="test_name[]" style="width:445px; height:40px;" class="input-percentage3 test_class1" id="test_name">';
							foreach($tname_rsl as $tname_rslt) {
								$html.='<option value="'.$tname_rslt['sub_id'].'">'.$tname_rslt['sub_category_name'].'</option>';
							}
			$html.='</select>
					<input type="hidden" name="test_name11[]" value="'.$tname_rsl[0]['sub_category_name'].'" class="test_class_hidden" />
					</td>
					<td>
						<select name="test_method[]" style="width:300px; height:40px;" class="input-percentage3 method_value1" id="test_method">
						</select>
					<input type="hidden" name="furniture_model[]" class="method_value_hidden" />
					<input type="hidden" name="method_id[]" />
					</td>
					<td>
						<input name="uom[]" style="width:70px;" type="text" class="input-percentage3 unit_class1" id="uom" value="" />
					</td>
					<td>
						<input name="furniture_unitprice[]" style="width:70px;" type="text" class="input-percentage3 rate_class1" id="rate" value="" />
					</td>
					
					
					<td width="1%">
						<input name="minimum_call_out_val[]" style="width:30px;" type="text" class="input-percentage3 minimum_call_out_class" id="minimum_call_out" value="0" />
					</td>
					<td>
						<input name="furniture_quantity[]" style="width:30px;" type="text" autocomplete="off" class="input-percentage3 quantity_class1" id="quantity" value="" />
					</td>
					<td>
						<input name="total_amount[]" style="width:80px;" type="text" class="input-percentage3 amount_class1" id="amount" value="" />
					</td>
				</tr>';
				$i++;
				break;
		}
				echo $html;
			
		}
		
	}
	function test_methods() {
		$category 		= 	$this->input->post('category');
		$test_name 		= 	$this->input->post('test_name');
		$data_val 		= 	$this->db->query("SELECT id,item_name FROM `items` WHERE main_category='$category' AND sub_category='$test_name'");
		$method_list	=	$data_val->result_array();				
		if($method_list != false ){
			$html = '';
			foreach($method_list as $method_lists){
				$html .= '<option value="'.$method_lists['id'].'">'.$method_lists['item_name'].'</option>';
			}
			echo $html;
		}else{
			echo 0;
		}
	}
	function project_list() {
		$client_id 		= 	$this->input->post('client_id');
		$data_val 		= 	$this->db->query("SELECT id,project_name FROM `projects` WHERE client_id='$client_id' order by project_name ASC");
		$method_list	=	$data_val->result_array();				
		if($method_list != false ){
			$html = '<option value="">-- select --</option>';
			foreach($method_list as $method_lists){
				$html .= '<option value="'.$method_lists['id'].'">'.$method_lists['project_name'].'</option>';
			}
			echo $html;
		}else{
			echo 0;
		}
	}
	function test_details() {
		$category 		= 	$this->input->post('category');
		$test_name 		= 	$this->input->post('test_name');
		$test_method 		= 	$this->input->post('test_method');
		$data_val 		= 	$this->db->query("SELECT * FROM `items` WHERE main_category='$category' AND sub_category='$test_name' AND id='$test_method'");
		$method_list	=	$data_val->result_array();				
		if($method_list != false ){
			echo json_encode($method_list);
		}else{
			echo 0;
		}
	}
	function upload_files() {
		$this->load->library('upload');
		$files = $_FILES;
		$job_id = $this->input->post('job_id');
		$file_upload = $this->input->post('image');
		for($i=0; $i<count($_FILES['image']['name']); $i++){
			$_FILES['userfile']['name']= $files['image']['name'][$i];
			$_FILES['userfile']['type']= $files['image']['type'][$i];
			$_FILES['userfile']['tmp_name']= $files['image']['tmp_name'][$i];
			$_FILES['userfile']['error']= $files['image']['error'][$i];
			$_FILES['userfile']['size']= $files['image']['size'][$i];
				if ($files['image']['name'][$i]!=''){
				 $this->upload->initialize($this->set_upload_options());
				 $this->upload->do_upload();
				 $upload_data  =   $this->upload->data();
				 $uploadImage = $upload_data['file_name'];
				 $datanew = array(
				'job_id' 			=> $job_id,
				'file_name' 		=> $uploadImage
				);
				
			$added = $this->db->insert('job_files',$datanew);
				} 
			
		}
		if($added){
			$this->session->set_flashdata('response','<div class="alert alert-success">Files Uploaded</div>');
		}else{
			$this->session->set_flashdata('response','<div class="alert alert-error">Failed....</div>');
		}
		redirect('furniture/jobs');
	}
	private function set_upload_options(){ 
	  $config = array();
	  $config['upload_path'] = './uploads/';
	  $config['allowed_types'] = '*';
	  $config['max_size'] = '250000000000000000';
	  $config['overwrite'] = FALSE;
	  $config['file_name'] = date("YmdHis").'-'.rand(100000, 999999);
	  return $config;
	 }
	 function list_files() {
	 	$job_id = $this->input->post('job_id');
		$records =	$this->crud_model->get('job_files',array('job_id'=>$job_id));
		$work_orders =	$this->crud_model->get('work_order_main',array('job_id'=>$job_id));
		$lpo_val 		= 	$this->db->query("SELECT lpo_no FROM `jobs` WHERE job_id='$job_id'");
		$lpo_vall		=	$lpo_val->result_array();
		$html = '<input type="hidden" name="lpo_lpo" id="lpo_lpo" value="'.$lpo_vall[0]['lpo_no'].'" />
				<h1>Files</h1>
					<table class="table1" id="myTable">
						<tr>
						  <th>SI No.</th>
						  <th>File Name</th>
						  <th>Action</th>
						</tr>';
		$i = 1;
		if($records!=false){
			foreach($records as $record){
				$html .= '<tr>
							<td>'.$i.'</td>
							<td>'.$record['file_name'].'</td>
							<td><a class="icon-eye-open icon-black" title="View File" target="_blank" href="'.base_url().'uploads/'.$record['file_name'].'"></a>&nbsp;&nbsp;&nbsp;&nbsp;<a class="icon-delete" title="Delete File" href="javascript:FileDelete('.$record['id'].');"></a></td>
						</tr>';
			$i++;
			}
		}else{
			$html .= '<tr>
							<td style="color:#FF0000;" colspan="3">No Files</td>
						</tr>';
		}
		$html .= '</table>
					<h1>Work Order List</h1>
						<table class="table1" id="myTable">
							<tr>
							  <th>SI No.</th>
							  <th>Work Order No.</th>
							  <th>Work Order Date</th>
							  <th>Project</th>
							  <th>Client</th>
							</tr>';
					$j = 1;
		if($work_orders!=false){
			foreach($work_orders as $work_order){
				$html .= '<tr>
							<td>'.$j.'</td>
							<td>'.$work_order['work_order_no'].'</td>
							<td>'.date("M d Y", strtotime($work_order['work_order_date'])).'</td>
							<td>'.$work_order['project_name'].'</td>
							<td>'.$work_order['client_name'].'</td>
						</tr>';
			$j++;
			}
		}else{
			$html .= '<tr>
							<td style="color:#FF0000;" colspan="5">No Work Orders</td>
						</tr>';
		}
		$html .= '</table>';
		echo $html;
	 }
	 public function delete_file($id,$file_name) {
		$this->crud_model->delete('job_files',array('id'=>$id));
		$this->session->set_flashdata('response','<div class="alert alert-success">File Deleted</div>');
		redirect('furniture/jobs');
	}
	 public function update_lpo() {
	 	$job_id = $this->input->post('job_id');
		$lpo_no = $this->input->post('lpo_no');
		$records = $this->crud_model->update('jobs',array('lpo_no'=>$lpo_no),array('job_id'=>$job_id));
	 }
	 public function update_group() {
	 	$job_id  		=   $this->input->post('job_id');
	 	$category = $this->input->post('category');
		$item_id = $this->input->post('item_id');
		$test_name = $this->input->post('test_name11');
		$furniture_model = $this->input->post('furniture_model');
		$furniture_quantity = $this->input->post('furniture_quantity');
		$furniture_unitprice = $this->input->post('furniture_unitprice');
		$minimum_call_out = $this->input->post('minimum_call_out_val');
		$total_amount = $this->input->post('total_amount');
		$uom = $this->input->post('uom');
		$job_details_id = $this->input->post('job_details_id');
		
	 	for($i=0; $i<count($test_name) ; $i++){
				if($category[$i]!="" && $test_name[$i]!="" && $furniture_model[$i]!=""){
					$datanew = array(
					'job_id' 			=> $job_id,
					'item_id' 			=> $item_id[$i],
					'item_name' 		=> $category[$i],
					'test_name' 		=> $test_name[$i],
					'test_method' 		=> $furniture_model[$i],
					'item_description' 	=> $furniture_model[$i],
					'quantity' 			=> $furniture_quantity[$i],
					'rate' 				=> $furniture_unitprice[$i],
					'minimum_call_out' 	=> $minimum_call_out[$i],
					'amount' 			=> $total_amount[$i],
					'uom' 				=> $uom[$i]
					);
					if($job_details_id[$i]!=""){
						$this->db->update('job_details',$datanew,array("id"=>$job_details_id[$i]));
					}else{
						$this->db->insert('job_details',$datanew);
					}
				}
		 }
	 }
	 public function delete_test() {
	 	$job_details_id = $this->input->post('job_details_id');
		$this->crud_model->delete('job_details',array('id'=>$job_details_id));
	}
	public function cat_list_n(){
		$division = $this->input->post('division');
		$sql='';
		if ($division==='M'){
			$sql='';
		}
		if ($division==='C'){
			$sql="and id='18' or  id='19'";
		}
		$data_val = $this->db->query("SELECT * FROM `main_category` WHERE status='1' ".$sql);
		$data_val_result	=	$data_val->result_array();
		if ($data_val_result){
			$r='<select name="category11" id="category11" class="input-percentage3" style="width:97%;height:40px;"><option value="">Select</option>';
			foreach($data_val_result as $data_val_results) {
				$r.='<option value="'.$data_val_results['id'].'">'.$data_val_results['category_name'].'</option>';											
				}
			$r.='</select>';
				print $r;
		}
	}
}
?>