<?php

class Furnitures extends CI_Controller {

	private $mode='new',$furniture_id=0;
	
	function Furnitures() {
		parent::__construct();
		
		if($this->session->userdata('user_logged_in') != true) {
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		if($this->session->userdata('furniture_quotation_id') == false) {
			$this->session->set_flashdata('response','<div class="alert alert-error">You are not authorized to edit this quotation.</div>');
			redirect('furniture/furniture_quotations');
		}		
				
		$this->load->model('furniture_quotation_model');
		$this->load->library('form_validation');
		$this->load->library('pagination');
		
		if($this->furniture_quotation_model->check_privilege($this->session->userdata('furniture_quotation_id')) == false) {
			$this->session->set_flashdata('response','<div class="alert alert-error">You are not authorized to edit this quotation</div>');
			redirect('furniture/furniture_quotations');	
		}
		
	}
	
		
	function index($page=1)	{
	
		$data['general_quotation'] = 0;
		$quotation_details =  $this->furniture_quotation_model->get_full_quotation_details($this->session->userdata('furniture_quotation_id'));
		if($quotation_details["division_id"] == QMS_GENERAL_QTN_DIV_ID) {
			$data['general_quotation'] = 1;
		} elseif($quotation_details["division_id"] == QMS_WORKSHOP_QTN_DIV_ID) {
			$data['general_quotation'] = 1;
		}
		
		$quotation_id=$this->session->userdata('furniture_quotation_id');
		
		$where=array('furniture_quotation.id'=>$this->session->userdata('furniture_quotation_id'));
		//$rs=$this->crud_model->get('view_furniture_quotations_client_project_users', $where);
		$rs= $records=$this->crud_model->get_view_furniture_quotations_client_project_users($where);
		$data['currency_code']=$rs[0]['currency_code'];
																
		$config['per_page']		= 10;
		$config['base_url'] 	= site_url('furniture/furnitures/index/');
		//$config['total_rows'] 	= $this->crud_model->get_count('view_furniture_items_with_brand',array('quotation_id'=>$quotation_id));
		$config['total_rows'] 	= $this->crud_model->get_view_furniture_items_with_brand_count(array('quotation_id'=>$quotation_id));
		$page_val 				= $config['total_rows']/10;
		$per_page_val 			= ceil($page_val);
		$offset 				= ($page-1) * $config['per_page'];
		$data['offset']			= $offset;
		$data['limit']			= $config['per_page'];
		/*$data['records'] = $this->crud_model->get('view_furniture_items_with_brand',
				array('quotation_id'=>$quotation_id),
				$config['per_page'],
				$offset,
				"furniture_area, furniture_brand_name, furniture_brand_other, furniture_id",
				"ASC"
		);*/
		//$data['records'] = $this->crud_model->get_view_furniture_items_with_brand(array('furniture_items.quotation_id'=>$quotation_id),$config['per_page'],$offset,"furniture_area, furniture_brand, furniture_brand_other, furniture_id","ASC");
		$data['records'] 		= $this->crud_model->get('furniture_items', array('furniture_items.quotation_id'=>$quotation_id), null, null, "ex_furniture_area", "ASC", null, null, null, "ex_furniture_area");
		$this->pagination->initialize($config);
		$data['pagination'] 	= $this->pagination->create_links();
		
		$data['quotation_id']	= $quotation_id;
		
		$data['mode']			= $this->mode;
		$data['pageno']			= $page;
		$data['page_offset']	= $offset+1;			
		
		if ($this->mode == 'edit' ) {
			$where=array(
				'furniture_id'=> $this->furniture_id
			);
			$records=$this->crud_model->get('furniture_items',$where);
			if($records == false) {
				redirect('furniture/furnitures/');
				return;
			}
			$data['furniture_id']			= $this->furniture_id;
			$data['furniture_reference'] 	= $records[0]['furniture_reference'];
			$data['furniture_brand']		= $records[0]['furniture_brand'];
			$data['furniture_brand_other']	= $records[0]['furniture_brand_other'];
			$data['furniture_area']			= $records[0]['furniture_area'];
			$data['sub_group']				= $records[0]['sub_group'];
			$data['furniture_model']		= $records[0]['furniture_model'];
			$data['item_id']				= $records[0]['item_id'];
			$data['furniture_description']	= $records[0]['furniture_description'];
			$data['furniture_upholstery']	= $records[0]['furniture_upholstery'];
			$data['furniture_type']			= $records[0]['furniture_type'];
			$data['furniture_unitprice']	= $records[0]['furniture_unitprice'];
			$data['furniture_quantity']		= $records[0]['furniture_quantity'];	
			$data['furniture_height']		= $records[0]['furniture_height'];	
			$data['furniture_width']		= $records[0]['furniture_width'];	
			$data['furniture_ratem2']		= $records[0]['furniture_ratem2'];	
			$data['furniture_uom']			= $records[0]['furniture_uom'];	
			$data['furniture_stock_type']	= $records[0]['furniture_stock_type'];	
			$data['category']				= $records[0]['furniture_area'];
			$data['fabric_width']			= $records[0]['fabric_width'];
			$data['gathering']				= $records[0]['gathering'];
			$data['uom']					= $records[0]['uom'];
			$data['category_hidden']			= $records[0]['furniture_item_name'];
			$data['test_hidden']				= $records[0]['furniture_test_name'];
			$data['method_hidden']					= $records[0]['furniture_method_name'];
			$data['ex_furniture_area']					= $records[0]['ex_furniture_area'];
			$item_id = $records[0]['item_id'];
			$item_img 	= $this->db->query("select item_file_name from items where id='$item_id'");
			$tt = $item_img->result_array();
			if(count($tt)==0){
				$data['item_file_name']= "";
			}else{
				$data['item_file_name']= base_url()."images/items/".$tt[0]['item_file_name'];
			}
		}
		
		@$data['quotation_status']= $records[0]['quotation_status'];
		
		if($this->mode == 'edit_submitted') {
			$this->mode='edit';
			$data['mode']='edit';
			$data['furniture_id']=$this->furniture_id;
		}
		
		$data['furniture_type_list']=array('1'=>'Ex-stock', '0'=>'By-Order');
		$data['furniture_brand_list']=$this->crud_model->get_list('brand_id','brand_name','furniture_brands',array('select'=>' - Select - '));
		$data = html_escape($data);
		$data['pagination'] = $this->pagination->create_links();
		
		$data['categories']=$this->crud_model->get_list('id','category_name','main_category',array(''=>' - Select - '));
		
		$data['groups']=$this->crud_model->get_list('furniture_area','furniture_area','furniture_items',array(''=>' - Select Group - '),array('quotation_id'=>$this->session->userdata('furniture_quotation_id')));
		
		$this->load->view('templates/header');
		//$this->load->view('templates/header1');
		$this->load->view('furniture/quotations/quotation_furnitures/furniture_view',$data);
		//$this->load->view('templates/footer');
		$this->load->view('templates/footer1');

	}	
		
	function do_insert($furniture_id=0, $page=1) {
		//var_dump($_POST);exit;
		if($furniture_id !=0) {
			$this->mode='edit_submited';
		}
		
		$quotation_details =  $this->furniture_quotation_model->get_full_quotation_details($this->session->userdata('furniture_quotation_id'));

			$this->form_validation->set_rules('category', 'Item Name', 'required');
			//$this->form_validation->set_rules('furniture_upholstery', 'Furniture Upholstery', 'max_length[50]');

		//$this->form_validation->set_rules('furniture_reference', 'Furniture Reference', 'required|max_length[50]');
		//$this->form_validation->set_rules('furniture_description', 'Furniture Description', 'required|max_length[300]');
		//$this->form_validation->set_rules('furniture_unitprice', 'Product Unitprice', 'required');
		//$this->form_validation->set_rules('furniture_quantity', 'Product Quantity', 'required|numeric|greater_than[0]');
		//$this->form_validation->set_rules('furniture_area', 'Area', 'max_length[150]');
		//$this->form_validation->set_rules('furniture_brand_other', 'Furniture Brand', 'max_length[50]');
		
		/*if($this->input->post('calculate_rate') == 1){
			$this->form_validation->set_rules('furniture_height', 'Height', 'required|numeric|greater_than[0]');
			$this->form_validation->set_rules('furniture_width', 'WiDth', 'required|numeric|greater_than[0]');
			//$this->form_validation->set_rules('furniture_ratem2', 'Rate', 'required|numeric|greater_than[0]');
			//$this->form_validation->set_rules('furniture_uom', 'UOM', 'required|greater_than[0]');
		}*/
				
		if ($this->form_validation->run() == FALSE || $this->input->post('furniture_brand') == 'select'){
			// false section
			//echo validation_errors();
                        $error_message=validation_errors();
			if($this->input->post('furniture_brand') == 'select') {
				$error_message.='<p>The Furniture brand field is required</p>';
			}
			
			$this->session->set_flashdata('response','<div class="alert alert-error">'.$error_message.'</div>',':old:');
			if($this->mode != 'new') {
				$this->mode='edit_submitted';
				$this->furniture_id=$furniture_id;
			}
			$this->index($page);
		}
		else {	// true section
			
			$old_quotation_id=$this->session->userdata('furniture_quotation_id');
			$this->furniture_quotation_model->check_changes_cloned();			
			$quotation_id = $this->session->userdata('furniture_quotation_id');
			
			if($this->input->post('furniture_type') == 1) {
				$furniture_type=1;
			} else {
				$furniture_type=0;
			}
                            $furniture_area =   $this->input->post('category');
							$sub_group		=	$this->input->post('sub_group');
                            //$cnt_item 	= $this->crud_model->get_count('furniture_items',array('quotation_id'=>$quotation_id));
							$result = $this->db->query("SELECT MAX(ex_furniture_area) as `ex_furniture_area` FROM furniture_items WHERE `quotation_id`='$quotation_id';");
							$cnt_item = $result->result_array();
							
							if ($this->input->post('ex_furniture_area')!=''){
								$ex_furniture_area	=	$this->input->post('ex_furniture_area');
							} else {
								
							if($cnt_item[0]['ex_furniture_area']!=""){
								$furniture_area_id = $cnt_item[0]['ex_furniture_area'];
							}else{
								$furniture_area_id = 1;
							}
							
                            $val_item 	= $this->db->query("select furniture_area,ex_furniture_area from furniture_items where quotation_id='$quotation_id' and furniture_area='$furniture_area'");
                            $tt = $val_item->result_array();
                            
							if(count($tt)>0){
                                $ex_furniture_area = $tt[0]['ex_furniture_area'];
                            }else{
                                $ex_furniture_area = $furniture_area_id+1;
                            }
							
							}
							
							$sub_result = $this->db->query("SELECT MAX(sub_group_id)+1 as `sub_group_id` FROM furniture_items WHERE `quotation_id`='$quotation_id' and furniture_area='$furniture_area'");
							$sub_cnt_item = $sub_result->result_array();
							if($sub_cnt_item[0]['sub_group_id']!=""){
								$ex_sub_group_id = $sub_cnt_item[0]['sub_group_id'];
							}else{
								$ex_sub_group_id = 1;
							}
                            $sub_val_item 	= $this->db->query("select sub_group,sub_group_id from furniture_items where quotation_id='$quotation_id' and furniture_area='$furniture_area' and sub_group='$sub_group'");
                            $sub_tt = $sub_val_item->result_array();
                            if(count($sub_tt)>0){
                                $sub_group_id = $sub_tt[0]['sub_group_id'];
                            }else{
                                $sub_group_id = $ex_sub_group_id;
                            }
			$test_name	=	$this->input->post('test_name');
			$test_method	=	$this->input->post('test_method');
			$rate	=	$this->input->post('rate');
			$quantity	=	$this->input->post('quantity');
			$unit	=	$this->input->post('unit');
			
			$category_hidden		=	$this->input->post('category_hidden');
			$test_hidden		=	$this->input->post('test_hidden');
			$method_hidden		=	$this->input->post('method_hidden');
			
			for($i=0;$i<count($test_name);$i++){
				if($test_name[$i]!="" && $test_method[$i]!=""){
										$data=array(
											'quotation_id'          	=> $quotation_id,
											//'furniture_reference'		=> $this->input->post('furniture_reference'),
											//'furniture_brand'	    	=> $this->input->post('furniture_brand'),
											//'furniture_brand_other'	=> $this->input->post('furniture_brand_other'),
											'furniture_area'	    	=> $this->input->post('category'),
											'ex_furniture_area'	    	=> $ex_furniture_area,
											'sub_group'	    			=> $test_name[$i],
											//'sub_group_id'	    		=> $sub_group_id,
											//'item_id'		        	=> $this->input->post('item_id'),
											'furniture_model'	    	=> $test_method[$i],
											//'furniture_description'		=> $this->input->post('furniture_description'),
											//'furniture_upholstery'	=> $this->input->post('furniture_upholstery'),
											//'furniture_type'	    	=> $furniture_type,
											'furniture_unitprice'		=> $rate[$i],
											'furniture_quantity'		=> $quantity[$i],
											//'furniture_height'		=> $this->input->post('furniture_height'),
											//'furniture_width'	    	=> $this->input->post('furniture_width'),
											'uom'		    			=> $unit[$i],
											'furniture_item_name'	    => $category_hidden,
											'furniture_test_name'		=> $test_hidden[$i],
											'furniture_method_name'		=> $method_hidden[$i],
											//'furniture_ratem2'	    	=> $this->input->post('furniture_ratem2'),
											//'furniture_stock_type'	=> $this->input->post('furniture_stock_type'),
											//'job_bag'		        	=> $this->input->post('job_bag'),
											//'category'		    	=> $this->input->post('category'),
											//'fabric_width'			=> $this->input->post('fabric_width'),
											//'gathering'		    	=> $this->input->post('gathering'),
											//'uom'			        	=> $this->input->post('uom')
							
										);
										
										
										if($this->mode != 'new') {
										
											if($old_quotation_id != $quotation_id) {
												$where=array (
													'quotation_id'=>$old_quotation_id
												);
												$records=$this->crud_model->get('furniture_items', $where);
												$i=-1;
												foreach($records as $furniture_item) {
													$i++;
													if($furniture_item['furniture_id'] == $furniture_id){
														break;
													}
												}
												
												$where=array (
													'quotation_id'=>$quotation_id
												);
												$records=$this->crud_model->get('furniture_items', $where);
												$furniture_id=$records[$i]['furniture_id'];
											}
												
											$where=array(
												'furniture_id'=> $furniture_id
											);
											$this->crud_model->update('furniture_items',$data,$where );
											
											$rr=true;
										} else {
											$rr=$this->crud_model->insert('furniture_items',$data);
										}
					}
			}
			
			if($rr == false) {
				$this->session->set_flashdata('response','<div class="alert alert-error">Error in update</div>',':old:');
			} else {
				// redirect
				
				$this->furniture_quotation_model->update_quotation_total();
				
				if($this->mode != 'new') {
					$this->session->set_flashdata('response','<div class="alert alert-success">Furniture Item updated successfully</div>');
				} else {
					$this->session->set_flashdata('response','<div class="alert alert-success">Furniture Item added successfully</div>');
				}
			}
			//$config['total_rows'] 	= $this->crud_model->get_view_furniture_items_with_brand_count(array('quotation_id'=>$quotation_id));
			//$page_val = $config['total_rows']/10;
			//$per_page_val = ceil($page_val);
			redirect('furniture/furnitures/index/'.$page);
		}

	}
	
	function do_edit($furniture_id=0, $page=1) {
	
		$this->mode='edit';
		$this->furniture_id=$furniture_id;
		$this->index($page);		
		
	}
	
	
	function do_delete($furniture_id=0) {
	
		$old_quotation_id=$this->session->userdata('furniture_quotation_id');
		$this->furniture_quotation_model->check_changes_cloned();			
		$quotation_id = $this->session->userdata('furniture_quotation_id');
		
		
		if($old_quotation_id != $quotation_id) {
			$where=array (
				'quotation_id'=>$old_quotation_id
			);
			$records=$this->crud_model->get('furniture_items', $where);
			$i=-1;
			foreach($records as $furniture_item) {
				$i++;
				if($furniture_item['furniture_id'] == $furniture_id){
					break;
				}
			}
			
			$where=array (
				'quotation_id'=>$quotation_id
			);
			$records=$this->crud_model->get('furniture_items', $where);
			$furniture_id=$records[$i]['furniture_id'];
		}
				
		$where=array(
				'furniture_id'=> $furniture_id
		);
		
		$records=$this->crud_model->delete('furniture_items',$where);
		$this->furniture_quotation_model->update_quotation_total();
		$this->session->set_flashdata('response','<div class="alert alert-success">Furniture items deleted</div>');
		redirect('furniture/furnitures');
		
	}
	/*function sub_category() {
		$sub_category_name =  $this->input->post('sub_category');
		$this->db->where('item_name',$sub_category_name);
				 $query = $this->db->get('items');  
				 $row = $query->row();
				  echo $row->cost_price.'-1010101-'.$row->description;
	}*/
	function sub_category() {
		$sub_category_name =  $this->input->post('sub_category');
		$this->db->like('item_name',$sub_category_name);
		$this->db->or_like('item_code', $sub_category_name);
		//$this->db->like('item_code',$sub_category_name);
		$query = $this->db->get('items');  
		if($query->num_rows() > 0){
					$item_list = $query->result_array();
					
					$java_script='<script type="text/javascript" >var item_list = new Array();';
					$html='<div id="search_result" ><table class="table table-bordered table-hover"><tr style="background:#434343; color:#FFFFFF;"><th>Item Code</th>
					<th>Item Name</th>
					<th>Selling Price</th>
					<th>Action</th>
					</tr>';

					foreach($item_list as $index=>$client_entry) {
						$java_script.="item_list[" . $index . "]=new Array();";
						$java_script.="item_list[" . $index . "][0]='" . $client_entry['item_name'] . "';";
						$java_script.="item_list[" . $index . "][1]='" . $client_entry['selling_price'] . "';";
						$java_script.="item_list[" . $index . "][2]='" . preg_replace( "/\r|\n/", " ", $client_entry['description'] ) . "';";
						$java_script.="item_list[" . $index . "][3]='" . $client_entry['id'] . "';";
						$java_script.="item_list[" . $index . "][4]='" . $client_entry['unit'] . "';";
						$java_script.="item_list[" . $index . "][5]='" . $client_entry['item_file_name'] . "';";
						
						$html.='<tr><td>'. $client_entry['item_code'] . '</td>
									<td>'. $client_entry['item_name'] . '</td>
									<td>'. $client_entry['selling_price'] . '</td>
									<td><button type="button" value="' .$index .'" class="client_button" style="background: #586688; color:#FFFFFF;">Select</button> </td>
						</tr>';
							
					}
					
				$java_script.='</script>';
				$html.='</table></div>';
				
				echo $java_script;
				echo $html;
		}
		else{
			return false;
		}
	}
	function clone_change(){
		$old_quotation_id=$this->session->userdata('furniture_quotation_id');
		$this->furniture_quotation_model->check_changes_cloned();			
		$quotation_id = $this->session->userdata('furniture_quotation_id');
		redirect('furniture/furnitures/index/');
	}
	function update_name(){
		$where=array(
					'quotation_id'      => $this->input->post('furniture_quote_id'),
					'ex_furniture_area' => $this->input->post('ex_furniture_id')
				);
		$data=array(
				'furniture_area'	=> $this->input->post('group_rename')

			);
		$this->crud_model->update('furniture_items',$data,$where );
		$this->session->set_flashdata('response','<div class="alert alert-success">Group Name updated successfully</div>');
		redirect('furniture/furnitures/index/');
	}
	function delete_group(){
	
		$quote_records = $this->db->query("SELECT SUM(furniture_unitprice*furniture_quantity) as `total_sum` FROM furniture_items WHERE quotation_id = ".$this->input->post('delete_furniture_quote_id')." AND ex_furniture_area = ".$this->input->post('delete_ex_furniture_id'));
		
		$sub_item_total = $quote_records->result_array();
		
		$quote_details = $this->db->query("SELECT quotation_total FROM furniture_quotation WHERE id = ".$this->input->post('delete_furniture_quote_id'));
		
		$quotation_total = $quote_details->result_array();
		
		$where=array(
					'quotation_id'      => $this->input->post('delete_furniture_quote_id'),
					'ex_furniture_area' => $this->input->post('delete_ex_furniture_id')
				);
		$deleted = $this->crud_model->delete('furniture_items',$where);
		
		$update_data = array('quotation_total' => $quotation_total[0]['quotation_total'] - $sub_item_total[0]['total_sum']);
			
		$update_where = array('id' => $this->input->post('delete_furniture_quote_id'));
		
		$this->crud_model->update('furniture_quotation',$update_data,$update_where);
		
		$this->session->set_flashdata('response','<div class="alert alert-success">Group deleted successfully</div>');
		redirect('furniture/furnitures/index/');
	}
	function change_order(){
		$count 			     = $this->input->post('list_count');
		$furniture_quote_id  = $this->input->post('furniture_quote_id');
		
		for($i=0; $i<$count ; $i++){
			$hidden_furniture_area_id = $this->input->post('hidden_furniture_area_id'.$i);
			$fur_id = $this->input->post('fur_id'.$i);
			@$SQL .= " when ex_furniture_area=".$hidden_furniture_area_id." then ".$fur_id;
		}
		
		$this->db->query("update furniture_items set ex_furniture_area = case ".$SQL." end where quotation_id='$furniture_quote_id'");
		
		$this->session->set_flashdata('response','<div class="alert alert-success">Order changed successfully</div>');
		redirect('furniture/furnitures/index/');
	}
	function change_sub_order(){
		$count 			     = $this->input->post('list_count');
		$furniture_quote_id  = $this->input->post('sub_furniture_quote_id');
		$ex_furniture_id     = $this->input->post('sub_ex_furniture_id');
		
		for($i=0; $i<$count ; $i++){
			$hidden_sub_group_id = $this->input->post('hidden_sub_group_id'.$i);
			$sub_group_id 		 = $this->input->post('sub_group_id'.$i);
			@$SQL .= " when sub_group_id=".$hidden_sub_group_id." then ".$sub_group_id;
		}
		
		$this->db->query("update furniture_items set sub_group_id = case ".$SQL." end where quotation_id='$furniture_quote_id' AND ex_furniture_area='$ex_furniture_id'");
		
		$this->session->set_flashdata('response','<div class="alert alert-success">Sub Group Order changed successfully</div>');
		redirect('furniture/furnitures/index/');
	}
	function sub_group_list() {
		$furniture_quote_id   = $this->input->post('furniture_quote_id');
		$ex_furniture_id      = $this->input->post('ex_furniture_id');
		$sub_item 			  =  $this->db->query("select sub_group,sub_group_id from furniture_items where quotation_id='$furniture_quote_id' AND ex_furniture_area='$ex_furniture_id' group by sub_group_id");
    	$sub_items            =  $sub_item->result_array();
		$j=0;
		$html = '<form method="post" action="'.base_url().'index.php/furniture/furnitures/change_sub_order">
				<input type="hidden" name="sub_furniture_quote_id" id="sub_furniture_quote_id" value="'.$furniture_quote_id.'" />
				<input type="hidden" name="sub_ex_furniture_id" id="sub_ex_furniture_id" value="'.$ex_furniture_id.'" />
				<table width="100%">
					<tr>
						<td>
							<b>Sub Group</b>
						</td>
						<td>
							&nbsp;&nbsp;&nbsp;
						</td>
						<td>
							<b>Order</b>
						</td>
					</tr><input type="hidden" name="list_count" id="list_count" value="'.count($sub_items).'" />';
					
					foreach($sub_items as $sub_items){
					if($sub_items['sub_group']!=""){$sub_group = $sub_items['sub_group'];}else{$sub_group = "No Sub Group";}
						$html .='<tr>
									<td>
										'.$sub_group.'
									</td>
									<td>
										&nbsp;&nbsp;&nbsp;
									</td>
									<td>
										<input type="text" style="width:40px;" autocomplete="off" name="sub_group_id'.$j.'" id="sub_group_id'.$j.'" class="sub_order_list" value="'.$sub_items['sub_group_id'].'" required />
										<input type="hidden" style="width:40px;" name="hidden_sub_group_id'.$j.'" id="hidden_sub_group_id'.$j.'" value="'.$sub_items['sub_group_id'].'" />
									</td>
								</tr>';
					$j++;}
					
		$html .= '<tr>
					<td>
						<input type="submit" class="btn btn-success" id="sub_order_btn" value="Submit">
					</td>
				</tr>
</table>
			</form>';
			
		echo $html;
	}
	function duplicate_group(){
		$duplicate_furniture_quote_id = $this->input->post('duplicate_furniture_quote_id');
		$duplicate_ex_furniture_id    = $this->input->post('duplicate_ex_furniture_id');
		
		$where=array(
					'quotation_id'      => $duplicate_furniture_quote_id,
					'ex_furniture_area' => $duplicate_ex_furniture_id
				);
				
		$records = $this->db->query("SELECT MAX(ex_furniture_area) as `max_ex_furniture_area` FROM furniture_items WHERE quotation_id = ".$duplicate_furniture_quote_id);
				
				$ds = $records->result_array();
				
				$new_ex_furniture_area = ($ds[0]['max_ex_furniture_area']) + 1;
				
		$rs = $this->crud_model->get('furniture_items',$where, null, null, null, null);
		
		$quote_records = $this->db->query("SELECT SUM(furniture_unitprice*furniture_quantity) as `total_sum` FROM furniture_items WHERE quotation_id = ".$duplicate_furniture_quote_id." AND ex_furniture_area = ".$duplicate_ex_furniture_id);
		
		$sub_item_total = $quote_records->result_array();
		
		$quote_details = $this->db->query("SELECT quotation_total FROM furniture_quotation WHERE id = ".$duplicate_furniture_quote_id);
		
		$quotation_total = $quote_details->result_array();
		
		if($rs != false){
		
			$update_data = array('quotation_total' => $sub_item_total[0]['total_sum'] + $quotation_total[0]['quotation_total']);
			
			$update_where = array('id' => $duplicate_furniture_quote_id);
		
			$this->crud_model->update('furniture_quotation',$update_data,$update_where);
			
					foreach($rs as $furniture_item ) {
						
						$data = array(
							'quotation_id'			=> $furniture_item['quotation_id'],
							'furniture_reference'	=> $furniture_item['furniture_reference'],
							'furniture_brand'		=> $furniture_item['furniture_brand'],
							'furniture_brand_other'	=> $furniture_item['furniture_brand_other'],
							'furniture_area'		=> $furniture_item['furniture_area']." (copy)",
                            'ex_furniture_area'		=> $new_ex_furniture_area,
							'sub_group'				=> $furniture_item['sub_group'],
                            'sub_group_id'			=> $furniture_item['sub_group_id'],
							'item_id'				=> $furniture_item['item_id'],
							'furniture_model'		=> $furniture_item['furniture_model'],
							'furniture_description'	=> $furniture_item['furniture_description'],
							'furniture_upholstery'	=> $furniture_item['furniture_upholstery'],
							'furniture_unitprice'	=> $furniture_item['furniture_unitprice'],
							'furniture_quantity'	=> $furniture_item['furniture_quantity'],
							'furniture_type'		=> $furniture_item['furniture_type'],
                            'furniture_height'		=> $furniture_item['furniture_height'],
                            'furniture_width'		=> $furniture_item['furniture_width'],
                            'furniture_uom'			=> $furniture_item['furniture_uom'],
                            'furniture_ratem2'		=> $furniture_item['furniture_ratem2'],
                            'furniture_stock_type'	=> $furniture_item['furniture_stock_type'],
							'category'				=> $furniture_item['category'],
							'fabric_width'			=> $furniture_item['fabric_width'],
							'gathering'				=> $furniture_item['gathering'],
							'uom'					=> $furniture_item['uom']
							
						);
						
						$this->crud_model->insert('furniture_items',$data);
					
					}
				
				}
		
		$this->session->set_flashdata('response','<div class="alert alert-success">Group duplicated successfully</div>');
		redirect('furniture/furnitures/index/');
	}
	function update_sub_group(){
		$where=array(
					'quotation_id'      => $this->input->post('sub_furniture_quote_id'),
					'ex_furniture_area' => $this->input->post('sub_ex_furniture_id'),
					'sub_group_id' 		=> $this->input->post('sub_id')
				);
		$data=array(
				'sub_group'	=> $this->input->post('sub_group_rename')

			);
		$this->crud_model->update('furniture_items',$data,$where );
		$this->session->set_flashdata('response','<div class="alert alert-success">Sub Group Name updated successfully</div>');
		redirect('furniture/furnitures/index/');
	}
	function delete_sub_group(){
	
		$quote_records = $this->db->query("SELECT SUM(furniture_unitprice*furniture_quantity) as `total_sum` FROM furniture_items WHERE quotation_id = ".$this->input->post('delete_sub_furniture_quote_id')." AND ex_furniture_area = ".$this->input->post('delete_sub_ex_furniture_id')." AND sub_group_id = ".$this->input->post('delete_sub_group_id'));
		
		$sub_item_total = $quote_records->result_array();
		
		$quote_details = $this->db->query("SELECT quotation_total FROM furniture_quotation WHERE id = ".$this->input->post('delete_sub_furniture_quote_id'));
		
		$quotation_total = $quote_details->result_array();
		
		$where=array(
					'quotation_id'      => $this->input->post('delete_sub_furniture_quote_id'),
					'ex_furniture_area' => $this->input->post('delete_sub_ex_furniture_id'),
					'sub_group_id' 		=> $this->input->post('delete_sub_group_id')
				);
		$deleted = $this->crud_model->delete('furniture_items',$where);
		
		$update_data = array('quotation_total' => $quotation_total[0]['quotation_total'] - $sub_item_total[0]['total_sum']);
			
		$update_where = array('id' => $this->input->post('delete_sub_furniture_quote_id'));
		
		$this->crud_model->update('furniture_quotation',$update_data,$update_where);
		
		$this->session->set_flashdata('response','<div class="alert alert-success">Sub Group deleted successfully</div>');
		redirect('furniture/furnitures/index/');
	}
	function duplicate_sub_group(){
		$sub_duplicate_furniture_quote_id = $this->input->post('sub_duplicate_furniture_quote_id');
		$sub_duplicate_ex_furniture_id    = $this->input->post('sub_duplicate_ex_furniture_id');
		$sub_duplicate_sub_group_id       = $this->input->post('sub_duplicate_sub_group_id');
		
		$where=array(
					'quotation_id'      => $sub_duplicate_furniture_quote_id,
					'ex_furniture_area' => $sub_duplicate_ex_furniture_id,
					'sub_group_id' 		=> $sub_duplicate_sub_group_id
				);
				
		$records = $this->db->query("SELECT MAX(sub_group_id) as `max_sub_group_id` FROM furniture_items WHERE quotation_id = ".$sub_duplicate_furniture_quote_id." AND ex_furniture_area = ".$sub_duplicate_ex_furniture_id);
				
		$ds = $records->result_array();
				
		$new_max_sub_group_id = ($ds[0]['max_sub_group_id']) + 1;
				
		$rs = $this->crud_model->get('furniture_items',$where, null, null, null, null);
		
		$quote_records = $this->db->query("SELECT SUM(furniture_unitprice*furniture_quantity) as `total_sum` FROM furniture_items WHERE quotation_id = ".$sub_duplicate_furniture_quote_id." AND ex_furniture_area = ".$sub_duplicate_ex_furniture_id." AND sub_group_id = ".$sub_duplicate_sub_group_id);
		
		$sub_item_total = $quote_records->result_array();
		
		$quote_details = $this->db->query("SELECT quotation_total FROM furniture_quotation WHERE id = ".$sub_duplicate_furniture_quote_id);
		
		$quotation_total = $quote_details->result_array();
		
		if($rs != false){
		
			$update_data = array('quotation_total' => $sub_item_total[0]['total_sum'] + $quotation_total[0]['quotation_total']);
			
			$update_where = array('id' => $sub_duplicate_furniture_quote_id);
		
			$this->crud_model->update('furniture_quotation',$update_data,$update_where);
			
					foreach($rs as $furniture_item ) {
						
						$data = array(
							'quotation_id'			=> $furniture_item['quotation_id'],
							'furniture_reference'	=> $furniture_item['furniture_reference'],
							'furniture_brand'		=> $furniture_item['furniture_brand'],
							'furniture_brand_other'	=> $furniture_item['furniture_brand_other'],
							'furniture_area'		=> $furniture_item['furniture_area'],
                            'ex_furniture_area'		=> $furniture_item['ex_furniture_area'],
							'sub_group'				=> $furniture_item['sub_group']." (copy)",
                            'sub_group_id'			=> $new_max_sub_group_id,
							'item_id'				=> $furniture_item['item_id'],
							'furniture_model'		=> $furniture_item['furniture_model'],
							'furniture_description'	=> $furniture_item['furniture_description'],
							'furniture_upholstery'	=> $furniture_item['furniture_upholstery'],
							'furniture_unitprice'	=> $furniture_item['furniture_unitprice'],
							'furniture_quantity'	=> $furniture_item['furniture_quantity'],
							'furniture_type'		=> $furniture_item['furniture_type'],
                            'furniture_height'		=> $furniture_item['furniture_height'],
                            'furniture_width'		=> $furniture_item['furniture_width'],
                            'furniture_uom'			=> $furniture_item['furniture_uom'],
                            'furniture_ratem2'		=> $furniture_item['furniture_ratem2'],
                            'furniture_stock_type'	=> $furniture_item['furniture_stock_type'],
							'category'				=> $furniture_item['category'],
							'fabric_width'			=> $furniture_item['fabric_width'],
							'gathering'				=> $furniture_item['gathering'],
							'uom'					=> $furniture_item['uom']
							
						);
						
						$this->crud_model->insert('furniture_items',$data);
					
					}
				
				}
		
		$this->session->set_flashdata('response','<div class="alert alert-success">Sub Group duplicated successfully</div>');
		redirect('furniture/furnitures/index/');
	}
	function sub_group_dropdwon() {
		$sub=$this->crud_model->get_list('sub_group','sub_group','furniture_items',array(''=>' - Select Sub Group - '),array('furniture_area'=>$this->input->post('furniture_area')));
		echo form_dropdown('sub_group1',$sub,'','id="sub_group1" class="input-percentage3", style="width:516px; height:40px;"');
		echo '&nbsp;&nbsp;<img src="'.base_url().'/images/add_sub_group.png" title="Add New Sub Group" id="new_sub" style="cursor:pointer;" height="25px" width="25px"/>';
		echo '<script type="text/javascript">document.getElementById("sub_group1").setAttribute("name", "sub_group");</script>';
	}
	function search_test_name() {
		$where_name = $this->input->post('category');
		$data_val = $this->db->query("SELECT sub_category FROM `items` WHERE main_category='$where_name'");
		$quotation_list=	$data_val->result_array();				
		if($quotation_list == false ){
			echo 0;
		} else {
			$html='<tr>
			<td><span class="mandi">*</span>Test Name</td>
			<td><span class="mandi">*</span>Test Method</td>
			<td><span class="mandi">*</span>Unit</td>
			<td><span class="mandi">*</span>Rate</td>
			<td>Quantity</td>
			<td>Amount</td>
		</tr>';
		$i = 0;
		foreach($quotation_list as $quotation_lists) {
		$tname_val = $this->db->query("SELECT DISTINCT sub_id,sub_category_name FROM `items` JOIN sub_category ON sub_category.sub_id=items.sub_category WHERE items.main_category='$where_name'");
		$tname_rsl=	$tname_val->result_array();
		$html.='<tr>
					<td width="1%">
						<select name="test_name[]" style="width:445px; height:40px;" class="input-percentage3 test_class" id="test_name">
							<option value="">-- select --</option>';
							foreach($tname_rsl as $tname_rslt) {
								$html.='<option value="'.$tname_rslt['sub_id'].'">'.$tname_rslt['sub_category_name'].'</option>';
							}
			$html.='</select>
					<input type="hidden" name="test_hidden[]" class="test_class_hidden" />
					</td>
					<td width="1%">
						<select name="test_method[]" style="width:200px; height:40px;" class="input-percentage3 method_value" id="test_method">
						</select>
					<input type="hidden" name="method_hidden[]" class="method_value_hidden" />
					</td>
					<td width="1%">
						<input name="unit[]" style="width:100px;" type="text" class="input-percentage3 unit_class" id="unit" value="" />
					</td>
					<td width="1%">
						<input name="rate[]" style="width:100px;" type="text" class="input-percentage3 rate_class" id="rate" value="" />
					</td>
					<td width="1%">
						<input name="quantity[]" style="width:100px;" type="text" autocomplete="off" class="input-percentage3 quantity_class" id="quantity" value="" />
					</td>
					<td>
						<input name="amount[]" style="width:100px;" type="text" class="input-percentage3 amount_class" id="amount" value="" />
					</td>
					<td style="width:100px;">
					&nbsp;
					</td>
				</tr>
				
				<tr style="display:none;" class="hideData"> 
					<td width="1%">
						<select name="test_name[]" style="width:450px; height:40px;" class="input-percentage3 test_class" id="test_name">
							<option value="">-- select --</option>';
							foreach($tname_rsl as $tname_rslt) {
								$html.='<option value="'.$tname_rslt['sub_id'].'">'.$tname_rslt['sub_category_name'].'</option>';
							}
			$html.='</select>
			<input type="hidden" name="test_hidden[]" class="test_class_hidden" />
					</td>
					<td width="1%">
						<select name="test_method[]" style="width:200px; height:40px;" class="input-percentage3 method_value" id="test_method">
						</select>
						<input type="hidden" name="method_hidden[]" class="method_value_hidden" />
					</td>
					<td width="1%">
						<input name="unit[]" style="width:100px;" type="text" class="input-percentage3 unit_class" id="unit" value="" />
					</td>
					<td width="1%">
						<input name="rate[]" style="width:100px;" type="text" class="input-percentage3 rate_class" id="rate" value="" />
					</td>
					<td width="1%">
						<input name="quantity[]" style="width:100px;" type="text" autocomplete="off" class="input-percentage3 quantity_class" id="quantity" value="" />
					</td>
					<td>
						<input name="amount[]" style="width:100px;" type="text" class="input-percentage3 amount_class" id="amount" value="" />
					</td>
					<td style="width:100px;">
					<img src="'.base_url().'/images/Deletion_icon.svg.png" class="deleteButton" alt="delete" style="width75px; height="75px"" />
					</td>
				</tr>
				';
				$i++;
				break;
		}
				$html.='<tr><td><input name="count_val" type="hidden" id="count_val" value="'.count($quotation_list).'" /></tr></td>';
				echo $html;
			
		}
		
	}
	function test_methods() {
		$category 		= 	$this->input->post('category');
		$test_name 		= 	$this->input->post('test_name');
		$data_val 		= 	$this->db->query("SELECT item_name FROM `items` WHERE main_category='$category' AND sub_category='$test_name'");
		$method_list	=	$data_val->result_array();				
		if($method_list != false ){
			$html = '<option>-- select --</option>';
			foreach($method_list as $method_lists){
				$html .= '<option value="'.$method_lists['item_name'].'">'.$method_lists['item_name'].'</option>';
			}
			echo $html;
		}else{
			echo 0;
		}
	}
	function test_details() {
		$category 		= 	$this->input->post('category');
		$test_name 		= 	$this->input->post('test_name');
		$test_method 		= 	$this->input->post('test_method');
		$data_val 		= 	$this->db->query("SELECT * FROM `items` WHERE main_category='$category' AND sub_category='$test_name' AND item_name='$test_method'");
		$method_list	=	$data_val->result_array();				
		if($method_list != false ){
			echo json_encode($method_list);
		}else{
			echo 0;
		}
	}
		
}?>