<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Work_order extends CI_Controller {

	function Work_order() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		if($this->crud_model->check_permission("work_order","view")==false && $this->session->userdata('default_controller_name')!="furniture/work_order"){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}

	public function index($page=1) {
		if($this->input->post('filter_division') != "") {
			$filter_division = $this->input->post('filter_division');
			$where=" WHERE work_order_main.division='$filter_division'";
		} else {
			$where="";
		}
		if($this->input->post('filter_by') == 1) {
			$filter_value = $this->input->post('filter_value');
			$like=" AND work_order_main.work_order_no LIKE '%$filter_value%'";
		} elseif($this->input->post('filter_by') == 2) {
			$filter_value = $this->input->post('filter_value');
			$like=" AND work_order_main.client_name LIKE '%$filter_value%'";
		} else {
			$like="";
		}
		$config['per_page']		= 100;
		$config['base_url'] 	= site_url('furniture/work_order/index/');
		$data12					=	$this->db->query("SELECT work_order_main.id FROM `work_order_main` JOIN jobs ON jobs.job_id=work_order_main.job_id");
		$config['total_rows']	=	$data12->num_rows();
		//$config['total_rows'] 	= $this->crud_model->get_count('work_order_main',array());
		$offset = ($page-1) * $config['per_page'];
		$data1				=	$this->db->query("SELECT work_order_main.id,work_order_no,jobs.type,work_order_main.status,work_order_date,work_order_main.project_name,work_order_main.client_name,work_order_main.division,jobs.job_no FROM `work_order_main` JOIN jobs ON jobs.job_id=work_order_main.job_id ".$where."".$like." ORDER BY work_order_main.id DESC LIMIT 100 OFFSET $offset");
		$data['records']	=	$data1->result_array();
		$this->pagination->initialize($config);
		$data['pagination'] = $this->pagination->create_links();
		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/list_work_order',$data);
		$this->load->view('templates/footer');
	}
	
	public function edit_job($job_id) {
		if($this->crud_model->check_permission("work_order","edit")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$records['division_list'] = $this->crud_model->get_list('division_code','division_name','company_division',array(''=>' - Select - '));
		$records['edit_val'] = $this->crud_model->get('jobs',array('job_id'=>$job_id));
		$records['categories']=$this->crud_model->get_list('id','category_name','main_category',array(''=>' - Select - '));
		$records['detailed_list']= $this->crud_model->get('job_details',array('job_id'=>$job_id),null,null,null,null,null,null,null,'item_name');	
		$division = explode("-",$records['edit_val']['0']['quote_no'].'-0');
		$records['quotation_divisionid'] = $division['0'];
		$records['detailed_list11'] = $this->crud_model->get('job_details',array('job_id'=>$job_id));
		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/edit_job',$records);
		$this->load->view('templates/footer');
	}
	
	public function create_work_order($job_quote="") {
		if($this->crud_model->check_permission("work_order","add")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}	
		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/create_work_order');
		$this->load->view('templates/footer');
	}
	public function edit_work_order($job_no="",$wrk_number="") {
		$data['job_number'] = $job_no;
		$data['wrk_number'] = $wrk_number;
		
		$work_order_main	=	$this->crud_model->get('work_order_main',array('work_order_no'=>$wrk_number));
		$data['work_order_date'] = $work_order_main[0]['work_order_date'];
		$data['w_o_created_date'] = $work_order_main[0]['w/o_created_date'];
		$data['w_o_created_by'] = $work_order_main[0]['w/o_created_by'];
		$data['sampled_submitted_date'] = $work_order_main[0]['sampled_submitted_date'];
		$data['lpo_no'] = $work_order_main[0]['lpo_no'];
		
		
		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/edit_work_order',$data);
		$this->load->view('templates/footer');
	}
	
	public function edit_work_order_complete($job_no="",$wrk_number="") {
		$data['job_number'] = $job_no;
		$data['wrk_number'] = $wrk_number;
		
		$work_order_main	=	$this->crud_model->get('work_order_main',array('work_order_no'=>$wrk_number));
		
		$data['client_name'] = $work_order_main[0]['client_name'];
		$data['client_id'] = $work_order_main[0]['client_id'];
		$data['work_order_date'] = $work_order_main[0]['work_order_date'];
		$data['w_o_created_date'] = $work_order_main[0]['w/o_created_date'];
		$data['w_o_created_by'] = $work_order_main[0]['w/o_created_by'];
		$data['sampled_submitted_date'] = $work_order_main[0]['sampled_submitted_date'];
		$data['lpo_no'] = $work_order_main[0]['lpo_no'];
				
		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/edit_work_order_complete',$data);
		$this->load->view('templates/footer');
	}
	
	function search_quotation() {
	
		$search_name = trim($this->input->post('quote_no'));
		
		$like=null;
		$array = explode("-",$search_name.'-0');
		$like=array('division_code'=>$array[0],'quotation_number'=>$array[1]);
		$where=array('quotation_status'=>'Confirmed');
		$data = $this->db->query("SELECT * FROM view_furniture_quotations_client_project_users WHERE quotation_status='Confirmed' AND division_code LIKE '%$search_name%' OR quotation_number LIKE '%$search_name%'");
		$records['quotation_list'] =$data->result_array();
		//$records['quotation_list']=$this->crud_model->get('view_furniture_quotations_client_project_users',$where,null,null,null,null,$like,null,null);					
		if($records['quotation_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/project_search_result', $records);
			
		}
		
	}
	function list_details() {
	
		$quote_id = $this->input->post('quote_id');
		$detailed = $this->db->query("SELECT * FROM `furniture_items` JOIN main_category ON main_category.id=furniture_items.furniture_area WHERE `quotation_id`='$quote_id' GROUP BY ex_furniture_area ORDER BY ex_furniture_area ASC");
		$records['detailed_list']= $detailed->result_array();		
		if($records['detailed_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/detailed_search_result', $records);
			
		}
		
	}
	
	function do_insert() {
		
		
		
		
		$this->form_validation->set_rules('job_no', 'Client Name', 'required');
		$this->form_validation->set_rules('pp_item_name[]', 'Item Name', 'required');
		$this->form_validation->set_rules('project_id', 'Project Name', 'required');
		$this->form_validation->set_rules('project_no', 'Project Name', 'required');
		
		if ($this->form_validation->run() == FALSE){
			redirect('furniture/work_order/create_work_order');
        } else {
		$job_id 		=   $this->input->post('job_no');
		$job_no 		=   $this->input->post('job_no2');
		$work_order_no  		=   $this->input->post('work_order_no');
		$work_order_date  		=   date("Y-m-d", strtotime($this->input->post('work_order_date')));
		$project_no  		=   $this->input->post('project_no');
		$client_name  		=   $this->input->post('client_name');
		$client_id  		=   $this->input->post('client_id');
		$project_id  		=   $this->input->post('project_id');
		$lpo_no  		=   $this->input->post('lpo_no');
		
		if ($this->input->post('sampled')!=''){
			$sampled  	=   $this->input->post('sampled');
		} else {
			$sampled  	=   0;
		}
		if ($this->input->post('submitted')!=''){
			$submitted  	=   $this->input->post('submitted');
		} else {
			$submitted  	=   0;
		}
		if($this->input->post('sam_sub_date')!=""){
    		$sam_sub_date = date("Y-m-d", strtotime($this->input->post('sam_sub_date')));
	   }else{
			$sam_sub_date = "0000-00-00";
	   }
		if ($this->form_validation->run() == FALSE) {
				$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
				$this->work_order();
		} else {
			$division = $this->input->post('division_code');
			$ggg=date("y").$division;
			$query= $this->db->query("SELECT COUNT(`id`) as `MaxID` FROM `work_order_main` WHERE `division`='$division' AND  `work_order_no` LIKE  '%$ggg%'");
			$maxId      = $query->row();
			if ($maxId->MaxID==NULL){
				$mid	=00000;
			} else {
				$mid=$maxId->MaxID;
			}
			$work_order_no11 = date("y").$this->input->post('division_code').sprintf("%'.05d", ($mid+1));
			
			if($this->input->post('Received_Date')!=""){
				$Received_Date = date("Y-m-d", strtotime($this->input->post('Received_Date')));
			}else{
				$Received_Date = "0000-00-00";
			}
			if($this->input->post('Casting_Date')!=""){
				$Casting_Date = date("Y-m-d", strtotime($this->input->post('Casting_Date')));
			}else{
				$Casting_Date = "0000-00-00";
			}
			$mix_design  		=   $this->input->post('mix_design');
			
			$data=array(
				'job_id' 				=>	$job_id,
				'work_order_no' 		=>	$work_order_no11,
				'division' 				=>	$this->input->post('division_code'),
				'work_order_date' 		=>	$work_order_date,
				'project_name' 			=>	$project_no,
				'client_name' 			=>	$client_name,
				'project_id' 			=>	$project_id,
				'client_id' 			=>	$client_id,
				'lpo_no' 				=>	$lpo_no,
				'sampled' 				=>	$sampled,
				'submitted' 			=>	$submitted,
				'sampled_submitted_date' =>	$sam_sub_date,
				'w/o_created_by' 		=>	$this->session->userdata('user_name'),
				'w/o_created_date' 		=>	date('Y-m-d H:i:s'),
				'attn' 					=>	$this->input->post('attn'),
				'mix_design' 			=>	$mix_design,
				'Received_Date' 		=>	$Received_Date,
				'Casting_Date' 			=>	$Casting_Date,
				'w/o_remarks' 			=>	$this->input->post('remarks'),
				'status' 				=>	2
			);

			$records=$this->crud_model->insert('work_order_main',$data);
		$item_id   = $this->input->post('p_item_id');	
		$pp_item_name = $this->input->post('pp_item_name');
		$item_order = $this->input->post('n_item_order');
		$sub_clause = $this->input->post('n_sub_clause');
		$test_name = $this->input->post('n_test_name');
		$test_method = $this->input->post('n_test_method');
		$pop_qty = $this->input->post('pop_qty');
		$job_details_id = $this->input->post('n_job_details_id');
		$rate = $this->input->post('n_rate');
		$minimum_call_out = $this->input->post('n_minimum_call_out');
		$sample_no = $this->input->post('n_smple');
		$uom  		=   $this->input->post('n_uom');
		$hold_pop_qty  		=   $this->input->post('hold_pop_qty');
		$pop_up_test_name_id	=	$this->input->post('pop_up_test_name_id');
		$sample_order_no   = 0;
		
			for($i=0; $i<count($test_name) ; $i++){
				if($pp_item_name[$i]!="" && $test_name[$i]!=""){
				
					if($this->input->post('division_code') == "C"){
						$max_data 			= $this->db->query("SELECT MAX(`sample_no_ending`) AS sample_no_ending_max FROM `work_order`");
						$max_data_array     = $max_data->result_array();
						if($max_data_array[0]['sample_no_ending_max']!=""){
							$sample_order_starting  = $max_data_array[0]['sample_no_ending_max']+1;
							$sample_order_ending 	= $max_data_array[0]['sample_no_ending_max']+$pop_qty[$i];
						}else{
							$sample_order_starting  = 1;
							$sample_order_ending 	= $pop_qty[$i];
						}
					}else{
						$sample_order_starting  = 0;
						$sample_order_ending 	= 0;
					}
					if($test_name[$i]=="Spare" && $pop_qty[$i]==0) goto end; 
					if($pop_qty[$i]==0){
						$hold_qty	=	$hold_pop_qty[$i];
					} else {
						$hold_qty	=	NULL;
					}
					$datanew = array(
						'job_id' 			=> $job_id,
						'item_id' 			=> $item_id[$i],
						'item_name' 		=> $pp_item_name[$i],
						'item_order' 		=> $item_order[$i],
						'sub_clause' 		=> $sub_clause[$i],
						'test_name' 		=> $test_name[$i],
						'test_method' 		=> $test_method[$i],
						'job_details_id' 	=> $job_details_id[$i],
						'sample_no' 		=> $sample_no[$i],
						'sample_no_starting'=> $sample_order_starting,
						'sample_no_ending' 	=> $sample_order_ending,
						'quantity' 			=> $pop_qty[$i],
						'rate' 				=> $rate[$i],
						'minimum_call_out' 	=> $minimum_call_out[$i],
						'job_no' 			=> $job_no,
						'work_order_no' 	=> $work_order_no11,
						'uom' 				=> $uom[$i],
						'work_order_date' 	=> $work_order_date,
						'hold_qty' 			=> $hold_qty,
						'test_name_id' 		=> $pop_up_test_name_id[$i]
					);
					$this->db->insert('work_order',$datanew);
				}
			}
			end:
			
			$work_order_sub22			=	$this->db->query("SELECT work_order_no,item_id,sample_no,item_name,sub_clause,item_order FROM `work_order` WHERE work_order_no='$work_order_no11' GROUP BY item_name,item_order order by id");
			$k=1;
			$work_order	=	$work_order_sub22->result_array();
			foreach($work_order as $work_orders){
							$work_order_details	=	$this->crud_model->get('work_order',array('work_order_no'=>$work_orders['work_order_no'],'item_id'=>$work_orders['item_id'],'item_order'=>$work_orders['item_order'])); 
							for($i=0;$i<$work_orders['sample_no'];$i++) {
								if($work_order_details!=false){ $j=1;
									foreach($work_order_details as $work_order_detail){ 
										$report_no=$work_order_detail['work_order_no'].'-'.($k).'-'.$j;
										$datanew2 = array(
											'job_id' 			=> 	$job_id,
											'work_order_no' 	=>	$work_order_no11,
											'work_order_id' 	=>	$work_order_detail['id'],
											'work_order_date' 	=>	$work_order_date,
											'report_no' 		=> 	$report_no,
											'repoert_no_2' 		=> 	'',
											'item_name' 		=> 	$work_order_detail['item_name'],
										);
										$this->db->insert('work_order_reports',$datanew2);
									$j++;
									} 
								} 
					$k++;
					}
			}
			$log_data=array(
					'trn_no'			=>	$work_order_no11,
					'trn_type' 			=>	'C',
					'voc_type' 			=>	'WO',
					'trn_user_id' 		=>	$this->session->userdata('user_id'),
					'trn_date_time' 	=>	date('Y-m-d H:i:s'),
					'status' 			=>	2
				);
			$this->crud_model->insert('log_table',$log_data);
			
			if ($this->input->post('division_code') == "C"){
				
				redirect('furniture/work_order/cube_sample/'.$work_order_no11);
			} else {
				$this->session->set_flashdata('response','<div class="alert alert-success">New Work Order Created</div>');
				redirect('furniture/work_order/list_material_work_order');
			}
			
		}
		}
	}
	
	
	function do_work_order_update() {
		
		$this->form_validation->set_rules('job_no', 'Client Name', 'required');
		$this->form_validation->set_rules('work_order_no', 'Work Order No', 'required');
		$this->form_validation->set_rules('pp_item_name[]', 'Item Name', 'required');
		$this->form_validation->set_rules('project_id', 'Project Name', 'required');
		$this->form_validation->set_rules('project_no', 'Project Name', 'required');
		
		if ($this->form_validation->run() == FALSE){
			redirect('furniture/work_order/create_work_order');
        } else {
			
		$job_id 		=   $this->input->post('job_no');
		$job_no 		=   $this->input->post('job_no2');
		$work_order_no  		=   $this->input->post('work_order_no');
		$work_order_date  		=   date("Y-m-d", strtotime($this->input->post('work_order_date')));
		$project_no  		=   $this->input->post('project_no');
		$client_name  		=   $this->input->post('client_name');
		$client_id  		=   $this->input->post('client_id');
		$project_id  		=   $this->input->post('project_id');
		$lpo_no  		=   $this->input->post('lpo_no');
		$w_o_created_date  		=   $this->input->post('w_o_created_date');
		
		$this->crud_model->delete('work_order_main',array('work_order_no'=>$work_order_no));
		$this->crud_model->delete('work_order',array('work_order_no'=>$work_order_no));
		$this->crud_model->delete('work_order_reports',array('work_order_no'=>$work_order_no));
		
		if ($this->input->post('sampled')!=''){
			$sampled  	=   $this->input->post('sampled');
		} else {
			$sampled  	=   0;
		}
		if ($this->input->post('submitted')!=''){
			$submitted  	=   $this->input->post('submitted');
		} else {
			$submitted  	=   0;
		}
		if($this->input->post('sam_sub_date')!=""){
    		$sam_sub_date = date("Y-m-d", strtotime($this->input->post('sam_sub_date')));
	   }else{
			$sam_sub_date = "0000-00-00";
	   }
		if ($this->form_validation->run() == FALSE) {
				$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
				$this->work_order();
		} else {
			$division = $this->input->post('division_code');
		
			$query= $this->db->query("SELECT COUNT(`id`) as `MaxID` FROM `work_order_main` WHERE `division`='$division'");
			$maxId      = $query->row();
			if ($maxId->MaxID==NULL){
				$mid	=00000;
			} else {
				$mid=$maxId->MaxID;
			}
			$work_order_no11 = date("y").$this->input->post('division_code').sprintf("%'.05d", ($mid+1));
			
			if($this->input->post('Received_Date')!=""){
				$Received_Date = date("Y-m-d", strtotime($this->input->post('Received_Date')));
			}else{
				$Received_Date = "0000-00-00";
			}
			if($this->input->post('Casting_Date')!=""){
				$Casting_Date = date("Y-m-d", strtotime($this->input->post('Casting_Date')));
			}else{
				$Casting_Date = "0000-00-00";
			}
			$mix_design  		=   $this->input->post('mix_design');
			
			$data=array(
				'job_id' 				=>	$job_id,
				'work_order_no' 		=>	$work_order_no,
				'division' 				=>	$this->input->post('division_code'),
				'work_order_date' 		=>	$work_order_date,
				'project_name' 			=>	$project_no,
				'client_name' 			=>	$client_name,
				'project_id' 			=>	$project_id,
				'client_id' 			=>	$client_id,
				'lpo_no' 				=>	$lpo_no,
				'sampled' 				=>	$sampled,
				'submitted' 			=>	$submitted,
				'sampled_submitted_date' =>	$sam_sub_date,
				'w/o_created_by' 		=>	$this->input->post('w_o_created_by'),
				'w/o_created_date' 		=>	$w_o_created_date,
				'attn' 					=>	$this->input->post('attn'),
				'mix_design' 			=>	$mix_design,
				'Received_Date' 		=>	$Received_Date,
				'Casting_Date' 			=>	$Casting_Date,
				'w/o_remarks' 			=>	$this->input->post('remarks'),
				'status' 				=>	2
			);

			$records=$this->crud_model->insert('work_order_main',$data);
		$item_id   = $this->input->post('p_item_id');	
		$pp_item_name = $this->input->post('pp_item_name');
		$item_order = $this->input->post('n_item_order');
		$sub_clause = $this->input->post('n_sub_clause');
		$test_name = $this->input->post('n_test_name');
		$test_method = $this->input->post('n_test_method');
		$pop_qty = $this->input->post('pop_qty');
		$job_details_id = $this->input->post('n_job_details_id');
		$rate = $this->input->post('n_rate');
		$minimum_call_out = $this->input->post('n_minimum_call_out');
		$sample_no = $this->input->post('n_smple');
		$uom  		=   $this->input->post('n_uom');
		$hold_pop_qty  		=   $this->input->post('hold_pop_qty');
		$pop_up_test_name_id  		=   $this->input->post('pop_up_test_name_id');
		$sample_order_no   = 0;
		
			for($i=0; $i<count($test_name) ; $i++){
				if($pp_item_name[$i]!="" && $test_name[$i]!=""){
				
					if($this->input->post('division_code') == "C"){
						$max_data 			= $this->db->query("SELECT MAX(`sample_no_ending`) AS sample_no_ending_max FROM `work_order`");
						$max_data_array     = $max_data->result_array();
						if($max_data_array[0]['sample_no_ending_max']!=""){
							$sample_order_starting  = $max_data_array[0]['sample_no_ending_max']+1;
							$sample_order_ending 	= $max_data_array[0]['sample_no_ending_max']+$pop_qty[$i];
						}else{
							$sample_order_starting  = 1;
							$sample_order_ending 	= $pop_qty[$i];
						}
					}else{
						$sample_order_starting  = 0;
						$sample_order_ending 	= 0;
					}
					
					if($test_name[$i]=="Spare" && $pop_qty[$i]==0) goto end; 
					if($pop_qty[$i]==0){
						$hold_qty	=	$hold_pop_qty[$i];
					} else {
						$hold_qty	=	NULL;
					}
					$datanew = array(
						'job_id' 			=> $job_id,
						'item_id' 			=> $item_id[$i],
						'item_name' 		=> $pp_item_name[$i],
						'item_order' 		=> $item_order[$i],
						'sub_clause' 		=> $sub_clause[$i],
						'test_name' 		=> $test_name[$i],
						'test_method' 		=> $test_method[$i],
						'job_details_id' 	=> $job_details_id[$i],
						'sample_no' 		=> $sample_no[$i],
						'sample_no_starting'=> $sample_order_starting,
						'sample_no_ending' 	=> $sample_order_ending,
						'quantity' 			=> $pop_qty[$i],
						'rate' 				=> $rate[$i],
						'minimum_call_out' 	=> $minimum_call_out[$i],
						'job_no' 			=> $job_no,
						'work_order_no' 	=> $work_order_no,
						'uom' 				=> $uom[$i],
						'work_order_date' 	=> $work_order_date,
						'hold_qty' 			=> $hold_qty,
						'test_name_id' 		=> $pop_up_test_name_id[$i]
					);
					$this->db->insert('work_order',$datanew);
				}
			}
			end:
			$report_no 	 = $this->input->post('report_no');
			$report_no_2 = $this->input->post('report_no_2');
			$p_item_name = $this->input->post('p_item_name');
			
			/*for($i=0; $i<count($report_no) ; $i++){
				if($report_no[$i]!="" && $report_no_2[$i]!=""){
					$datanew2 = array(
						'job_id' 			=> $job_id,
						'work_order_no' 	=>	$work_order_no,
						'work_order_date' 	=>	$work_order_date,
						'report_no' 		=> $report_no[$i],
						'repoert_no_2' 		=> $report_no_2[$i],
						'item_name' 		=> $p_item_name[$i],
					);
					$this->db->insert('work_order_reports',$datanew2);
				}
			}*/
			
			$work_order_sub22			=	$this->db->query("SELECT work_order_no,item_id,sample_no,item_name,sub_clause,item_order FROM `work_order` WHERE work_order_no='$work_order_no' GROUP BY item_name,item_order order by id");
			$k=1;
			$work_order	=	$work_order_sub22->result_array();
			foreach($work_order as $work_orders){
							$work_order_details	=	$this->crud_model->get('work_order',array('work_order_no'=>$work_orders['work_order_no'],'item_id'=>$work_orders['item_id'],'item_order'=>$work_orders['item_order'])); 
							for($i=0;$i<$work_orders['sample_no'];$i++) {
								if($work_order_details!=false){ $j=1;
									foreach($work_order_details as $work_order_detail){ 
										$report_no=$work_order_detail['work_order_no'].'-'.($k).'-'.$j;
										$datanew2 = array(
											'job_id' 			=> 	$job_id,
											'work_order_no' 	=>	$work_order_no,
											'work_order_id' 	=>	$work_order_detail['id'],
											'work_order_date' 	=>	$work_order_date,
											'report_no' 		=> 	$report_no,
											'repoert_no_2' 		=> 	'',
											'item_name' 		=> 	$work_order_detail['item_name'],
										);
										$this->db->insert('work_order_reports',$datanew2);
									$j++;
									} 
								} 
					$k++;
					}
			}
			
			$log_data=array(
					'trn_no'			=>	$work_order_no,
					'trn_type' 			=>	'E',
					'voc_type' 			=>	'WO',
					'trn_user_id' 		=>	$this->session->userdata('user_id'),
					'trn_date_time' 	=>	date('Y-m-d H:i:s'),
					'status' 			=>	2
				);
			$this->crud_model->insert('log_table',$log_data);
			
			if ($this->input->post('division_code') == "C"){
				
				redirect('furniture/work_order/cube_sample/'.$work_order_no);
			} else {
				$this->session->set_flashdata('response','<div class="alert alert-success">New Work Order Created</div>');
				redirect('furniture/work_order/list_material_work_order');
			}
			
		}
		}
	}
	
	
	function cube_sample($work_order_no='',$staring_no='',$prefix='',$suffix='') {
		
		if ($work_order_no!=''){
			$dabdata					=	$this->db->query("SELECT W.id,W.`job_id`,W.`work_order_no`,W.`work_order_date`,W.`project_name`,W.`client_name`,W.`lpo_no`,W.`sampled`,W.`Casting_Date` FROM `work_order_main` W WHERE W.`work_order_no`='$work_order_no'");
			$data['records']	=	$dabdata->result_array();
			$data['staring_no']	=	$staring_no;
			$data['prefix']	=	$prefix;
			$data['suffix']	=	$suffix;
			$this->load->view('templates/header');
			$this->load->view('furniture/quotations/cube_sample_insert',$data);
		}
	}
	function cube_sample_insert() {
		$work_order_id 	 = $this->input->post('work_order_id');
		$sample_no = $this->input->post('sample_no');
		$crushing_date = $this->input->post('crushing_date');
		$client_sample_id = $this->input->post('client_sample_id');
		$wo_id = $this->input->post('wo_id');
		$age = $this->input->post('age');
		for($i=0; $i<count($sample_no) ; $i++){
			$sam_na=$sample_no[$i];
					$this->crud_model->delete('cube_sample',array('sample_no'=>$sam_na));
					$data = array(
						'workorder_id' 		=> $work_order_id,
						'sample_no' 			=> $sample_no[$i],
						'client_sample_id' 		=> $client_sample_id[$i],
						'age' 					=> $age[$i],
						'wo_id' 					=> $wo_id[$i],
						'crushing_date' 		=> $crushing_date[$i],
					);
					$this->db->insert('cube_sample',$data);
			}
			$this->session->set_flashdata('response','<div class="alert alert-success">New Work Order Created</div>');
			redirect('furniture/cube/list_cube_work_order');
	}
	function list_cube_sample($page=1,$crushing_date='',$client='',$age='') {
		if (@$this->input->get('crushing_date')!='') {
			$crushing_date =   date("Y-m-d", strtotime($this->input->get("crushing_date")));
		}elseif ($crushing_date != "") {
			$crushing_date	=	date("Y-m-d", strtotime($crushing_date));
		} else {
			$crushing_date	= "";
		}
		if ($crushing_date!=''){
			$where="  WHERE CS.crushing_date='$crushing_date'";
			$cd	=1;
		} else {
			$where=" ";
			$cd	=2;
		}
		if (@$this->input->get('client')!='') {
			$client =   $this->input->get("client");
		}elseif ($client != "") {
			$client	=	$client;
		} else {
			$client	= "";
		}
		if ($client!=''){
			$where.="  AND WOM.`client_id`='$client'";
		} else {
			$where.=" ";
		}
		
		if (@$this->input->get('age')!='') {
			$age =   $this->input->get("age");
		}elseif ($age != "") {
			$age	=	$age;
		} else {
			$age	= "";
		}
		if ($age!=''){
			$where.="  AND CS.`age` like '%$age%'";
		} else {
			$where.=" ";
		}
		
		$config['per_page']		= 100;
		$config['base_url'] 	= site_url('furniture/cube/list_cube_work_order?&crushing_date='.$crushing_date.'&client='.$client.'&age='.$age);
		$offset = ($page-1) * $config['per_page'];
		$data1				=	$this->db->query("SELECT CS.`cube_id`,CS.`workorder_id`,CS.`sample_no`,CS.`client_sample_id`,CS.`age`,CS.`crushing_date`,WOM.`client_name`,WOM.`mix_design`,WOM.`Received_Date`,WOM.`Casting_Date` FROM `cube_sample` CS INNER JOIN `work_order_main` WOM ON WOM.`id`=CS.`workorder_id`".$where);
		$data['records']	=	$data1->result_array();
		$config['total_rows']	=	$data1->num_rows();
		$data['crush']	=	$cd;
		$this->pagination->initialize($config);
		$data['pagination'] = $this->pagination->create_links();
		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/list_cube_sample',$data);
		$this->load->view('templates/footer');
	}
	function print_list_cube_sample($page=1,$crushing_date='',$client='',$age='') {
		
		if (@$this->input->get('crushing_date')!='') {
			$crushing_date =   date("Y-m-d", strtotime($this->input->get("crushing_date")));
		}elseif ($crushing_date != "") {
			$crushing_date	=	date("Y-m-d", strtotime($crushing_date));
		} else {
			$crushing_date	= "";
		}
		if ($crushing_date!=''){
			$where="  WHERE CS.crushing_date='$crushing_date'";
		} else {
			$where=" ";
		}
		if (@$this->input->get('client')!='') {
			$client =   $this->input->get("client");
		}elseif ($client != "") {
			$client	=	$client;
		} else {
			$client	= "";
		}
		if ($client!=''){
			$where.="  AND WOM.`client_id`='$client'";
		} else {
			$where.=" ";
		}
		
		if (@$this->input->get('age')!='') {
			$age =   $this->input->get("age");
		}elseif ($age != "") {
			$age	=	$age;
		} else {
			$age	= "";
		}
		if ($age!=''){
			$where.="  AND CS.`age` like '%$age%'";
		} else {
			$where.=" ";
		}
		
		$config['per_page']		= 1000000000;
		$config['base_url'] 	= site_url('furniture/cube/list_cube_work_order?&crushing_date='.$crushing_date.'&client='.$client.'&age='.$age);
		$offset = ($page-1) * $config['per_page'];
		$data1				=	$this->db->query("SELECT CS.`cube_id`,CS.`workorder_id`,CS.`sample_no`,CS.`client_sample_id`,CS.`age`,CS.`crushing_date`,WOM.`client_name`,WOM.`mix_design`,WOM.`Received_Date`,WOM.`Casting_Date` FROM `cube_sample` CS INNER JOIN `work_order_main` WOM ON WOM.`id`=CS.`workorder_id`".$where);
		/*if ($client!=''){
			
		}*/
		$data['records']	=	$data1->result_array();
		$config['total_rows']	=	$data1->num_rows();
		$this->pagination->initialize($config);
		$data['pagination'] = $this->pagination->create_links();
		$this->load->view('furniture/quotations/print_list_cube_sample',$data);
	}
	function export_list_cube_sample($page=1,$crushing_date='',$client='',$age='') {
		
		if (@$this->input->get('crushing_date')!='') {
			$crushing_date =   date("Y-m-d", strtotime($this->input->get("crushing_date")));
		}elseif ($crushing_date != "") {
			$crushing_date	=	date("Y-m-d", strtotime($crushing_date));
		} else {
			$crushing_date	= "";
		}
		if ($crushing_date!=''){
			$where="  WHERE CS.crushing_date='$crushing_date'";
		} else {
			$where=" ";
		}
		if (@$this->input->get('client')!='') {
			$client =   $this->input->get("client");
		}elseif ($client != "") {
			$client	=	$client;
		} else {
			$client	= "";
		}
		if ($client!=''){
			$where.="  AND WOM.`client_id`='$client'";
		} else {
			$where.=" ";
		}
		
		if (@$this->input->get('age')!='') {
			$age =   $this->input->get("age");
		}elseif ($age != "") {
			$age	=	$age;
		} else {
			$age	= "";
		}
		if ($age!=''){
			$where.="  AND CS.`age` like '%$age%'";
		} else {
			$where.=" ";
		}
		$i=1;
		
		$data1				=	$this->db->query("SELECT CS.`cube_id`,CS.`workorder_id`,CS.`sample_no`,CS.`client_sample_id`,CS.`age`,CS.`crushing_date`,WOM.`client_name`,WOM.`mix_design`,WOM.`Received_Date`,WOM.`Casting_Date`,WOM.`project_name`,WOM.`project_id`,WOM.`client_id`,WOM.`division`,WOM.`work_order_no` FROM `cube_sample` CS INNER JOIN `work_order_main` WOM ON WOM.`id`=CS.`workorder_id`".$where);
		$records	=	$data1->result_array();
		
		$list	='';
			$details    =   array();
			$total=0;
			$new1   =   array(
						"CUBE SUMMARY",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
					);
					array_push($details,$new1);
			$new1   =   array(
						"Report No",
						"Client Name",
						"Project",
						"Date of Cast",
						"Date sample Recd.",
						"Date of test",
						"Grade Of Concrete",
						"Test Age",
						"QEL Sample ID",
						"Client ID",
						"Remarks",
					);
					array_push($details,$new1);
        	foreach($records as $record){
					$new    =   array(
							$record['work_order_no'].' -'.$record['age'],
							$record['client_name'],
							$record['project_name'],
							date("M d Y", strtotime($record['Casting_Date'])),
							date("M d Y", strtotime($record['Received_Date'])),
							date("M d Y", strtotime($record['crushing_date'])),
							"",
							$record['age'],
							$record['sample_no'],
							$record['client_sample_id'],
							"",
						);
						$i++;
						array_push($details,$new);
					}
					$new    =   array(
							'',
							'',
							'',
							'',
							'',
							'',
							'',
							'',
							'',
							'Total Sample Nos',
							$i-1,
						);
						array_push($details,$new); 
					 
					$head   =   array(
									"QEL -BAHRAIN BRANCH",
								);
        			$this->load->library('Excel');
        			$Excel = new Excel;
        			$Excel->export_cube_summary($head, $details, 0, "CubeSummary");
		
	}
	function update_crushing_report(){
		
		$data1				=	$this->db->query("SELECT CS.`cube_id`,CS.`workorder_id`,CS.`sample_no`,CS.`client_sample_id`,CS.`age`,CS.`crushing_date`,WOM.`client_name`,WOM.`mix_design`,WOM.`Received_Date`,WOM.`Casting_Date`,WOM.`project_name`,WOM.`project_id`,WOM.`client_id`,WOM.`division`,WOM.`work_order_no`,NCM.`client_address` FROM `cube_sample` CS INNER JOIN `work_order_main` WOM ON WOM.`id`=CS.`workorder_id` INNER JOIN `new_client_master` NCM ON NCM.client_id=WOM.client_id where CS.workorder_id='3984' and CS.`crushing_date`='2017-10-27' ");
		$data['records']	=	$data1->result_array();
		
		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/update_crushing_report',$data);
		$this->load->view('templates/footer');
	}
	function cube_crushing_report_do_update(){
		$hidden_workorder_id	=	$this->input->post('hidden_workorder_id');
		$query_data= $this->db->query("SELECT * FROM `test_b` T WHERE T.wo_id='$hidden_workorder_id'");
		$first=$query_data->row();
		if (count($first)===0){
			$data = array(
				'test_date' 		=> date('Y-m-d'),
				'test_by' 			=> $this->session->userdata('user_id'),
				'test_method' 		=> ''
			);
			$this->db->insert('test_h',$data);
			
			$query= $this->db->query("SELECT max(`test_id`) as `MaxID` FROM `test_h`");
				$maxId      = $query->row();
				if ($maxId->MaxID==NULL){
					$mid	='';
				} else {
					$mid=$maxId->MaxID;
				}
			if ($mid!=''){
				$workorder_id	=	$this->input->post('workorder_id');
				$sample_no		=	$this->input->post('sample_no');
				$client_sample_id	=	$this->input->post('client_sample_id');
				$cube_checked_dims	=	$this->input->post('cube_checked_dims');
				$cube_height	=	$this->input->post('cube_height');
				$cube_width	=	$this->input->post('cube_width');
				$cube_length	=	$this->input->post('cube_length');
				$cube_mass	=	$this->input->post('cube_mass');
				$cube_density	=	$this->input->post('cube_density');
				$cube_load	=	$this->input->post('cube_load');
				$cube_strength	=	$this->input->post('cube_strength');
				$cube_fracture	=	$this->input->post('cube_fracture');
				
				$report_no	=	$this->input->post('report_no');
				$cube_age	=	$this->input->post('cube_age');
				$location	=	$this->input->post('location');
				
				for($i=0; $i<count($workorder_id) ; $i++){
					if($workorder_id[$i]!="" && $sample_no[$i]!=""){
						
						$datanew2 = array(
							'wo_id' 			=> 	$workorder_id[$i],
							'test_id'		 	=>	$mid,
							'sample_id' 		=>	$sample_no[$i],
							'report_no' 		=>	$report_no,
							'cube_age' 			=>	$cube_age,
							'cube_height' 		=> 	$cube_height[$i],
							'cube_width' 		=> 	$cube_width[$i],
							'cube_length' 		=> 	$cube_length[$i],
							'cube_checked_dims' => 	$cube_checked_dims[$i],
							'cube_mass' 		=> 	$cube_mass[$i],
							'cube_density' 		=> 	$cube_density[$i],
							'cube_load' 		=> 	$cube_load[$i],
							'cube_strength' 	=> 	$cube_strength[$i],
							'cube_fracture' 	=> 	$cube_fracture[$i],
							'location'			=> 	$this->input->post('location'),
							'structure_location'=> 	$this->input->post('structure_location'),
							'grade_of_concrete'=> 	$this->input->post('grade_of_concrete'),
							'specified_strength'=> 	$this->input->post('specified_strength'),
							'number_of_cube'=> 	$this->input->post('number_of_cube'),
							'nominal_size'=> 	$this->input->post('nominal_size'),
							'supplier_of_concrete'=> 	$this->input->post('supplier_of_concrete'),
							'curing_condition_since_receipt'=> 	$this->input->post('curing_condition_since_receipt'),
							'sampled_by'=> 	$this->input->post('sampled_by'),
							'condition_of_the_specimen_on_receipt'=> 	$this->input->post('condition_of_the_specimen_on_receipt'),
							'mass_and_density_measurement'=> 	$this->input->post('mass_and_density_measurement'),
							'test_method_variation'=> 	$this->input->post('test_method_variation'),
					);
					$this->db->insert('test_b',$datanew2);
					}
				}
			}
		} else {
			$workorder_id	=	$this->input->post('workorder_id');
				$sample_no		=	$this->input->post('sample_no');
				$client_sample_id	=	$this->input->post('client_sample_id');
				$cube_checked_dims	=	$this->input->post('cube_checked_dims');
				$cube_height	=	$this->input->post('cube_height');
				$cube_width	=	$this->input->post('cube_width');
				$cube_length	=	$this->input->post('cube_length');
				$cube_mass	=	$this->input->post('cube_mass');
				$cube_density	=	$this->input->post('cube_density');
				$cube_load	=	$this->input->post('cube_load');
				$cube_strength	=	$this->input->post('cube_strength');
				$cube_fracture	=	$this->input->post('cube_fracture');
				
				$report_no	=	$this->input->post('report_no');
				$cube_age	=	$this->input->post('cube_age');
				$location	=	$this->input->post('location');
				$mid=$first->test_id;
				for($i=0; $i<count($workorder_id) ; $i++){
					if($workorder_id[$i]!="" && $sample_no[$i]!=""){
						
						$datanew2 = array(
							'wo_id' 			=> 	$workorder_id[$i],
							'test_id'		 	=>	$mid,
							'sample_id' 		=>	$sample_no[$i],
							'report_no' 		=>	$report_no,
							'cube_age' 			=>	$cube_age,
							'cube_height' 		=> 	$cube_height[$i],
							'cube_width' 		=> 	$cube_width[$i],
							'cube_length' 		=> 	$cube_length[$i],
							'cube_checked_dims' => 	$cube_checked_dims[$i],
							'cube_mass' 		=> 	$cube_mass[$i],
							'cube_density' 		=> 	$cube_density[$i],
							'cube_load' 		=> 	$cube_load[$i],
							'cube_strength' 	=> 	$cube_strength[$i],
							'cube_fracture' 	=> 	$cube_fracture[$i],
							'location'			=> 	$this->input->post('location'),
							'structure_location'=> 	$this->input->post('structure_location'),
							'grade_of_concrete'=> 	$this->input->post('grade_of_concrete'),
							'specified_strength'=> 	$this->input->post('specified_strength'),
							'number_of_cube'=> 	$this->input->post('number_of_cube'),
							'nominal_size'=> 	$this->input->post('nominal_size'),
							'supplier_of_concrete'=> 	$this->input->post('supplier_of_concrete'),
							'curing_condition_since_receipt'=> 	$this->input->post('curing_condition_since_receipt'),
							'sampled_by'=> 	$this->input->post('sampled_by'),
							'condition_of_the_specimen_on_receipt'=> 	$this->input->post('condition_of_the_specimen_on_receipt'),
							'mass_and_density_measurement'=> 	$this->input->post('mass_and_density_measurement'),
							'test_method_variation'=> 	$this->input->post('test_method_variation'),
					);
					$hidden_sample_no=$sample_no[$i];
					$query_data= $this->db->query("SELECT * FROM `test_b` T WHERE T.wo_id='$hidden_workorder_id' and  T.sample_id='$hidden_sample_no'");
						if (count($query_data->result_array())>0){
							$this->crud_model->update('test_b',$datanew2,array('sample_id' => $hidden_sample_no));
						} else {
							$this->db->insert('test_b',$datanew2);
						}
					}
				}
		}
	}
	function do_update() {
		
		$this->form_validation->set_rules('job_no', 'Client Name', 'required');
		$this->form_validation->set_rules('work_order_no', 'Work Order No', 'required');
		
		if ($this->form_validation->run() == FALSE){
			redirect('furniture/work_order/create_work_order');
        } else {
		$job_id 			=   $this->input->post('job_no');
		$job_no 			=   $this->input->post('job_no2');
		$work_order_no  	=   $this->input->post('work_order_no');
		$work_order_date  	=   date("Y-m-d", strtotime($this->input->post('work_order_date')));
		$project_no  		=   $this->input->post('project_no');
		$client_name  		=   $this->input->post('client_name');
		$lpo_no  			=   $this->input->post('lpo_no');
		if ($this->input->post('sampled')!=''){
			$sampled  	=   $this->input->post('sampled');
		} else {
			$sampled  	=   0;
		}
		if ($this->input->post('submitted')!=''){
			$submitted  	=   $this->input->post('submitted');
		} else {
			$submitted  	=   0;
		}
		if($this->input->post('sam_sub_date')!=""){
    		$sam_sub_date = date("Y-m-d", strtotime($this->input->post('sam_sub_date')));
	   }else{
			$sam_sub_date = "0000-00-00";
	   }
		if ($this->form_validation->run() == FALSE) {
				$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
				$this->work_order();
		} else {
		
		$this->crud_model->delete('work_order',array('work_order_no'=>$work_order_no));
		$this->crud_model->delete('work_order_reports',array('work_order_no'=>$work_order_no));
			
		$division = $this->input->post('division_code');
		$item_id   = $this->input->post('item_id');	
		$item_name = $this->input->post('item_name');
		$test_name = $this->input->post('test_name');
		$test_method = $this->input->post('test_method');
		$pop_qty = $this->input->post('pop_qty');
		$job_details_id = $this->input->post('job_details_id');
		$rate = $this->input->post('rate');
		$uom  		=   $this->input->post('uom');
		$sample_no = $this->input->post('sampl_append');
		$sample_order_no   = 0;
		
			for($i=0; $i<count($test_name) ; $i++){
				if($item_name[$i]!="" && $test_name[$i]!=""){
				
					if($this->input->post('division_code') == "C"){
						$max_data 			= $this->db->query("SELECT MAX(`sample_no_ending`) AS sample_no_ending_max FROM `work_order`");
						$max_data_array     = $max_data->result_array();
						if($max_data_array[0]['sample_no_ending_max']!=""){
							$sample_order_starting  = $max_data_array[0]['sample_no_ending_max']+1;
							$sample_order_ending 	= $max_data_array[0]['sample_no_ending_max']+$pop_qty[$i];
						}else{
							$sample_order_starting  = 1;
							$sample_order_ending 	= $pop_qty[$i];
						}
					}else{
						$sample_order_starting  = 0;
						$sample_order_ending 	= 0;
					}
					
					if($test_name[$i]=="Spare" && $pop_qty[$i]==0) goto end; 
					
					$datanew = array(
						'job_id' 			=> $job_id,
						'item_id' 			=> $item_id[$i],
						'item_name' 		=> $item_name[$i],
						'test_name' 		=> $test_name[$i],
						'test_method' 		=> $test_method[$i],
						'job_details_id' 	=> $job_details_id[$i],
						'sample_no' 		=> $sample_no[$i],
						'sample_no_starting'=> $sample_order_starting,
						'sample_no_ending' 	=> $sample_order_ending,
						'quantity' 			=> $pop_qty[$i],
						'rate' 				=> $rate[$i],
						'job_no' 			=> $job_no,
						'work_order_no' 	=> $work_order_no,
						'uom' 				=> $uom[$i],
						'work_order_date' 	=> $work_order_date
					);
					$this->db->insert('work_order',$datanew);
				}
			}
			end:
			$report_no 	 = $this->input->post('report_no');
			$report_no_2 = $this->input->post('report_no_2');
			$p_item_name = $this->input->post('p_item_name');
			
			/*for($i=0; $i<count($report_no) ; $i++){
				if($report_no[$i]!="" && $report_no_2[$i]!=""){
					$datanew2 = array(
						'job_id' 			=> $job_id,
						'work_order_no' 	=>	$work_order_no,
						'work_order_date' 	=>	$work_order_date,
						'report_no' 		=> $report_no[$i],
						'repoert_no_2' 		=> $report_no_2[$i],
						'item_name' 		=> $p_item_name[$i],
					);
					$this->db->insert('work_order_reports',$datanew2);
				}
			}*/
			
			
			$work_order_sub22			=	$this->db->query("SELECT work_order_no,item_id,sample_no,item_name,sub_clause,item_order FROM `work_order` WHERE work_order_no='$work_order_no' GROUP BY item_name,item_order order by id");
			$k=1;
			$work_order	=	$work_order_sub22->result_array();
			foreach($work_order as $work_orders){
							$work_order_details	=	$this->crud_model->get('work_order',array('work_order_no'=>$work_orders['work_order_no'],'item_id'=>$work_orders['item_id'],'item_order'=>$work_orders['item_order'])); 
							for($i=0;$i<$work_orders['sample_no'];$i++) {
								if($work_order_details!=false){ $j=1;
									foreach($work_order_details as $work_order_detail){ 
										$report_no=$work_order_detail['work_order_no'].'-'.($k).'-'.$j;
										$datanew2 = array(
											'job_id' 			=> 	$job_id,
											'work_order_no' 	=>	$work_order_no,
											'work_order_id' 	=>	$work_order_detail['id'],
											'work_order_date' 	=>	$work_order_date,
											'report_no' 		=> 	$report_no,
											'repoert_no_2' 		=> 	'',
											'item_name' 		=> 	$work_order_detail['item_name'],
										);
										$this->db->insert('work_order_reports',$datanew2);
									$j++;
									} 
								} 
					$k++;
					}
			}
			
			$this->session->set_flashdata('response','<div class="alert alert-success">New Work Order Created</div>');
			redirect('furniture/work_order/list_material_work_order');
		}
		}
	}
	function save_project() {
		$this->form_validation->set_rules('project_id1', 'Project ID', 'is_unique[projects.project_id]');
		
		$project_id  		=   $this->input->post('project_id1');
		$project_name  		=   $this->input->post('project_name1');
		$contact_person  	=   $this->input->post('contact_person');

		if ($this->form_validation->run() == FALSE) {
				echo "unique";
		} else {
			$data=array(
				'project_id' 				=>	$project_id,
				'project_name' 				=>	$project_name,
				'project_contect_person' 	=>	$contact_person
			);

			$records=$this->crud_model->insert('projects',$data);

			if($records == false){
				echo false;
			}else{
				echo json_encode($data);
			}
		}
	}
	function existance() {
		$division = $this->input->post('division');
		$query    = $this->db->query("SELECT COUNT(`quote_no`) AS total_count FROM `jobs` WHERE SUBSTRING_INDEX(quote_no, '-', 1)='$division'");
		$res      = $query->result_array();
		if($res[0]['total_count']==0){
			echo "JB1";
		}else{
			$new_count = $res[0]['total_count']+1;
			echo "JB".$new_count;
		}
	}
	function search_client() {
		$search_name = 	trim($this->input->post('client_name'));
		$like		 =	array('client_name'=>$search_name);
		$records['quotation_list']=$this->crud_model->get('view_furniture_quotations_client_project_users',null,null,null,null,null,$like,null,null,"project_name");				
		if($records['quotation_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/client_search', $records);
			
		}
		
	}
	function filter_search_client() {
		$search_name = 	trim($this->input->post('filter_value'));
		$like		 =	array('client_name'=>$search_name);
		$records['quotation_list']=$this->crud_model->get('new_client_master',null,null,null,null,null,$like,null,null,null);				
		if($records['quotation_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/client_search', $records);
			
		}
		
	}
	public function delete_work($work_order_number) {
		if($this->crud_model->check_permission("work_order","delete")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$invoice_data = $this->db->query("SELECT FID.`id` , FID.`invoice_id` , FID.`work_order_number` , FI.`invoice_number`
FROM  `furniture_invoice_details` FID INNER JOIN  `furniture_invoice` FI ON FI.`invoice_id` = FID.`invoice_id` WHERE FID.`work_order_number` =  '$work_order_number' AND FI.`invoice_status` != '0' ");
		if (count($invoice_data->result_array())>0){
			$data_array	=$invoice_data->result_array();
			$errorlist='';
			foreach ($data_array as $row){
				$errorlist.=$row['invoice_number'].'<br>';
			}
			$this->session->set_flashdata('response','<div class="alert alert-danger">Cannot Deleted ! <br> Invoice No : '.$errorlist.'</div>');
			redirect('furniture/work_order/list_material_work_order');
		} else {
			$this->crud_model->update('work_order',array('status'=>0),array('work_order_no'=>$work_order_number));
			$this->crud_model->update('work_order_main',array('status'=>0),array('work_order_no'=>$work_order_number));
			$this->crud_model->update('work_order_reports',array('status'=>0),array('work_order_no'=>$work_order_number));
			/*$this->crud_model->delete('work_order',array('work_order_no'=>$work_order_number));
			$this->crud_model->delete('work_order_main',array('work_order_no'=>$work_order_number));
			$this->crud_model->delete('work_order_reports',array('work_order_no'=>$work_order_number));*/
			$this->session->set_flashdata('response','<div class="alert alert-success">Work Order Cancelled</div>');
			redirect('furniture/work_order/list_material_work_order');
		}
		
	}
	
	public function job_details(){
		$job_no	=	$this->input->post('job_no');
		$division	=	$this->input->post('division');
		if($division=="C"){
			$html='';
		if ($job_no!==''){
			$job_type_data = $this->db->query("SELECT * FROM `jobs` where job_id='$job_no' ");
			if (count($job_type_data->row())>0){
				if ($job_type_data->row()->type=='close') {
					$html.='<table class="pop_up_tabl"  width="100%" border="0" cellspacing="0" cellpadding="6"  ><tr class="pop_tr">
								<td colspan="4" style="color:#ff0000;">Job Closed</td>
							</tr></table>';
					echo $html;
				} else if ($job_type_data->row()->type=='actuals'){
					$work_order_data = $this->db->query("SELECT * FROM `work_order_main` where job_id='$job_no' ");
					if (count($work_order_data->row())==0){
						$job_details_data = $this->db->query("SELECT * FROM `job_details` where job_id='$job_no' group by item_name,item_order");
						$job_details_data_result	=	$job_details_data->result_array();
								$html.='<table class="pop_up_tabl"  width="100%" border="0" cellspacing="0" cellpadding="6"  >
										<tr>
										<th width="100">Sample No.<input type="hidden" name="pop_job_no" id="pop_job_no" value="'.$job_no.'" /></th>
										  <th>Test Name</th>
										  <th width="100">Test Method</th>
										  <!--<th width="25">Total</th>-->
										  <!--<th width="25">Tested</th>-->
										  <th width="50">QTY</th>
										 </tr>';
										 $i=0;
										 $j=0;
										 $k=0;
										 $m=0;
										 $html.='<tr><td colspan="6">';
						foreach ($job_details_data_result as $job_details_data_results){
								if ($job_details_data_results['sub_clause']!=''){
									$sub_clause='-'.$job_details_data_results['sub_clause'];
								} else {
									$sub_clause='';
								}
								$html.='<table width="100%" class="table_spr spec_class'.$k++.'" border="0" cellspacing="0" cellpadding="6" >
											<tr>
												<td style="text-align:left;padding: 8px; color:#fff;" bgcolor="#7c839f" >
													<input type="text" name="pop_smple" class="input-percentage sapre_cls pop_smple pop_smple'.$i++.'" value="" style="width:50px; hieght:25px;" autocomplete="off" />
												</td>
												<td style="text-align:center;padding: 8px;color:#fff;" bgcolor="#7c839f" colspan="5">
													<b>'.$job_details_data_results['item_name'].''.$sub_clause.'</b>
												</td>
											</tr>';
										$job_item					=	$job_details_data_results['item_name'];
										$item_order					=	$job_details_data_results['item_order'];
										$job_details_data2 			= 	$this->db->query("SELECT * FROM `job_details` where job_id='$job_no' and item_name='$job_item' and item_order='$item_order'");
										$job_details_data_result2	=	$job_details_data2->result_array();
										$item_details2 				= 	$this->db->query("SELECT * FROM `items` JOIN main_category ON main_category.id=items.main_category JOIN sub_category ON sub_category.sub_id=items.sub_category WHERE main_category.category_name='$job_item'");
										$item_details				=	$item_details2->result_array();
						foreach ($item_details as $item_detail){
							foreach ($job_details_data_result2 as $job_details_data_results2){
								if($item_detail['sub_category_name']==$job_details_data_results2['test_name']){
									$test_name   = $job_details_data_results2['test_name'];
									$test_method = $job_details_data_results2['test_method'];
									if($job_details_data_results2['quantity']!=0){
										$quantity    = $job_details_data_results2['quantity'];
									}else{
										$quantity    = '';
									}
									$rate    	 = $job_details_data_results2['rate'];
								}else{
									$test_name   = $item_detail['sub_category_name'];
									$test_method = $item_detail['item_name'];
									$quantity    = '';
									$rate    	 = $item_detail['selling_price'];
								}
								if($test_name == "Spare"){$class = "balance_spr ";$readonly = 'readonly="readonly"';}else{$class = "";$readonly = '';}
									 $html.='<tr class="pop_tr">
												<td width="100">
													<input type="hidden" name="job_details_id[]" class="job_details_id" value="'.$job_details_data_results2['id'].'"/>
													<input type="hidden" name="item_id[]" class="p_item_id" value="'.$job_details_data_results['item_id'].'" />
													<input type="hidden" name="item_name[]"  class="p_item_name"   value="'.$job_details_data_results['item_name'].'"/>
													<input type="hidden" name="test_name[]" class="cls_test"  value="'.$test_name.'"/>
													<input type="hidden" name="test_method[]"  value="'.$test_method.'"/>
													<input type="hidden" name="rate[]"  value="'.$job_details_data_results2['rate'].'"/>
													<input type="hidden" name="minimum_call_out[]"  value="'.$job_details_data_results2['minimum_call_out'].'"/>
													<input type="hidden" name="sub_clause[]"  value="'.$job_details_data_results2['sub_clause'].'"/>
													<input type="hidden" name="item_order[]"  value="'.$job_details_data_results2['item_order'].'"/>
													<input type="hidden" name="uom[]"  value="'.$job_details_data_results2['uom'].'"/>
												</td>
												<td>'.$test_name.'</td>
												<td>'.$test_method.'</td>
												<!--<td width="25">'.$quantity.'</td>-->
												<!--<td width="25">0</td>-->
												<td width="50">
													<input type="text" '.$readonly.' class="'.$class.'input-percentage sapre_cls pop_qty pop_qty'.$j++.'" autocomplete="off" name="pop_qty[]"  value="" />
													<input type="hidden" class="input-percentage sampl_append sampl_append'.$m++.'" name="sampl_append[]"  value="" />
												</td>
											  </tr>';
								}
						}
								$html.='</table>';
						}
						$html.='</td></tr><tr>
											<td colspan="6">
												<input type="hidden" class="input-percentage totalitem" name="totalitem"  value="'.$i.'" />
												<input type="hidden" class="input-percentage totaltest" name="totaltest"  value="'.$j.'" />
											</td>
										<tr></table>';
						echo $html;
					} else {
						//work_order section
						$job_details_data = $this->db->query("SELECT * FROM `job_details` where job_id='$job_no' group by item_name,item_order");
						$job_details_data_result	=	$job_details_data->result_array();
								$html.='<table class="pop_up_tabl"  width="100%" border="0" cellspacing="0" cellpadding="6"  >
										<tr>
										  <th width="100">Sample No.<input type="hidden" name="pop_job_no" id="pop_job_no" value="'.$job_no.'" /></th>
										  <th>Test Name</th>
										  <th width="100">Test Method</th>
										  <!--<th width="25">Total</th>-->
										  <!--<th width="25">Tested</th>-->
										  <th width="50">QTY</th>
										 </tr>';
										 $i=0;
										 $j=0;
										 $k=0;
										 $m=0;
										 $html.='<tr><td colspan="6">';
						foreach ($job_details_data_result as $job_details_data_results){
								$job_item	=	$job_details_data_results['item_name'];
								if ($job_details_data_results['sub_clause']!=''){
									$sub_clause='-'.$job_details_data_results['sub_clause'];
								} else {
									$sub_clause='';
								}
								
								$html.='<table width="100%" class="table_spr spec_class'.$k++.'" border="0" cellspacing="0" cellpadding="6" >
											<tr>
												<td style="text-align:left;padding: 8px; color:#fff;" bgcolor="#7c839f" >
													<input type="text" name="pop_smple" class="input-percentage sapre_cls pop_smple pop_smple'.$i++.'" value="" style="width:50px; hieght:25px;" autocomplete="off" />
												</td>
												<td style="text-align:center;padding: 8px;color:#fff;" bgcolor="#7c839f" colspan="5">
													<b>'.$job_details_data_results['item_name'].''.$sub_clause.'</b>
												</td>
										</tr>';
										
										$item_order					=	$job_details_data_results['item_order'];
										$job_details_data2 			= 	$this->db->query("SELECT * FROM `job_details` where job_id='$job_no' and item_name='$job_item' and item_order='$item_order'");
										$job_details_data_result2	=	$job_details_data2->result_array();
										$item_details2 				= 	$this->db->query("SELECT * FROM `items` JOIN main_category ON main_category.id=items.main_category JOIN sub_category ON sub_category.sub_id=items.sub_category WHERE main_category.category_name='$job_item'");
										$item_details				=	$item_details2->result_array();
						foreach ($item_details as $item_detail){
							foreach ($job_details_data_result2 as $job_details_data_results2){
									//$test_method	=	$job_details_data_results2['test_method'];
									if($item_detail['sub_category_name']==$job_details_data_results2['test_name']){
										$test_name   = $job_details_data_results2['test_name'];
										$test_method = $job_details_data_results2['test_method'];
										$quantity1    = $job_details_data_results2['quantity'];
										$rate    	 = $job_details_data_results2['rate'];
									}else{
										$test_name   = $item_detail['sub_category_name'];
										$test_method = $item_detail['item_name'];
										$quantity1    = 0;
										$rate    	 = $item_detail['selling_price'];
									}
									$work_quantity = $this->db->query("SELECT sum(quantity) as quantity  FROM `work_order` where job_id='$job_no' and test_method='$test_method'");
									if (count($work_quantity->row())>0){
										$actualqnty	=	$quantity1;
										if ($work_quantity->row()->quantity==NULL){
											$workqnty=0;
										} else {
											$workqnty	=	$work_quantity->row()->quantity;
										}
										
										$quantity	=	$actualqnty - $workqnty;
									}
									if($test_name == "Spare"){$class = "balance_spr ";$readonly = 'readonly="readonly"';}else{$class = "";$readonly = '';}
									if ($quantity!=0){
										$html.='<tr class="pop_tr">
													<td width="100">
														<input type="hidden" name="job_details_id[]" class="job_details_id" value="'.$job_details_data_results2['id'].'"/>
														<input type="hidden" name="item_id[]" class="p_item_id" value="'.$job_details_data_results['item_id'].'" />
														<input type="hidden" name="item_name[]"  class="p_item_name"   value="'.$job_details_data_results['item_name'].'"/>
														<input type="hidden" name="test_name[]" class="cls_test"  value="'.$test_name.'"/>
														<input type="hidden" name="test_method[]"  value="'.$test_method.'"/>
														<input type="hidden" name="rate[]"  value="'.$job_details_data_results2['rate'].'"/>
														<input type="hidden" name="minimum_call_out[]"  value="'.$job_details_data_results2['minimum_call_out'].'"/>
														<input type="hidden" name="sub_clause[]"  value="'.$job_details_data_results2['sub_clause'].'"/>
														<input type="hidden" name="item_order[]"  value="'.$job_details_data_results2['item_order'].'"/>
														<input type="hidden" name="uom[]"  value="'.$job_details_data_results2['uom'].'"/>
													</td>
													<td>'.$test_name.'</td>
													<td>'.$test_method.'</td>
													<!--<td width="25">'.$quantity1.'</td>-->
													<!--<td width="25">'.$workqnty.'</td>-->
													<td width="50">
														<input type="text" '.$readonly.' class="'.$class.'input-percentage sapre_cls pop_qty pop_qty'.$j++.'" autocomplete="off" name="pop_qty[]"  value="" />
														<input type="hidden" class="input-percentage sampl_append sampl_append'.$m++.'" name="sampl_append[]"  value="" />
													</td>
												  </tr>';
										}
								}
						}
								
								$html.='</table>';
						}
						$html.='</td></tr><tr><td colspan="6"><input type="hidden" class="input-percentage totalitem" name="totalitem"  value="'.$i.'" /><input type="hidden" class="input-percentage totaltest" name="totaltest"  value="'.$j.'" /></td><tr></table>';
						echo $html;
					}
				} else if ($job_type_data->row()->type=='open'){
					$job_details_data = $this->db->query("SELECT * FROM `job_details` where job_id='$job_no' group by item_name,item_order");
						$job_details_data_result	=	$job_details_data->result_array();
								$html.='<table class="pop_up_tabl"  width="100%" border="0" cellspacing="0" cellpadding="6"  >
										<tr>
										  <th width="100">Sample No.<input type="hidden" name="pop_job_no" id="pop_job_no" value="'.$job_no.'" /></th>
										  <th>Test Name</th>
										  <th width="100">Test Method</th>
										  <!--<th width="25">Total</th>-->
										  <!--<th width="25">Tested</th>-->
										  <th width="50">QTY</th>
										 </tr>';
										 $i=0;
										 $j=0;
										 $k=0;
										 $m=0;
										 $html.='<tr><td colspan="6">';
						foreach ($job_details_data_result as $job_details_data_results){
								if ($job_details_data_results['sub_clause']!=''){
									$sub_clause='-'.$job_details_data_results['sub_clause'];
								} else {
									$sub_clause='';
								}
								$html.='<table width="100%" class="table_spr spec_class'.$k++.'" border="0" cellspacing="0" cellpadding="6" >
											<tr>
												<td style="text-align:left;padding: 8px; color:#fff;" bgcolor="#7c839f" >
													<input type="text" name="pop_smple" class="input-percentage sapre_cls pop_smple pop_smple'.$i++.'" value="" style="width:50px; hieght:25px;" autocomplete="off" />
												</td>
												<td style="text-align:center;padding: 8px;color:#fff;" bgcolor="#7c839f" colspan="5">
													<b>'.$job_details_data_results['item_name'].''.$sub_clause.'</b>
												</td>
											</tr>';
										$job_item					=	$job_details_data_results['item_name'];
										$item_order					=	$job_details_data_results['item_order'];
										$job_details_data2 			= 	$this->db->query("SELECT * FROM `job_details` where job_id='$job_no' and item_name='$job_item' and item_order='$item_order'");
										$job_details_data_result2	=	$job_details_data2->result_array();
										$item_details2 				= 	$this->db->query("SELECT * FROM `items` JOIN main_category ON main_category.id=items.main_category JOIN sub_category ON sub_category.sub_id=items.sub_category WHERE main_category.category_name='$job_item'");
										$item_details				=	$item_details2->result_array();
						foreach ($item_details as $item_detail){
							foreach ($job_details_data_result2 as $job_details_data_results2){
								if($item_detail['sub_category_name']==$job_details_data_results2['test_name']){
									$test_name   = $job_details_data_results2['test_name'];
									$test_method = $job_details_data_results2['test_method'];
									if($job_details_data_results2['quantity']!=0){
										$quantity    = $job_details_data_results2['quantity'];
									}else{
										$quantity    = '';
									}
									$rate    	 = $job_details_data_results2['rate'];
								}else{
									$test_name   = $item_detail['sub_category_name'];
									$test_method = $item_detail['item_name'];
									$quantity    = '';
									$rate    	 = $item_detail['selling_price'];
								}
								if($test_name == "Spare"){$class = "balance_spr ";$readonly = 'readonly="readonly"';}else{$class = "";$readonly = '';}
									 $html.='<tr class="pop_tr">
												<td width="100">
													<input type="hidden" name="job_details_id[]" class="job_details_id" value="'.$job_details_data_results2['id'].'"/>
													<input type="hidden" name="item_id[]" class="p_item_id" value="'.$job_details_data_results['item_id'].'" />
													<input type="hidden" name="item_name[]"  class="p_item_name"   value="'.$job_details_data_results['item_name'].'"/>
													<input type="hidden" name="test_name[]" class="cls_test"  value="'.$test_name.'"/>
													<input type="hidden" name="test_method[]"  value="'.$test_method.'"/>
													<input type="hidden" name="rate[]"  value="'.$job_details_data_results2['rate'].'"/>
													<input type="hidden" name="minimum_call_out[]"  value="'.$job_details_data_results2['minimum_call_out'].'"/>
													<input type="hidden" name="sub_clause[]"  value="'.$job_details_data_results2['sub_clause'].'"/>
													<input type="hidden" name="item_order[]"  value="'.$job_details_data_results2['item_order'].'"/>
													<input type="hidden" name="uom[]"  value="'.$job_details_data_results2['uom'].'"/>
												</td>
												<td>'.$test_name.'</td>
												<td>'.$test_method.'</td>
												<!--<td width="25">'.$quantity.'</td>-->
												<!--<td width="25">0</td>-->
												<td width="50">
													<input type="text" '.$readonly.' class="'.$class.'input-percentage sapre_cls pop_qty pop_qty'.$j++.'" autocomplete="off" name="pop_qty[]"  value="" />
													<input type="hidden" class="input-percentage sampl_append sampl_append'.$m++.'" name="sampl_append[]"  value="" />
												</td>
											  </tr>';
								}
						}
								$html.='</table>';
						}
						$html.='</td></tr><tr>
											<td colspan="6">
												<input type="hidden" class="input-percentage totalitem" name="totalitem"  value="'.$i.'" />
												<input type="hidden" class="input-percentage totaltest" name="totaltest"  value="'.$j.'" />
											</td>
										<tr></table>';
						echo $html;
				} else if ($job_type_data->row()->type=='budget'){
					$job_details_data = $this->db->query("SELECT * FROM `job_details` where job_id='$job_no' group by item_name,item_order");
					$job_details_data_result	=	$job_details_data->result_array();
					
					$job_budget_data = $this->db->query("SELECT * FROM `work_order` where job_id='$job_no'");
					$job_budget_data_result	=	$job_budget_data->result_array();
					$used_amount=0;
					if (count($job_budget_data_result)>0){
						foreach($job_budget_data_result as $job_budget_data_results){
							$used_amount+=($job_budget_data_results['rate']*$job_budget_data_results['quantity']);
						}
					}
					$available_budget=$job_type_data->row()->budget-$used_amount;
							$html.='<table class="pop_up_tabl"  width="100%" border="0" cellspacing="0" cellpadding="6"  >
									<tr style="background-color:#f0f0f0;font-weight: bold;color:#ff0000;">
									  <td width="100">Budget</td>
									  <td>'.$job_type_data->row()->budget.'<input type="hidden" name="hidden_budget" id="hidden_budget" value="'.$job_type_data->row()->budget.'" /></td>
									  <td>Current Amount</td>
									  <td><span id="current_amont">0</span></td>
									 </tr>
									 <tr style="background-color:#f0f0f0;font-weight: bold;color:#ff0000;">
									  <td width="100">Consumed</td>
									  <td>'.$used_amount.'<input type="hidden" name="Consumed" id="Consumed" value="'.$used_amount.'" /></td>
									  <td>Balance</td>
									  <td>'.$available_budget.'<input type="hidden" name="avail_budget" id="avail_budget" value="'.$available_budget.'" /></td>
									 </tr>
									<tr>
									  <th width="100">Sample No.<input type="hidden" name="pop_job_no" id="pop_job_no" value="'.$job_no.'" /></th>
									  <th>Test Name</th>
									  <th>Test Method</th>
									  <th width="50">QTY</th>
									 </tr>';
									 $i=0;
									 $j=0;
									 $k=0;
									 $m=0;
					foreach ($job_details_data_result as $job_details_data_results){
							if ($job_details_data_results['sub_clause']!=''){
								$sub_clause='-'.$job_details_data_results['sub_clause'];
							} else {
								$sub_clause='';
							}
							$html.='<table width="100%" class="spec_class'.$k++.'" border="0" cellspacing="0" cellpadding="6" ><tr>
										<td style="text-align:left;padding: 8px; color:#fff;" bgcolor="#7c839f" ><input type="text" name="pop_smple" class="input-percentage pop_smple pop_smple'.$i++.'" value="" style="width:50px; hieght:25px;" autocomplete="off" /></td><td style="text-align:center;padding: 8px;color:#fff;" bgcolor="#7c839f" colspan="3"><b>'.$job_details_data_results['item_name'].''.$sub_clause.'</b></td>
									</tr>';
									$job_item					=	$job_details_data_results['item_name'];
										$item_order					=	$job_details_data_results['item_order'];
										$job_details_data2 			= 	$this->db->query("SELECT * FROM `job_details` where job_id='$job_no' and item_name='$job_item' and item_order='$item_order'");
					$job_details_data_result2	=	$job_details_data2->result_array();
						foreach ($job_details_data_result2 as $job_details_data_results2){
								 $html.='<tr class="pop_tr">
											<td>
											<input type="hidden" name="job_details_id[]" class="job_details_id" value="'.$job_details_data_results2['id'].'"/>
											<input type="hidden" name="item_id[]" class="p_item_id" value="'.$job_details_data_results['item_id'].'" /> 
											<input type="hidden" name="item_name[]"  class="p_item_name"   value="'.$job_details_data_results['item_name'].'"/>
											<input type="hidden" name="test_name[]"  value="'.$job_details_data_results2['test_name'].'"/>
											<input type="hidden" name="test_method[]"  value="'.$job_details_data_results2['test_method'].'"/>
											<input type="hidden" name="rate[]" class="rate"  value="'.$job_details_data_results2['rate'].'"/>
											<input type="hidden" name="minimum_call_out[]"  value="'.$job_details_data_results2['minimum_call_out'].'"/>
											<input type="hidden" name="sub_clause[]"  value="'.$job_details_data_results2['sub_clause'].'"/>
											<input type="hidden" name="item_order[]"  value="'.$job_details_data_results2['item_order'].'"/>
											<input type="hidden" name="uom[]"  value="'.$job_details_data_results2['uom'].'"/>
											</td>
											<td>'.$job_details_data_results2['test_name'].'</td>
											<td>'.$job_details_data_results2['test_method'].'</td>
											<td width="50"><input type="text" class="input-percentage budget_pop_qty pop_qty'.$j++.'" autocomplete="off" name="pop_qty[]"  value="" /><input type="hidden" class="input-percentage sampl_append sampl_append'.$m++.'" name="sampl_append[]"  value="" /></td>
										  </tr>';
							}
							$html.='</table>';
					}
					$html.='<tr><td colspan="4"><input type="hidden" class="input-percentage totalitem" name="totalitem"  value="'.$i.'" /><input type="hidden" class="input-percentage totaltest" name="totaltest"  value="'.$j.'" /></td><tr></table>';
					echo $html;
				}
			} 
		}
		}else{
		$html='';
		if ($job_no!==''){
			$job_type_data = $this->db->query("SELECT * FROM `jobs` where job_id='$job_no' ");
			if (count($job_type_data->row())>0){
				if ($job_type_data->row()->type=='close') {
					$html.='<table class="pop_up_tabl"  width="100%" border="0" cellspacing="0" cellpadding="6"  ><tr class="pop_tr">
								<td colspan="4" style="color:#ff0000;">Job Closed</td>
							</tr></table>';
					echo $html;
				} else if ($job_type_data->row()->type=='actuals'){
					$work_order_data = $this->db->query("SELECT * FROM `work_order_main` where job_id='$job_no' ");
					if (count($work_order_data->row())==0){
						$job_details_data = $this->db->query("SELECT * FROM `job_details` where job_id='$job_no' group by item_name,item_order");
						$job_details_data_result	=	$job_details_data->result_array();
								$html.='<table class="pop_up_tabl"  width="100%" border="0" cellspacing="0" cellpadding="6"  >
										<tr>
										  <th width="100">Sample No.<input type="hidden" name="pop_job_no" id="pop_job_no" value="'.$job_no.'" /></th>
										  <th>Test Name</th>
										  <th width="100">Test Method</th>
										  <th width="25">Total</th>
										  <th width="25">Tested</th>
										  <th width="50">QTY</th>
										 </tr>';
										 $i=0;
										 $j=0;
										 $k=0;
										 $m=0;
										 $html.='<tr><td colspan="6">';
						foreach ($job_details_data_result as $job_details_data_results){
								if ($job_details_data_results['sub_clause']!=''){
									$sub_clause='-'.$job_details_data_results['sub_clause'];
								} else {
									$sub_clause='';
								}
								$html.='<table width="100%" class="spec_class'.$k++.'" border="0" cellspacing="0" cellpadding="6" >
											<tr>
												<td style="text-align:left;padding: 8px; color:#fff;" bgcolor="#7c839f" >
													<input type="text" name="pop_smple" class="input-percentage pop_smple pop_smple'.$i++.'" value="" style="width:50px; hieght:25px;" autocomplete="off" />
												</td>
												<td style="text-align:center;padding: 8px;color:#fff;" bgcolor="#7c839f" colspan="5">
													<b>'.$job_details_data_results['item_name'].''.$sub_clause.'</b>
												</td>
											</tr>';
										$job_item					=	$job_details_data_results['item_name'];
										$item_order					=	$job_details_data_results['item_order'];
										$job_details_data2 			= 	$this->db->query("SELECT * FROM `job_details` where job_id='$job_no' and item_name='$job_item' and item_order='$item_order'");
						$job_details_data_result2	=	$job_details_data2->result_array();
							foreach ($job_details_data_result2 as $job_details_data_results2){
									 $html.='<tr class="pop_tr">
												<td width="100">
													<input type="hidden" name="job_details_id[]" class="job_details_id" value="'.$job_details_data_results2['id'].'"/>
													<input type="hidden" name="item_id[]" class="p_item_id" value="'.$job_details_data_results['item_id'].'" />
													<input type="hidden" name="item_name[]"  class="p_item_name"   value="'.$job_details_data_results['item_name'].'"/>
													<input type="hidden" name="test_name[]"  value="'.$job_details_data_results2['test_name'].'"/>
													<input type="hidden" name="test_method[]"  value="'.$job_details_data_results2['test_method'].'"/>
													<input type="hidden" name="rate[]"  value="'.$job_details_data_results2['rate'].'"/>
													<input type="hidden" name="minimum_call_out[]"  value="'.$job_details_data_results2['minimum_call_out'].'"/>
													<input type="hidden" name="sub_clause[]"  value="'.$job_details_data_results2['sub_clause'].'"/>
													<input type="hidden" name="item_order[]"  value="'.$job_details_data_results2['item_order'].'"/>
													<input type="hidden" name="uom[]"  value="'.$job_details_data_results2['uom'].'"/>
												</td>
												<td>'.$job_details_data_results2['test_name'].'</td>
												<td>'.$job_details_data_results2['test_method'].'</td>
												<td width="25">'.$job_details_data_results2['quantity'].'</td>
												<td width="25">0</td>
												<td width="50">
													<input type="text" class="input-percentage pop_qty pop_qty'.$j++.'" autocomplete="off" name="pop_qty[]"  value="'.$job_details_data_results2['quantity'].'" />
													<input type="hidden" class="input-percentage sampl_append sampl_append'.$m++.'" name="sampl_append[]"  value="" />
												</td>
											  </tr>';
								}
								$html.='</table>';
						}
						$html.='</td></tr><tr><td colspan="6"><input type="hidden" class="input-percentage totalitem" name="totalitem"  value="'.$i.'" /><input type="hidden" class="input-percentage totaltest" name="totaltest"  value="'.$j.'" /></td><tr></table>';
						echo $html;
					} else {
						//work_order section
						$job_details_data = $this->db->query("SELECT * FROM `job_details` where job_id='$job_no' group by item_name,item_order");
						$job_details_data_result	=	$job_details_data->result_array();
								$html.='<table class="pop_up_tabl"  width="100%" border="0" cellspacing="0" cellpadding="6"  >
										<tr>
										  <th width="100">Sample No.<input type="hidden" name="pop_job_no" id="pop_job_no" value="'.$job_no.'" /></th>
										  <th>Test Name</th>
										  <th width="100">Test Method</th>
										  <th width="25">Total</th>
										  <th width="25">Tested</th>
										  <th width="50">QTY</th>
										 </tr>';
										 $i=0;
										 $j=0;
										 $k=0;
										 $m=0;
										 $html.='<tr><td colspan="6">';
						foreach ($job_details_data_result as $job_details_data_results){
								$job_item	=	$job_details_data_results['item_name'];
								if ($job_details_data_results['sub_clause']!=''){
									$sub_clause='-'.$job_details_data_results['sub_clause'];
								} else {
									$sub_clause='';
								}
								
								$html.='<table width="100%" class="spec_class'.$k++.'" border="0" cellspacing="0" cellpadding="6" ><tr>
											<td style="text-align:left;padding: 8px; color:#fff;" bgcolor="#7c839f" ><input type="text" name="pop_smple" class="input-percentage pop_smple pop_smple'.$i++.'" value="" style="width:50px; hieght:25px;" autocomplete="off" /></td><td style="text-align:center;padding: 8px;color:#fff;" bgcolor="#7c839f" colspan="5"><b>'.$job_details_data_results['item_name'].''.$sub_clause.'</b></td>
										</tr>';
										
										$item_order					=	$job_details_data_results['item_order'];
										$job_details_data2 			= 	$this->db->query("SELECT * FROM `job_details` where job_id='$job_no' and item_name='$job_item' and item_order='$item_order'");
						$job_details_data_result2	=	$job_details_data2->result_array();
						
							foreach ($job_details_data_result2 as $job_details_data_results2){
									$test_method	=	$job_details_data_results2['test_method'];
									$work_quantity = $this->db->query("SELECT sum(quantity) as quantity  FROM `work_order` where job_id='$job_no' and test_method='$test_method'");
									if (count($work_quantity->row())>0){
										$actualqnty	=	$job_details_data_results2['quantity'];
										if ($work_quantity->row()->quantity==NULL){
											$workqnty=0;
										} else {
											$workqnty	=	$work_quantity->row()->quantity;
										}
										
										$quantity	=	$actualqnty - $workqnty;
									}
									
									if ($quantity!=0){
										$html.='<tr class="pop_tr">
													<td width="100">
													<input type="hidden" name="job_details_id[]" class="job_details_id" value="'.$job_details_data_results2['id'].'"/>
													<input type="hidden" name="item_id[]" class="p_item_id" value="'.$job_details_data_results['item_id'].'" /> 
													<input type="hidden" name="item_name[]"  class="p_item_name"   value="'.$job_details_data_results['item_name'].'"/>
													<input type="hidden" name="test_name[]"  value="'.$job_details_data_results2['test_name'].'"/>
													<input type="hidden" name="test_method[]"  value="'.$job_details_data_results2['test_method'].'"/>
													<input type="hidden" name="rate[]"  value="'.$job_details_data_results2['rate'].'"/>
													<input type="hidden" name="minimum_call_out[]"  value="'.$job_details_data_results2['minimum_call_out'].'"/>
													<input type="hidden" name="sub_clause[]"  value="'.$job_details_data_results2['sub_clause'].'"/>
													<input type="hidden" name="item_order[]"  value="'.$job_details_data_results2['item_order'].'"/>
													<input type="hidden" name="uom[]"  value="'.$job_details_data_results2['uom'].'"/>
													</td>
													<td>'.$job_details_data_results2['test_name'].'</td>
													<td>'.$job_details_data_results2['test_method'].'</td>
													<td width="25">'.$job_details_data_results2['quantity'].'</td>
													<td width="25">'.$workqnty.'</td>
													<td width="50"><input type="text" class="input-percentage pop_qty pop_qty'.$j++.'" autocomplete="off" name="pop_qty[]"  value="'.$quantity.'" /><input type="hidden" class="input-percentage sampl_append sampl_append'.$m++.'" name="sampl_append[]"  value="" /></td>
												  </tr>';
										}
								}
								
								$html.='</table>';
						}
						$html.='</td></tr><tr><td colspan="6"><input type="hidden" class="input-percentage totalitem" name="totalitem"  value="'.$i.'" /><input type="hidden" class="input-percentage totaltest" name="totaltest"  value="'.$j.'" /></td><tr></table>';
						echo $html;
					}
				} else if ($job_type_data->row()->type=='open'){
					$job_details_data = $this->db->query("SELECT * FROM `job_details` where job_id='$job_no' group by item_name,item_order");
					$job_details_data_result	=	$job_details_data->result_array();
							$html.='<table class="pop_up_tabl"  width="100%" border="0" cellspacing="0" cellpadding="6"  >
									<tr>
									  <th width="100">Sample No.<input type="hidden" name="pop_job_no" id="pop_job_no" value="'.$job_no.'" /></th>
									  <th>Test Name</th>
									  <th>Test Method</th>
									  <th width="100">QTY</th>
									 </tr>';
									 $i=0;
									 $j=0;
									 $k=0;
									 $m=0;
					foreach ($job_details_data_result as $job_details_data_results){
							if ($job_details_data_results['sub_clause']!=''){
								$sub_clause='-'.$job_details_data_results['sub_clause'];
							} else {
								$sub_clause='';
							}
							$html.='<table width="100%" class="spec_class'.$k++.'" border="0" cellspacing="0" cellpadding="6" ><tr>
										<td style="text-align:left;padding: 8px; color:#fff;" bgcolor="#7c839f" ><input type="text" name="pop_smple" class="input-percentage pop_smple pop_smple'.$i++.'" value="" style="width:50px; hieght:25px;" autocomplete="off" /></td><td style="text-align:center;padding: 8px;color:#fff;" bgcolor="#7c839f" colspan="3"><b>'.$job_details_data_results['item_name'].''.$sub_clause.'</b></td>
									</tr>';
									$job_item					=	$job_details_data_results['item_name'];
										$item_order					=	$job_details_data_results['item_order'];
										$job_details_data2 			= 	$this->db->query("SELECT * FROM `job_details` where job_id='$job_no' and item_name='$job_item' and item_order='$item_order'");
					$job_details_data_result2	=	$job_details_data2->result_array();
						foreach ($job_details_data_result2 as $job_details_data_results2){
								 $html.='<tr class="pop_tr">
											<td>
											<input type="hidden" name="job_details_id[]" class="job_details_id" value="'.$job_details_data_results2['id'].'"/>
											<input type="hidden" name="item_id[]" class="p_item_id" value="'.$job_details_data_results['item_id'].'" />
											<input type="hidden" name="item_name[]"  class="p_item_name"   value="'.$job_details_data_results['item_name'].'"/>
											<input type="hidden" name="test_name[]"  value="'.$job_details_data_results2['test_name'].'"/>
											<input type="hidden" name="test_method[]"  value="'.$job_details_data_results2['test_method'].'"/>
											<input type="hidden" name="rate[]"  value="'.$job_details_data_results2['rate'].'"/>
											<input type="hidden" name="minimum_call_out[]"  value="'.$job_details_data_results2['minimum_call_out'].'"/>
											<input type="hidden" name="sub_clause[]"  value="'.$job_details_data_results2['sub_clause'].'"/>
											<input type="hidden" name="item_order[]"  value="'.$job_details_data_results2['item_order'].'"/>
											<input type="hidden" name="uom[]"  value="'.$job_details_data_results2['uom'].'"/>
											</td>
											<td>'.$job_details_data_results2['test_name'].'</td>
											<td>'.$job_details_data_results2['test_method'].'</td>
											<td><input type="text" class="input-percentage open_pop_qty pop_qty'.$j++.'" autocomplete="off" name="pop_qty[]"  value="" /><input type="hidden" class="input-percentage sampl_append sampl_append'.$m++.'" name="sampl_append[]"  value="" /></td>
										  </tr>';
							}
							$html.='</table>';
					}
					$html.='<tr><td colspan="4"><input type="hidden" class="input-percentage totalitem" name="totalitem"  value="'.$i.'" /><input type="hidden" class="input-percentage totaltest" name="totaltest"  value="'.$j.'" /></td><tr></table>';
					echo $html;
				} else if ($job_type_data->row()->type=='budget'){
					$job_details_data = $this->db->query("SELECT * FROM `job_details` where job_id='$job_no' group by item_name,item_order");
					$job_details_data_result	=	$job_details_data->result_array();
					
					$job_budget_data = $this->db->query("SELECT * FROM `work_order` where job_id='$job_no'");
					$job_budget_data_result	=	$job_budget_data->result_array();
					$used_amount=0;
					if (count($job_budget_data_result)>0){
						foreach($job_budget_data_result as $job_budget_data_results){
							$used_amount+=($job_budget_data_results['rate']*$job_budget_data_results['quantity']);
						}
					}
					$available_budget=$job_type_data->row()->budget-$used_amount;
							$html.='<table class="pop_up_tabl"  width="100%" border="0" cellspacing="0" cellpadding="6"  >
									<tr style="background-color:#f0f0f0;font-weight: bold;color:#ff0000;">
									  <td width="100">Budget</td>
									  <td>'.$job_type_data->row()->budget.'<input type="hidden" name="hidden_budget" id="hidden_budget" value="'.$job_type_data->row()->budget.'" /></td>
									  <td>Current Amount</td>
									  <td><span id="current_amont">0</span></td>
									 </tr>
									 <tr style="background-color:#f0f0f0;font-weight: bold;color:#ff0000;">
									  <td width="100">Consumed</td>
									  <td>'.$used_amount.'<input type="hidden" name="Consumed" id="Consumed" value="'.$used_amount.'" /></td>
									  <td>Balance</td>
									  <td>'.$available_budget.'<input type="hidden" name="avail_budget" id="avail_budget" value="'.$available_budget.'" /></td>
									 </tr>
									<tr>
									  <th width="100">Sample No.<input type="hidden" name="pop_job_no" id="pop_job_no" value="'.$job_no.'" /></th>
									  <th>Test Name</th>
									  <th>Test Method</th>
									  <th width="50">QTY</th>
									 </tr>';
									 $i=0;
									 $j=0;
									 $k=0;
									 $m=0;
					foreach ($job_details_data_result as $job_details_data_results){
							if ($job_details_data_results['sub_clause']!=''){
								$sub_clause='-'.$job_details_data_results['sub_clause'];
							} else {
								$sub_clause='';
							}
							$html.='<table width="100%" class="spec_class'.$k++.'" border="0" cellspacing="0" cellpadding="6" ><tr>
										<td style="text-align:left;padding: 8px; color:#fff;" bgcolor="#7c839f" ><input type="text" name="pop_smple" class="input-percentage pop_smple pop_smple'.$i++.'" value="" style="width:50px; hieght:25px;" autocomplete="off" /></td><td style="text-align:center;padding: 8px;color:#fff;" bgcolor="#7c839f" colspan="3"><b>'.$job_details_data_results['item_name'].''.$sub_clause.'</b></td>
									</tr>';
									$job_item					=	$job_details_data_results['item_name'];
										$item_order					=	$job_details_data_results['item_order'];
										$job_details_data2 			= 	$this->db->query("SELECT * FROM `job_details` where job_id='$job_no' and item_name='$job_item' and item_order='$item_order'");
					$job_details_data_result2	=	$job_details_data2->result_array();
						foreach ($job_details_data_result2 as $job_details_data_results2){
								 $html.='<tr class="pop_tr">
											<td>
											<input type="hidden" name="job_details_id[]" class="job_details_id" value="'.$job_details_data_results2['id'].'"/>
											<input type="hidden" name="item_id[]" class="p_item_id" value="'.$job_details_data_results['item_id'].'" /> 
											<input type="hidden" name="item_name[]"  class="p_item_name"   value="'.$job_details_data_results['item_name'].'"/>
											<input type="hidden" name="test_name[]"  value="'.$job_details_data_results2['test_name'].'"/>
											<input type="hidden" name="test_method[]"  value="'.$job_details_data_results2['test_method'].'"/>
											<input type="hidden" name="rate[]" class="rate"  value="'.$job_details_data_results2['rate'].'"/>
											<input type="hidden" name="minimum_call_out[]"  value="'.$job_details_data_results2['minimum_call_out'].'"/>
											<input type="hidden" name="sub_clause[]"  value="'.$job_details_data_results2['sub_clause'].'"/>
											<input type="hidden" name="item_order[]"  value="'.$job_details_data_results2['item_order'].'"/>
											<input type="hidden" name="uom[]"  value="'.$job_details_data_results2['uom'].'"/>
											</td>
											<td>'.$job_details_data_results2['test_name'].'</td>
											<td>'.$job_details_data_results2['test_method'].'</td>
											<td width="50"><input type="text" class="input-percentage budget_pop_qty pop_qty'.$j++.'" autocomplete="off" name="pop_qty[]"  value="" /><input type="hidden" class="input-percentage sampl_append sampl_append'.$m++.'" name="sampl_append[]"  value="" /></td>
										  </tr>';
							}
							$html.='</table>';
					}
					$html.='<tr><td colspan="4"><input type="hidden" class="input-percentage totalitem" name="totalitem"  value="'.$i.'" /><input type="hidden" class="input-percentage totaltest" name="totaltest"  value="'.$j.'" /></td><tr></table>';
					echo $html;
				}
			} 
		}
	  }
	}
	public function check_qnty(){
		$division_code	=	$this->input->post('division_code');
		$qnty			=	$this->input->post('qnty');
		$n_sam_qty			=	$this->input->post('n_sam_qty');
		$job_details_id	=	$this->input->post('job_details_id');
		$work_order_no	=	$this->input->post('work_order_no');
		if ($qnty!='' && $division_code != "C"){
			$job_data = $this->db->query("SELECT sum(quantity*sample_no) AS quantity FROM `work_order` where job_details_id='$job_details_id' and work_order_no!='$work_order_no'");
			if (count($job_data->row())==0) {
				$job_details_data = $this->db->query("SELECT * FROM `job_details` where id='$job_details_id'");
				if ($job_details_data->row()->quantity <  ($qnty*$n_sam_qty)) {
					print	"exceed";
				} else {
					print	"success";
				}
			} else {
				$job_details_data = $this->db->query("SELECT * FROM `job_details` where id='$job_details_id'");
				$actualqnty	=	$job_details_data->row()->quantity;
				$workqnty	=	$job_data->row()->quantity;
				if (($actualqnty-$workqnty) < ($qnty*$n_sam_qty)) {
					print	"exceed";
				} else {
					print	"success";
				}
			}
		} else {
			echo 0;
		}
	}
	public function client_details(){
		$job_no	=	$this->input->post('job_no');
		if ($job_no!=''){
			$job_data = $this->db->query("SELECT * FROM `jobs` where job_id='$job_no'");
			$division = $job_data->row()->division;
			$ggg=date("y").$division;
			$query= $this->db->query("SELECT COUNT(`id`) as `MaxID` FROM `work_order_main` WHERE `division`='$division' AND  `work_order_no` LIKE  '%$ggg%'");
			$maxId      = $query->row();
			if ($maxId->MaxID==NULL){
				$mid	=00000;
			} else {
				$mid=$maxId->MaxID;
			}
			$work_order_no = date("y").$job_data->row()->division.sprintf("%'.05d\n", ($mid+1));
			if (count($job_data->row())>0) {
				$data   =   json_encode(array($job_data->row()->client_name,$job_data->row()->project_name, $job_data->row()->lpo_no, $job_data->row()->job_no, $job_data->row()->job_id,$work_order_no,$job_data->row()->client_id,$job_data->row()->project_id));
				print	$data;
			}
		}
	}
	public function client_data(){
		$client_name	=	$this->input->post('client_name');
		$html	='';
		$job_data = $this->db->query("SELECT client_id,client_name FROM `new_client_master` WHERE `client_name` LIKE '%$client_name%'");
		if(count($job_data->result_array())>0){
		$html ='';
		foreach ($job_data->result_array() as $job_datas){
			 $html.='<li value="' .$job_datas['client_id'] .'" class="client_button0"><input type="hidden" class="client_cls" value="'.$job_datas['client_name'].'" />'.$job_datas['client_name'].'</li>';
		}
		} else {
			$html.='<li style="color:red;"> No Results Found </li>';
		}
		print $html;
	}
	public function project_details(){
		$client_id	=	$this->input->post('client_id');
		$html	='';
		$job_data = $this->db->query("SELECT * FROM `projects` WHERE `client_id`='$client_id'");
		if(count($job_data->result_array())>0){
		$html ='';
		foreach ($job_data->result_array() as $job_datas){
			 $html.='<li value="' .$job_datas['id'] .'" class="client_button1"><input type="hidden" class="project_cls" value="'.$job_datas['project_name'].'" />'.$job_datas['project_name'].'</li>';
		}
		} else {
			$html.='<li style="color:red;"> No Results Found </li>';
		}
		print $html;
	}


	public function project_details2(){
		$project_name	=	$this->input->post('project_name');
		$client_id	=	$this->input->post('client_id');
		$html	='';
		$job_data = $this->db->query("SELECT * FROM `projects` WHERE project_name LIKE '%$project_name%' and `client_id`='$client_id'");
		if(count($job_data->result_array())>0){
		$html ='';
		foreach ($job_data->result_array() as $job_datas){
			 $html.='<li value="' .$job_datas['id'] .'" class="client_button1"><input type="hidden" class="project_cls" value="'.$job_datas['project_name'].'" />'.$job_datas['project_name'].'</li>';
		}
		} else {
			$html.='<li style="color:red;"> No Results Found </li>';
		}
		print $html;
	}
	public function project_details3(){
		$project_name	=	$this->input->post('project_name');
		$client_id	=	$this->input->post('client_id');
		$html	='';
		$job_data = $this->db->query("SELECT * FROM `projects` WHERE project_name LIKE '%$project_name%' and `client_id`='$client_id'");
		if(count($job_data->result_array())>0){
		$html ='';
		foreach ($job_data->result_array() as $job_datas){
			 $html.='<tr value="' .$job_datas['id'] .'" class="client_button1"><td><input type="hidden" class="pro_id" value="' .$job_datas['id'] .'" /><input type="hidden" class="project_cls" value="'.$job_datas['project_name'].'" />'.$job_datas['project_name'].'</td></tr>';
		}
		} else {
			$html.='<tr style="color:red;" class="no_data_button" ><td> No Results Found </td></tr>';
		}
		print $html;
	}

	public function check_budget(){
		$job_details_id	=	$this->input->post('job_details_id');
		$currentb	=	$this->input->post('currentb');
		if ($currentb!=''){
			$currentb	=	$this->input->post('currentb');
		} else {
			$currentb	=	0;
		}
		if ($this->input->post('qnty')!=''){
			$qnty	=	$this->input->post('qnty');
		} else {
			$qnty	=	0;
		}
			$job_data = $this->db->query("SELECT * FROM `work_order` where job_id='$job_details_id'");
			if (count($job_data->row())==0) {
				$job_details_data = $this->db->query("SELECT * FROM `job_details` where id='$job_details_id'");
				$ja=	$job_details_data->row()->job_id;
				$job_budget_data = $this->db->query("SELECT * FROM `jobs` where job_id='$ja'");
				$avail_budget	=	$job_budget_data->row()->budget;
				$currtbudget	=	$currentb	+	($job_details_data->row()->rate*$qnty);
				print	$currtbudget;
				/*if ($avail_budget	<	 $currtbudget){
					print	"exceed";
				} else {
					$java_script='<script type="text/javascript" >';
					$java_script.="var item_list='fff';";
					$java_script.='</script>';
					echo $java_script;
					print	"success";
				}*/
			}
		
	}
	public function search_job(){
		$job_no	=	$this->input->post('job_no');
		 $html	='';
		$job_data = $this->db->query("SELECT * FROM `jobs` where status='1' and division='M' and job_completed='0' and job_no LIKE '%$job_no%' limit 25 ");
		if(count($job_data->result_array())>0){
		$html ='';
		foreach ($job_data->result_array() as $job_datas){
			  //nabas comment
			 //data-toggle="modal" data-target="#jobModal"
			 //comment end
			 $html.='<li value="' .$job_datas['job_id'] .'" class="client_button" ><input type="hidden" class="division_cls" value="'.$job_datas['division'].'" />'.$job_datas['job_no'].'</li>';
		}
		} else {
			$html.='<li style="color:red;"> No Results Found </li>';
		}
		print $html;
	}
	public function search_job1(){
		$job_no	=	$this->input->post('job_no');
		 $html	='';
		$job_data = $this->db->query("SELECT * FROM `jobs` where status='1' and job_no ='$job_no' ");
		if(count($job_data->result_array())>0){
		$html ='';
		foreach ($job_data->result_array() as $job_datas){
			 //nabas comment
			 //data-toggle="modal" data-target="#jobModal"
			 //comment end
			 $html.='<li value="' .$job_datas['job_id'] .'" class="client_button" ><input type="hidden" class="division_cls" value="'.$job_datas['division'].'" />'.$job_datas['job_no'].'</li>';
		}
		} else {
			$html.='<li style="color:red;"> No Results Found </li>';
		}
		print $html;
	}
	public function client_search_job(){
		$client_name	=	$this->input->post('client_name');
		$project_name	=	$this->input->post('project_name');
		 $html	='';
		$job_data = $this->db->query("SELECT * FROM `jobs` where status='1' and job_completed='0' and division='M' and project_name='$project_name' and client_name='$client_name'");
		if(count($job_data->result_array())>0){
		$html ='';
		foreach ($job_data->result_array() as $job_datas){
			 $html.='<li value="' .$job_datas['job_id'] .'" class="client_button" ><input type="hidden" class="division_cls" value="'.$job_datas['division'].'" />'.$job_datas['job_no'].'</li>';
		}
		} else {
			$html.='<li style="color:red;"> No Results Found </li>';
		}
		print $html;
	}
	/*public function search_job(){
		$job_no	=	$this->input->post('job_no');
		 $html	='';
		$job_data = $this->db->query("SELECT * FROM `jobs` where status='1' and job_no LIKE '%$job_no%' ");
		if(count($job_data->result_array())>0){
		$html.='<div id="search_result" >
		<table class="table table-bordered">
			<tr style="background:#434343; color:#FFFFFF;">
				<th>Job No</th>
				<th>Client</th>
				<th>Type</th>
				<th>Action</th>
			</tr>';
		foreach ($job_data->result_array() as $job_datas){
			 $html.='<tr>
			 			<td><input type="hidden" class="division_cls" value="'.$job_datas['division'].'" />'.$job_datas['job_no'].'</td>
						<td>'. $job_datas['client_name'] . '</td>
						<td>'. $job_datas['type'] . '</td>
						<td><button type="button" value="' .$job_datas['job_id'] .'" class="client_button"  data-toggle="modal" data-target="#jobModal">Select</button> </td>
					</tr>';
		}
		$html.='</table></div>';
		} else {
			$html.='<span style="color:#ff0000;"><b>Result not Found</b></span>';
		}
		print $html;
	}*/
	function list_files() {
			$workNumber = $this->input->post('workNumber');
		   $work_id = $this->input->post('work_id');
		   $test=$this->db->query("SELECT * FROM `work_files` where (work_id='$workNumber' or work_id='$work_id')");
		   $records = $test->result_array();
		   //$records = $this->crud_model->get('work_files',array('work_id'=>$workNumber));
		   $details = $this->crud_model->get('work_order_main',array('id'=>$work_id));
		   if($details[0]['report_submitted']==1){
			$report_submitted = 'checked="checked"';
		  	$style = '';
		   }else{
			$report_submitted = '';
		  	$style = 'style="display:none;"';
		   }
		   if($details[0]['submitted_date']!="0000-00-00"){
			$submitted_date = date("m/d/Y", strtotime($details[0]['submitted_date']));
		   }else{
			$submitted_date = '';
		   }
		   $html = '<table>
			   <tr>
			  <td>
			   <b>Report Submitted</b>&nbsp;&nbsp;<input type="checkbox" '.$report_submitted.' name="report_submitted" id="report_submitted" value="1" />
			  </td>
			  </tr>
			  <tr class="hideTr" '.$style.'>
			   <td>Date</td>
			  </tr>
			  <tr class="hideTr" '.$style.'>
			   <td><input type="text" name="submitted_date" id="submitted_date" value="'.$submitted_date.'" class="input-inner-new date" /></td>
			  </tr>
			  <tr class="hideTr" '.$style.'>
			   <td>Received By</td>
			  </tr>
			  <tr class="hideTr" '.$style.'>
			   <td><input type="text" name="received_by" id="received_by" value="'.$details[0]['received_by'].'" class="input-inner-new" /></td>
			  </tr>
			</table>
			  <h1>Files</h1>
		   <table class="table1" id="myTable">
			<tr>
		   <th>SI No.</th>
		   <th>File Name</th>
		   <th>Action</th>
			</tr>';
		   $i = 1;
		   if($records!=false){
			foreach($records as $record){
		  $html .= '<tr>
			 <td>'.$i.'</td>
			 <td>'.$record['file_name'].'</td>
			 <td><a class="icon-eye-open icon-black" title="View File" target="_blank" href="'.base_url().'uploads/'.$record['file_name'].'"></a>&nbsp;&nbsp;&nbsp;&nbsp;<a class="icon-delete" title="Delete File" href="javascript:FileDelete('.$record['id'].');"></a></td>
			</tr>';
			$i++;
			}
		   }else{
			$html .= '<tr>
			 <td style="color:#FF0000;" colspan="3">No Files</td>
			</tr>';
		   }
		   $html .= '</table><script>$(".date").datepicker();</script>';
		   echo $html;
  }
  function upload_files() {
     $this->load->library('upload');
     $files = $_FILES;
	 $work_number11 = $this->input->post('work_number11');
     $work_id = $this->input->post('work_id');
     $file_upload = $this->input->post('image');
     for($i=0; $i<count($_FILES['image']['name']); $i++){
	   $_FILES['userfile']['name']= $files['image']['name'][$i];
	   $_FILES['userfile']['type']= $files['image']['type'][$i];
	   $_FILES['userfile']['tmp_name']= $files['image']['tmp_name'][$i];
	   $_FILES['userfile']['error']= $files['image']['error'][$i];
	   $_FILES['userfile']['size']= $files['image']['size'][$i];
		if ($files['image']['name'][$i]!=''){
		 $this->upload->initialize($this->set_upload_options());
		 $this->upload->do_upload();
		 $upload_data  =   $this->upload->data();
		 $uploadImage = $upload_data['file_name'];
		 $datanew = array(
		'work_id'    => $work_number11,
		'file_name'   => $uploadImage
		);
		
	   $added = $this->db->insert('work_files',$datanew);
	  } 
    
   }
   
   if($this->input->post('report_submitted')==1){
    	$submitted_date = date("Y-m-d", strtotime($this->input->post('submitted_date')));
 		$received_by = $this->input->post('received_by');
   }else{
		$submitted_date = "0000-00-00";
		$received_by = "";
   }
   
   $update_details =array('report_submitted' => $this->input->post('report_submitted'),
          'submitted_date'   => $submitted_date,
        'received_by'     => $received_by);
   
    $update = $this->crud_model->update('work_order_main',$update_details,array('id'=>$work_id));
   
   $this->session->set_flashdata('response','<div class="alert alert-success">Details Updated</div>');
   
   redirect('furniture/work_order/list_material_work_order');
 }
 private function set_upload_options(){ 
   $config = array();
   $config['upload_path'] = './uploads/';
   $config['allowed_types'] = '*';
   $config['max_size'] = '250000000000000000';
   $config['overwrite'] = FALSE;
   $config['file_name'] = date("YmdHis").'-'.rand(100000, 999999);
   return $config;
  }
  public function delete_file($id) {
	 $this->crud_model->delete('work_files',array('id'=>$id));
	 $this->session->set_flashdata('response','<div class="alert alert-success">File Deleted</div>');
	 redirect('furniture/work_order/list_material_work_order');
  }
  public function print_work($order_no) {
	$work_order_sub2			=	$this->db->query("SELECT WOM.`id`,WOM.`job_id`,WOM.`work_order_no`,WOM.`division`,WOM.`status`,WOM.`work_order_date`,WOM.`project_name`,WOM.`client_name`,WOM.`project_id`,WOM.`client_id`,WOM.`lpo_no`,WOM.`sampled`,WOM.`submitted`,WOM.`sampled_submitted_date`,WOM.`report_submitted`,WOM.`submitted_date`,WOM.`received_by`,WOM.`status`,WOM.`w/o_created_by`,WOM.`w/o_created_date`,WOM.`attn`,WOM.`w/o_remarks`,WOM.`mix_design`,WOM.`Received_Date`,WOM.`Casting_Date`,J.`quote_id`,J.`quote_no`,J.`lpo_no`,J.`job_no`,J.`lpo_date`,J.`job_date`,J.`issued_by`,J.`type`,J.`budget`,J.`remarks`,J.`created_by`,J.`created_date` FROM `work_order_main` WOM JOIN jobs J ON J.job_id=WOM.job_id WHERE WOM.work_order_no='$order_no'");
	$data['work_order_main']	=	$work_order_sub2->result_array();
	$work_order_sub22			=	$this->db->query("SELECT work_order_no,item_id,sample_no,item_name,sub_clause,item_order FROM `work_order` WHERE work_order_no='$order_no' GROUP BY item_name,item_order  order by `id`");
	$data['work_order']			=	$work_order_sub22->result_array();
  	$this->load->view('general/quotations/print_work',$data);
  }

  function list_files_from_jobs() {
	$job_id = $this->input->post('job_id');
   $records =	$this->crud_model->get('job_files',array('job_id'=>$job_id));
   $work_orders =	$this->crud_model->get('work_order_main',array('job_id'=>$job_id));
   $lpo_val 		= 	$this->db->query("SELECT lpo_no FROM `jobs` WHERE job_id='$job_id'");
   $lpo_vall		=	$lpo_val->result_array();
   $html = '<input type="hidden" name="lpo_lpo" id="lpo_lpo" value="'.$lpo_vall[0]['lpo_no'].'" />
		   <h1>Files</h1>
			   <table class="tablenb" >
				   <tr>
					 <th>SI No.</th>
					 <th>File Name</th>
					 <th>Action</th>
				   </tr>';
   $i = 1;
   if($records!=false){
	   foreach($records as $record){
		   $html .= '<tr>
					   <td>'.$i.'</td>
					   <td>'.$record['file_name'].'</td>
					   <td><a class="icon-eye-open icon-black" title="View File" target="_blank" href="'.base_url().'uploads/'.$record['file_name'].'"></a>&nbsp;&nbsp;&nbsp;&nbsp;</td>
				   </tr>';
	   $i++;
	   }
   }else{
	   $html .= '<tr>
					   <td style="color:#FF0000;" colspan="3">No Files</td>
				   </tr>';
   }
   $html .= '</table>';
			 
   echo $html;
}

  public function print_work_with_rate($order_no) {
  	if($this->crud_model->check_permission("print_work_with_rate","view")==false){
		$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
		redirect($this->session->userdata('default_controller_name'));
	}
	$work_order_sub2			=	$this->db->query("SELECT * FROM `work_order_main` JOIN jobs ON jobs.job_id=work_order_main.job_id WHERE work_order_no='$order_no'");
	$data['work_order_main']	=	$work_order_sub2->result_array();
	$work_order_sub22			=	$this->db->query("SELECT work_order_no,item_id,sample_no,item_name,sub_clause,item_order FROM `work_order` WHERE work_order_no='$order_no' GROUP BY item_name,item_order");
	$data['work_order']			=	$work_order_sub22->result_array();
  	$this->load->view('general/quotations/print_work_with_rate',$data);
  }
  public function list_zero_jobs() {
  	$html = '';
  	$work_number =  $this->input->post('work_number');
	$job_type 	 =  $this->input->post('job_type');
	$division_type 	 =  $this->input->post('division_type');
	if($division_type=="C"){
		$work_order_main1	=	$this->crud_model->get('work_order',array('work_order_no'=>$work_number),null,null,null,null,null,null,null,'item_name');
		$xxx = $work_order_main1[0]['item_name'];
		$work_order_main2 		= 	$this->db->query("SELECT * FROM `items` JOIN main_category ON main_category.id=items.main_category JOIN sub_category ON sub_category.sub_id=items.sub_category WHERE main_category.category_name='$xxx'");
		$work_order_main		=	$work_order_main2->result_array();
		if($work_order_main!=false){
			$html='<table width="100%" border="0" cellspacing="0" cellpadding="3" >
							<tr>
							  <th align="left" width="50%">Test Name</th>
							  <th align="left" width="30%">Test Method</th>
							  <th align="left" width="5%">QTY</th>
							 </tr>
							 <tr>
								<td style="text-align:center;padding: 8px;color:#fff;" bgcolor="#7c839f" colspan="4">
									<b>'.$work_order_main1[0]['item_name'].'<input type="hidden" name="division_name" value="'.$work_order_main1[0]['item_name'].'" />
									<input type="hidden" name="work_number" value="'.$work_number.'" /></b>
								</td>
								<th align="left" width="10%">Hold QTY</th>
							</tr>';
			foreach($work_order_main as $work_order_mains){
				if($work_order_mains['sub_category_name']=="Spare"){
					$readOnly 		= 'readonly="readonly"';
					$total_diff 	= $this->input->post('total_diff');
					$class			= ' balance_spr';
				}else{
					$readOnly = '';$total_diff 	 =  '';$class='';
				}
								$html.='<tr>
											<td>
												'.$work_order_mains['sub_category_name'].'<input type="hidden" name="sub_category_name[]" class="cls_test" value="'.$work_order_mains['sub_category_name'].'" />
												<input type="hidden" name="pop_up_test_name_id[]" value="'.$work_order_mains['sub_id'].'" />
											</td>
											<td>
												'.$work_order_mains['item_name'].'<input type="hidden" name="item_name[]" class="cls_test" value="'.$work_order_mains['item_name'].'" />
											</td>
											<td>
												<input type="text" '.$readOnly.' class="input-percentage update_qty_cls1'.$class.'" autocomplete="off" name="update_qty[]"  value="'.$total_diff.'" />
											</td>
											<td>
												'.$work_order_mains['hold_qty'].'<input type="hidden" name="hold_qty[]" class="hold_qty" value="'.$work_order_mains['hold_qty'].'" />
											</td>
										</tr>';
			}
			$html.='<input type="hidden" class="hidden_spare" value="'.$total_diff.'" /></table>';
		}
		echo $html;
	}else{
		$work_order_main	=	$this->crud_model->get('work_order',array('work_order_no'=>$work_number,'quantity'=>'0'),null,null,null,null,null,null,null,'item_name');
		if($work_order_main!=false){
			$html='<table width="100%" border="0" cellspacing="0" cellpadding="4" >
							<tr>
							  <th align="left" width="50%">Test Name</th>
							  <th align="left" width="30%">Test Method</th>';
							  if($job_type=="actuals"){
								$html.='<th align="left" width="5%">Total</th>';
							  }
							  $html.='<th align="left" width="5%">QTY</th><th align="left" width="10%">Hold QTY</th>
							 </tr>';
			foreach($work_order_main as $work_order_mains){
				$item_id = $work_order_mains['item_id'];
				$work_order_sub2	=	$this->db->query("SELECT work_order.id,work_order.test_name,work_order.test_method,job_details.quantity FROM `work_order` JOIN job_details ON job_details.id=work_order.job_details_id WHERE work_order_no='$work_number' AND work_order.quantity='0' AND work_order.item_id='$item_id'");
				$work_order_sub	    =	$work_order_sub2->result_array();
				$html.='<tr>
								<td style="text-align:center;padding: 8px;color:#fff;" bgcolor="#7c839f" colspan="5">
									<b>'.$work_order_mains['item_name'].'</b>
								</td>
							</tr>';
						if($work_order_sub!=false){
							foreach($work_order_sub as $work_order_subs){
								$html.='<tr>
											<td>
												'.$work_order_subs['test_name'].'<input type="hidden" name="update_id[]"  value="'.$work_order_subs['id'].'" />
											</td>
											<td>
												'.$work_order_subs['test_method'].'
											</td>';
											if($job_type=="actuals"){
												$html.='<td>
													'.$work_order_subs['quantity'].'<input type="hidden" class="quantity_cls" autocomplete="off" value="'.$work_order_subs['quantity'].'" />
												</td>';
											}
											$html.='<td>
												<input type="text" class="input-percentage update_qty_cls" autocomplete="off" name="update_qty[]"  value="" />
											</td>
											<td>
												&nbsp;&nbsp;&nbsp;'.$work_order_mains['hold_qty'].'<input type="hidden" name="hold_qty[]" class="hold_qty" value="'.$work_order_mains['hold_qty'].'" />
											</td>
										</tr>';
							}
						}
			}
			$html.='</table>';
		}
		echo $html;
	}
  }
  public function updates_jobs() {
  	$division_name  = $this->input->post('division_name');
	$work_number  = $this->input->post('work_number');
	$test_name  = $this->input->post('sub_category_name');
	$test_method  = $this->input->post('item_name');
	
	if($division_name=="Cube" || $division_name=="Cylinder"){
		//print_r($this->input->post('sub_category_name'));
			//break;
			$details = $this->crud_model->get('work_order',array('work_order_no'=>$work_number,'test_name'=>"Spare"));
			
			$Casting_data = $this->crud_model->get('work_order_main',array('work_order_no'=>$work_number));
			$Casting_Date  = $Casting_data[0]['Casting_Date'];
		$update_qty = $this->input->post('update_qty');
			for($i=0; $i<count($update_qty) ; $i++){
			//print_r($test_name[$i]);
			//break;
				if($update_qty[$i]!=""){
					
					$this->crud_model->delete('work_order',array('work_order_no'=>$work_number,'test_name'=>"Spare"));
					
					$max_data 		 = $this->db->query("SELECT MAX(`sample_no_ending`) AS sample_no_ending_max FROM `work_order` WHERE `work_order_no`='$work_number'");
					$max_data_array  = $max_data->result_array();
					
					if($max_data_array[0]['sample_no_ending_max']!=""){
						$sample_order_starting  = $max_data_array[0]['sample_no_ending_max']+1;
						$sample_order_ending 	= $max_data_array[0]['sample_no_ending_max']+$update_qty[$i];
					}
					
					if($update_qty[$i]!=0){
						$datanew = array(
							'job_id' 			=> $details[0]['job_id'],
							'item_id' 			=> $details[0]['item_id'],
							'item_name' 		=> $division_name,
							'test_name' 		=> $test_name[$i],
							'test_method' 		=> $test_method[$i],
							'job_details_id' 	=> $details[0]['job_details_id'],
							'sample_no' 		=> $details[0]['sample_no'],
							'sample_no_starting'=> $sample_order_starting,
							'sample_no_ending' 	=> $sample_order_ending,
							'quantity' 			=> $update_qty[$i],
							'rate' 				=> $details[0]['rate'],
							'job_no' 			=> $details[0]['job_no'],
							'work_order_no' 	=> $work_number,
							'work_order_date' 	=> $details[0]['work_order_date']
						);
						$this->db->insert('work_order',$datanew);
					}
					
					$lis='';
					if($update_qty[$i]!=0){
						if ($test_name[$i]!=='Spare') {
							$tst	=	$test_name[$i];
							$Max_id 		 = $this->db->query("SELECT MAX(`id`) AS Max_id FROM `work_order` WHERE `work_order_no`='$work_number' and test_name='$tst'");
					$Max_id_array  = $Max_id->result_array();
							
							
							
							
							$element = explode(" - (", $tst);
							$aging = explode("D)", $element[1]);
							$c=	$Casting_Date;
							$date = strtotime($c);
							$date = strtotime("+".$aging[0]." day", $date);
							$testedDate	=	date('Y-m-d', $date);
							$age	=	$aging[0];
							$this->db->update('cube_sample',array('age' => $age,'crushing_date' => $testedDate,'wo_id' => $Max_id_array[0]['Max_id']),array('sample_no' => $sample_order_starting));
						}
					}
					
				}
			}				
		$this->session->set_flashdata('response','<div class="alert alert-success">Updated..</div>');
		redirect('furniture/cube/list_cube_work_order');
	}else{
		$update_id  = $this->input->post('update_id');
		$update_qty = $this->input->post('update_qty');
		
		for($i=0; $i<count($update_id) ; $i++){
			if($update_qty[$i]!=""){
				$this->db->update('work_order',array('quantity' => $update_qty[$i],'hold_qty' => NULL),array('id' => $update_id[$i]));
			}
		}
		$this->session->set_flashdata('response','<div class="alert alert-success">Updated..</div>');
		redirect('furniture/work_order/list_material_work_order');
	}
  }
  
  
  public function list_cube_work_order($filter_division="NIL",$filter_by="NIL",$filter_value="NIL") {
	  	if (@$this->input->post('filter_division') != "") {
			$filter_division =   $this->input->post("filter_division");
		}elseif ($filter_division != "NIL") {
			$filter_division	=	$filter_division;
		} else {
			$filter_division	= "NIL";
		}
		
		if (@$this->input->post('filter_value') != "") {
			$filter_value =   str_replace("%20"," ",$this->input->post("filter_value"));
		}elseif ($filter_value != "NIL") {
			
			$filter_value	=	str_replace("%20"," ",$filter_value);
		} else {
			$filter_value	= "NIL";
		}
		
		if($filter_division != "NIL") {
			$filter_division = $filter_division;
			$where="  WHERE work_order_main.division='C'";
		} else {
			$where=" WHERE work_order_main.division='C'";
		}
		
		
		if (@$this->input->post('filter_by') != "") {
			$filter_by =   $this->input->post("filter_by");
		}elseif ($filter_by != "NIL") {
			$filter_by	=	$filter_by;
		} else {
			$filter_by	= "NIL";
		}
		
		if ($filter_by != "NIL"){
			if($filter_by == 1) {
				if ($filter_value != "NIL"){
					$like=" AND work_order_main.work_order_no LIKE '%$filter_value%'";
				} else {
					$like="";
				}
			} elseif($filter_by == 2) {
				if ($filter_value != "NIL"){
					$like=" AND work_order_main.client_name LIKE '%$filter_value%'";
				} else {
					$like="";
				}
			} else {
				$like="";
			}
		} else {
			$like="";
		}
		
		
		$data12			=	$this->db->query("SELECT work_order_main.id,work_order_no,jobs.type,work_order_main.status,work_order_date,work_order_main.project_name,work_order_main.client_name,work_order_main.division,work_order_main.Casting_Date,jobs.job_no FROM `work_order_main` JOIN jobs ON jobs.job_id=work_order_main.job_id ".$where."".$like." ORDER BY work_order_main.id");
		
		//pagging start
		$config['uri_segment'] = 7;
        //$config['use_page_numbers'] = TRUE;
		$config['base_url'] = base_url() . "index.php/furniture/cube/list_cube_work_order/".$filter_division."/".$filter_by."/".$filter_value;
        $config["total_rows"] = $data12->num_rows();
        $config['num_links'] = 10;
        $config["per_page"] = 100;
        $this->pagination->initialize($config);
        if ($this->uri->segment(7)) {
            $page = $this->uri->segment(7)*100-100;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
        //pagging end
		
		$data1				=	$this->db->query("SELECT work_order_main.id,work_order_no,jobs.type,work_order_main.status,work_order_date,work_order_main.project_name,work_order_main.client_name,work_order_main.division,work_order_main.Casting_Date,jobs.job_no FROM `work_order_main` JOIN jobs ON jobs.job_id=work_order_main.job_id ".$where."".$like." ORDER BY work_order_main.id desc limit ".$page.",".$config["per_page"]);
		$data['records']	=	$data1->result_array();
		$data['pagination'] = $this->pagination->create_links();
		$data['filter_division'] = $filter_division;
		$data['filter_by'] = $filter_by;
		$data['filter_value'] = $filter_value;
		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/list_cube_work_order',$data);
		$this->load->view('templates/footer');
	}
	
	public function list_material_work_order($filter_division="NIL",$filter_by="NIL",$filter_value="NIL",$project_id="NIL") {
		$us_id=$this->session->userdata('user_id');
		$da   = $this->db->query("SELECT * FROM `approval` WHERE `module`='3' and `user_id`='$us_id'  ");
		$da_arr = $da->result_array();
			if (count($da_arr)>0){
				$where=" WHERE (work_order_main.status='0' or work_order_main.status='1' or work_order_main.status='2' or work_order_main.status='6')";
			} else {
	  			//$where=" WHERE  (work_order_main.status='0' or work_order_main.status='1' or work_order_main.status='6')";
				$where=" WHERE (work_order_main.status='0' or work_order_main.status='1' or work_order_main.status='2' or work_order_main.status='6')";
			}
		
		if (@$this->input->post('filter_division') != "") {
			$filter_division =   $this->input->post("filter_division");
		}elseif ($filter_division != "NIL") {
			$filter_division	=	$filter_division;
		} else {
			$filter_division	= "NIL";
		}

		if (@$this->input->post('filter_by') != "") {
			$filter_by =   $this->input->post("filter_by");
		}elseif ($filter_by != "NIL") {
			$filter_by	=	$filter_by;
		} else {
			$filter_by	= "NIL";
		}
		
		if (@$this->input->post('filter_value') != "") {
			if($filter_by==2){
				$filter_value =   $this->input->post("client_id");
			} else {
				$filter_value =   str_replace("%20"," ",$this->input->post("filter_value"));
			}
		}elseif ($filter_value != "NIL") {
			
			$filter_value	=	str_replace("%20"," ",$filter_value);
		} else {
			$filter_value	= "NIL";
		}
		$where.=" AND  work_order_main.division='M'";
		if($filter_division != "NIL") {
			$filter_division = $filter_division;
			$where.=" AND  work_order_main.division='M'";
		} else {
			$where.=" AND work_order_main.division='M'";
		}
		
		
		
		
		if ($filter_by != "NIL"){
			if($filter_by == 1) {
				if ($filter_value != "NIL"){
				$like=" AND work_order_main.work_order_no LIKE '%$filter_value%'";
				} else {
					$like="";
				}
			} elseif($filter_by == 2) {
				if ($filter_value != "NIL"){
					$like="";
					$where.=" AND work_order_main.client_id='$filter_value'";
				} else {
					$like="";
				}
			} else {
				$like="";
			}
		} else {
			$like="";
		}

		if (@$this->input->post('project_id') != "") {
			$project_id =   $this->input->post("project_id");
		} elseif ($project_id != "NIL") {
			$project_id	=	$project_id;
		} else {
			$project_id	= "NIL";
		}

		if($project_id != "NIL") {
			$where.=" AND work_order_main.project_id='$project_id'";
		}
		

		$data12			=	$this->db->query("SELECT work_order_main.id,work_order_no,jobs.type,work_order_main.status,work_order_date,work_order_main.project_name,work_order_main.client_name,work_order_main.division,jobs.job_no FROM `work_order_main` JOIN jobs ON jobs.job_id=work_order_main.job_id ".$where."".$like." ORDER BY work_order_main.id");
		
		//pagging start
		$config['uri_segment'] = 8;
        //$config['use_page_numbers'] = TRUE;
		$config['base_url'] = base_url() . "index.php/furniture/work_order/list_material_work_order/".$filter_division."/".$filter_by."/".$filter_value."/".$project_id;
        $config["total_rows"] = $data12->num_rows();
        $config['num_links'] = 10;
        $config["per_page"] = 100;
        $this->pagination->initialize($config);
        if ($this->uri->segment(8)) {
            $page = $this->uri->segment(8)*100-100;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
        //pagging end
		$data1				=	$this->db->query("SELECT work_order_main.id,work_order_no,sampled_submitted_date,jobs.type,work_order_main.status,work_order_date,work_order_main.project_name,work_order_main.client_name,work_order_main.division,jobs.job_no FROM `work_order_main` JOIN jobs ON jobs.job_id=work_order_main.job_id ".$where."".$like." ORDER BY work_order_main.id  desc limit ".$page.",".$config["per_page"]);
		
		
		$data['records']	=	$data1->result_array();
		$data['pagination'] = $this->pagination->create_links();
		$data['filter_division'] = $filter_division;
		$data['filter_by'] = $filter_by;
		$data['filter_value'] = $filter_value;
		$data['project_id'] = $project_id;
		$data['client_id']	= $filter_value;

		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/list_material_work_order',$data);
		$this->load->view('templates/footer');
	}  
  
  
  public function job_details_new(){
		$job_no	=	$this->input->post('job_no');
		$division	=	$this->input->post('division');
		$work_order_no	=	$this->input->post('work_order_no');
		if($division=="C"){
			$html='';
		if ($job_no!==''){
			$job_type_data = $this->db->query("SELECT * FROM `jobs` where job_id='$job_no' ");
			if (count($job_type_data->row())>0){
				if ($job_type_data->row()->type=='close') {
					$html.='<table class="pop_up_tabl"  width="100%" border="0" cellspacing="0" cellpadding="6"  ><tr class="pop_tr">
								<td colspan="4" style="color:#ff0000;">Job Closed</td>
							</tr></table>';
					echo $html;
				} else if ($job_type_data->row()->type=='open'){
					$job_details_data = $this->db->query("SELECT * FROM `job_details` where job_id='$job_no' group by item_name,item_order");
					print("SELECT * FROM `job_details` where job_id='$job_no' group by item_name,item_order");
						$job_details_data_result	=	$job_details_data->result_array();
								$html.='<table class="pop_up_tabl"  width="100%" border="0" cellspacing="0" cellpadding="6"  >';
										 $i=0;
										 $j=0;
										 $k=0;
										 $m=0;
										 $html.='<tr><td colspan="6">';
						foreach ($job_details_data_result as $job_details_data_results){
								if ($job_details_data_results['sub_clause']!=''){
									$sub_clause='-'.$job_details_data_results['sub_clause'];
								} else {
									$sub_clause='';
								}
								$html.='<table width="100%" class="table_spr spec_class'.$k++.'" border="0" cellspacing="0" cellpadding="6" >
											<tr>
												<td style="text-align:left;padding: 8px; color:#fff;" bgcolor="#7c839f" >
													<input type="text" name="pop_smple" class="input-percentage sapre_cls pop_smple pop_smple'.$i++.'" value="" style="width:50px; hieght:25px;" autocomplete="off" />
												</td>
												<td style="text-align:center;padding: 8px;color:#fff;" bgcolor="#7c839f" colspan="5">
													<b>'.$job_details_data_results['item_name'].''.$sub_clause.'</b>
												</td>
											</tr>';
										$job_item					=	$job_details_data_results['item_name'];
										$item_order					=	$job_details_data_results['item_order'];
										$job_details_data2 			= 	$this->db->query("SELECT * FROM `job_details` where job_id='$job_no' and item_name='$job_item' and item_order='$item_order'");
										$job_details_data_result2	=	$job_details_data2->result_array();
										$item_details2 				= 	$this->db->query("SELECT * FROM `items` JOIN main_category ON main_category.id=items.main_category JOIN sub_category ON sub_category.sub_id=items.sub_category WHERE main_category.category_name='$job_item'");
										$item_details				=	$item_details2->result_array();
						foreach ($item_details as $item_detail){
							foreach ($job_details_data_result2 as $job_details_data_results2){
								if($item_detail['sub_category_name']==$job_details_data_results2['test_name']){
									$test_name   = $job_details_data_results2['test_name'];
									$test_method = $job_details_data_results2['test_method'];
									if($job_details_data_results2['quantity']!=0){
										$quantity    = $job_details_data_results2['quantity'];
									}else{
										$quantity    = '';
									}
									$rate    	 = $job_details_data_results2['rate'];
								}else{
									$test_name   = $item_detail['sub_category_name'];
									$test_method = $item_detail['item_name'];
									$quantity    = '';
									$rate    	 = $item_detail['selling_price'];
								}
								if($test_name == "Spare"){$class = "balance_spr ";$readonly = 'readonly="readonly"';}else{$class = "";$readonly = '';}
									 $html.='<tr class="pop_tr">
												<td width="100">
													<input type="hidden" name="job_details_id[]" class="job_details_id" value="'.$job_details_data_results2['id'].'"/>
													<input type="hidden" name="item_id[]" class="p_item_id" value="'.$job_details_data_results['item_id'].'" />
													<input type="hidden" name="item_name[]"  class="p_item_name"   value="'.$job_details_data_results['item_name'].'"/>
													<input type="hidden" name="test_name[]" class="cls_test"  value="'.$test_name.'"/>
													<input type="hidden" name="test_method[]"  value="'.$test_method.'"/>
													<input type="hidden" name="rate[]"  value="'.$job_details_data_results2['rate'].'"/>
													<input type="hidden" name="minimum_call_out[]"  value="'.$job_details_data_results2['minimum_call_out'].'"/>
													<input type="hidden" name="sub_clause[]"  value="'.$job_details_data_results2['sub_clause'].'"/>
													<input type="hidden" name="item_order[]"  value="'.$job_details_data_results2['item_order'].'"/>
													<input type="hidden" name="uom[]"  value="'.$job_details_data_results2['uom'].'"/>
												</td>
												<td>'.$test_name.'</td>
												<td>'.$test_method.'</td>
												<!--<td width="25">'.$quantity.'</td>-->
												<!--<td width="25">0</td>-->
												<td width="50">
													<input type="text" '.$readonly.' class="'.$class.'input-percentage sapre_cls pop_qty pop_qty'.$j++.'" autocomplete="off" name="pop_qty[]"  value="" />
													<input type="hidden" class="input-percentage sampl_append sampl_append'.$m++.'" name="sampl_append[]"  value="" />
												</td>
											  </tr>';
								}
						}
								$html.='</table>';
						}
						$html.='</td></tr><tr>
										  <th width="100">Sample No.<input type="hidden" name="pop_job_no" id="pop_job_no" value="'.$job_no.'" /></th>
										  <th>Test Name</th>
										  <th width="100">Test Method</th>
										  <!--<th width="25">Total</th>-->
										  <!--<th width="25">Tested</th>-->
										  <th width="50">QTY</th>
										  <th width="50">Hold QTY</th>
										 </tr><tr>
											<td colspan="6">
												<input type="hidden" class="input-percentage totalitem" name="totalitem"  value="'.$i.'" />
												<input type="hidden" class="input-percentage totaltest" name="totaltest"  value="'.$j.'" />
											</td>
										<tr></table>';
						echo $html;
				}
			} 
		}
		}else{
		$html='';
		if ($job_no!==''){
			$job_type_data = $this->db->query("SELECT * FROM `jobs` where job_id='$job_no' ");
			if (count($job_type_data->row())>0){
				if ($job_type_data->row()->type=='close') {
					$html.='<table class="pop_up_tabl"  width="100%" border="0" cellspacing="0" cellpadding="6"  ><tr class="pop_tr">
								<td colspan="4" style="color:#ff0000;">Job Closed</td>
							</tr></table>';
					echo $html;
				} else if ($job_type_data->row()->type=='open'){
					$job_details_data = $this->db->query("SELECT * FROM `job_details` where job_id='$job_no' group by item_name,item_order");
					$job_details_data_result	=	$job_details_data->result_array();
							$html.='<table class="pop_up_tabl"  width="100%" border="0" cellspacing="0" cellpadding="6"  >';
									 $i=0;
									 $j=0;
									 $k=0;
									 $m=0;
									 $html.='<table width="100%"  border="0" cellspacing="0" cellpadding="6" ><tr class="pop_tr">
							<td colspan="3">
							<select name="n_item_name" id="n_item_name"  style="height: 40px;"  class="input-percentage n_item_name" > <option value="">Select Item Name</option>';
					foreach ($job_details_data_result as $job_details_data_results){
							if ($job_details_data_results['sub_clause']!=''){
								$sub_clause='-'.$job_details_data_results['sub_clause'];
							} else {
								$sub_clause='';
							}
					$html.='<option value="'.$job_details_data_results['item_id'].'-'.$job_details_data_results['item_order'].'">'.$job_details_data_results['item_name'].''.$sub_clause.'</option>';
					}
					$html.='</select>
					</td></tr>
					<tr>
					<th width="10">Sample No.<input type="hidden" name="pop_job_no" id="pop_job_no" value="'.$job_no.'" /></th>
						<th width="60">Test Name</th>
						<th width="100">Test Method</th>
						<th width="50" style="text-align: right !important;">QTY</th>
						<th width="50">Hold QTY</th>
					</tr>
				</table>';
					$html.='<tr><td colspan="4"><input type="hidden" class="input-percentage totalitem" name="totalitem"  value="'.$i.'" /><input type="hidden" class="input-percentage totaltest" name="totaltest"  value="'.$j.'" /></td><tr></table>';
					echo $html;
				} else if ($job_type_data->row()->type=='actuals'){
					$job_details_data = $this->db->query("SELECT * FROM `job_details` where job_id='$job_no' group by item_name,item_order");
					$job_details_data_result	=	$job_details_data->result_array();
							$html.='<table class="pop_up_tabl"  width="100%" border="0" cellspacing="0" cellpadding="6"  >';
									 $i=0;
									 $j=0;
									 $k=0;
									 $m=0;
									 $html.='<table width="100%"  border="0" cellspacing="0" cellpadding="6" ><tr class="pop_tr">
							<td colspan="3">
							<select name="n_item_name" id="n_item_name"  style="height: 40px;"  class="input-percentage n_item_name" > <option value="">Select Item Name</option>';
					foreach ($job_details_data_result as $job_details_data_results){
							if ($job_details_data_results['sub_clause']!=''){
								$sub_clause='-'.$job_details_data_results['sub_clause'];
							} else {
								$sub_clause='';
							}
					$html.='<option value="'.$job_details_data_results['item_id'].'-'.$job_details_data_results['item_order'].'">'.$job_details_data_results['item_name'].''.$sub_clause.'</option>';
					}
					//<th width="200" align="left">Test Method</th>
					$html.='</select>
					</td></tr>
					<tr>
					<th width="100">Sample No.<input type="hidden" name="pop_job_no" id="pop_job_no" value="'.$job_no.'" /></th>
						<th width="60">Test Name</th>
						
						<th width="50">Total</th>
						<th width="50">Balance</th>
						<th width="50"  style="text-align: right !important;">QTY</th>
						<th width="50">Hold QTY</th>
					</tr>
				</table>';
					$html.='<tr><td colspan="4"><input type="hidden" class="input-percentage totalitem" name="totalitem"  value="'.$i.'" /><input type="hidden" class="input-percentage totaltest" name="totaltest"  value="'.$j.'" /></td><tr></table>';
					echo $html;
				} else if ($job_type_data->row()->type=='budget'){
						$job_details_data = $this->db->query("SELECT * FROM `job_details` where job_id='$job_no' group by item_name,item_order");
						$job_details_data_result	=	$job_details_data->result_array();
					
					$job_budget_data = $this->db->query("SELECT * FROM `work_order` where job_id='$job_no' and work_order_no!='$work_order_no' ");
					$job_budget_data_result	=	$job_budget_data->result_array();
					$used_amount=0;
					$available_budget=0;
					if (count($job_budget_data_result)>0){
						foreach($job_budget_data_result as $job_budget_data_results){
							$amount = $job_budget_data_results['quantity']*$job_budget_data_results['rate'];
							if($job_budget_data_results['minimum_call_out']!=0){
									if($amount<$job_budget_data_results['minimum_call_out']){
										$amount = $job_budget_data_results['minimum_call_out']*$job_budget_data_results['sample_no'];
									}else{
										$amount = $job_budget_data_results['quantity']*$job_budget_data_results['rate']*$job_budget_data_results['sample_no'];
									}
								}else{
									$amount = $job_budget_data_results['quantity']*$job_budget_data_results['rate']*$job_budget_data_results['sample_no'];
								}
							$used_amount+=($amount);
						}
						$available_budget=$job_type_data->row()->budget-$used_amount;
					} else {
						/*foreach($job_details_data_result as $job_details_data_results){
							$amount = $job_details_data_results['quantity']*$job_details_data_results['rate'];
							if($job_details_data_results['minimum_call_out']!=0){
									if($amount<$job_details_data_results['minimum_call_out']){
										$amount = $job_details_data_results['minimum_call_out'];
									}else{
										$amount = $job_details_data_results['quantity']*$job_details_data_results['rate'];
									}
								}else{
									$amount = $job_details_data_results['quantity']*$job_details_data_results['rate'];
								}
							$available_budget+=($amount);
						}*/
						$available_budget=$job_type_data->row()->budget;
						//$available_budget=$job_type_data->row()->budget-$used_amount;
					}
					
							$html.='<table class="pop_up_tabl"  width="100%" border="0" cellspacing="0" cellpadding="6"  >';
									 $i=0;
									 $j=0;
									 $k=0;
									 $m=0;
									 $html.='<table width="100%"  border="0" cellspacing="0" cellpadding="6" ><tr class="pop_tr">
							<td colspan="3">
							<select name="n_item_name" id="n_item_name"  style="height: 40px;"  class="input-percentage n_item_name" > <option value="">Select Item Name</option>';
					foreach ($job_details_data_result as $job_details_data_results){
							if ($job_details_data_results['sub_clause']!=''){
								$sub_clause='-'.$job_details_data_results['sub_clause'];
							} else {
								$sub_clause='';
							}
					$html.='<option value="'.$job_details_data_results['item_id'].'-'.$job_details_data_results['item_order'].'">'.$job_details_data_results['item_name'].''.$sub_clause.'</option>';
					}
					
					$html.='</select>
					</td>
									 </tr>
					<tr>
					<th width="10">Sample No.<input type="hidden" name="pop_job_no" id="pop_job_no" value="'.$job_no.'" /><input type="hidden" name="hidden_budget" id="hidden_budget" value="'.$job_type_data->row()->budget.'" /><input type="hidden" name="Consumed" id="Consumed" value="'.$used_amount.'" /><input type="hidden" name="avail_budget" id="avail_budget" value="'.$available_budget.'" /></th>
						<th width="60">Test Name</th>
						<th width="100">Test Method</th>
						<th width="50" style="text-align: right !important;">QTY</th>
						<th width="50">Hold QTY</th>
					</tr>
				</table>';
					$html.='<tr><td colspan="4"><input type="hidden" class="input-percentage totalitem" name="totalitem"  value="'.$i.'" /><input type="hidden" class="input-percentage totaltest" name="totaltest"  value="'.$j.'" /></td><tr></table>';
					echo $html;
				}
			}  
		}
	  }
	}
  public function search_item_name_nb(){
	  	$job_no 		= $this->input->post('job_no');
		$array = $this->input->post('n_item_name_id');
		$html='';
		if ($array!=''){
			$pieces 	= explode("-", $array);
			$n_item_name_id 	= $pieces[0];
			$item_order = $pieces[1];
		} else {
			$n_item_name_id 	= 0;
			$item_order = 0;
		}
		$job_type_data = $this->db->query("SELECT * FROM `jobs` where job_id='$job_no' ");
		if (count($job_type_data->row())>0){
			if ($job_type_data->row()->type=='close') {
					$html.='<table class="pop_up_tabl"  width="100%" border="0" cellspacing="0" cellpadding="6"  ><tr class="pop_tr">
								<td colspan="4" style="color:#ff0000;">Job Closed</td>
							</tr></table>';
					echo $html;
			} else if ($job_type_data->row()->type=='open'){
					$job_details_data2 			= 	$this->db->query("SELECT * FROM `job_details` where job_id='$job_no' and item_id='$n_item_name_id' and item_order='$item_order'");
					$job_details_data_result2	=	$job_details_data2->result_array();
					
				if($job_details_data_result2 == false ){
					echo 0;
				} else {
					if ($job_details_data_result2[0]['sub_clause']!=''){
						$sub_clause='-'.$job_details_data_result2[0]['sub_clause'];
					} else {
						$sub_clause='';
					}
					$html.='<table width="100%" class="spec_class" border="0" cellspacing="0" cellpadding="6" ><tr class="remove_tr_nb">
												<td style="text-align:left;padding: 8px; color:#fff;" bgcolor="#7c839f" width="100" ><input type="text" name="pop_smple" class="input-percentage pop_smple " value="" style="width:50px; hieght:25px;" autocomplete="off" /></td>
											<td style="text-align:left;padding: 8px;color:#fff;" bgcolor="#7c839f" colspan="3"><b>'.$job_details_data_result2[0]['item_name'].''.$sub_clause.'</b></td></tr>
						<tr><td width="200px;">
								<select name="test_name_nb[]" style="width:200px; height:40px;" class="input-percentage3 test_name_nb" id="test_name">
								<option value="">Select Test Name</option>';
							foreach($job_details_data_result2 as $job_details_data_result2) {
								$html.='<option value="'.$job_details_data_result2['id'].'">'.$job_details_data_result2['test_name'].'</option>';
							}
					$html.='</select></td>
					<td class="hidden_td_nb"></td>
					<td align="right">
					<input type="text" class="input-percentage open_pop_qty" autocomplete="off" style="width:50px;" name="pop_qty[]"  value="" />
					</td>
					<td align="right">
					<input type="text" class="input-percentage open_hold_qty" autocomplete="off" style="width:50px;" name="hold_qty[]"  value="" readonly />
					</td>
					</tr></table>';
					print $html;
				}
			} else if ($job_type_data->row()->type=='actuals'){
					$work_order_data = $this->db->query("SELECT * FROM `work_order_main` where job_id='$job_no' ");
					if (count($work_order_data->row())==0){
						$test_job_details_2 			= 	$this->db->query("SELECT * FROM `job_details` where job_id='$job_no' and item_id='$n_item_name_id' and item_order='$item_order'");
						$test_job_details_2_result	=	$test_job_details_2->result_array();
						
						$job_details_data2 			= 	$this->db->query("SELECT * FROM `job_details` where job_id='$job_no' and item_id='$n_item_name_id' and item_order='$item_order'  group by item_name,item_order");
						$job_details_data_result2	=	$job_details_data2->result_array();
							foreach ($job_details_data_result2 as $job_details_data_results2){
								if ($job_details_data_results2['sub_clause']!=''){
									$sub_clause='-'.$job_details_data_results2['sub_clause'];
								} else {
									$sub_clause='';
								}
								$html.='<table width="100%" class="spec_class" border="0" cellspacing="0" cellpadding="6" ><tr class="remove_tr_nb">
															<td style="text-align:left;padding: 8px; color:#fff;" bgcolor="#7c839f" width="100" ><input type="text" name="pop_smple" class="input-percentage pop_smple " id="n_sam_nmbr" value="" style="width:50px; hieght:25px;" autocomplete="off" /></td>
														<td style="text-align:left;padding: 8px;color:#fff;" bgcolor="#7c839f" colspan="3"><b>'.$job_details_data_result2[0]['item_name'].''.$sub_clause.'</b></td></tr>
									<tr><td width="200px;">
											<select name="test_name_nb[]" style="width:200px; height:40px;" class="input-percentage3 test_name_nb" id="test_name">
											<option value="">Select Test Name</option>';
										foreach($test_job_details_2_result as $test_job_details_2_results) {
											$html.='<option value="'.$test_job_details_2_results['id'].'">'.$test_job_details_2_results['test_name'].'</option>';
										}
								$html.='</select></td>
								<td class="hidden_td_nb"  style="width: 100% !important;"></td>
								<td align="right">
								<input type="text" class="input-percentage open_pop_qty actual_qty" autocomplete="off" style="width:50px;" name="pop_qty[]"  value="" />
								</td>
								<td align="right">
					<input type="text" class="input-percentage open_hold_qty" autocomplete="off" style="width:50px;" name="hold_qty[]"  value="" readonly />
					</td></tr></table>';
								print $html;
							}
						//}
					} else {
						//work_order_actuals
						$test_job_details_2 			= 	$this->db->query("SELECT * FROM `job_details` where job_id='$job_no' and item_id='$n_item_name_id' and item_order='$item_order'");
						$test_job_details_2_result	=	$test_job_details_2->result_array();
						
						$job_details_data2 			= 	$this->db->query("SELECT * FROM `job_details` where job_id='$job_no' and item_id='$n_item_name_id' and item_order='$item_order'  group by item_name,item_order");
						$job_details_data_result2	=	$job_details_data2->result_array();
						
							foreach ($job_details_data_result2 as $job_details_data_results2){
								if ($job_details_data_results2['sub_clause']!=''){
									$sub_clause='-'.$job_details_data_results2['sub_clause'];
								} else {
									$sub_clause='';
								}
								$html.='<table width="100%" class="spec_class" border="0" cellspacing="0" cellpadding="6" ><tr class="remove_tr_nb">
															<td style="text-align:left;padding: 8px; color:#fff;" bgcolor="#7c839f" width="100" ><input type="text" name="pop_smple" class="input-percentage pop_smple "  id="n_sam_nmbr"  value="" style="width:50px; hieght:25px;" autocomplete="off" /></td>
														<td style="text-align:left;padding: 8px;color:#fff;" bgcolor="#7c839f" colspan="3"><b>'.$job_details_data_results2['item_name'].''.$sub_clause.'</b></td></tr>
									<tr><td width="200px;">
											<select name="test_name_nb[]" style="width:200px;height:40px;" class="input-percentage3 test_name_nb" id="test_name">
											<option value="">Select Test Name</option>';
										foreach($test_job_details_2_result as $test_job_details_2_results) {
											$html.='<option value="'.$test_job_details_2_results['id'].'">'.$test_job_details_2_results['test_name'].'</option>';
										}
								$html.='</select></td>
								<td class="hidden_td_nb" style="width: 100%;"></td>
								<td align="right">
								<input type="text" class="input-percentage open_pop_qty actual_qty" autocomplete="off" style="width:50px;" name="pop_qty[]"  value="" />
								</td><td align="right">
								<input type="text" class="input-percentage open_hold_qty" autocomplete="off" style="width:50px;" name="hold_qty[]"  value="" readonly />
								</td></tr></table>';
								print $html;
							}
					} 
			}else if ($job_type_data->row()->type=='budget'){
						
						$test_job_details_2 			= 	$this->db->query("SELECT * FROM `job_details` where job_id='$job_no' and item_id='$n_item_name_id' and item_order='$item_order'");
						$test_job_details_2_result	=	$test_job_details_2->result_array();
						
						$job_details_data2 			= 	$this->db->query("SELECT * FROM `job_details` where job_id='$job_no' and item_id='$n_item_name_id' and item_order='$item_order'  group by item_name,item_order");
						$job_details_data_result2	=	$job_details_data2->result_array();
						
							foreach ($job_details_data_result2 as $job_details_data_results2){
								if ($job_details_data_results2['sub_clause']!=''){
									$sub_clause='-'.$job_details_data_results2['sub_clause'];
								} else {
									$sub_clause='';
								}
								$html.='<table width="100%" class="spec_class" border="0" cellspacing="0" cellpadding="6" ><tr class="remove_tr_nb">
															<td style="text-align:left;padding: 8px; color:#fff;" bgcolor="#7c839f" width="100" ><input type="text" name="pop_smple" class="input-percentage pop_smple "  id="n_sam_nmbr" value="" style="width:50px; hieght:25px;" autocomplete="off" /></td>
														<td style="text-align:left;padding: 8px;color:#fff;" bgcolor="#7c839f" colspan="3"><b>'.$job_details_data_result2[0]['item_name'].''.$sub_clause.'</b></td></tr>
									<tr><td width="200px;">
											<select name="test_name_nb[]" style="width:200px; height:40px;" class="input-percentage3 test_name_nb" id="test_name">
											<option value="">Select Test Name</option>';
										foreach($test_job_details_2_result as $test_job_details_2_results) {
											$html.='<option value="'.$test_job_details_2_results['id'].'">'.$test_job_details_2_results['test_name'].'</option>';
										}
								$html.='</select></td>
								<td class="hidden_td_nb"></td>
								<td align="right">
								<input type="text" class="input-percentage open_pop_qty budget_pop_qty" autocomplete="off" style="width:50px;" name="pop_qty[]"  value="" />
								</td><td align="right">
								<input type="text" class="input-percentage open_hold_qty" autocomplete="off" style="width:50px;" name="hold_qty[]"  value="" readonly />
								</td></tr></table>';
								print $html;
							}
					}
		}
 }
 public function search_test_name_nb(){
	 	$job_no 		= $this->input->post('job_no');
		$n_test_name_id 		= mysql_real_escape_string($this->input->post('n_test_name_id'));
		$array = $this->input->post('n_item_name_id');
		$work_order_no	=	$this->input->post('work_order_no');
		if ($array!=''){
			$pieces 	= explode("-", $array);
			$n_item_name_id 	= $pieces[0];
			$item_order = $pieces[1];
		} else {
			$n_item_name_id 	= 0;
			$item_order = 0;
		}
		$job_type_data = $this->db->query("SELECT * FROM `jobs` where job_id='$job_no' ");
		$sub_category_data 			= 	$this->db->query("SELECT * FROM `sub_category` where  main_category='$n_item_name_id' and  sub_category_name='$n_test_name_id'");
		if (count($job_type_data->row())>0){
			if ($job_type_data->row()->type=='open') {
					$job_details_data 			= 	$this->db->query("SELECT * FROM `job_details` where job_id='$job_no' and item_id='$n_item_name_id' and item_order='$item_order' and test_name='$n_test_name_id'");
					$job_details_data_result	=	$job_details_data->result_array();
					$html='';
					
					if($job_details_data_result == false ){
						echo 0;
					} else {
						$html='<td style="width: 1000px;"><input type="hidden" name="job_details_id[]" class="job_details_id" value="'.$job_details_data_result[0]['id'].'"/><input type="hidden" name="item_id[]" class="p_item_id" value="'.$job_details_data_result[0]['item_id'].'" />
														<input type="hidden" name="item_name[]"  class="p_item_name"   value="'.$job_details_data_result[0]['item_name'].'"/>
														<input type="hidden" name="test_name[]" class="n_test_name"  value="'.$job_details_data_result[0]['test_name'].'"/>
														<input type="hidden" name="test_method[]" class="n_test_method"  value="'.$job_details_data_result[0]['test_method'].'"/>
														<input type="hidden" name="rate[]" class="n_rate"  value="'.$job_details_data_result[0]['rate'].'"/>
														<input type="hidden" name="minimum_call_out[]" class="n_minimum_call_out"  value="'.$job_details_data_result[0]['minimum_call_out'].'"/>
														<input type="hidden" name="sub_clause[]" class="n_sub_clause"  value="'.$job_details_data_result[0]['sub_clause'].'"/>
														<input type="hidden" name="item_order[]" class="n_item_order"  value="'.$job_details_data_result[0]['item_order'].'"/>
														<input type="hidden" name="uom[]" class="n_uom"  value="'.$job_details_data_result[0]['uom'].'"/>
														<input type="hidden" name="pop_up_test_name_id[]"  value="'.$sub_category_data->row()->sub_id.'" class="pop_up_test_name_id" />
														</td>
														
														<td  style="width: 100%;padding-left: 350px;">'.$job_details_data_result[0]['test_method'].'</td>';
		}
		print $html;
			} else if ($job_type_data->row()->type=='actuals'){
				$job_details_data 			= 	$this->db->query("SELECT * FROM `job_details` where job_id='$job_no' and item_id='$n_item_name_id' and item_order='$item_order' and test_name='$n_test_name_id'");
					$job_details_data_result	=	$job_details_data->result_array();
					$html='';
					if($job_details_data_result == false ){
						echo 0;
					} else {
						$nb_job_details_id	=	$job_details_data_result[0]['id'];
						$test_method=$job_details_data_result[0]['test_method'];
						$work_quantity = $this->db->query("SELECT sum(quantity*sample_no) as quantity  FROM `work_order` where job_id='$job_no' and test_method='$test_method' and job_details_id='$nb_job_details_id' and work_order_no!='$work_order_no'");
						$quantity1    = $job_details_data_result[0]['quantity'];
						if (count($work_quantity->row())>0){
							$actualqnty	=	$quantity1;
							if ($work_quantity->row()->quantity==NULL){
								$workqnty=0;
								$quantity	=	$quantity1;
							} else {
								$workqnty	=	$work_quantity->row()->quantity;
								$quantity	=	$actualqnty - $workqnty;
							}
						}
						$html='<td style="width: 350px;"><input type="hidden" name="job_details_id[]" class="job_details_id" value="'.$job_details_data_result[0]['id'].'"/><input type="hidden" name="item_id[]" class="p_item_id" value="'.$job_details_data_result[0]['item_id'].'" />
														<input type="hidden" name="item_name[]"  class="p_item_name"   value="'.$job_details_data_result[0]['item_name'].'"/>
														<input type="hidden" name="test_name[]" class="n_test_name"  value="'.$job_details_data_result[0]['test_name'].'"/>
														<input type="hidden" name="test_method[]" class="n_test_method"  value="'.$job_details_data_result[0]['test_method'].'"/>
														<input type="hidden" name="rate[]" class="n_rate"  value="'.$job_details_data_result[0]['rate'].'"/>
														<input type="hidden" name="minimum_call_out[]" class="n_minimum_call_out"  value="'.$job_details_data_result[0]['minimum_call_out'].'"/>
														<input type="hidden" name="sub_clause[]" class="n_sub_clause"  value="'.$job_details_data_result[0]['sub_clause'].'"/>
														<input type="hidden" name="item_order[]" class="n_item_order"  value="'.$job_details_data_result[0]['item_order'].'"/>
														<input type="hidden" name="uom[]" class="n_uom"  value="'.$job_details_data_result[0]['uom'].'"/>
														<input type="hidden" name="pop_up_test_name_id[]"  value="'.$sub_category_data->row()->sub_id.'" class="pop_up_test_name_id" />
														</td>
														<td style="width:250px;"><input type="text" class="input-percentage" style="width: 80%;" value="'.$actualqnty.'" readonly /></td><td  style="width:250px;"><input type="text" class="input-percentage"  style="width: 80%;" value="'.$quantity.'" readonly  /></td>';
											//			<span style="width:90%;padding-right: 10%;">'.$job_details_data_result[0]['test_method'].'</span>
		}
		print $html;
			} else if ($job_type_data->row()->type=='budget'){
				$job_details_data 			= 	$this->db->query("SELECT * FROM `job_details` where job_id='$job_no' and item_id='$n_item_name_id' and item_order='$item_order' and test_name='$n_test_name_id'");
					$job_details_data_result	=	$job_details_data->result_array();
					$html='';
					if($job_details_data_result == false ){
						echo 0;
					} else {
						$html='<td style="width: 1000px;"><input type="hidden" name="job_details_id[]" class="job_details_id" value="'.$job_details_data_result[0]['id'].'"/><input type="hidden" name="item_id[]" class="p_item_id" value="'.$job_details_data_result[0]['item_id'].'" />
														<input type="hidden" name="item_name[]"  class="p_item_name"   value="'.$job_details_data_result[0]['item_name'].'"/>
														<input type="hidden" name="test_name[]" class="n_test_name"  value="'.$job_details_data_result[0]['test_name'].'"/>
														<input type="hidden" name="test_method[]" class="n_test_method"  value="'.$job_details_data_result[0]['test_method'].'"/>
														<input type="hidden" name="rate[]" class="n_rate"  value="'.$job_details_data_result[0]['rate'].'"/>
														<input type="hidden" name="minimum_call_out[]" class="n_minimum_call_out"  value="'.$job_details_data_result[0]['minimum_call_out'].'"/>
														<input type="hidden" name="sub_clause[]" class="n_sub_clause"  value="'.$job_details_data_result[0]['sub_clause'].'"/>
														<input type="hidden" name="item_order[]" class="n_item_order"  value="'.$job_details_data_result[0]['item_order'].'"/>
														<input type="hidden" name="uom[]" class="n_uom"  value="'.$job_details_data_result[0]['uom'].'"/>
														<input type="hidden" name="pop_up_test_name_id[]"  value="'.$sub_category_data->row()->sub_id.'" class="pop_up_test_name_id" />
														</td>
														<td style="width: 100%;padding-left: 400px;">'.$job_details_data_result[0]['test_method'].'</td>';
		}
		print $html;
			}
		}
}
		public function mod_total_amount(){
			$detailed		= $this->db->query("SELECT work_order_no FROM `furniture_invoice_details` INNER JOIN work_order_main ON work_order_main.work_order_no=furniture_invoice_details.work_order_number WHERE furniture_invoice_details.`invoice_id`='311'");
			$data_result	= $detailed->result_array();
			$array_work_order_no    =   array();
			foreach ($data_result as $data_results){
				array_push($array_work_order_no,$data_results['work_order_no']); 
			}
			
			$records	=	$this->crud_model->get_total_amount($array_work_order_no);
			if($records == false){
				echo false;
			}else{
				print $records;
			}
			
		}
		public function test_total_amount(){
			
			$html='';
			//$invc_date		= $this->db->query("SELECT * FROM `furniture_invoice` WHERE `invoice_date` BETWEEN '2017-10-09' AND '2017-10-10' ");
			//$invc_date_result	= $invc_date->result_array();
			for($i=1;$i<=10;$i++){
			//foreach ($invc_date_result as $invc_date_results){
				//$invoice_id=$invc_date_results['invoice_id'];
				$invoice_id=8+$i;
				$detailed		= $this->db->query("SELECT work_order_no FROM `furniture_invoice_details` INNER JOIN work_order_main ON work_order_main.work_order_no=furniture_invoice_details.work_order_number WHERE furniture_invoice_details.`invoice_id`='$invoice_id'");
				$data_result	= $detailed->result_array();
				$array_work_order_no    =   array();
				foreach ($data_result as $data_results){
					array_push($array_work_order_no,$data_results['work_order_no']); 
				}
				
				$records	=	$this->crud_model->get_total_amount($array_work_order_no);
				if($records == false){
					echo false;
				}else{
					//$this->db->query("UPDATE `furniture_invoice` SET `invoice_amount`='$records' WHERE invoice_id='$invoice_id'");
					$html.=$invoice_id.'='.$records.',';
				}
			//}
			}
			print $html;
		}
		public function work_order_approval_status($work_order_number='',$approval_status=''){
			//echo $this->session->userdata('user_id');
			//echo $approval_status;
			if ($work_order_number!=''){
						if ($approval_status=='approve'){
							$trn_type='A';
							$status=2;
							$work_status=1;
						} else if ($approval_status=='reject'){
							$trn_type='R';
							$status=6;
							$work_status=6;
						}
						$data=array(
						'trn_no'			=>	$work_order_number,
						'trn_type' 			=>	$trn_type,
						'voc_type' 			=>	'WO',
						'trn_user_id' 		=>	$this->session->userdata('user_id'),
						'trn_date_time' 	=>	date('Y-m-d H:i:s'),
						'status' 			=>	$status
					);
					$this->crud_model->insert('log_table',$data);
					$this->crud_model->update('work_order_main',array('status'  => $work_status),array('work_order_no'  => $work_order_number));
					redirect('furniture/work_order/print_work/'.$work_order_number);
			}
		}
}
?>