<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Work_order_update extends CI_Controller {

	function Work_order_update() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}

	public function index() {
		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/work_order_update');
		$this->load->view('templates/footer');
	}
	public function main_update() {
		$this->form_validation->set_rules('work_order_number1', 'Work Order Number(Main Table)', 'required');
		
		if ($this->form_validation->run() == FALSE){
			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$this->index();
        } else {
			$work_order_number =$this->input->post('work_order_number1');
			
			$query0   = $this->db->query("select job_no from work_order where work_order_no = '$work_order_number'");
			$job      = $query0->result_array();
			$job_no   = $job[0]['job_no'];
			
			$query1    = $this->db->query("update work_order_main set job_id = (select job_id from jobs where job_no = '$job_no') where work_order_no = '$work_order_number'");
			
			$query2    = $this->db->query("update work_order set job_id = (select job_id from jobs where job_no = '$job_no') where work_order_no = '$work_order_number'");
			
			$this->session->set_flashdata('response','<div class="alert alert-success">Work Order Main Table Updated</div>');
			redirect('furniture/work_order_update');
		}
	}
	public function detailed_update() {
		$this->form_validation->set_rules('work_order_number2', 'Work Order Number(Detailed Table)', 'required');
		
		if ($this->form_validation->run() == FALSE){
			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$this->index();
        } else {
			$work_order_number =$this->input->post('work_order_number2');
			
			$query    = $this->db->query("update work_order w inner join job_details j on (w.test_name= j.test_name) and w.job_id=j.job_id and w.item_id = j.item_id set w.job_details_id=j.id where w.work_order_no = '$work_order_number'");
			
			$this->session->set_flashdata('response','<div class="alert alert-success">Work Order Detailed Table Updated</div>');
			redirect('furniture/work_order_update');
		}
	}
}
?>