<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Invoice_cash extends CI_Controller {
	function Invoice_cash() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		if($this->crud_model->check_permission("Invoice_cash","view")==false && $this->session->userdata('default_controller_name')!="Invoice_cash"){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}
	public function index() {
		
		$data['records'] = $this->crud_model->get('furniture_invoice',null,null,null,"invoice_id","DESC");
		$this->load->view('templates/header');
		$this->load->view('manage/invoices',$data);
		$this->load->view('templates/footer');
    }
	
	public function list_invoice() {
		
		$data12					=	$this->db->query("SELECT invoice_id FROM `furniture_invoice` where cash_type='0'");
		$config['uri_segment'] = 3;
        //$config['use_page_numbers'] = TRUE;
		$config['base_url'] = base_url() . "index.php/invoice/list_invoice/";
        $config["total_rows"] = $data12->num_rows();
        $config['num_links'] = 10;
        $config["per_page"] = 50;
        $this->pagination->initialize($config);
        if ($this->uri->segment(3)) {
            $page = $this->uri->segment(3)*50-50;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
		
		$data1				=	$this->db->query("SELECT * FROM `furniture_invoice` where cash_type='0' ORDER BY invoice_id DESC limit ".$page.",".$config["per_page"]);
		$data['records']	=	$data1->result_array();
		$this->pagination->initialize($config);
		$data['pagination'] = $this->pagination->create_links();
		
		//$data['records'] = $this->crud_model->get('furniture_invoice',null,null,null,"invoice_id","DESC");
		$this->load->view('templates/header');
		$this->load->view('manage/invoices',$data);
		$this->load->view('templates/footer');
	}
	
	public function list_invoice_cash() {
		
		$data12					=	$this->db->query("SELECT invoice_id FROM `furniture_invoice` where cash_type='1'");
		$config['uri_segment'] = 3;
        //$config['use_page_numbers'] = TRUE;
		$config['base_url'] = base_url() . "index.php/invoice/list_invoice_cash/";
        $config["total_rows"] = $data12->num_rows();
        $config['num_links'] = 10;
        $config["per_page"] = 50;
        $this->pagination->initialize($config);
        if ($this->uri->segment(3)) {
            $page = $this->uri->segment(3)*50-50;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
		
		$data1				=	$this->db->query("SELECT * FROM `furniture_invoice` where cash_type='1' ORDER BY invoice_id DESC limit ".$page.",".$config["per_page"]);
		$data['records']	=	$data1->result_array();
		$this->pagination->initialize($config);
		$data['pagination'] = $this->pagination->create_links();
		
		//$data['records'] = $this->crud_model->get('furniture_invoice',null,null,null,"invoice_id","DESC");
		$this->load->view('templates/header');
		$this->load->view('manage/list_invoice_cash',$data);
		$this->load->view('templates/footer');
    }
	
	public function view_all_workorder($invoice_id){
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$detailed 		  = $this->db->query("SELECT work_order_main.id,work_order_no,project_name,project_id FROM `furniture_invoice_details` JOIN work_order_main ON work_order_main.work_order_no=furniture_invoice_details.work_order_number WHERE furniture_invoice_details.`invoice_id`=$invoice_id ORDER BY project_name, work_order_no");
		$data['records']	=	$detailed->result_array();
		$data['invoice_id']	=	$invoice_id;
		$this->load->view('templates/header');
		$this->load->view('manage/view_all_workorder',$data);
		$this->load->view('templates/footer');
	}
	
	public function edit_discount($id,$invoice_id) {
		
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$detailed 		  = $this->db->query("SELECT W.`id`,W.`job_id`,W.`work_order_no`,W.`division`,W.`work_order_date`,WD.`sample_no`,WD.`item_id`,WD.`item_name`,WD.`item_order`,WD.`sub_clause`,WD.`test_name`,WD.`test_method`,WD.`quantity`,WD.`rate`,WD.`minimum_call_out`,WD.`status` FROM `work_order_main` W INNER JOIN `work_order` WD ON WD.`work_order_no`=W.`work_order_no` where W.`id`='$id'");
		$data['detailed_list']	=	$detailed->result_array();
		$data['invoice_id']	=	$invoice_id;
		$this->load->view('templates/header');
		$this->load->view('manage/edit_discount',$data);
		$this->load->view('templates/footer');
    }
	public function do_update_discount() {
		/*$this->form_validation->set_rules('work_order_id', 'Client Name', 'required');
		
		if ($this->form_validation->run() == FALSE){
			redirect('edit_discount/edit_discount');
        } else {
		}*/
		
		$invoice_id= $this->input->post('invoice_id');
		$lastrow = $this->db->query("SELECT * FROM `furniture_invoice` where  `invoice_id`='$invoice_id'");
			
			$invoice_amount	=	$lastrow->row()->invoice_amount;
			$invoice_discount	=	$lastrow->row()->invoice_discount;
			$work_order_discount	=	$lastrow->row()->work_order_discount;
			$vat_amt	=	$lastrow->row()->vat_amt;
			$vat_percentage	=	$lastrow->row()->vat_percentage;
		
		$work_order_id=$this->input->post('work_order_id');
		$discount_amount=$this->input->post('discount_amount');
		$nb_sample_no=$this->input->post('nb_sample_no');
		$total_discount=0;
		for($i=0; $i<count($work_order_id) ; $i++){
			if($work_order_id[$i]!="" and @$discount_amount[$i]!=""){
				//echo $i.'<br>';
				$id=$work_order_id[$i];
				$discount_amount2=$discount_amount[$i];
				//$total_discount=$total_discount+$discount_amount;
				$this->crud_model->update('work_order',array('discount'=>$discount_amount2),array('id'=>$id));
			}
		}
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$datarow = $this->db->query("SELECT SUM(((quantity*rate)-discount)* sample_no) as invoice_amt FROM `work_order` WHERE `work_order_no` in (SELECT `work_order_number` FROM `furniture_invoice_details` WHERE `invoice_id`='$invoice_id' )");
		//$total_discount=$datarow->row()->invoice_amt;
		//$invoice_amount=((($invoice_amount+$work_order_discount)+$invoice_discount))-$vat_amt;
		$invoice_amount=$datarow->row()->invoice_amt;
		//$invoice_amount2=$invoice_amount-($invoice_discount+$total_discount);
		$vat_amt=($invoice_amount-$lastrow->row()->invoice_discount)*($vat_percentage/100);
		$this->crud_model->update('furniture_invoice',array('invoice_amount'=>($invoice_amount-$lastrow->row()->invoice_discount)+$vat_amt,'vat_amt'=>$vat_amt,'work_order_discount'=>$total_discount),array('invoice_id'=>$invoice_id));
		
		redirect('invoice/list_invoice');
	}
	
	public function create() {
		if($this->crud_model->check_permission("invoice","add")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->view('templates/header');
		$this->load->view('manage/createinvoice');
		$this->load->view('templates/footer');
	}
	
	public function invoicecash() {
		if($this->crud_model->check_permission("invoice","add")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->view('templates/header');
		$this->load->view('manage/invoicecash');
		$this->load->view('templates/footer');
	}

	function search_client() {
		$search_name = 	trim($this->input->post('client'));
		$like		 =	array('client_name'=>$search_name);
		$records['quotation_list']=$this->crud_model->get('new_client_master',null,null,null,null,null,$like,null,null,null);				
		if($records['quotation_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/client_search', $records);
			
		}
		
	}

	public function search_work_orders_cash() {
		$sql 	= '';
		$division 	= $this->input->post('division');
		$from 	= $this->input->post('from');
		$from1 	= date("Y-m-d", strtotime($from));
		$to 	= $this->input->post('to');
		$to1 	= date("Y-m-d", strtotime($to));
		$today 	= date("Y-m-d");
		$client = $this->input->post('client');
		$report_submitted = $this->input->post('report_submitted');
		$project_wise 	  = $this->input->post('project_wise');
		if($division){
			$sql .= " AND `division`='$division'";
		}
		if($from){
			$sql .= " AND `work_order_date`>='$from1'";
		}
		if($to){
			$sql .= " AND `work_order_date`<='$to1'";
		}else{
			$sql .= " AND `work_order_date`<='$today'";
		}
		if($report_submitted){
			$sql .= " AND `report_submitted`=1";
		}
		if($client){
			$sql .= " AND `client_name`='$client'";
		}
		if($project_wise && $client){
			$group_by = " GROUP BY `client_name`,`project_name`";
		}else{
			$group_by = " GROUP BY `client_name`";
		}
		
		$detailed = $this->db->query("SELECT client_name,COUNT(`work_order_no`) AS work_order_count,project_name,division FROM `work_order_main` WHERE `status`=1 AND work_order_no NOT IN (SELECT work_order_number FROM `furniture_invoice_details` JOIN furniture_invoice ON furniture_invoice.invoice_id=furniture_invoice_details.invoice_id WHERE invoice_status='1' OR invoice_status='10') ".$sql.$group_by);
		//AND work_order_no NOT IN (SELECT work_order_no FROM `work_order` WHERE `test_name`='spare')
		
		$records['detailed_list']= $detailed->result_array();
		$this->load->view('templates/header');
		$this->load->view('manage/invoicecash',$records);
		$this->load->view('templates/footer');
	}

	public function search_work_orders() {
		$sql 	= '';
		$division 	= $this->input->post('division');
		$from 	= $this->input->post('from');
		$from1 	= date("Y-m-d", strtotime($from));
		$to 	= $this->input->post('to');
		$to1 	= date("Y-m-d", strtotime($to));
		$today 	= date("Y-m-d");
		$client = $this->input->post('client');
		$report_submitted = $this->input->post('report_submitted');
		$project_wise 	  = $this->input->post('project_wise');
		if($division){
			$sql .= " AND `division`='$division'";
		}
		if($from){
			$sql .= " AND `work_order_date`>='$from1'";
		}
		if($to){
			$sql .= " AND `work_order_date`<='$to1'";
		}else{
			$sql .= " AND `work_order_date`<='$today'";
		}
		if($report_submitted){
			$sql .= " AND `report_submitted`=1";
		}
		if($client){
			$sql .= " AND `client_name`='$client'";
		}
		if($project_wise && $client){
			$group_by = " GROUP BY `client_name`,`project_name`";
		}else{
			$group_by = " GROUP BY `client_name`";
		}
		
		$detailed = $this->db->query("SELECT client_name,COUNT(`work_order_no`) AS work_order_count,project_name,division FROM `work_order_main` WHERE `status`=1 AND work_order_no NOT IN (SELECT work_order_number FROM `furniture_invoice_details` JOIN furniture_invoice ON furniture_invoice.invoice_id=furniture_invoice_details.invoice_id WHERE invoice_status='1' OR invoice_status='10') ".$sql.$group_by);
		//AND work_order_no NOT IN (SELECT work_order_no FROM `work_order` WHERE `test_name`='spare')
		
		$records['detailed_list']= $detailed->result_array();
		$this->load->view('templates/header');
		$this->load->view('manage/createinvoice',$records);
		$this->load->view('templates/footer');
	}
	public function work_order_list() {
		$sql 	= '';
		$division 		= $this->input->post('division');
		$client_name 		= $this->input->post('client_name');
		$project_name 		= $this->input->post('project_name');
		$from 				= $this->input->post('from');
		$from1 				= date("Y-m-d", strtotime($from));
		$to 				= $this->input->post('to');
		$to1 				= date("Y-m-d", strtotime($to));
		$today 				= date("Y-m-d");
		$report_submitted 	= $this->input->post('report_submitted');
		if($division){
			$sql .= " AND `division`='$division'";
		}
		if($client_name){
			$sql .= " AND `client_name`='$client_name'";
		}
		if($project_name){
			$sql .= " AND `project_name`='$project_name'";
		}
		if($from){
			$sql .= " AND `work_order_date`>='$from1'";
		}
		if($to){
			$sql .= " AND `work_order_date`<='$to1'";
		}else{
			$sql .= " AND `work_order_date`<='$today'";
		}
		if($report_submitted==1){
			$sql .= " AND `report_submitted`=1";
		}
		$detailed = $this->db->query("SELECT * FROM `work_order_main` WHERE `status`=1 AND work_order_no NOT IN (SELECT work_order_number FROM `furniture_invoice_details` JOIN furniture_invoice ON furniture_invoice.invoice_id=furniture_invoice_details.invoice_id WHERE invoice_status='1' OR invoice_status='10')".$sql);
		// AND work_order_no NOT IN (SELECT work_order_no FROM `work_order` WHERE `test_name`='spare')
		$records  = $detailed->result_array();
		
		$invoice_count  = $this->crud_model->get_count('furniture_invoice');
		$invoice_number = "QEL-INV-".(5001+$invoice_count);
		
		$html = '<table width="100%" border="0" cellpadding="3" cellspacing="0" id="ashbar">
					<tr>
						<td  style="width:160px;">
							&nbsp;Invoice Number<span class="mandi">*</span>
						</td>
						<td>
							<input type="text" name="invoice_number" style="width:200px;" readonly class="input-percentage" value="'.$invoice_number.'" required/>
							<input type="hidden" name="hidden_division" value="'.$division.'"/>
							<input type="hidden" name="client_name1" value="'.$client_name.'"/>
							<input type="hidden" name="po_client_id" value="'.$records[0]['client_id'].'"/>
						</td>
						<td  style="width:150px;">
							&nbsp;&nbsp;&nbsp;Invoice Date<span class="mandi">*</span>
						</td>
						<td>
							<input type="text" name="invoice_date" style="width:200px;" class="input-percentage invdate" value="" required/>
						</td>
						<td  style="width:150px;">
							&nbsp;&nbsp;&nbsp;Total<span class="mandi">*</span>
						</td>
						<td>
							<input type="text" name="total" style="width:200px;" class="input-percentage total" value="" required autocomplete="off" readonly="readonly"/>
							<input type="hidden" name="total2" style="width:200px;" class="input-percentage total2" value="" required/>
						</td>
					</tr>
					<tr>
						<td  style="width:160px;">
							&nbsp;Vat %<span class="mandi">*</span>
						</td>
						<td>
							<select name="vat_percentage" style="width:200px; height: 36px;" class="input-percentage vat_percentage" >
							<option value="5">5%</option>
							<option value="0">0%</option>
							</select>
						</td>
						<td  style="width:160px;">
							&nbsp;Vat Amount <span class="mandi">*</span>
						</td>
						<td>
							<input type="text" name="vat_amt" style="width:200px;" class="input-percentage vat_amt" value="" required readonly="readonly"/>
							<input type="hidden" name="vat_amt2" style="width:200px;" class="input-percentage vat_amt2" value="" required readonly="readonly"/>
						</td>
						<td  style="width:160px;">
							&nbsp;Round Off
						</td>
						<td>
						<input type="hidden" name="disc_amt" style="width:200px;" class="input-percentage disc_amt" value="" autocomplete="off" />
						<input type="text" name="round_off" style="width:200px;" class="input-percentage round_off" value="" autocomplete="off" />
						</td>
						
						</tr>
						<tr>
						<td  style="width:150px;">
							&nbsp;&nbsp;&nbsp;Net Amount<span class="mandi">*</span>
						</td>
						<td>
							<input type="text" name="net_amt" style="width:200px;" class="input-percentage net_amt" value="" readonly="readonly" required />
							
						</td>
						<td  style="width:150px;">
							&nbsp;&nbsp;&nbsp;Remarks						
						</td>
						<td>
							<textarea name="invoice_remarks" class="input-percentage" style="width:200px;"></textarea>
						</td>
						
						
					</tr>
					
				 </table>
				 <br>
					<table class="table1 mouseleave" id="myTable">
						<tr>
						  <th>Work Order No.</th>
						  <th>Work Order Date</th>
						  <th>Client</th>
						  <th>Project</th>
						  <th><input type="checkbox" name="check_all" id="check_all" class="check_all" value="1" />&nbsp;&nbsp;Select All</th>
						</tr>
						<input type="hidden" name="hidden_count" id="hidden_count" value="0">';
		$i = 1;
		if($records!=false){
			foreach($records as $record){
				$html .= '<tr>
							<td class="mouseover">
								<input type="hidden" class="work_order_no_class" name="work_order_no[]" value="'.$record['work_order_no'].'" />'.$record['work_order_no'].'
							</td>
							<td class="mouseover">
								<input type="hidden" name="work_order_date[]" value="'.$record['work_order_date'].'" />'.date("M d Y", strtotime($record['work_order_date'])).'
							</td>
							<td class="mouseover">
								<input type="hidden" name="client_name[]" value="'.$record['client_name'].'" />'.$record['client_name'].'
							</td>
							<td class="mouseleave">
								<input type="hidden" name="project_name[]" value="'.$record['project_name'].'" />'.$record['project_name'].'
							</td>
							<td class="mouseleave">
								<input type="hidden" name="hidden_name[]" class="hidden_class" value="0">
								<input type="checkbox" name="check_box[]" class="check_class" value="1" />
							</td>
						</tr>';
			$i++;
			}
		}else{
			$html .= '<tr>
							<td style="color:#FF0000;" colspan="3">No Files</td>
						</tr>';
		}
		$html .= '</table><script>$(".invdate").datepicker();</script>';
		echo $html;
	}

	public function work_order_list_cash() {
		$sql 	= '';
		$division 		= $this->input->post('division');
		$client_name 		= $this->input->post('client_name');
		$project_name 		= $this->input->post('project_name');
		$from 				= $this->input->post('from');
		$from1 				= date("Y-m-d", strtotime($from));
		$to 				= $this->input->post('to');
		$to1 				= date("Y-m-d", strtotime($to));
		$today 				= date("Y-m-d");
		$report_submitted 	= $this->input->post('report_submitted');
		if($division){
			$sql .= " AND wm.`division`='$division'";
		}
		if($client_name){
			$sql .= " AND wm.`client_name`='$client_name'";
		}
		if($project_name){
			$sql .= " AND wm.`project_name`='$project_name'";
		}
		if($from){
			$sql .= " AND wm.`work_order_date`>='$from1'";
		}
		if($to){
			$sql .= " AND wm.`work_order_date`<='$to1'";
		}else{
			$sql .= " AND wm.`work_order_date`<='$today'";
		}
		if($report_submitted==1){
			$sql .= " AND wm.`report_submitted`=1";
		}
		$detailed = $this->db->query("SELECT wm.*,j.job_no FROM `work_order_main` wm inner join `jobs` j on wm.`job_id`=j.`job_id` WHERE wm.`status`=1 AND wm.work_order_no NOT IN (SELECT work_order_number FROM `furniture_invoice_details` JOIN furniture_invoice ON furniture_invoice.invoice_id=furniture_invoice_details.invoice_id WHERE invoice_status='1' OR invoice_status='10')".$sql);
		// AND work_order_no NOT IN (SELECT work_order_no FROM `work_order` WHERE `test_name`='spare')
		$records  = $detailed->result_array();
		
		$invoice_count  = $this->crud_model->get_count('furniture_invoice',array('cash_type' => 1));
		
		if ($invoice_count>0){
				$lastrow = $this->db->query("SELECT * FROM `furniture_invoice` where cash_type='1' ORDER BY `invoice_id` DESC LIMIT 1");
				
				$invclast	=	$lastrow->row()->invoice_number;
				
				$pieces = explode("-", $invclast);
				if ($pieces[2]=='MC'){
					$invoice_number = "QEL-INV-MC-".sprintf("%'.04d", (($pieces[3]+1)));
				} else {
					$invoice_number = "QEL-INV-MC-".sprintf("%'.04d", ((1)));
				}
			} else {
				$invoice_number = "QEL-INV-MC-".sprintf("%'.04d", ((1)));
			}
		
		$html = '<table width="100%" border="0" cellpadding="3" cellspacing="0" id="ashbar">
					<tr>
						<td  style="width:160px;">
							&nbsp;Invoice Number<span class="mandi">*</span>
						</td>
						<td>
							<input type="text" name="invoice_number" style="width:200px;" readonly class="input-percentage" value="'.$invoice_number.'" required/>
							<input type="hidden" name="hidden_division" value="'.$division.'"/>
							<input type="hidden" name="client_name1" value="'.$client_name.'"/>
							<input type="hidden" name="po_client_id" value="'.$records[0]['client_id'].'"/>
						</td>
						<td  style="width:150px;">
							&nbsp;&nbsp;&nbsp;Invoice Date<span class="mandi">*</span>
						</td>
						<td>
							<input type="text" name="invoice_date" style="width:200px;" class="input-percentage invdate" value="'.date('m/d/Y').'" autocomplete="off" required/>
						</td>
						<td  style="width:150px;">
							&nbsp;&nbsp;&nbsp;Total<span class="mandi">*</span>
						</td>
						<td>
							<input type="text" name="total" style="width:200px;" class="input-percentage total" value="" required autocomplete="off" readonly="readonly"/>
							<input type="hidden" name="total2" style="width:200px;" class="input-percentage total2" value="" required/>
						</td>
					</tr>
					<tr>
						<td  style="width:160px;">
							&nbsp;Vat %<span class="mandi">*</span>
						</td>
						<td>
							<select name="vat_percentage" style="width:200px; height: 36px;" class="input-percentage vat_percentage" >
							<option value="10">10%</option>
							<option value="5">5%</option>
							<option value="0">0%</option>
							</select>
						</td>
						<td  style="width:160px;">
							&nbsp;Vat Amount <span class="mandi">*</span>
						</td>
						<td>
							<input type="text" name="vat_amt" style="width:200px;" class="input-percentage vat_amt" value="" required readonly="readonly"/>
							<input type="hidden" name="vat_amt2" style="width:200px;" class="input-percentage vat_amt2" value="" required readonly="readonly"/>
						</td>
						<td  style="width:160px;">
							&nbsp;Round Off
						</td>
						<td>
						<input type="hidden" name="disc_amt" style="width:200px;" class="input-percentage disc_amt" value="" autocomplete="off" />
						<input type="text" name="round_off" style="width:200px;" class="input-percentage round_off" value="" autocomplete="off" />
						</td>
						
						</tr>
						<tr>
						<td  style="width:150px;">
							&nbsp;&nbsp;&nbsp;Net Amount<span class="mandi">*</span>
						</td>
						<td>
							<input type="text" name="net_amt" style="width:200px;" class="input-percentage net_amt" value="" readonly="readonly" required />
							
						</td>
						<td  style="width:150px;">
							&nbsp;&nbsp;&nbsp;Remarks						
						</td>
						<td>
							<textarea name="invoice_remarks" class="input-percentage" style="width:200px;"></textarea>
						</td>
						
						
					</tr>
					
				 </table>
				 <br>
					<table class="table1 mouseleave" id="myTable">
						<tr>
						  <th>Work Order No.</th>
						  <th>Work Order Date</th>
						  <th>Job No</th>
						  <th>Client</th>
						  <th>Project</th>
						  <th><input type="checkbox" name="check_all" id="check_all" class="check_all" value="1" />&nbsp;&nbsp;Select All</th>
						</tr>
						<input type="hidden" name="hidden_count" id="hidden_count" value="0">';
		$i = 1;
		if($records!=false){
			foreach($records as $record){
				$html .= '<tr>
							<td class="mouseover">
								<input type="hidden" class="work_order_no_class" name="work_order_no[]" value="'.$record['work_order_no'].'" />'.$record['work_order_no'].'
							</td>
							<td class="mouseover">
								<input type="hidden" name="work_order_date[]" value="'.$record['work_order_date'].'" />'.date("M d Y", strtotime($record['work_order_date'])).'
							</td>
							<td class="mouseover">
								'.$record['job_no'].'
							</td>
							<td class="mouseover">
								<input type="hidden" name="client_name[]" value="'.$record['client_name'].'" />'.$record['client_name'].'
							</td>
							<td class="mouseleave">
								<input type="hidden" name="project_name[]" value="'.$record['project_name'].'" />'.$record['project_name'].'
							</td>
							<td class="mouseleave">
								<input type="hidden" name="hidden_name[]" class="hidden_class" value="0">
								<input type="checkbox" name="check_box[]" class="check_class" value="1" />
							</td>
						</tr>';
			$i++;
			}
		}else{
			$html .= '<tr>
							<td style="color:#FF0000;" colspan="3">No Files</td>
						</tr>';
		}
		$html .= '</table><script>$(".invdate").datepicker();</script>';
		echo $html;
	}

	public function create_invoice() {
		$invoice_number =  $this->input->post('invoice_number');
		$invoice_date   =  $this->input->post('invoice_date');
		$client_name    =  $this->input->post('client_name1');
		$invoice_date1  =  date("Y-m-d", strtotime($invoice_date));
		$check_box      =  $this->input->post('check_box');
		$work_order_no  =  $this->input->post('work_order_no');
		$hidden_name  	=  $this->input->post('hidden_name');
		$hidden_count  	=  $this->input->post('hidden_count');
		$hidden_division  	=  $this->input->post('hidden_division');
		$po_client_id =  $this->input->post('po_client_id');
		$invoice_remarks =  $this->input->post('invoice_remarks');
		$disc_amt =  $this->input->post('disc_amt');
		$net_amt =  $this->input->post('net_amt');
		$vat_percentage =  $this->input->post('vat_percentage');
		if($invoice_date!="" && $hidden_count>0){
		
			$invoice_count  = $this->crud_model->get_count('furniture_invoice');
			
			$lastrow = $this->db->query("SELECT * FROM `furniture_invoice` ORDER BY `invoice_id` DESC LIMIT 1");
			
			$invclast	=	$lastrow->row()->invoice_number;
			
			$pieces = explode("-", $invclast);
			if ($pieces[2]=='M'){
				$invoice_number11 = "QEL-INV-M-".($pieces[3]+1);
			} else {
				$invoice_number11 = "QEL-INV-M-".(7000);
			}
		
			$invoice_main = array('invoice_date' => $invoice_date1,'invoice_number' => $invoice_number11,'invoice_status' => 10,'client' => $client_name,'client_id' => $po_client_id,'division' => $hidden_division,'invoice_created_by' => $this->session->userdata('user_name'),'invoice_remarks' => $invoice_remarks);
			$main = $this->db->insert('furniture_invoice',$invoice_main);
			
			$query    = $this->db->query("SELECT MAX(`invoice_id`) AS max_invoice_id FROM `furniture_invoice`");
			$res      = $query->result_array();
			
			for($i=0; $i<count($work_order_no) ; $i++){
				if($hidden_name[$i]==1){
					$invoice_details = array(
					'invoice_id' 		=> $res[0]['max_invoice_id'],
					'work_order_number' => $work_order_no[$i]
					);
					$sub = $this->db->insert('furniture_invoice_details',$invoice_details);
				}
			}
			
			
			$invc_i	=	$res[0]['max_invoice_id'];
			$this->db->query("SET SQL_BIG_SELECTS=1");
			$detailed		= $this->db->query("SELECT work_order_no FROM `furniture_invoice_details` INNER JOIN work_order_main ON work_order_main.work_order_no=furniture_invoice_details.work_order_number WHERE furniture_invoice_details.`invoice_id`='$invc_i'");
			$data_result	= $detailed->result_array();
			$array_work_order_no    =   array();
			if ($hidden_division==='M'){
				foreach ($data_result as $data_results){
					array_push($array_work_order_no,$data_results['work_order_no']); 
				}
				
				$records	=	$this->crud_model->get_total_amount($array_work_order_no);
				if($invoice_date!=""){
					$disc_amt =  $this->input->post('disc_amt');
				} else {
					$disc_amt =  0;
				}
				if($records == true and $net_amt!=''){
					if($this->input->post('round_off')!=""){
						$round_off =  $this->input->post('round_off');
					} else {
						$round_off =  0;
					}
					if($vat_percentage==0){
						$invc_amnt	=	($net_amt+$round_off);
						$vat_amt	=	$invc_amnt*0;
					} else {
						$invc_amnt	=	($net_amt+$round_off)/1.05;
						$vat_amt	=	$invc_amnt*.05;
					}
					//$disc_amt	=$net_amt-$vat_amt;
					//$net_amt	=	$invc_amnt+$vat_amt;
					
					$this->db->query("UPDATE `furniture_invoice` SET `invoice_amount`='$net_amt',`vat_amt`='$vat_amt',`invoice_discount`='$disc_amt',`round_off`='$round_off',`vat_percentage`='$vat_percentage' WHERE invoice_id='$invc_i'");
				}
			}
			if ($hidden_division==='C'){
				$total=0;
				foreach ($data_result as $data_results){
					$work_order_no	=	$data_results['work_order_no'];
					$cube_data   = $this->db->query("SELECT CS.`cube_id`,CS.`workorder_id`,CS.`sample_no`,CS.`client_sample_id`,CS.`age`,CS.`crushing_date`,WOM.`client_name`,WOM.`mix_design`,WOM.`Received_Date`,WOM.`Casting_Date` FROM `cube_sample` CS INNER JOIN `work_order_main` WOM ON WOM.`id`=CS.`workorder_id` where WOM.work_order_no='$work_order_no' and CS.age!='0'");
					$cube_data_result = $cube_data->result_array();
					$rate_data   = $this->db->query("SELECT * FROM `work_order` where `work_order_no`='$work_order_no'");
					$rate_data_result = $rate_data->row();
					$number_of_qty=count($cube_data_result);
					$total	= $total+($rate_data_result->rate*$number_of_qty);
				}
				if($total){
					$this->db->query("UPDATE `furniture_invoice` SET `invoice_amount`='$total' WHERE invoice_id='$invc_i'");
				}
			}
		}
		if($main && $sub){
			$this->session->set_flashdata('response','<div class="alert alert-success">New Invoice Created</div>');
			//if ($hidden_division==='M'){
				redirect('invoice/list_invoice');
			//} else if ($hidden_division==='C') {
			//	redirect('cube_invoice');
			//}
		}else{
			$this->session->set_flashdata('response','<div class="alert alert-error">Error</div>');
			if ($hidden_division==='M'){
				redirect('invoice/list_invoice');
			} else if ($hidden_division==='C') {
				redirect('cube_invoice');
			}
		}
	}

	public function create_invoice_cash() {
		$invoice_number =  $this->input->post('invoice_number');
		$invoice_date   =  $this->input->post('invoice_date');
		$client_name    =  $this->input->post('client_name1');
		$invoice_date1  =  date("Y-m-d", strtotime($invoice_date));
		$check_box      =  $this->input->post('check_box');
		$work_order_no  =  $this->input->post('work_order_no');
		$hidden_name  	=  $this->input->post('hidden_name');
		$hidden_count  	=  $this->input->post('hidden_count');
		$hidden_division  	=  $this->input->post('hidden_division');
		$po_client_id =  $this->input->post('po_client_id');
		$invoice_remarks =  $this->input->post('invoice_remarks');
		$disc_amt =  $this->input->post('disc_amt');
		$net_amt =  $this->input->post('net_amt');
		$vat_percentage =  $this->input->post('vat_percentage');
		if($invoice_date!="" && $hidden_count>0){
		
			$invoice_count  = $this->crud_model->get_count('furniture_invoice',array('cash_type' => 1));
			if ($invoice_count>0){
				$lastrow = $this->db->query("SELECT * FROM `furniture_invoice` where cash_type='1' ORDER BY `invoice_id` DESC LIMIT 1");
				
				$invclast	=	$lastrow->row()->invoice_number;
				
				$pieces = explode("-", $invclast);
				if ($pieces[2]=='MC'){
					$invoice_number11 = "QEL-INV-MC-".sprintf("%'.04d", (($pieces[3]+1)));
				} else {
					$invoice_number11 = "QEL-INV-MC-".sprintf("%'.04d", ((1)));
				}
			} else {
				$invoice_number11 = "QEL-INV-MC-".sprintf("%'.04d", ((1)));
			}
		
			$invoice_main = array('invoice_date' => $invoice_date1,'invoice_number' => $invoice_number11,'invoice_status' => 10,'client' => $client_name,'client_id' => $po_client_id,'division' => $hidden_division,'invoice_created_by' => $this->session->userdata('user_name'),'invoice_remarks' => $invoice_remarks,'cash_type' => 1);
			$main = $this->db->insert('furniture_invoice',$invoice_main);
			
			$query    = $this->db->query("SELECT MAX(`invoice_id`) AS max_invoice_id FROM `furniture_invoice`");
			$res      = $query->result_array();
			
			for($i=0; $i<count($work_order_no) ; $i++){
				if($hidden_name[$i]==1){
					$invoice_details = array(
					'invoice_id' 		=> $res[0]['max_invoice_id'],
					'work_order_number' => $work_order_no[$i]
					);
					$sub = $this->db->insert('furniture_invoice_details',$invoice_details);
				}
			}
			
			
			$invc_i	=	$res[0]['max_invoice_id'];
			$this->db->query("SET SQL_BIG_SELECTS=1");
			$detailed		= $this->db->query("SELECT work_order_no FROM `furniture_invoice_details` INNER JOIN work_order_main ON work_order_main.work_order_no=furniture_invoice_details.work_order_number WHERE furniture_invoice_details.`invoice_id`='$invc_i'");
			$data_result	= $detailed->result_array();
			$array_work_order_no    =   array();
			if ($hidden_division==='M'){
				foreach ($data_result as $data_results){
					array_push($array_work_order_no,$data_results['work_order_no']); 
				}
				
				$records	=	$this->crud_model->get_total_amount($array_work_order_no);
				if($invoice_date!=""){
					$disc_amt =  $this->input->post('disc_amt');
				} else {
					$disc_amt =  0;
				}
				if($records == true and $net_amt!=''){
					if($this->input->post('round_off')!=""){
						$round_off =  $this->input->post('round_off');
					} else {
						$round_off =  0;
					}
					if($vat_percentage==0){
						$invc_amnt	=	($net_amt+$round_off);
						$vat_amt	=	$invc_amnt*0;
					} else {
						$invc_amnt	=	($net_amt+$round_off)/(1+($vat_percentage/100));
						$vat_amt	=	$invc_amnt*($vat_percentage/100);
					}
					//$disc_amt	=$net_amt-$vat_amt;
					//$net_amt	=	$invc_amnt+$vat_amt;
					
					$this->db->query("UPDATE `furniture_invoice` SET `invoice_amount`='$net_amt',`vat_amt`='$vat_amt',`invoice_discount`='$disc_amt',`round_off`='$round_off',`vat_percentage`='$vat_percentage' WHERE invoice_id='$invc_i'");
				}
			}
			if ($hidden_division==='C'){
				$total=0;
				foreach ($data_result as $data_results){
					$work_order_no	=	$data_results['work_order_no'];
					$cube_data   = $this->db->query("SELECT CS.`cube_id`,CS.`workorder_id`,CS.`sample_no`,CS.`client_sample_id`,CS.`age`,CS.`crushing_date`,WOM.`client_name`,WOM.`mix_design`,WOM.`Received_Date`,WOM.`Casting_Date` FROM `cube_sample` CS INNER JOIN `work_order_main` WOM ON WOM.`id`=CS.`workorder_id` where WOM.work_order_no='$work_order_no' and CS.age!='0'");
					$cube_data_result = $cube_data->result_array();
					$rate_data   = $this->db->query("SELECT * FROM `work_order` where `work_order_no`='$work_order_no'");
					$rate_data_result = $rate_data->row();
					$number_of_qty=count($cube_data_result);
					$total	= $total+($rate_data_result->rate*$number_of_qty);
				}
				if($total){
					$this->db->query("UPDATE `furniture_invoice` SET `invoice_amount`='$total' WHERE invoice_id='$invc_i'");
				}
			}
		}
		if($main && $sub){
			$this->session->set_flashdata('response','<div class="alert alert-success">New Invoice Created</div>');
			//if ($hidden_division==='M'){
				redirect('invoice_cash/list_invoice_cash');
			//} else if ($hidden_division==='C') {
			//	redirect('cube_invoice');
			//}
		}else{
			$this->session->set_flashdata('response','<div class="alert alert-error">Error</div>');
			if ($hidden_division==='M'){
				redirect('invoice_cash/list_invoice_cash');
			} else if ($hidden_division==='C') {
				redirect('cube_invoice');
			}
		}
	}
	
	
	public function invc_grand_total(){
		$work_order_no=$this->input->post('work_order_no');
		$array_work_order_no    =   array();
		$records	=	$this->crud_model->get_total_amount($work_order_no);
		if($records == true){
			print $records;
		} else {
			print "NIL";
		}
	}
	
	public function invoice_update($hidden_invoice_id='',$hidden_division=''){
		$invc_i=$this->input->post('hidden_invoice_id');
		$hidden_division=$this->input->post('hidden_division');
		$invoice_status=$this->input->post('hidden_invoice_status');
		$hidden_invoice_date=$this->input->post('hidden_invoice_date');
		$hidden_vat_percentage=$this->input->post('hidden_vat_percentage');
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$detailed		= $this->db->query("SELECT work_order_no FROM `furniture_invoice_details` INNER JOIN work_order_main ON work_order_main.work_order_no=furniture_invoice_details.work_order_number WHERE furniture_invoice_details.`invoice_id`='$invc_i'");
			$data_result	= $detailed->result_array();
			$array_work_order_no    =   array();
			if ($hidden_division==='M'){
				foreach ($data_result as $data_results){
					array_push($array_work_order_no,$data_results['work_order_no']); 
				}
				
				$records	=	$this->crud_model->get_total_amount($array_work_order_no);
				if($records == true){
					if($hidden_invoice_date>'2019-07-01'){
						$invoice_amount=$records+($records*($hidden_vat_percentage/100));
						$vat_amt=$records*($hidden_vat_percentage/100);
					} else {
						$invoice_amount=$records;
						$vat_amt=0;
						
					}
					$this->db->query("UPDATE `furniture_invoice` SET `invoice_amount`='$invoice_amount',`vat_amt`='$vat_amt' WHERE invoice_id='$invc_i'");
					if ($invoice_status=='Draft'){
						$li='/Draft';
					} else {
						$li='';
					}
					redirect('invoice/print_invoice/'.$invc_i.$li);
				}
			}
			if ($hidden_division==='C'){
				$total=0;
				foreach ($data_result as $data_results){
					$work_order_no	=	$data_results['work_order_no'];
					$this->db->query("SET SQL_BIG_SELECTS=1");
					$cube_data   = $this->db->query("SELECT CS.`cube_id`,CS.`workorder_id`,CS.`sample_no`,CS.`client_sample_id`,CS.`age`,CS.`crushing_date`,WOM.`client_name`,WOM.`mix_design`,WOM.`Received_Date`,WOM.`Casting_Date` FROM `cube_sample` CS INNER JOIN `work_order_main` WOM ON WOM.`id`=CS.`workorder_id` where WOM.work_order_no='$work_order_no' and CS.age!='0'");
					$cube_data_result = $cube_data->result_array();
					$rate_data   = $this->db->query("SELECT * FROM `work_order` where `work_order_no`='$work_order_no'");
					$rate_data_result = $rate_data->row();
					$number_of_qty=count($cube_data_result);
					$total	= $total+($rate_data_result->rate*$number_of_qty);
				}
				if($total){
					$this->db->query("UPDATE `furniture_invoice` SET `invoice_amount`='$total' WHERE invoice_id='$invc_i'");
					if ($invoice_status=='Draft'){
						$li='/Draft';
					} else {
						$li='';
					}
					redirect('cube_invoice/print_cube_invoice/'.$invc_i.$li);
				}
			}
	}
	
	public function invoice_status(){
		$invoiceNumber =  $this->input->post('invoiceNumber');
		$query    = $this->db->query("SELECT * FROM `furniture_invoice` where `invoice_number`='$invoiceNumber'");
		$res      = $query->result_array();
		$html='';
		if ($res[0]['invoice_status']=='10'){
			$html='<input type="hidden" name="division" value="'.$res[0]['division'].'"/> <select name="invoice_status" class="input-search" required="required">
					<option value="" > Select Status</option>
					<option value="1" > Confirm</option>
					<option value="0" > Cancel</option>
				   </select>';
		} else if ($res[0]['invoice_status']=='1'){
			$html='<input type="hidden" name="division" value="'.$res[0]['division'].'"/><select name="invoice_status" class="input-search" required="required">
					<option value="" > Select Status</option>
					<option value="0" > Cancel</option>
				   </select>';
		} else {
			$html='';
		}
		print $html;
	}
	
	public function cancel_invoice($invoice_id) {
		if($this->crud_model->check_permission("invoice","delete")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$records=$this->crud_model->update('furniture_invoice',array('invoice_status' => 0,'invoice_cancelled_date' => date('Y-m-d')),array('invoice_id'=>$invoice_id));
		$this->session->set_flashdata('response','<div class="alert alert-success">Invoice Cancelled</div>');
		redirect('invoice/list_invoice');
	}
	public function print_invoice($invoice_id,$status='') {
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$detailed11 		  = $this->db->query("SELECT FI.`invoice_id`,FI.`invoice_created_by`,FI.`invoice_number`,FI.`invoice_date`,FI.`invoice_remarks`,FI.`invoice_amount`,FI.`invoice_discount`,FI.`vat_amt`,FI.`round_off`,FI.`vat_percentage`,NCM.`client_name` AS client,NCM.`client_address` FROM `furniture_invoice` FI INNER JOIN furniture_invoice_details FID ON FID.`invoice_id`=FI.`invoice_id` INNER JOIN work_order_main WOM ON WOM.work_order_no=FID.work_order_number INNER JOIN new_client_master NCM ON NCM.client_id=WOM.client_id WHERE FI.invoice_id='$invoice_id'");
		$data['records']  = $detailed11->result_array();
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$detailed 		  = $this->db->query("SELECT work_order_no,work_order_main.project_name,work_order_main.project_id FROM `furniture_invoice_details` JOIN work_order_main ON work_order_main.work_order_no=furniture_invoice_details.work_order_number WHERE furniture_invoice_details.`invoice_id`=$invoice_id ORDER BY work_order_main.project_name,work_order_main.work_order_no");
		$data['details']  = $detailed->result_array();
		if ($status!=''){
			$data['invoice_status']=$status;
		} else {
			$data['invoice_status']='';
		}
		$this->load->view('manage/print_invc',$data);
		
		//$this->load->helper(array('dompdf', 'file'));
		//$html = $this->load->view('manage/invoice_print',$data, true);
		//pdf_create($html);
	}
	public function print_cover($invoice_id) {
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$detailed11 		  = $this->db->query("SELECT FI.`invoice_id`,FI.`invoice_number`,FI.`invoice_date`,FI.`invoice_amount`,FI.`invoice_discount`,FI.`vat_amt`,FI.`round_off`,FI.`vat_percentage`,NCM.`client_name` AS client,NCM.`client_address`,NCM.`tax_name`,NCM.`tax_no` FROM `furniture_invoice` FI INNER JOIN furniture_invoice_details FID ON FID.`invoice_id`=FI.`invoice_id` INNER JOIN work_order_main WOM ON WOM.work_order_no=FID.work_order_number INNER JOIN new_client_master NCM ON NCM.client_id=WOM.client_id WHERE FI.invoice_id='$invoice_id'");
		$data['records']  = $detailed11->result_array();
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$detailed 		  = $this->db->query("SELECT work_order_no,project_name FROM `furniture_invoice_details` JOIN work_order_main ON work_order_main.work_order_no=furniture_invoice_details.work_order_number WHERE furniture_invoice_details.`invoice_id`=$invoice_id");
		$data['details']  = $detailed->result_array();
		$this->load->view('manage/print_invoice_page',$data);
		
		//$this->load->helper(array('dompdf', 'file'));
		//$html = $this->load->view('manage/invoice_print',$data, true);
		//pdf_create($html);
	}
	public function item_list() {
		$work_order_no 		= $this->input->post('work_order_no');
		$records 			= $this->crud_model->get('work_order',array('work_order_no'=>$work_order_no),null,null,null,null,null,null,null,'item_id');
		$html = '<table class="table1">
						<tr bgcolor="lightblue">
						  <th>Test Name</th>
						  <th>Unit Of Measurement</th>
						  <th>QTY</th>
						  <th>Rate</th>
						  <th>Amount</th>
						</tr>';
		if($records!=false){
			foreach($records as $record){
			
				$details 			= $this->crud_model->get('work_order',array('work_order_no'=>$work_order_no,'item_id'=>$record['item_id']));
				if ($record['sub_clause']!=''){
					$sub_clause='-'.$record['sub_clause'];
				} else {
					$sub_clause='';
				}
				$html .= '<tr>
								<td style="text-align:center; background:lightgray;" colspan="5">
									<b>'.$record['item_name'].''.$sub_clause.'</b>
								</td>
						  </tr>';
				if($details!=false){
					foreach($details as $detail){		
						$html .= '<tr>
									<td>
										'.$detail['test_name'].'
									</td>
									<td>
										'.$detail['uom'].'
									</td>
									<td>
										'.$detail['quantity'].'
									</td>
									<td>
										'.$detail['rate'].'
									</td>
									<td>
										'.$detail['quantity']*$detail['rate'].'
									</td>
								</tr>';
					}
				}
			}
		}			
		$html .= '</table>';
		echo $html;
	}
	public function search_invoice() {
	
		if($this->input->post('filter_by') == 1) {
			$filter_value = $this->input->post('filter_value');
			$like=" AND invoice_number LIKE '%$filter_value%'";
		} elseif($this->input->post('filter_by') == 2) {
			$filter_value = $this->input->post('filter_value');
			$like=" AND client LIKE '%$filter_value%'";
		} elseif($this->input->post('filter_by') == 3) {
			$filter_value = $this->input->post('filter_value');
			$like=" AND work_order_number LIKE '%$filter_value%'";
		} else {
			$like="";
		}
		
		$detailed = $this->db->query("SELECT * FROM `furniture_invoice` JOIN furniture_invoice_details ON furniture_invoice_details.invoice_id=furniture_invoice.invoice_id WHERE (invoice_status=1 OR invoice_status = 0 OR invoice_status = 10) and cash_type='0' ".$like);
		$data['records'] = $detailed->result_array();
		
		$data['pagination'] = '';
		
		$this->load->view('templates/header');
		$this->load->view('manage/invoices',$data);
		$this->load->view('templates/footer');
	}
	
	public function search_invoice_cash() {
	
		if($this->input->post('filter_by') == 1) {
			$filter_value = $this->input->post('filter_value');
			$like=" AND invoice_number LIKE '%$filter_value%'";
		} elseif($this->input->post('filter_by') == 2) {
			$filter_value = $this->input->post('filter_value');
			$like=" AND client LIKE '%$filter_value%'";
		} elseif($this->input->post('filter_by') == 3) {
			$filter_value = $this->input->post('filter_value');
			$like=" AND work_order_number LIKE '%$filter_value%'";
		} else {
			$like="";
		}
		
		$detailed = $this->db->query("SELECT * FROM `furniture_invoice` JOIN furniture_invoice_details ON furniture_invoice_details.invoice_id=furniture_invoice.invoice_id WHERE (invoice_status=1 OR invoice_status = 0 OR invoice_status = 10)  and cash_type='1' ".$like);
		$data['records'] = $detailed->result_array();
		
		$data['pagination'] = '';
		
		$this->load->view('templates/header');
		$this->load->view('manage/list_invoice_cash',$data);
		$this->load->view('templates/footer');
    }
	
	function update_draft() {
     $invoiceNumber	=	$this->input->post('popinvoiceNumber');
	 $invoice_status	=	$this->input->post('invoice_status');
  	 $division	=	$this->input->post('division');
     $update = $this->crud_model->update('furniture_invoice',array('invoice_status' => $invoice_status),array('invoice_number'=>$invoiceNumber));
   
     $this->session->set_flashdata('response','<div class="alert alert-success">Details Updated</div>');
  	 redirect('invoice_cash/list_invoice_cash');
   
 }
 function list_un_invoice_work_order($work_order_date="NIL",$client="NIL",$project_id="NIL") {
		if (@$this->input->post('work_order_date')) {
			$work_order_date =   $this->input->post("work_order_date");
		}elseif ($work_order_date != "NIL") {
			$work_order_date	=	$work_order_date;
		} else {
			$work_order_date	= "NIL";
		}
		$sql='';
		
		if ($work_order_date != "NIL"){
			$sql	.= " and work_order_date <= '$work_order_date'";
		}
		
		if (@$this->input->post('client')) {
			$client =   str_replace("%20"," ",$this->input->post("client"));
		}elseif ($client != "NIL") {
			$client	=	str_replace("%20"," ",$client);
		} else {
			$client	= "NIL";
		}
		
		if ($client != "NIL"){
			$sql	.= " and client_name='$client'";
		}
		
		if (@$this->input->post('project_id')) {
			$project_id =   str_replace("%20"," ",$this->input->post("project_id"));
		}elseif ($project_id != "NIL") {
			$project_id	=	str_replace("%20"," ",$project_id);
		} else {
			$project_id	= "NIL";
		}
		
		if ($project_id != "NIL"){
			$sql	.= " and project_id='$project_id'";
		}
		$row_count_data	=	$this->db->query("select work_order_no, work_order_date, client_name, project_name from work_order_main where status=1 and work_order_no not in (select distinct(work_order_number) from furniture_invoice_details
inner join furniture_invoice i where invoice_status = 1 ) ".$sql." order by client_name, project_name");
		
		//pagging start
		$config['uri_segment'] = 6;
        //$config['use_page_numbers'] = TRUE;
		$config['base_url'] = base_url() . "index.php/invoice/list_un_invoice_work_order/".$work_order_date."/".$client."/".$project_id;
        $config["total_rows"] = $row_count_data->num_rows();
        $config['num_links'] = 10;
        $config["per_page"] = 1000000000000;
        $this->pagination->initialize($config);
        if ($this->uri->segment(6)) {
            $page = $this->uri->segment(6)*1000000000000-1000000000000;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
        //pagging end
		
		if ($project_id!='NIL'){
			
		}
		
		$data1				=	$this->db->query("select work_order_no, work_order_date, client_name, project_name from work_order_main where status=1 and work_order_no not in (select distinct(work_order_number) from furniture_invoice_details
inner join furniture_invoice i where invoice_status = 1 ) ".$sql."  order by client_name, project_name limit ".$page.",".$config["per_page"]);
		
		$data['records']	=	$data1->result_array();
		$data['work_order_date']	=	$work_order_date;
		$data['client']	=	$client;
		$data['project_id']	=	$project_id;
		$data['pagination'] = $this->pagination->create_links();
		$this->load->view('templates/header');
		$this->load->view('manage/list_un_invoice_work_order',$data);
		$this->load->view('templates/footer');
	}
	
	function print_un_invoice_work_order($work_order_date="NIL",$client="NIL",$project_id="NIL") {
		if (@$this->input->post('work_order_date')) {
			$work_order_date =   $this->input->post("work_order_date");
		}elseif ($work_order_date != "NIL") {
			$work_order_date	=	$work_order_date;
		} else {
			$work_order_date	= "NIL";
		}
		$sql='';
		
		if ($work_order_date != "NIL"){
			$sql	.= " and work_order_date <= '$work_order_date'";
		}
		
		if (@$this->input->post('client')) {
			$client =   str_replace("%20"," ",$this->input->post("client"));
		}elseif ($client != "NIL") {
			$client	=	str_replace("%20"," ",$client);
		} else {
			$client	= "NIL";
		}
		
		if ($client != "NIL"){
			$sql	.= " and client_name='$client'";
		}
		
		if (@$this->input->post('project_id')) {
			$project_id =   str_replace("%20"," ",$this->input->post("project_id"));
		}elseif ($project_id != "NIL") {
			$project_id	=	str_replace("%20"," ",$project_id);
		} else {
			$project_id	= "NIL";
		}
		
		if ($project_id != "NIL"){
			$sql	.= " and project_id='$project_id'";
		}
		$row_count_data	=	$this->db->query("select work_order_no, work_order_date, client_name, project_name from work_order_main where status=1 and work_order_no not in (select distinct(work_order_number) from furniture_invoice_details
inner join furniture_invoice i where invoice_status = 1 ) ".$sql." order by client_name, project_name");
		
		//pagging start
		$config['uri_segment'] = 6;
        //$config['use_page_numbers'] = TRUE;
		$config['base_url'] = base_url() . "index.php/invoice/list_un_invoice_work_order/".$work_order_date."/".$client."/".$project_id;
        $config["total_rows"] = $row_count_data->num_rows();
        $config['num_links'] = 10;
        $config["per_page"] = 1000000000000;
        $this->pagination->initialize($config);
        if ($this->uri->segment(6)) {
            $page = $this->uri->segment(6)*1000000000000-1000000000000;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
        //pagging end
		
		if ($project_id!='NIL'){
			
		}
		
		$data1				=	$this->db->query("select work_order_no, work_order_date, client_name, project_name from work_order_main where status=1 and work_order_no not in (select distinct(work_order_number) from furniture_invoice_details
inner join furniture_invoice i where invoice_status = 1 ) ".$sql."  order by client_name, project_name limit ".$page.",".$config["per_page"]);
		
		$data['records']	=	$data1->result_array();
		$data['work_order_date']	=	$work_order_date;
		$data['client']	=	$client;
		$data['project_id']	=	$project_id;
		$data['pagination'] = $this->pagination->create_links();
		//$this->load->view('templates/header');
		$this->load->view('manage/print_un_invoice_work_order',$data);
		//$this->load->view('templates/footer');
	}
	
	function project_list() {
		$client_id 		= 	$this->input->post('client_id');
		$data_val 		= 	$this->db->query("SELECT id,project_name FROM `projects` WHERE client_id='$client_id'");
		$method_list	=	$data_val->result_array();				
		if($method_list != false ){
			$html = '<option value="">-- select --</option>';
			foreach($method_list as $method_lists){
				$html .= '<option value="'.$method_lists['id'].'">'.$method_lists['project_name'].'</option>';
			}
			echo $html;
		}else{
			echo 0;
		}
	}
	public function export_un_invoice_work_order($work_order_date="NIL",$client="NIL",$project_id="NIL") {
		if (@$this->input->post('work_order_date')) {
			$work_order_date =   $this->input->post("work_order_date");
		}elseif ($work_order_date != "NIL") {
			$work_order_date	=	$work_order_date;
		} else {
			$work_order_date	= "NIL";
		}
		$sql='';
		
		if ($work_order_date != "NIL"){
			$sql	.= " and work_order_date <= '$work_order_date'";
		}
		
		if (@$this->input->post('client')) {
			$client =   str_replace("%20"," ",$this->input->post("client"));
		}elseif ($client != "NIL") {
			$client	=	str_replace("%20"," ",$client);
		} else {
			$client	= "NIL";
		}
		
		if ($client != "NIL"){
			$sql	.= " and client_name='$client'";
		}
		
		if (@$this->input->post('project_id')) {
			$project_id =   str_replace("%20"," ",$this->input->post("project_id"));
		}elseif ($project_id != "NIL") {
			$project_id	=	str_replace("%20"," ",$project_id);
		} else {
			$project_id	= "NIL";
		}
		
		if ($project_id != "NIL"){
			$sql	.= " and project_id='$project_id'";
		}
		$row_count_data	=	$this->db->query("select work_order_no, work_order_date, client_name, project_name from work_order_main where status=1 and work_order_no not in (select distinct(work_order_number) from furniture_invoice_details
inner join furniture_invoice i where invoice_status = 1 ) ".$sql." order by client_name, project_name");
		
		//pagging start
		$config['uri_segment'] = 6;
        //$config['use_page_numbers'] = TRUE;
		$config['base_url'] = base_url() . "index.php/invoice/list_un_invoice_work_order/".$work_order_date."/".$client."/".$project_id;
        $config["total_rows"] = $row_count_data->num_rows();
        $config['num_links'] = 10;
        $config["per_page"] = 1000000000000;
        $this->pagination->initialize($config);
        if ($this->uri->segment(6)) {
            $page = $this->uri->segment(6)*1000000000000-1000000000000;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
        //pagging end
		
	
		
		$data1				=	$this->db->query("select work_order_no, work_order_date, client_name, project_name from work_order_main where status=1 and work_order_no not in (select distinct(work_order_number) from furniture_invoice_details
inner join furniture_invoice i where invoice_status = 1 ) ".$sql."  order by client_name, project_name limit ".$page.",".$config["per_page"]);
		
		$records	=	$data1->result_array();
		
        	$list	='';
			$details    =   array();
        	foreach($records as $record){
				
						$new    =   array(
							$i++,
							$record['work_order_no'],
							date("M d Y", strtotime($record['work_order_date'])),
							$record['client_name'],
							$record['project_name']
						);
						array_push($details,$new);
					
					} 
					$head   =   array(
						"No",
						"Work Order No",
						"Work Order Date",
						"Client Name",
						"Project Name"
					);
        			$this->load->library('Excel');
        			$Excel = new Excel;
        			$Excel->export($head, $details, 0, "Uninvoiced");
					
	}
	
	public function mod_total_amount($invoice_id=''){
			$detailed		= $this->db->query("SELECT work_order_no FROM `furniture_invoice_details` INNER JOIN work_order_main ON work_order_main.work_order_no=furniture_invoice_details.work_order_number WHERE furniture_invoice_details.`invoice_id`='$invoice_id'");
			$data_result	= $detailed->result_array();
			$array_work_order_no    =   array();
			foreach ($data_result as $data_results){
				array_push($array_work_order_no,$data_results['work_order_no']); 
			}
			
			$records	=	$this->crud_model->get_total_amount($array_work_order_no);
			if($records == false){
				echo false;
			}else{
				return $records;
			}
			
		}
	public function work_file(){
		if ($this->input->post("work_no")!==''){
			$workNumber=$this->input->post("work_no");
			$work_id=$this->input->post("work_id");
			$test=$this->db->query("SELECT * FROM `work_files` where (work_id='$workNumber' or work_id='$work_id' )");
		    $records = $test->result_array();
			$array_work_order_files    =   array();
			if (count($records)>0){
				foreach ($records as $records_results){
					array_push($array_work_order_files, base_url().'uploads/'.$records_results['file_name']); 
				}
				$data   =   json_encode($array_work_order_files);
				echo $data;
			} else {
				array_push($array_work_order_files,'0'); 
				$data   =   json_encode($array_work_order_files);
				echo $data;
			}
		}
	}
	
	public function work_order_rate_update() {
			$invc_i=$this->input->post('hidden_invoice_id_2');
			$hidden_division=$this->input->post('hidden_division_2');
			$invoice_status=$this->input->post('hidden_invoice_status_2');
			$this->db->query("SET SQL_BIG_SELECTS=1");
			$detailed		= $this->db->query("SELECT work_order_no FROM `furniture_invoice_details` INNER JOIN work_order_main ON work_order_main.work_order_no=furniture_invoice_details.work_order_number WHERE furniture_invoice_details.`invoice_id`='$invc_i'");
			$data_result	= $detailed->result_array();
			if ($hidden_division==='M'){
				foreach ($data_result as $data_results){
					$work_order_no=$data_results['work_order_no'];
					$query    = $this->db->query("UPDATE work_order w INNER JOIN job_details j ON w.`job_details_id` = j.`id` SET w.rate= j.rate,w.uom= j.uom,w.minimum_call_out= j.minimum_call_out WHERE w.`work_order_no`='$work_order_no'");
				}
				if ($invoice_status=='Draft'){
					$li='/Draft';
				} else {
					$li='';
				}
				redirect('invoice/print_invoice/'.$invc_i.$li);
			}
			if ($hidden_division==='C'){
				foreach ($data_result as $data_results){
					$work_order_no=$data_results['work_order_no'];
					$query    = $this->db->query("UPDATE work_order w INNER JOIN job_details j ON w.`job_details_id` = j.`id` SET w.rate= j.rate,w.uom= j.uom,w.minimum_call_out= j.minimum_call_out WHERE w.`work_order_no`='$work_order_no'");
				}
				if ($invoice_status=='Draft'){
					$li='/Draft';
				} else {
					$li='';
				}
				redirect('cube_invoice/print_cube_invoice/'.$invc_i.$li);
			}
		
	}
	
	
	public function test123(){
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$invoice_data			=	$this->db->query("SELECT wm.`work_order_no`,wf.`file_name` FROM `work_order_main` wm inner join `work_files` wf on wm.`work_order_no`=wf.`work_id` WHERE wm.`division`='C'");
		
		
		$invoice_data_array	=	$invoice_data->result_array();
		
		$list	='';
		$details    =   array();
		$i=1;
		$Grand_total=0;
		foreach ($invoice_data_array as $invoice_data_arrays){
			$new    =   array(
						$i++,
						$invoice_data_arrays['file_name']
					);
			array_push($details,$new);
		}
		$head   =   array(
			"No",
			"work file",
		);
		$this->load->library('Excel');
        $Excel = new Excel;
        $Excel->export($head, $details, 0, "test");
	}
	
}
?>