<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Invoice_register extends CI_Controller {
	function Invoice_register() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		if($this->crud_model->check_permission("invoice_register","view")==false && $this->session->userdata('default_controller_name')!="invoice_register/list_invoice_register"){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}
	function list_invoice_register() {
		
		
		$this->load->view('templates/header');
		$this->load->view('manage/list_invoice_register');
		$this->load->view('templates/footer');
	}
	
	public function export_invoice_register($from="NIL",$to="NIL",$status="NIL") {
		$k=0;
		
		$sql='';
		
		if (@$this->input->post('from')) {
			$from =   $this->input->post("from");
		}elseif ($from != "NIL") {
			$from	=	$from;
		} else {
			$from	= "NIL";
		}
		
		if ($from != "NIL" && $to != "NIL"){
			$sql	.= " WHERE invoice_date BETWEEN '$from' AND '$to'";
		}
		
		if (@$this->input->post('status')) {
			$status =   $this->input->post("status");
		}elseif ($status != "NIL") {
			$status	=	$status;
		} else {
			$status	= "NIL";
		}
		
		if ($status != "NIL"){
			if ($status=='1'){
				$sql	.= " and invoice_status='1'";
			} else if ($status=='0') {
				$sql	.= " and invoice_status='0'";
			} else if ($status=='10') {
				$sql	.= " and invoice_status='10'";
			} else {
				$sql	.= "";
			}
			
		}
		
		$invoice_data			=	$this->db->query("SELECT * FROM `furniture_invoice` ".$sql);
		
		
		$invoice_data_array	=	$invoice_data->result_array();
		
		$list	='';
		$details    =   array();
		$i=1;
		$Grand_total=0;
		foreach ($invoice_data_array as $invoice_data_arrays){
			if ($invoice_data_arrays['invoice_status']=='1'){
				$invoice_status		='Active';
			} else if ($invoice_data_arrays['invoice_status']=='0'){
				$invoice_status		='Cancelled';
			}	else if ($invoice_data_arrays['invoice_status']=='10'){
				$invoice_status		='Draft';
			} else {
				$invoice_status		='';
			}
			$invoice_id		=	$invoice_data_arrays['invoice_id'];
			$this->db->query("SET SQL_BIG_SELECTS=1");
			/*$detailed		= $this->db->query("SELECT work_order_no FROM `furniture_invoice_details` INNER JOIN work_order_main ON work_order_main.work_order_no=furniture_invoice_details.work_order_number WHERE furniture_invoice_details.`invoice_id`='$invoice_id'");
			$data_result	= $detailed->result_array();
			$array_work_order_no    =   array();
			foreach ($data_result as $data_results){
				array_push($array_work_order_no,$data_results['work_order_no']); 
			}
			*/
			
			$proj_count 		  = $this->db->query("SELECT distinct project_name FROM `furniture_invoice_details` JOIN work_order_main ON work_order_main.work_order_no=furniture_invoice_details.work_order_number WHERE furniture_invoice_details.`invoice_id`=$invoice_id");
			$proc=$proj_count->result_array();
			
			if (count($proc) >1 ){
				$project='Various Projects';
			} else {
				foreach ($proc as $proc){
				$project=$proc['project_name'];
				}
			}
			
			/*if (count($data_result)>1){
				$project='Various Projects';
			} else {
				$work_no	=	$data_result[0]['work_order_no'];
				$pro		= $this->db->query("SELECT project_name FROM `work_order_main`  WHERE `work_order_no`='$work_no'");
				$project	= $pro->row()->project_name;
			}*/
			
			//$records	=	$this->crud_model->get_total_amount($array_work_order_no);
			$invoice_amount	=	$invoice_data_arrays['invoice_amount'];
			$Grand_total=$Grand_total+$invoice_amount;
			$new    =   array(
						$i++,
						$invoice_data_arrays['invoice_number'],
						date("M d Y",strtotime($invoice_data_arrays['invoice_date'])),
						$invoice_data_arrays['client'],
						$project,
						$invoice_amount,
						$invoice_status,
					);
			array_push($details,$new);
		}
		
		$total    =   array(
						'',
						'',
						'',
						'',
						'Total',
						$Grand_total,
						'',
					);
		array_push($details,$total);
		$head   =   array(
			"No",
			"Invoice No",
			"Invoice Date",
			"Client Name",
			"Project",
			"Invoice Amount",
			"Invoice Status",
		);
		$this->load->library('Excel');
        $Excel = new Excel;
        $Excel->export($head, $details, 0, "InvoiceRegister");
					
	}
}
?>