<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Manage_quotation extends CI_Controller {

	function Manage_quotation() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}

	public function index($quotation_id=0) {
		
		
	}
	
	public function quotation($quotation_id=0,$division_id=0,$quotation_number=0,$quotation_status=""){
	
		if($this->crud_model->check_permission("furniture_quotations","edit")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		
		$where=array('furniture_quotation.id' => $quotation_id);
		$this->session->set_userdata('furniture_quotation_id', $quotation_id);
		$records=$this->crud_model->get_view_furniture_quotations_client_project_users($where);
		$this->data['job_details'] = $this->crud_model->get("jobs",array('quote_id' => $quotation_id,'status'=>'1'));
		$amount_paid = $this->furniture_quotation_model->get_paid_receipts_total($quotation_id);
		$records[0]['amount_paid'] =$amount_paid;
		$records[0]['balance_amount'] =$records[0]['quotation_total']- $amount_paid;
		$this->data['records'] = $records;
		
		if($this->furniture_quotation_model->check_invoice($quotation_id) == 0){
			$this->data['invoice'] = 0;
		}else{
			$this->data['invoice'] = 1;
		}
		
		$this->db->select('*');
		$this->db->from('furniture_invoice');
		$this->db->join('company_division','company_division.division_id = furniture_invoice.quotation_divisionid','inner');
		$this->db->where('quotation_id', $quotation_id); 
		$this->db->where('invoice_status','0');
		$rs = $this->db->get();
		if($rs->num_rows() > 0){
			$this->data['receipt_inv'] = $rs->result_array();
		}
		else{
			$this->data['receipt_inv'] = array();
		}
		
		$this->db->select('*');
		$this->db->from('upload_files');
		$this->db->where('quotation_number', $quotation_number);
		$this->db->where('division_id', $division_id);
		//$this->db->where('qutation_id', $quotation_id); 
		$up_data = $this->db->get();
		if($up_data->num_rows() > 0){
			$this->data['rec_file'] = $up_data->result_array();
		}
		else{
			$this->data['rec_file'] = array();
		}
		$this->data['status_val'] = $quotation_status;
		$this->load->view('templates/header');
		$this->load->view('manage/quotation',$this->data);
		$this->load->view('templates/footer');
	}
	
	public function generateInvoice($quotation_id=0){
		
		if($this->furniture_quotation_model->check_invoice($quotation_id) == 0){
			$this->furniture_quotation_model->set_invoice_id($quotation_id);
			$generated_invoice_id = $this->session->userdata('furniture_invoice_id');
		}
	
		redirect('manage_quotation/quotation/'.$quotation_id);
		
	}
	
	
	public function printInvoice($quotation_id=0){
		
		//$this->load->helper(array('dompdf', 'file'));
		 // page info here, db calls, etc.     
		 
		 $records = $this->furniture_quotation_model->get_full_quotation_details($quotation_id);
		//var_dump($records);
		
		if($records == false) {
				$this->session->set_flashdata('response','<div class="alert alert-error">Please Select a Quotation First..</div>');
				redirect('furniture/furniture_quotations');
		}
		
		$records['logos_url'] = array();
		$logos_id = explode(",",$records['quotation_logos']);
		foreach($logos_id as $key=>$logo_id) {
			$where = array('logo_id' => $logo_id);
			$logo = $this->crud_model->get('logos',$where); 
			if($logo[0]['logo_filename']){
				array_push($records['logos_url'], $logo[0]['logo_filename']);
			}
		}
		//var_dump($records);exit;
		 $this->load->view('general/quotations/printview2', $records);
		 //$html = $this->load->view('general/quotations/printview1', $records, true);
		 //pdf_create($html, 'Quotation_No_'.$quotation_id);
		
		 //if you want to write it to disk and/or send it as an attachment  
		
		
		
	}
	public function printInvoiceDetails($invoice_id=0,$type=""){
		
		//$this->load->helper(array('dompdf', 'file'));
		 // page info here, db calls, etc.     
		 
		 $records = $this->furniture_quotation_model->get_full_invoice_details($invoice_id);
		//var_dump($records);
		
		if($records == false) {
				$this->session->set_flashdata('response','<div class="alert alert-error">Please Select a Quotation First..</div>');
				redirect('furniture/furniture_quotations');
		}
		
		$records['logos_url'] = array();
		$logos_id = explode(",",$records['quotation_logos']);
		foreach($logos_id as $key=>$logo_id) {
			$where = array('logo_id' => $logo_id);
			$logo = $this->crud_model->get('logos',$where);
			if($logo[0]['logo_filename']){
				array_push($records['logos_url'], "images/logos/".$logo[0]['logo_filename']);
			}else if($records['logo_filename']){
				array_push($records['logos_url'], "images/company_division/".$records['logo_filename']);
			}
		}
		
		$query = $this->db->get('company_details');  
		$records['company_details'] = $query->row();
		foreach ($query->result() as $row)
			{
				$company_email_name =  $row->company_name;
			}
		//var_dump($records);exit;
		 //$this->load->view('general/quotations/printview4', $records);
		 
		if($type=="pdf"){
		$records['print_type'] = "pdf_print_type";
		$this->load->helper(array('dompdf', 'file'));
		$html = $this->load->view('general/quotations/printview4', $records, true);
		pdf_create($html, 'Invoice_No_'.$records['division_code'].'-'.$records['invoice_number']);
		}else if($type=="normal"){
		$records['print_type'] = "normal_print_type";
		$this->load->view('general/quotations/normal_invoice_print', $records);
		}else if($type=="email"){
		
		$this->db->select('*');
		$this->db->from('emails'); 
		$query_email = $this->db->get();
		$records_email=$query_email->result_array();
		
		$records['print_type'] = "email_print_type";
		$this->load->helper(array('dompdf', 'file'));
		$html = $this->load->view('general/quotations/printview4', $records, true);
		pdf_create($html, 'Invoice_No_'.$invoice_id,$stream=FALSE);
				
				
				
				$from 		= $records['salesman_email_id'];
				$fromname 	= $company_email_name;
				$to 		= $records['client_email'];
				$cc 		= @$records_email[0]['invoice_cc'];
				$subject 	= 'Invoice';
				$message 	= 'Please find attached invoice';
				$this->load->library('invoice_email');
				$send = $this->invoice_email->send($from,$fromname,$to,$subject,$message,$cc,$bcc="",$invoice_id);
				if($send){
					$this->session->set_flashdata('response','<div class="alert alert-success">Email Send Successfully</div>');
				}else{
					$this->session->set_flashdata('response','<div class="alert alert-error">Something Wrong.Try Again</div>');
				}
				redirect('invoices');
		}
		 //$html = $this->load->view('general/quotations/printview1', $records, true);
		 //pdf_create($html, 'Quotation_No_'.$quotation_id);
		
		 //if you want to write it to disk and/or send it as an attachment  
		
		
		
	}
	
	function printQuotation($quotation_id=0,$type="",$image_type="",$chekval=0,$without_sub=0,$without_group=0){
		$records = $this->furniture_quotation_model->get_full_quotation_details($quotation_id);
		$records['furniture_itemlist'] = $this->crud_model->get('furniture_items', array('furniture_items.quotation_id'=>$quotation_id), null, null, "ex_furniture_area", "ASC", null, null, null, "furniture_area");
		//var_dump($records);
		
		if($records == false) {
				$this->session->set_flashdata('response','<div class="alert alert-error">Please Select a Quotation First..</div>');
				redirect('furniture/furniture_quotations');
		}
		
		$records['logos_url'] = array();
		$logos_id = explode(",",$records['quotation_logos']);
		foreach($logos_id as $key=>$logo_id) {
			$where = array('logo_id' => $logo_id);
			$logo = $this->crud_model->get('logos',$where); 
			if($logo[0]['logo_filename']){
				array_push($records['logos_url'], "images/logos/".$logo[0]['logo_filename']);
			}
                        //else if($records['logo_filename']){
				//array_push($records['logos_url'], "images/company_division/".$records['logo_filename']);
			//}
		}
		
		$records['footer_url'] = array();
		$footer_id = explode(",",$records['quotation_footer']);
		foreach($footer_id as $key=>$footer_id) {
			$where = array('footer_id' => $footer_id);
			$footer = $this->crud_model->get('footer',$where); 
			if($footer[0]['footer_image']){
				array_push($records['footer_url'], $footer[0]['footer_image']);
			}
		}
		
		/*$records['footer_url'] = array();
		$footer_id = $records['quotation_footer'];
		$where = array('footer_id' => $footer_id);
		$footer = $this->crud_model->get('footer',$where); 
			if($footer[0]['footer_image']){
				array_push($records['footer_url'], $footer[0]['footer_image']);
			}*/
		
		$query = $this->db->get('company_details');  
		$records['company_details'] = $query->row();
		foreach ($query->result() as $row)
			{
				$company_email_name =  $row->company_name;
			}
		//var_dump($records); exit;
		 //$this->load->view('manage/printQuotation', $records);
		// $this->load->view('general/quotations/printview1', $records);
		if($image_type=="with_image"){
			$records['image']	=	"with_image";
		}else{
			$records['image']	=	"without_image";
		}
		
		$this->db->select('item_specifications.item_id as item_id,item_specifications.specification as specification');
		$this->db->from('furniture_items');
		$this->db->join('items','items.id = furniture_items.item_id','inner');
		$this->db->join('item_specifications','item_specifications.item_id = items.id','inner');
		$this->db->where('furniture_items.quotation_id', $quotation_id); 
		$rs_new = $this->db->get();
		if($rs_new->num_rows() > 0){
			$specific_count = $rs_new->result_array();
		}
		else{
			$specific_count = array();
		}
		$records['xxxx'] = $rs_new->num_rows();
		$records['chekval'] = $chekval;
		$records['without_sub'] = $without_sub;
		$records['without_group'] = $without_group;
		if($type=="pdf"){
		$records['print_type'] = "pdf_print_type";
		$this->load->helper(array('dompdf', 'file'));
		$html = $this->load->view('general/quotations/printview1', $records, true);
		pdf_create($html, 'Quotation_No_'.$records['quotation_number_full']);
		}else if($type=="normal"){
		$records['print_type'] = "normal_print_type";
		$this->load->view('general/quotations/printnormal', $records);
		}else if($type=="email"){
		
		$this->db->select('*');
		$this->db->from('emails'); 
		$query_email = $this->db->get();
		$records_email=$query_email->result_array();
		
		$records['print_type'] = "email_print_type";
		$this->load->helper(array('dompdf', 'file'));
		$html = $this->load->view('general/quotations/printview1', $records, true);
		pdf_create($html, 'Quotation_No_'.$quotation_id,$stream=FALSE);
				
				
				
				$from 		= $records['salesman_email_id'];
				$fromname 	= $company_email_name;
				$to 		= $records['client_email'];
				$cc 		= @$records_email[0]['quote_cc'];
				$subject 	= 'Quotation for '.$records['project_name'];
				$message 	= 'Please find attached quote for '.$records['project_name'].'.<br /><br /><br /> Regards,<br />'.$records['salesman_name'].'<br />'.$records['salesman_contact_number'];
				if($rs_new->num_rows() > 0 && $chekval==1){
				$this->load->library('email_multiple');
				$send = $this->email_multiple->send($from,$fromname,$to,$subject,$message,$cc,$bcc="",$quotation_id,$specific_count);
				}else{
				$this->load->library('email_attach');
				$send = $this->email_attach->send($from,$fromname,$to,$subject,$message,$cc,$bcc="",$quotation_id);
				}
				if($send){
					$this->session->set_flashdata('response','<div class="alert alert-success">Email Send Successfully</div>');
				}else{
					$this->session->set_flashdata('response','<div class="alert alert-error">Something Wrong.Try Again</div>');
				}
				redirect('manage_quotation/quotation/'.$quotation_id.'/'.$records['division_id'].'/'.$records['quotation_number']);
		}
		 //if you want to write it to disk and/or send it as an attachment  
	}
	
	function saveLpoNO(){
		$data=array('lpono' => $this->input->post('lpono'));
		$where = array('id' => $this->input->post('quotation_id'));
		$this->crud_model->update('furniture_quotation',$data,$where);
		redirect('furniture/furniture_quotations');
	}
	
	function projectStatus(){
		$data=array('project_status' => $this->input->post('statusCheckbox'));
		$where = array('id' => $this->input->post('quotation_id'));
		$this->crud_model->update('furniture_quotation',$data,$where);
		$this->session->set_flashdata('response','<div class="alert alert-success">Project Status Updated</div>');
		redirect('manage_quotation/quotation/'.$this->input->post('quotation_id').'/'.$this->input->post('quotation_divisionid').'/'.$this->input->post('quotation_number'));
	}
	
	function upload_it()
    {  
	
        $this->load->helper('form');
        $uniqueID = $this->input->post('quotation_number');
		if(!file_exists("uploads/".$uniqueID))
       	 mkdir("uploads/".$uniqueID);
        $config['upload_path'] = 'uploads/'.$uniqueID;
        $config['allowed_types'] = '*';
        $this->load->library('upload', $config);
        $this->upload->initialize($config);
        $this->upload->set_allowed_types('*');
        $this->upload->do_upload("fileField");
	    echo $this->upload->display_errors();
		$newdata = array('quotation_number'=>$this->input->post('quotation_number'),'division_id'=>$this->input->post('quotation_division'),'qutation_id'=>$this->input->post('quotation_id_redrct'),'file_name'=>str_replace(" ","_",$_FILES["fileField"]["name"]),
					  );
		 $add_file = $this->db->insert('upload_files', $newdata); 
		 if($add_file){
		 	$this->session->set_flashdata('response','<div class="alert alert-success">File Uploaded Successfully...</div>');
		 }else{
		 	$this->session->set_flashdata('response','<div class="alert alert-error">Something Wrong.Try Again...</div>');
		 }
	     redirect('manage_quotation/quotation/'.$this->input->post('quotation_id_redrct').'/'.$this->input->post('quotation_division').'/'.$this->input->post('quotation_number').'');
	  // exit;
        
	}
	public function delete($id,$quotation_number,$division_id,$qutation_id){
			$this->db->where('id',$id);
			$this->db->delete('upload_files');
			$this->session->set_flashdata('response','<div class="alert alert-error">File Deleted..</div>');
		    redirect('manage_quotation/quotation/'.$qutation_id.'/'.$division_id.'/'.$quotation_number.'');
	}
	function delivery_date_update(){
		$this->form_validation->set_rules('delivery_date', 'Delivery Date', 'required');
		$delivery_quotation_id = $this->input->post('delivery_quotation_id');
		$delivery_quotation_number = $this->input->post('delivery_quotation_number');
		$delivery_quotation_division = $this->input->post('delivery_quotation_division');
		//echo $this->input->post('delivery_date').'-'.date('m/d/Y');
		//break;
		if ($this->form_validation->run() == FALSE)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Delivery Date Required</div>');
			redirect('manage_quotation/quotation/'.$delivery_quotation_id.'/'.$delivery_quotation_division.'/'.$delivery_quotation_number.'');
		}else if(strtotime($this->input->post('delivery_date'))< strtotime(date('m/d/Y'))){
			$this->session->set_flashdata('response','<div class="alert alert-error">Invalid Delivery Date</div>');
			redirect('manage_quotation/quotation/'.$delivery_quotation_id.'/'.$delivery_quotation_division.'/'.$delivery_quotation_number.'');
		}else {
		$where = array('id'	=> $this->session->userdata('furniture_quotation_id'));
		$date = DateTime::createFromFormat('m/d/Y', $this->input->post('delivery_date'));
		$data_quo['delivery_date'] = $date->format('Y-m-d');									
		$rr_quo = $this->db->update('furniture_quotation',$data_quo,$where);
		if($rr_quo){
		 	$this->session->set_flashdata('response','<div class="alert alert-success">Delivery Date Updated Successfully</div>');
		 }else{
		 	$this->session->set_flashdata('response','<div class="alert alert-error">Something Wrong.Try Again</div>');
		 }
		 redirect('manage_quotation/quotation/'.$delivery_quotation_id.'/'.$delivery_quotation_division.'/'.$delivery_quotation_number.'');
		 }
	}
	
}
?>