<?php
class Covering_letter_template extends CI_Controller {
	function Covering_letter_template()
	{
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
	}
	function index($page=1)
	{
		$config['per_page']		= 5;
		$config['base_url'] 	= site_url('masters/covering_letter_template/index/');
		$config['total_rows'] 	= $this->crud_model->get_count('covering_letter_template',array());

		$offset = ($page-1) * $config['per_page'];

		$data['records'] = $this->crud_model->get('covering_letter_template',
		array(),
		$config['per_page'],
		$offset
		);

		$this->pagination->initialize($config);
		$data['pagination'] = $this->pagination->create_links();

		$this->load->view('templates/header');
		$this->load->view('masters/covering_letter_template/list',$data);
		$this->load->view('templates/footer');
	}
	function create()
	{
		$this->load->view('templates/header');
		$this->load->view('masters/covering_letter_template/create');
		$this->load->view('templates/footer');
	}
	function edit($id)
	{
		$where=array(
				'cl_template_id' => $id
		);
		$records=$this->crud_model->get('covering_letter_template',$where);
		if($records != false){
			//true section
			$data['cl_template_content']			 = $records[0]['cl_template_content'];
			$data['cl_template_name']			 = $records[0]['cl_template_name'];
			$data['cl_template_id']			 = $records[0]['cl_template_id'];
			$this->load->view('templates/header');
			$this->load->view('masters/covering_letter_template/edit',$data);
			$this->load->view('templates/footer');

		}
		else{
			//false section
			$this->session->set_flashdata('response','<div class="alert alert-error">error</div>');
			redirect('masters/covering_letter_template');
		}

	}
	function do_insert()
	{
		$this->form_validation->set_rules('cl_template_name', 'Covering Letter Template Name', 'required');
		$this->form_validation->set_rules('cl_template_content', 'Covering Letter Template Content', 'required');

		if ($this->form_validation->run() == FALSE)
		{
			// false section
			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$this->load->view('templates/header');
			$this->load->view('masters/covering_letter_template/create');
			$this->load->view('templates/footer');
		}
		else
		{	// true section

			$cl_template_name=$this->input->post('cl_template_name');
			$cl_template_content=$this->input->post('cl_template_content');

			$data=array(
			                'cl_template_name' => $cl_template_name,
			                'cl_template_content' => $cl_template_content

			);

			$rr=$this->crud_model->insert('covering_letter_template',$data);

			if($rr == false){
				// error

				$this->session->set_flashdata('response','<div class="alert alert-error">Template cannot be inserted</div>',':old:');
				$this->load->view('templates/header');
				$this->load->view('masters/covering_letter_template');
				$this->load->view('templates/footer');
			}
			else
			{
				// redirect
				$this->session->set_flashdata('response','<div class="alert alert-success">Template added successfully</div>');
				redirect('masters/covering_letter_template');
			}
		}

	}

	function do_update()
	{
		$this->form_validation->set_rules('cl_template_name', 'Covering Letter Template Name', 'required');
		$this->form_validation->set_rules('cl_template_content', 'Covering Letter Template Content', 'required');

		if ($this->form_validation->run() == FALSE)
		{
			// false section

			$records=$this->crud_model->get('covering_letter_template');
			if($records != false){
				//true section
				$data['cl_template_content']			 = $records[0]['cl_template_content'];
			    $data['cl_template_name']			     = $records[0]['cl_template_name'];
			    $data['cl_template_id']			         = $records[0]['cl_template_id'];
				$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
				$this->load->view('templates/header');
				$this->load->view('masters/covering_letter_template/edit',$data);
				$this->load->view('templates/footer');
					
			}
			else{
				//false section
				$this->session->set_flashdata('response','<div class="alert alert-error">error</div>');
				redirect('masters/covering_letter_template');
			}
		}
		else
		{// true section

			$cl_template_name   = $this->input->post('cl_template_name');
			$cl_template_content   = $this->input->post('cl_template_content');
			$cl_template_id     = $this->input->post('cl_template_id');

			$where=array(
					       'cl_template_id'   => $cl_template_id
			);
			$data=array(
					       'cl_template_name' => $cl_template_name,
			               'cl_template_content' => $cl_template_content,

			);

			$records=$this->crud_model->update('covering_letter_template',$data,$where);

			$this->session->set_flashdata('response','<div class="alert alert-success">Template updated</div>');
			redirect('masters/covering_letter_template');

		}

	}
	function do_delete($id=0)
	{

		$where=array(
				'cl_template_id'=> $id
		);

		$this->crud_model->delete('covering_letter_template',$where);

		$this->session->set_flashdata('response','<div class="alert alert-success">Template deleted</div>');
		redirect('masters/covering_letter_template');
	}
}

