<?php
class item extends CI_Controller {
	function Item()	{
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		if($this->crud_model->check_permission("item","view")==false && $this->session->userdata('default_controller_name')!="masters/item"){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->helper('text');
	}
	function index($page=1)	{
		$config['per_page']		= 25;
		$config['base_url'] 	= site_url('masters/item/index/');
		$config['total_rows'] 	= $this->crud_model->get_count('items',array());

		$offset = ($page-1) * $config['per_page'];

		$resul = $this->db->query("SELECT main_category,category_name FROM items JOIN main_category ON main_category.id=items.main_category GROUP BY main_category order by category_name ASC");
		$data['records'] = $resul->result_array();
		
		for($i=0; $i<sizeof($data['records']); $i++) {
			$main_category_id = $data['records'][$i]["main_category"];
			$where=array(
				'furniture_area'=> $main_category_id
			);
			$search_sub_category=$this->crud_model->get('furniture_items',$where);
			if($search_sub_category) {
				$data['records'][$i]["hide_flag"] = 1;
			}			
		}
		
		$this->pagination->initialize($config);
		$data['pagination'] = $this->pagination->create_links();
		
		$list = $this->crud_model->get_list('id','category_name','main_category',array('-1'=>' - Main Categories - '));
		$data['main_category_list'] = $list;
		$list = $this->crud_model->get_list('sub_id','sub_category_name','sub_category',array('-1'=>' - Sub Categories - '));
		$data['sub_category_list'] = $list;
		
		$this->load->view('templates/header');
		$this->load->view('masters/item/list_item',$data);
		$this->load->view('templates/footer');
	}
	function create() {
		if($this->crud_model->check_permission("item","add")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$list = $this->crud_model->get_list('id','category_name','main_category',array(''=>' - Select - '));
		$data['category_list'] = $list;
		$result = $this->db->query("SELECT COUNT(item_name) AS items_count FROM items");
		$val = $result->result_array();
		$data['items_count'] = "IT00".$val[0]['items_count'];
		$this->load->view('templates/header');
		$this->load->view('masters/item/create_item',$data);
		$this->load->view('templates/footer');
	}
	function edit($main_category) {
		if($this->crud_model->check_permission("item","edit")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$where=array(
				'main_category' => $main_category
		);
		//$query = $this->db->query("SELECT items.id,items.main_category,items.sub_category,items.item_name,items.selling_price,items.unit,main_category.category_name,sub_category.sub_category_name FROM `items` JOIN sub_category ON sub_category.sub_id=items.sub_category JOIN main_category ON main_category.id=items.main_category WHERE items.id='$id'");
		$records = $this->crud_model->get('items', $where);
		//$records = $query->result_array();
		if($records != false){
			//true section
			$data['records']			 = $records;
			$data['main_category']		 = $records[0]['main_category'];
			
			$list = $this->crud_model->get_list('id','category_name','main_category',array(),array('id'=>$data['main_category']));
			$data['category_list'] = $list;
			
			$sub_list = $this->crud_model->get('sub_category',array('main_category'=>$data['main_category']));
			$data['sub_category_list'] = $sub_list;
			
			for($i=0; $i<sizeof($data['records']); $i++) {
				$where=array(
					'furniture_area'=> $data['records'][$i]["main_category"],
					'sub_group'=> $data['records'][$i]["sub_category"]
				);
				$search_sub_category=$this->crud_model->get('furniture_items',$where);
				if($search_sub_category) {
					$data['records'][$i]["hide_flag"] = 1;
				}			
			}
		
			$this->load->view('templates/header');
			$this->load->view('masters/item/edit_item',$data);
			$this->load->view('templates/footer');

		} else {
			//false section
			$this->session->set_flashdata('response','<div class="alert alert-error">error</div>');
			redirect('masters/item');
		}
	}
	function do_insert() {
	
		//$currency_code = ascii_to_entities($this->input->post('currency_code'));
		$file_error = "";
		$filename = "";
		if($this->input->post('item_id')==""){
			$this->form_validation->set_rules('textfield2', 'Item Name', 'required');
		}else{
			$this->form_validation->set_rules('item_id', 'Item Name', 'required');
		}
		//$this->form_validation->set_rules('item_name', 'Test Method', 'required|max_length[100]');
		//$this->form_validation->set_rules('item_code', 'Item Code', 'required');
		//$this->form_validation->set_rules('selling_price', 'Rate', 'required');
		//$result = $this->db->query("SELECT COUNT(item_name) AS items_count FROM items");
		//$val = $result->result_array();
		//$data['items_count'] = "IT00".$val[0]['items_count'];
		//$this->form_validation->set_rules('currency_code', 'Currency Code', 'required|max_length[10]');
		//if($_FILES["logo_image"]["name"]!=""){
		//$allowedExts = array("gif", "jpeg", "jpg", "png");
		//$temp = explode(".", $_FILES["logo_image"]["name"]);
		//$extension = end($temp);
		//if ((($_FILES["logo_image"]["type"] == "image/gif")
//		|| ($_FILES["logo_image"]["type"] == "image/jpeg")
//		|| ($_FILES["logo_image"]["type"] == "image/jpg")
//		|| ($_FILES["logo_image"]["type"] == "image/pjpeg")
//		|| ($_FILES["logo_image"]["type"] == "image/x-png")
//		|| ($_FILES["logo_image"]["type"] == "image/png"))
//		&& ($_FILES["logo_image"]["size"] < 1000000)
//		&& in_array($extension, $allowedExts)){
//			if ($_FILES["logo_image"]["error"] > 0) {
//				$file_error = "Invalid file1";
//			}
			/*
		  else
			{
			echo "Upload: " . $_FILES["logo_image"]["name"] . "<br>";
			echo "Type: " . $_FILES["logo_image"]["type"] . "<br>";
			echo "Size: " . ($_FILES["logo_image"]["size"] / 1024) . " kB<br>";
			echo "Stored in: " . $_FILES["logo_image"]["tmp_name"];
			}*/
		  //} else {
//		  	$file_error = "Invalid file2";
//		  }
//		
//	
//		$path = FCPATH."images/items";
//		$config['upload_path'] = $path;
//		$config['allowed_types'] = 'gif|jpg|png|jpeg';
		//$config['max_size'] = '1000';
        //$config['max_width']  = '500';
        //$config['max_height']  = '500';
		
		
		
		//$this->load->library('upload', $config);
		
		

		//if ($this->upload->do_upload('logo_image')) {
//			$up_data = array('upload_data' => $this->upload->data());
//		} else {
//			$file_error = "File upload error.3";
//		}
//
//		$filename = @$up_data["upload_data"]["file_name"];
//		}

		if ($this->form_validation->run() == FALSE)
		{
			// false section
			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$list = $this->crud_model->get_list('id','category_name','main_category',array('select'=>' - Select - '));
			$data['category_list'] = $list;
			$this->load->view('templates/header');
			$this->load->view('masters/item/create_item',$data);
			$this->load->view('templates/footer');
		}
		//elseif($file_error) {
//			$this->session->set_flashdata('response',"<div class='alert alert-error'>Allowed File Types : jpeg, jpg, png, gif</div>",':old:');
//			$list = $this->crud_model->get_list('id','category_name','main_category',array('select'=>' - Select - '));
//			$data['category_list'] = $list;
//			$this->load->view('templates/header');
//			$this->load->view('masters/item/create_item',$data);
//			$this->load->view('templates/footer');			
//			
//		}
		 else {	// true section
		 		if($this->input->post('item_id')!=""){
		 			$item_id = $this->input->post('item_id');
				}else{
					$item_id = $this->input->post('textfield2');
				}
				$test_id = $this->input->post('test_id');
				$item_name = $this->input->post('item_name');
				$selling_price = $this->input->post('selling_price');
				$unit = $this->input->post('unit');
				for($i=0;$i<count($item_name);$i++){
					if($item_name[$i]!=""){
						$data=array('main_category' => $item_id,
									'sub_category'  => $test_id[$i],
									'item_name'     => $item_name[$i],
									'selling_price' => $selling_price[$i],
									'unit' 			=> $unit[$i]
						);
						$rr=$this->crud_model->insert('items',$data);
					}
				}
			if($rr == false) {
				// error

				$this->session->set_flashdata('response','<div class="alert alert-error">Item cannot be inserted</div>',':old:');
				$this->load->view('templates/header');
				$this->load->view('masters/item');
				$this->load->view('templates/footer');
			} else {
				// redirect
				//if($_REQUEST["xcount"]>0){
//					$this->load->helper('form');
//					$query = $this->db->query("SELECT MAX(`id`) AS `MAXID` FROM `items`");
//					$row = $query->row();
//					$uniqueID = $row->MAXID;
//					if(!file_exists("item_specifications/".$uniqueID))
//						mkdir("item_specifications/".$uniqueID);
//						$config['upload_path'] = 'item_specifications/'.$uniqueID;
//						$config['allowed_types'] = '*';
//						$this->load->library('upload', $config);
//						$this->upload->initialize($config);
//						$this->upload->set_allowed_types('*');
//						for($j=1; $j <= $_REQUEST["xcount"]; $j++) { 
//							if($_FILES["fileField".$j]["name"]){
//								$this->upload->do_upload("fileField".$j);
//								$newdata = array('item_id'=>$row->MAXID,'specification'=>str_replace(" ","_",$_FILES["fileField".$j]["name"]));
//								$add_file = $this->db->insert('item_specifications', $newdata); 
//							}
//						}
//				}
				$this->session->set_flashdata('response','<div class="alert alert-success">Item added successfully</div>');
				redirect('masters/item');

			}
		}

	}

	function do_update() {
		
		//$currency_code = ascii_to_entities($this->input->post('currency_code'));
		$file_error = "";
		$filename = "";
		if($this->input->post('item_id')==""){
			$this->form_validation->set_rules('textfield2', 'Item Name', 'required');
		}else{
			$this->form_validation->set_rules('item_id', 'Item Name', 'required');
		}
		
		//if($_FILES["logo_image"]["name"]!=""){
//		$allowedExts = array("gif", "jpeg", "jpg", "png");
//		$temp = explode(".", $_FILES["logo_image"]["name"]);
//		$extension = end($temp);
//		if ((($_FILES["logo_image"]["type"] == "image/gif")
//		|| ($_FILES["logo_image"]["type"] == "image/jpeg")
//		|| ($_FILES["logo_image"]["type"] == "image/jpg")
//		|| ($_FILES["logo_image"]["type"] == "image/pjpeg")
//		|| ($_FILES["logo_image"]["type"] == "image/x-png")
//		|| ($_FILES["logo_image"]["type"] == "image/png"))
//		&& ($_FILES["logo_image"]["size"] < 1000000)
//		&& in_array($extension, $allowedExts)){
//			if ($_FILES["logo_image"]["error"] > 0) {
//				$file_error = "Invalid file1";
//			}
			/*
		  else
			{
			echo "Upload: " . $_FILES["logo_image"]["name"] . "<br>";
			echo "Type: " . $_FILES["logo_image"]["type"] . "<br>";
			echo "Size: " . ($_FILES["logo_image"]["size"] / 1024) . " kB<br>";
			echo "Stored in: " . $_FILES["logo_image"]["tmp_name"];
			}*/
		  //} else {
//		  	$file_error = "Invalid file2";
//		  }
//		
//	
//		$path = FCPATH."images/items";
//		$config['upload_path'] = $path;
//		$config['allowed_types'] = 'gif|jpg|png|jpeg';
		//$config['max_size'] = '1000';
        //$config['max_width']  = '500';
        //$config['max_height']  = '500';
		
		
		
		//$this->load->library('upload', $config);
//		
//		
//
//		if ($this->upload->do_upload('logo_image')) {
//			$up_data = array('upload_data' => $this->upload->data());
//		} else {
//			$file_error = "File upload error.3";
//		}
//
//		$filename = $up_data["upload_data"]["file_name"];
//		}else{
//			$filename = $this->input->post('image_item');
//		}

		if ($this->form_validation->run() == FALSE) {
			// false section
			$up_id = $this->input->post('up_id');
			$where=array("id"=>$up_id);
					
			$records=$this->crud_model->get('items', $where);
			if($records != false){
				//true section
				$data['item_id']			 	 = $records[0]['id'];
				$data['main_category']			 = $records[0]['main_category'];
				$data['sub_category']			 = $records[0]['sub_category'];
				$data['item_name']			 	 = $records[0]['item_name'];
				$data['item_code']				 = $records[0]['item_code'];
				$data['description']			 = $records[0]['description'];
				$data['cost_price']				 = $records[0]['cost_price'];
				$data['selling_price']			 = $records[0]['selling_price'];
				$data['unit']					 = $records[0]['unit'];
				$data['item_file_name']					 = $records[0]['item_file_name'];
				
				$list = $this->crud_model->get_list('id','category_name','main_category',array(''=>' - Select - '));
				$data['category_list'] = $list;
//				
				$sub_list = $this->crud_model->get('sub_category',array('main_category'=>$data['main_category']));
				$data['sub_category_list'] = $sub_list;
//				
//				$this->db->select('*');
//				$this->db->from('item_specifications');
//				$this->db->where('item_id', $this->input->post('item_id')); 
//				$up_data = $this->db->get();
//				if($up_data->num_rows() > 0){
//					$data['rec_file'] = $up_data->result_array();
//				}
//				else{
//					$data['rec_file'] = array();
//				}
			
				$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
				$this->load->view('templates/header');
				$this->load->view('masters/item/edit_item',$data);
				$this->load->view('templates/footer');

			} else {
				//false section
				$this->session->set_flashdata('response','<div class="alert alert-error">error</div>');
				redirect('masters/item');
			}
		} else {// true section

			$where=array(
				'main_category'  => $this->input->post('item_id')
			);
			$this->crud_model->delete('items',$where);
			
			if($this->input->post('item_id')!=""){
		 			$item_id = $this->input->post('item_id');
				}else{
					$item_id = $this->input->post('textfield2');
				}
				$test_id = $this->input->post('test_id');
				$item_name = $this->input->post('item_name');
				$selling_price = $this->input->post('selling_price');
				$unit = $this->input->post('unit');
				for($i=0;$i<count($item_name);$i++){
					if($item_name[$i]!=""){
						$data=array('main_category' => $item_id,
									'sub_category'  => $test_id[$i],
									'item_name'     => $item_name[$i],
									'selling_price' => $selling_price[$i],
									'unit' 			=> $unit[$i]
						);
						$rr=$this->crud_model->insert('items',$data);
					}
				}
			
			//if($_REQUEST["xcount"]>0){
//					$this->load->helper('form');
//					$query = $this->db->query("SELECT MAX(`id`) AS `MAXID` FROM `items`");
//					$row = $query->row();
//					$uniqueID = $this->input->post('item_id');
//					if(!file_exists("item_specifications/".$uniqueID))
//						mkdir("item_specifications/".$uniqueID);
//						$config['upload_path'] = 'item_specifications/'.$uniqueID;
//						$config['allowed_types'] = '*';
//						$this->load->library('upload', $config);
//						$this->upload->initialize($config);
//						$this->upload->set_allowed_types('*');
//						for($j=1; $j <= $_REQUEST["xcount"]; $j++) { 
//							if($_FILES["fileField".$j]["name"]){
//								$this->upload->do_upload("fileField".$j);
//								$newdata = array('item_id'=>$uniqueID,'specification'=>str_replace(" ","_",$_FILES["fileField".$j]["name"]));
//								$add_file = $this->db->insert('item_specifications', $newdata); 
//							}
//						}
//				}

			$this->session->set_flashdata('response','<div class="alert alert-success">Item updated</div>');
			redirect('masters/item');

		}
	}
	function do_delete($id=0) {
		if($this->crud_model->check_permission("item","delete")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		/*$where=array(
			'id'=> $id
		);*/
		
		//$records=$this->crud_model->get('view_furniture_quotations_client_project_users', $where);
		
		//if(!$records) {
			$where=array(
				'main_category'=> $id
			);
			$this->crud_model->delete('items',$where);
			$this->session->set_flashdata('response','<div class="alert alert-success">Item deleted</div>');
			redirect('masters/item');
		/*} else {
			$this->session->set_flashdata('response','<div class="alert alert-error">Sorry. You cannot delete a division that is used in the existing quotations.</div>');
			redirect('masters/company_division');
		}*/
	}
	function sub_category() {
		$sub_category_name =  $this->input->post('sub_category');
		$list = $this->crud_model->get_list('sub_id','sub_category_name','sub_category',array('select'=>' - Select - '),array('main_category'=>$sub_category_name));
		$js = 'id="textfield3", class="input-inner-new" style="height: 42px; width: 320px;"';
		$output = form_dropdown('textfield3', $list,'',$js);
    	echo $output;
		//echo $data;
	}
	function delete_item_specification($id=0,$item_id=0) {
			$where=array(
				'id'=> $id
			);
			$records=$this->crud_model->get('item_specifications',$where);
			$filename = $records[0]["specification"];
			$fileid   = $records[0]["item_id"];
			unlink(FCPATH."item_specifications/".$fileid."/".$filename);
			$success = $this->crud_model->delete('item_specifications',$where);
			
			$where_item=array(
				'id' => $item_id
		);
		$records=$this->crud_model->get('items',$where_item);
		if($records != false){
			//true section
			$data['item_id']			 	 = $records[0]['id'];
			$data['main_category']			 = $records[0]['main_category'];
			$data['sub_category']			 = $records[0]['sub_category'];
			$data['item_name']			 	 = $records[0]['item_name'];
			$data['item_code']				 = $records[0]['item_code'];
			$data['description']			 = $records[0]['description'];
			$data['cost_price']				 = $records[0]['cost_price'];
			$data['selling_price']			 = $records[0]['selling_price'];
			$data['unit']					 = $records[0]['unit'];
			$data['item_file_name']			 = $records[0]['item_file_name'];
			
			$list = $this->crud_model->get_list('id','category_name','main_category',array('select'=>' - Select - '));
			$data['category_list'] = $list;
			
			$sub_list = $this->crud_model->get_list('sub_id','sub_category_name','sub_category',array('select'=>' - Select - '),array('main_category'=>$data['main_category']));
			$data['sub_category_list'] = $sub_list;
			
			
			$this->db->select('*');
			$this->db->from('item_specifications');
			$this->db->where('item_id', $id); 
			$up_data = $this->db->get();
			if($up_data->num_rows() > 0){
				$data['rec_file'] = $up_data->result_array();
			}
			else{
				$data['rec_file'] = array();
			}
		
			
			$this->session->set_flashdata('response','<div class="alert alert-success">Item Specification deleted</div>');
			redirect('masters/item/edit/'.$item_id);

		} else {
			//false section
			$this->session->set_flashdata('response','<div class="alert alert-error">error</div>');
			redirect('masters/item');
		}
		/*} else {
			$this->session->set_flashdata('response','<div class="alert alert-error">Sorry. You cannot delete a division that is used in the existing quotations.</div>');
			redirect('masters/company_division');
		}*/
	}
	public function search_item($page=1) {
			$where=array();
			$or_like=array();
			if($this->input->post('filter_division') != "-1") {
			$where=array('main_category'=> $this->input->post('filter_division'));
			}
			if($this->input->post('filter_division1') != "-1") {
			$where=array('sub_category'=> $this->input->post('filter_division1'));
			}
			if($this->input->post('filter_value') != "") {
			$or_like = array('item_name'=>$this->input->post('filter_value'),
							'item_code'=>$this->input->post('filter_value'));
			}
			$config['per_page']		= 25;
			$config['base_url'] 	= site_url('masters/item/index/');
			$config['total_rows'] 	= $this->crud_model->get_count('items',array());
	
			$offset = ($page-1) * $config['per_page'];
			$data['records'] = $this->crud_model->get('items', $where,$config['per_page'],$offset, null, null, null, null, $or_like);
			$this->pagination->initialize($config);
			$data['pagination'] = $this->pagination->create_links();
			
			$list = $this->crud_model->get_list('id','category_name','main_category',array('-1'=>' - Main Categories - '));
			$data['main_category_list'] = $list;
			$list = $this->crud_model->get_list('sub_id','sub_category_name','sub_category',array('-1'=>' - Sub Categories - '));
			$data['sub_category_list'] = $list;
		    $this->load->view('templates/header');
			$this->load->view('masters/item/list_item',$data);
			$this->load->view('templates/footer');
	}
	public function save_item(){
		$rr = $this->crud_model->insert('main_category',array('category_name' => $this->input->post('item_name11')));
		if($rr){
			$query = $this->db->query("SELECT MAX(`id`) AS max_main FROM main_category");
			$data_val = $query->result_array();
			echo $data_val[0]['max_main'];
		}
	}
	public function save_test(){
		$rr = $this->crud_model->insert('sub_category',array('main_category' => $this->input->post('item_id11'),'sub_category_name' => $this->input->post('test_name11')));
		if($rr){
			$query = $this->db->query("SELECT MAX(`sub_id`) AS max_sub FROM sub_category");
			$data_val = $query->result_array();
			echo $data_val[0]['max_sub'];
		}
	}
	public function update_test(){
		$rr = $this->crud_model->update('sub_category',array('sub_category_name' => $this->input->post('test_name')),array('sub_id' => $this->input->post('test_id')));
		echo 1;
	}
	function search_item_name() {
	
		$search_name = $this->input->post('textfield2');
		$like=array('category_name'=>$search_name);
		$records['quotation_list']=$this->crud_model->get('main_category',null,null,null,null,null,$like,null,null);					
		if($records['quotation_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/item_search_result', $records);
			
		}
		
	}
	function search_test_name() {
		$where_name = $this->input->post('item_id');
		$search_name = $this->input->post('textfield3');
		$like=array('sub_category_name'=>$search_name);
		$where=array('main_category'=>$where_name);
		$records['quotation_list']=$this->crud_model->get('sub_category',$where,null,null,null,null,$like,null,null);					
		if($records['quotation_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/test_search_result', $records);
			
		}
		
	}
	function test_methods() {
		$category 		= 	$this->input->post('category');
		$data_val 		= 	$this->db->query("SELECT sub_id,sub_category_name FROM `sub_category` WHERE `main_category`='$category'");
		$method_list	=	$data_val->result_array();
		$html = '<option value="">-- select --</option>';				
		if($method_list != false ){
			foreach($method_list as $method_lists){
				$html .= '<option value="'.$method_lists['sub_id'].'">'.$method_lists['sub_category_name'].'</option>';
			}
		}
		echo $html;
	}
}