<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Projects extends CI_Controller {

	function Projects()
	{
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		if($this->crud_model->check_permission("projects","view")==false && $this->session->userdata('default_controller_name')!="projects"){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->library('form_validation');
		//$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
	}	
	
	
	public function index() {
			$like=' WHERE 1';
			if($this->input->post('cli_search') != "") {
				$cli_search=$this->input->post('cli_search');
				$like.=" AND NC.`client_name`  like '%$cli_search%' ";
			}
			if($this->input->post('project_name') != "") {
				$project_name=$this->input->post('project_name');
				$like.=" AND  P.`project_name` like '%$project_name%' ";
			}
			if($this->input->post('project_id') != "") {
				$project_id=$this->input->post('project_id');
				$like .= "  AND P.`project_id`like  '%$project_id%' ";
			}
			
			$client_name_data = $this->db->query("SELECT P.`id`,P.`project_id`,P.`client_id`,P.`project_name`,P.`project_contect_person`,NC.`client_name` FROM `projects` P INNER JOIN `new_client_master` NC ON NC.`client_id`=P.`client_id` ".$like);
			
			$data['records'] = $client_name_data->result_array();
		    $this->load->view('templates/header');
			$this->load->view('reports/list_projects',$data);
			$this->load->view('templates/footer');
	}
	function create() {
		if($this->crud_model->check_permission("projects","add")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		/*$pro_data = $this->db->query("SELECT * FROM `projects` WHERE `id`=(SELECT max(`id`) FROM `projects`)");
		//$pro_data = $this->db->query("SELECT id,project_id FROM `projects` where `project_id` like '%AMD-%' order by `id` desc limit 0,1 ");
		$config_data = $this->db->query("SELECT * FROM `configuration` WHERE config_id='2' ");
		if (count($pro_data->result())=='0'){
			if(count($config_data->result()>0)){
				$data['max_id']= $config_data->row()->config_flag.'-'.$config_data->row()->config_value;
			}
		} else {
			$array =  explode('-', $pro_data->row()->project_id);
			$data['max_id']= $config_data->row()->config_flag.'-'.(@$array[1]+1);
		}*/
		$pro_data 	= $this->db->query("SELECT project_id FROM `projects` WHERE `id`=(SELECT max(`id`) FROM `projects`)");
		$var 		= $pro_data->result_array();
		$array		= explode("-",$var[0]['project_id']);
		$data['max_id']= date('y').'-'.($array[1]+1);
		
		$this->load->view('templates/header');
		$this->load->view('reports/add_project',$data);
		$this->load->view('templates/footer');
	}
	function max_id(){
		/*$pro_data = $this->db->query("SELECT * FROM `projects` WHERE `id`=(SELECT max(`id`) FROM `projects`)");
		//$pro_data = $this->db->query("SELECT id,project_id FROM `projects` where `project_id` like '%AMD-%' order by `id` desc limit 0,1 ");
		$config_data = $this->db->query("SELECT * FROM `configuration` WHERE config_id='2' ");
		if (count($pro_data->result())=='0'){
			if(count($config_data->result()>0)){
				print $config_data->row()->config_flag.'-'.$config_data->row()->config_value;
			}
		} else {
			$array =  explode('-', $pro_data->row()->project_id);
			print $config_data->row()->config_flag.'-'.(@$array[1]+1);
		}*/
		$pro_data 	= $this->db->query("SELECT project_id FROM `projects` WHERE `id`=(SELECT max(`id`) FROM `projects`)");
		$var 		= $pro_data->result_array();
		$array		= explode("-",$var[0]['project_id']);
		print $data['max_id']= date('y').'-'.($array[1]+1);
		//$records = $this->crud_model->get_count('projects');
		//print $data['max_id']= date('y').'-'.($records+1000);
	}
	function do_insert() {
		$this->form_validation->set_rules('search_client_id', 'Client Name', 'required');
		$this->form_validation->set_rules('project_id', 'Project ID', 'required|max_length[100]|is_unique[projects.project_id]');
		$this->form_validation->set_rules('project_name', 'Project Name', 'required|max_length[200]');
		$this->form_validation->set_rules('contact_person', 'Contact Person', 'required|max_length[200]');
		
		$search_client_id  		=   $this->input->post('search_client_id');
		$project_id  		=   $this->input->post('project_id');
		$project_name  		=   $this->input->post('project_name');
		$contact_person  	=   $this->input->post('contact_person');

		if ($this->form_validation->run() == FALSE) {
				$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
				$this->create();
		} else {
			$data=array(
				'project_id' 				=>	$project_id,
				'client_id' 				=>	$search_client_id,
				'project_name' 				=>	$project_name,
				'project_contect_person' 	=>	$contact_person
			);

			$records=$this->crud_model->insert('projects',$data);

			$this->session->set_flashdata('response','<div class="alert alert-success">Project Details Added</div>');
			redirect('projects');

		}

	}
	public function search_project() {
			$like=' WHERE 1';
			$or_where=array();
			if($this->input->post('cli_search') != "") {
				$cli_search=$this->input->post('cli_search');
				$like.=" AND NC.`client_name`  like '%$cli_search%' ";
			}
			if($this->input->post('project_name') != "") {
				$project_name=$this->input->post('project_name');
				$like.=" AND  P.`project_name` like '%$project_name%' ";
			}
			if($this->input->post('project_id') != "") {
				$project_id=$this->input->post('project_id');
				$like .= "  AND P.`project_id`like  '%$project_id%' ";
			}
			
			$client_name_data = $this->db->query("SELECT P.`id`,P.`project_id`,P.`client_id`,P.`project_name`,P.`project_contect_person`,NC.`client_name` FROM `projects` P INNER JOIN `new_client_master` NC ON NC.`client_id`=P.`client_id` ".$like);
			
			$data['records'] = $client_name_data->result_array();
		    
			$this->load->view('templates/header');
			$this->load->view('reports/list_projects',$data);
			$this->load->view('templates/footer');
	}
	function edit($id) {
		if($this->crud_model->check_permission("projects","edit")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$where=array(
				'id' => $id
		);
		$records=$this->crud_model->get('projects',$where);
		if($records != false){
			$client_id	=	$records[0]['client_id'];
			$client_name_data = $this->db->query("SELECT client_name from new_client_master WHERE client_id='$client_id'");
			//true section
			$data['id']		 	 			= $records[0]['id'];
			$data['client_id']		 		= $records[0]['client_id'];
			$data['client_name']		 		= $client_name_data->row()->client_name;
			$data['project_id']		 		= $records[0]['project_id'];
			$data['project_name']		 	= $records[0]['project_name'];
			$data['project_contect_person']	= $records[0]['project_contect_person'];
			$this->load->view('templates/header');
			$this->load->view('reports/edit_project',$data);
			$this->load->view('templates/footer');

		} else {
			//false section
			$this->session->set_flashdata('response','<div class="alert alert-error">error</div>');
			redirect('client_reports');
		}
	}
	function do_update() {
	
		$id  				=   $this->input->post('id');
		$search_client_id  		=   $this->input->post('search_client_id');
		$project_id  		=   $this->input->post('project_id');
		$project_name  		=   $this->input->post('project_name');
		$contact_person  	=   $this->input->post('contact_person');
	
		$where		=   array("id"=>$id);
		$records	=	$this->crud_model->get('projects', $where);
		
		if($project_id != $records[0]['project_id']) {
		   $is_unique =  '|is_unique[projects.project_id]';
		} else {
		   $is_unique =  '';
		}
		
		$this->form_validation->set_rules('search_client_id', 'Client Name', 'required');	
		$this->form_validation->set_rules('project_id', 'Project ID', 'required|max_length[100]'.$is_unique);
		$this->form_validation->set_rules('project_name', 'Project Name', 'required|max_length[200]');
		$this->form_validation->set_rules('contact_person', 'Contact Person', 'required|max_length[200]');

		if ($this->form_validation->run() == FALSE) {
			
			if($records != false){
				$client_id	=	$records[0]['client_id'];
				$client_name_data = $this->db->query("SELECT client_name from new_client_master WHERE client_id='$client_id'");
				
				$data['id']		 	 			= $records[0]['id'];
				$data['client_id']		 		= $records[0]['client_id'];
				$data['client_name']		 		= $client_name_data->row()->client_name;
				$data['project_id']		 		= $records[0]['project_id'];
				$data['project_name']		 	= $records[0]['project_name'];
				$data['project_contect_person']	= $records[0]['project_contect_person'];
				
				$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
				$this->load->view('templates/header');
				$this->load->view('reports/edit_project',$data);
				$this->load->view('templates/footer');

			} else {
				$this->session->set_flashdata('response','<div class="alert alert-error">error</div>');
				redirect('projects');
			}
		} else {
			$where=array(
				'id'  => $id
			);
			$data=array(
				'project_id' 				=>	$project_id,
				'client_id' 				=>	$search_client_id,
				'project_name' 				=>	$project_name,
				'project_contect_person' 	=>	$contact_person
			);

			$records=$this->crud_model->update('projects',$data,$where);
			$this->session->set_flashdata('response','<div class="alert alert-success">Project Details Updated</div>');
			redirect('projects/edit/'.$id);

		}

	}
	public function n_do_update(){
		$project_id		= $this->input->post('project_id');
		$project_name	= $this->input->post('project_name');
		if ($project_id!=='' or $project_name!==''){
			$where=array(
				'id'  => $project_id
			);
			$data2=array(
				'project_name' 				=>	$project_name
			);
			
			$where2=array(
				'project_id'  => $project_id
			);
			//$records1=$this->crud_model->update('projects',$data2,$where);
			$records2=$this->crud_model->update('jobs',$data2,$where2);
			$records3=$this->crud_model->update('work_order_main',$data2,$where2);
			echo '1';
		} else {
			echo '0';
		}
	}
	function search_client() {
	
		$search_name = trim($this->input->post('search_name'));
		$search_mob = trim($this->input->post('search_mob'));
		
		//$search_name = 'imp';
		
		$or_where=array();
		$like=null;
		if($search_mob !='') {
			$or_where=array('client_telephone1'=>$search_mob,
							'client_telephone2'=>$search_mob);
		
		}	

		if($search_name!=''){
			$like=array('client_name'=>$search_name);
		}
		
		$records['client_list']=$this->crud_model->get('new_client_master',array(), null,null,null,null,$like, $or_where);
						
		if($records['client_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/furniture_quotation_client_project/search_result', $records);
			
		}
		
	}
}
?>