<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Receipt extends CI_Controller {

	function Receipt() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		if($this->crud_model->check_permission("receipt","view")==false && $this->session->userdata('default_controller_name')!="receipt"){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}

	public function index($quotation_id=0) {
		//$this->data['receipts'] = $this->furniture_quotation_model->get_all_receipts();
		//print_r($this->data['receipts']);exit;
		$query = $this->db->query("SELECT FR.`receipt_id`,FR.`receipt_number`,FR.`receipt_date`,FR.`receipt_status`,FR.`receipt_mode`,FR.`receipt_reference`,FR.`receipt_bankname`,FR.`receipt_remarks`,FR.receipt_amount,FR.receipt_discount,FI.`client` FROM `furniture_receipts` FR INNER JOIN `furniture_receipts_details` FRD ON FR.`receipt_id`=FRD.`receipt_id` INNER JOIN `furniture_invoice` FI ON FI.`invoice_id`=FRD.`invoice_id`  GROUP BY FR.`receipt_id` ORDER BY FR.`receipt_id` DESC ");
		$receipts_data	=	$query->result_array();
		$data['receipts']=$receipts_data;
		$this->load->view('templates/header');
		$this->load->view('manage/receipts',$data);
		$this->load->view('templates/footer');
	}
	
	public function create_receipt(){
		if($this->crud_model->check_permission("receipt","add")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->view('templates/header');
		$this->load->view('manage/createReceipt');
		$this->load->view('templates/footer');
	}
	
	function search_client_for_receipt() {
		//$search_name = trim($this->input->post('filter_division'));
		$search_name ='';
		$search_mob = trim($this->input->post('search_name'));
		
		$or_where=array();
		$like=null;
		//&& $search_name!=''
		if($search_mob !='') {
			//$where=array('furniture_invoice.quotation_divisionid'=>$search_name);
			$like=array('furniture_invoice.client'=>$search_mob);
		
		}else{
			//$where=array('furniture_invoice.quotation_divisionid'=>$search_name);
			$like=array();
		}
		$where=array();
		$this->db->distinct();
		$this->db->select('new_client_master.client_id,new_client_master.client_name,new_client_master.client_address,new_client_master.client_country,new_client_master.client_telephone1,new_client_master.client_telephone2,new_client_master.client_fax,new_client_master.client_email,furniture_invoice.quotation_divisionid');
		$this->db->from('furniture_invoice');
		$this->db->join('new_client_master', 'new_client_master.client_id = furniture_invoice.client_id','inner');
		$this->db->where($where);
		$this->db->where('furniture_invoice.invoice_status', '1'); 
		$this->db->like($like);
		$rs = $this->db->get();
		if($rs->num_rows() > 0){
			$records['client_list'] = $rs->result_array();
			if($records['client_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('manage/search_clients', $records);
			//$this->load->view('manage/search_result_receipt', $records);
		}
		}
		
		//$records['client_list']=$this->crud_model->get('new_client_master',array(), null,null,null,null,$like, $or_where);
		
	
		
		
	}


	function get_outstanding_invoices(){
		$client_id = $this->input->post('client');
		$ref_division = $this->input->post('ref_division');
		$invoices=$this->furniture_quotation_model->get_outstanding_invoices_new($client_id,$ref_division);

                if ($invoices != false){
                foreach($invoices as $index =>$invoice){
			$quotation_id = $invoice['quotation_id'];
			//$amount_paid = $this->furniture_quotation_model->get_paid_receipts_total($quotation_id);
			$amount_paid = $invoice['paid_amount'];
                        $invoices[$index]['amount_paid'] =$amount_paid;
						
					
			$invoices[$index]['balance_amount'] =$invoice['invoice_amount']- $amount_paid;
		
		}
                }
		$records['invoices'] = $invoices;
		if($records['invoices'] == false ){
			echo '<label style="color:red; font-size:14.5px;">No Invoice List Available..!</label>';
		} else {
			$records=html_escape($records);
			$this->load->view('manage/search_result_receipt', $records);

		}
	}

	function get_confirmed_quotations(){
		$client_id = $this->input->post('client_id');
		//$invoices = $this->furniture_quotation_model->get_outstanding_invoices($client_id);
		$invoices = $this->furniture_quotation_model->get_confirmed_quotes ($client_id);
              /*
                $not_included_quotations = array();
                if ($invoices != false ) {
                foreach($invoices as $index =>$invoice){
			if($invoice['invoice_number']){
				array_push($not_included_quotations,$invoice['invoice_id']);
			}
		}
                }
                */
		$confirmed_quotations = $this->furniture_quotation_model->get_confirmed_quotations($client_id,$not_included_quotations);
		if(is_array($confirmed_quotations)){
		foreach($confirmed_quotations as $index =>$invoice){
			$quotation_id = $invoice['id'];
			$amount_paid = $this->furniture_quotation_model->get_paid_receipts_total($quotation_id);
			$confirmed_quotations[$index]['amount_paid'] =$amount_paid;
			$confirmed_quotations[$index]['balance_amount'] =$invoice['quotation_total']- $amount_paid;
		}
		}
		$records['confirmed_quotations'] = $confirmed_quotations;
		//var_dump($records['invoices']); exit;
		if($records['confirmed_quotations'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('manage/receipts_confirmed_quotations', $records);
			
		}
		
	}
	public function save_receipt_new(){
		$no_of_invoices = $this->input->post('no_of_invoices');		
		$SQL = "SELECT MAX(receipt_number)+1 as `new_receipt_number` FROM furniture_receipts where quotation_divisionid='".$this->input->post('ref_div_id')."';";
		$result = $this->db->query($SQL);
		$data = $result->result_array();
		
		if($data[0]['new_receipt_number'] != NULL and $data[0]['new_receipt_number'] != ""){
			$receipt_no = $data[0]['new_receipt_number'];
		} else{
			$receipt_no = 101;
		}
		
		
		$datanew = array(
			'receipt_number' 		=> $receipt_no,
			'receipt_date' 			=> date("Y-m-d h:m:s"),
			'receipt_mode' 			=> $this->input->post("payment_modes"),
			'receipt_amount' 		=> $this->input->post("current_amount"),
			'receipt_reference' 	=> $this->input->post("ref_number"),
			'receipt_bankname' 		=> $this->input->post("bank_name"),
			'receipt_remarks' 		=> $this->input->post("remarks"),
			'receipt_generatedby' 	=> $this->session->userdata("user_id"),
			'client_id' 			=> $this->input->post("clientIdHidden")
		);
		$inv = $this->db->insert('furniture_receipts',$datanew);
		$max_data = $this->db->query("SELECT max(receipt_id) as mx_id FROM `furniture_receipts` where receipt_number='$receipt_no' ");
		$mx_id	=	$max_data->row()->mx_id;
		
		$hidden_invoice_id	=	$this->input->post("hidden_invoice_id");
		$current_amount_invoice	=	$this->input->post("current_amount_invoice");
		$receipt_discount	=	$this->input->post("receipt_discount");
		
		$total_receipt_amount=0;
		$total_receipt_discount=0;
		
		for($i=0; $i<count($hidden_invoice_id) ; $i++){
			if ($current_amount_invoice[$i]!=='' and $current_amount_invoice[$i]!=='0'){
				$datanew2 = array(
					'receipt_id' 		=> 	$mx_id,
					'invoice_id' 		=>	$hidden_invoice_id[$i],
					'invoice_amount' 	=>	$current_amount_invoice[$i],
					'invoice_discount' 	=>	$receipt_discount[$i],
					'client_id' 		=> $this->input->post("clientIdHidden")
				);
				$this->db->insert('furniture_receipts_details',$datanew2);
				$total_receipt_amount=$total_receipt_amount+$current_amount_invoice[$i];
				$total_receipt_discount=$total_receipt_discount+$receipt_discount[$i];
			}
		} 
		$update_data = array(
				'receipt_amount' 	=> 	$total_receipt_amount,
				'receipt_discount' 	=>	$total_receipt_discount
			);
		$this->crud_model->update('furniture_receipts',$update_data,array('receipt_number' => $receipt_no));
		
		//$receipt_no = $this->furniture_quotation_model->get_new_receipt_number();
		//$amount = $this->input->post($current_amount_invoice);
			/*for($i=1;$i<=$no_of_invoices;$i++)
			{
				$current_amount_invoice ="current_amount_invoice_".$i;
				$amount = $this->input->post($current_amount_invoice);
				$new_current_bal_amount_invoice ="current_bal_amount_invoice_".$i;
				$bal_amount = $this->input->post($new_current_bal_amount_invoice);
				$invoice_id ="invoice_id_".$i;
				$invid = $this->input->post($invoice_id);
				$new_receipt_tick ="new_receipt_tick_".$i;
				$new_receipt_tick = $this->input->post($new_receipt_tick);
				if($amount!="" && $amount!="0"){
						//$receipt['quotation_id'] = $quotation_id;
						$receipt['receipt_number'] = $receipt_no;
						$receipt['quotation_divisionid'] = $this->input->post("ref_div_id");
						$receipt['receipt_date'] = date("Y-m-d h:m:s");
						$receipt['receipt_mode'] = $this->input->post("payment_modes");
						$receipt['receipt_amount'] = $amount;
						$receipt['receipt_discount'] = $this->input->post("receipt_discount_".$i);
						$receipt['balance_amount'] = $bal_amount;
						$receipt['receipt_reference'] = $this->input->post("ref_number");
						$receipt['receipt_bankname'] = $this->input->post("bank_name");
						$receipt['receipt_remarks'] = $this->input->post("remarks");
						$receipt['receipt_generatedby'] = $this->session->userdata("user_id");
						$receipt['invoice_id'] = $invid;
						//$this->furniture_quotation_model->set_receipt_id($quotation_id);
						//$generated_receipt_id = $this->session->userdata("furniture_receipt_id");
						//$where= array('receipt_id'=>$generated_receipt_id);
						$inv = $this->crud_model->insert('furniture_receipts',$receipt);
						if($inv){
							$paid_amount = $this->furniture_quotation_model->get_paid_amount_for_invoice($invid);
							$receipt_discount = $this->furniture_quotation_model->get_receipt_discount_for_invoice($invid);
							$invoiceWhere = array('invoice_id' => $invid);
							$invoiceData = array('paid_amount' => $paid_amount+$amount,'receipt_discount' => $receipt_discount+$this->input->post("receipt_discount_".$i));
							$invupdate = $this->crud_model->update('furniture_invoice',$invoiceData,$invoiceWhere);
						}
				}
					
			}*/
		if($inv){
		/*$SQLRECEIPT = "SELECT MAX(receipt_id) as `receipt_id` FROM furniture_receipts;";
		$receipt_result = $this->db->query($SQLRECEIPT);
		$receipt_details = $receipt_result->result_array();
		$receipt_id = $receipt_details[0]['receipt_id'];
		
		// MAILING ....

				$INVOICESQL = "SELECT company_division.division_code AS division_name,company_division.currency_code AS currency_name,furniture_invoice.client AS client,furniture_receipts.receipt_number,furniture_receipts.receipt_amount,furniture_receipts.quotation_divisionid FROM furniture_receipts JOIN furniture_invoice ON furniture_invoice.invoice_id=furniture_receipts.invoice_id JOIN company_division ON company_division.division_id=furniture_invoice.quotation_divisionid WHERE furniture_receipts.receipt_id=".$receipt_id;
				$invoice_result = $this->db->query($INVOICESQL);
				$invoice_details = $invoice_result->result_array();
				$this->db->select('*');
				$this->db->from('emails'); 
				$query_email = $this->db->get();
				$records_email=$query_email->result_array();

				$links =   site_url('furniture/furniture_receipt/view1/'.$receipt_id.'/'.$invoice_details[0]['receipt_number'].'/'.$invoice_details[0]['quotation_divisionid'].'/normal');
				/*	email notification start	*/
			/*	$this->load->library('tw_email');
				// send mail code
				$from 		= ADMIN_MAIL;
				$fromname 	= 'Q-Pro Admin';
				$to 		= @$records_email[0]['receipt'];
				$subject 	= 'Q-Pro - Receipt for '.$invoice_details[0]['client'].'('.$invoice_details[0]['division_name'].' - '.$invoice_details[0]['receipt_number'].') is created';
				$message 	= '
				<table>
					<tr>
						<td>Receipt No.</td>
						<td>:</td>
						<td><a href='.$links.'>'.$invoice_details[0]['division_name'].' - '.$invoice_details[0]['receipt_number'].'</a></td>

					</tr>
					<tr>
						<td>Client</td>
						<td>:</td>
						<td>'.$invoice_details[0]['client'].'</td>
					</tr>
					<tr>
						<td>Receipt Amount</td>
						<td>:</td>
						<td>'.$invoice_details[0]['currency_name'].'. '.number_format( $invoice_details[0]['receipt_amount'],2).'</td>
					</tr>
				</table>';

				$this->tw_email->send($from,$fromname,$to,$subject,$message);*/

				/*	email notification end		*/
		
		$this->session->set_flashdata('response', 'New Receipt Created...');	
		redirect('receipt');}else{
		$this->session->set_flashdata('response', 'Something Wrong, Please Try Again...');	
		redirect('receipt');
		}
	}
	public function save_receipt(){
		
		$no_of_invoices = $this->input->post('no_of_invoices');
		$no_of_confirmed_quotations = $this->input->post('no_of_confirmed_quotations');
		
		$this->form_validation->set_message('amount_check','Amount is invalid or greater than balance');
		$this->form_validation->set_rules('remarks', 'Remarks', 'max_length[48]');
		
		if($this->input->post("payment_modes") != "Cash"){
			$this->form_validation->set_rules('ref_number', 'Reference Number', 'max_length[20]');
			$this->form_validation->set_rules('bank_name', 'Bank Name', 'required|max_length[100]');
		}
		
		if ($this->form_validation->run() == TRUE){
			$receipt_no = $this->furniture_quotation_model->get_new_receipt_number();
		
			for($i=1;$i<=$no_of_invoices;$i++)
			{
				$quotation_id_name = "quotation_id_invoices_".$i;
				$new_receipt_tick ="new_receipt_tick_".$i;
				$quotation_id = $this->input->post($quotation_id_name);
				$receipt_chk = $this->input->post($new_receipt_tick);
				
				if($receipt_chk){
					$current_amount_invoice ="current_amount_invoice_".$i;
					$amount = $this->input->post($current_amount_invoice);
					$this->form_validation->set_rules($current_amount_invoice,'Receipt Amount','required|max_length[20]|numeric|callback_amount_check['.$amount.','.$quotation_id.']');
					if ($this->form_validation->run() == TRUE){
						$receipt['quotation_id'] = $quotation_id;
						$receipt['receipt_number'] = $receipt_no;
						$receipt['receipt_date'] = date("Y-m-d h:m:s");
						$receipt['receipt_mode'] = $this->input->post("payment_modes");
						$receipt['receipt_amount'] = $current_amount_invoice;
						$receipt['receipt_reference'] = $this->input->post("ref_number");
						$receipt['receipt_bankname'] = $this->input->post("bank_name");
						$receipt['receipt_remarks'] = $this->input->post("remarks");
						$receipt['receipt_generatedby'] = $this->session->userdata("user_id");
						
						$this->furniture_quotation_model->set_receipt_id($quotation_id);
						$generated_receipt_id = $this->session->userdata("furniture_receipt_id");
						$where= array('receipt_id'=>$generated_receipt_id);
						$this->crud_model->insert('furniture_receipts',$receipt);
					}else{
						echo "Validation Error2";
					}		
				}
				$paid_amount = $this->furniture_quotation_model->get_paid_amount_for_quotation($quotation_id);
				$invoiceWhere = array('quotation_id' => $quotation_id);
				$invoiceData = array('paid_amount' => $paid_amount + $current_amount_invoice);
				$this->crud_model->update('furniture_invoice',$invoiceData,$invoiceWhere);
				
			}
			echo "fgdf".$no_of_confirmed_quotations;
			for($i=1;$i<=$no_of_confirmed_quotations;$i++){
				$quotation_id_name = "quotation_id_quote_".$i;
				$new_receipt_tick ="new_receipt_tick_quote_".$i;
				$quotation_id = $this->input->post($quotation_id_name);
				$receipt_chk = $this->input->post($new_receipt_tick);
				
				if($receipt_chk){
					$current_amount_invoice ="current_amount_confirmed_quote_".$i;
					$amount = $this->input->post($current_amount_invoice);
					$this->form_validation->set_rules($current_amount_invoice,'Receipt Amount','required|max_length[20]|numeric|callback_amount_check['.$amount.','.$quotation_id.']');
					if ($this->form_validation->run() == TRUE){
						$receipt['quotation_id'] = $quotation_id;
						$receipt['receipt_number'] = $receipt_no;
						$receipt['receipt_date'] = date('Y-m-d h:m:s');
						$receipt['receipt_mode'] = $this->input->post("payment_modes");
						$receipt['receipt_amount'] = $this->input->post($current_amount_invoice);
						$receipt['receipt_reference'] = $this->input->post("ref_number");
						$receipt['receipt_bankname'] = $this->input->post("bank_name");
						$receipt['receipt_remarks'] = $this->input->post("remarks");
						$receipt['receipt_generatedby'] = $this->session->userdata("user_id");
						
						$this->furniture_quotation_model->set_receipt_id($quotation_id);
						$generated_receipt_id = $this->session->userdata("furniture_receipt_id");
						$where= array('receipt_id'=>$generated_receipt_id);
						$this->crud_model->insert('furniture_receipts',$receipt);
					}else{
						echo "Validation Error2";
					}
				}
			}
		}else{
			echo "Validation Error1";
		}
		
		redirect('receipt');
	}
	
	function amount_check($amount,$quotation_id){
		//$quotation_id =$this->session->userdata('receipt_quotation_id');
		$where1= array('quotation_id'=>$quotation_id);
		$data['records'] = $this->crud_model->get('furniture_receipts',$where1);
		$receipt_total = 0;
			if($data['records'] != false) {
				foreach ($data['records'] as $recrd){
					if($recrd['receipt_status'] != 0){
						$receipt_total += $recrd['receipt_amount'];
					}
				}
			}
		$quotation_details = $this->furniture_quotation_model->get_full_quotation_details($quotation_id);
		
		$data['balance'] = $quotation_details['quotation_net_total'] - $receipt_total;
		
		if($data['balance']< $amount){
			return false;
		} else{
			if($this->input->post('receipt_amount')<=0){
				return false;
			} else{
				return true;
			}
		}
	}
	
	function filter_receipts(){
	
	}
	
	
public function cancel_receipt($receipt_number,$receipt_id){
if($this->crud_model->check_permission("receipt","delete")==false){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
			$this->db->where('receipt_number',$receipt_number);
			//$this->db->where('quotation_divisionid',$quotation_divisionid);
				 $data = array(
					'receipt_status' => 0,
					'receipt_cancelledby' => $this->session->userdata('user_name'),
					'receipt_cancelled_date' => date('Y-m-d h:m:s')
				);
			$receipt_cancel	= $this->db->update('furniture_receipts', $data);
				
			/*$this->db->select('receipt_amount,invoice_id,receipt_discount');
			$this->db->from('furniture_receipts');
			$this->db->where('furniture_receipts.receipt_number', $receipt_number);
			$this->db->where('furniture_receipts.quotation_divisionid', $quotation_divisionid); 
			$query = $this->db->get();*/
			/*if ($query->num_rows() > 0) {
				
			//for($i=1;$i<=$query->num_rows();$i++){
			foreach ($query->result() as $row) {
				//$data[] = $row;
				//}
				
				//$data["results"] = $data;
				//}
			$paid_amount 			 = $this->furniture_quotation_model->get_paid_amount_for_invoice($row->invoice_id);
			$receipt_discount_amount = $this->furniture_quotation_model->get_receipt_discount_for_invoice($row->invoice_id);
			 $this->db->where('invoice_id',$row->invoice_id);
				 $invdata = array(
					'paid_amount' 		=> $paid_amount-($row->receipt_amount),
					'receipt_discount'  => $receipt_discount_amount-($row->receipt_discount)
				);
					$this->db->update('furniture_invoice', $invdata);
		 	}
			}*/
			//}
			//break;
			
			
			if($receipt_cancel){
			
			// MAILING ....

				$INVOICESQL = "SELECT company_division.division_code AS division_name,company_division.currency_code AS currency_name,furniture_invoice.client AS client,furniture_receipts.receipt_number,furniture_receipts.receipt_amount,furniture_receipts.quotation_divisionid FROM furniture_receipts JOIN furniture_invoice ON furniture_invoice.invoice_id=furniture_receipts.invoice_id JOIN company_division ON company_division.division_id=furniture_invoice.quotation_divisionid WHERE furniture_receipts.receipt_id=".$receipt_id;
				$invoice_result = $this->db->query($INVOICESQL);
				$invoice_details = $invoice_result->result_array();
				$this->db->select('*');
				$this->db->from('emails'); 
				$query_email = $this->db->get();
				$records_email=$query_email->result_array();
				//$links =   site_url('furniture/furniture_receipt/view1/'.$receipt_id.'/'.$invoice_details[0]['receipt_number'].'/'.$invoice_details[0]['quotation_divisionid'].'/normal');
				/*	email notification start	*/
				$this->load->library('tw_email');
				// send mail code
				$from 		= ADMIN_MAIL;
				$fromname 	= 'Q-Pro Admin';
				$to 		= @$records_email[0]['receipt'];
				$subject 	= 'Q-Pro - Receipt for '.$invoice_details[0]['client'].'('.$invoice_details[0]['division_name'].' - '.$invoice_details[0]['receipt_number'].') is cancelled';
				$message 	= '
				<table>
					<tr>
						<td>Invoice No.</td>
						<td>:</td>
						<td>'.$invoice_details[0]['division_name'].' - '.$invoice_details[0]['receipt_number'].'</td>

					</tr>
					<tr>
						<td>Client</td>
						<td>:</td>
						<td>'.$invoice_details[0]['client'].'</td>
					</tr>
					<tr>
						<td>Invoice Amount</td>
						<td>:</td>
						<td>'.$invoice_details[0]['currency_name'].'. '.number_format( $invoice_details[0]['receipt_amount'],2).'</td>
					</tr>
				</table>';

				$this->tw_email->send($from,$fromname,$to,$subject,$message);

				/*	email notification end		*/
			
			$this->session->set_flashdata('response', 'Receipt Cancelled...');
			}else{
			$this->session->set_flashdata('response', 'Something Wrong.Try Again...');
			}
		    redirect('receipt');
	}
	
		
}

?>