<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Quotation_appliances extends CI_Controller {

	function Quotation_appliances()
	{
		parent::__construct();

		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
	}
	function index($page=1)
	{

		$config['per_page']		= 5;
		$config['base_url'] 	= site_url('transactions/quotation_appliances/index/');
		$config['total_rows'] 	= $this->crud_model->get_count('quotation_appliance',array('quotation_id'=>$this->session->userdata('quotation_id')));
		
		$offset = ($page-1) * $config['per_page'];
		
		$data['records'] = $this->crud_model->get('quotation_appliance',
				array('quotation_id'=>$this->session->userdata('quotation_id')),
				$config['per_page'],
				$offset
		);
		
		$this->pagination->initialize($config);
		$data['pagination'] = $this->pagination->create_links();
		
		$list = $this->quotation_model->get_quotation_kitchen_list(array('quotation_id' => $this->session->userdata('quotation_id')));
		$data['quotation_kitchens'] = $list;
		
		/* $list = $this->crud_model->get_quotation_kitchen_list(array('quotation_id' => $this->session->userdata('quo')));
		$data['quotation_kitchens'] = $list; */
		/* $rr=$this->crud_model->get('quotation_kitchen',array('quotation_id' => $this->session->userdata('quotation_id')));
		$data['quotation_id']=$this->session->userdata('quo');
		
		if($rr!=false)
		{
			$data['quotation_kitchen_id'] = $rr[0]['quotation_kitchen_id'];

		}
		$data['records'] = $this->crud_model->get('quotation_appliance');
 */
		$this->load->view('templates/header');
		$this->load->view('transactions/quotation_appliances/appliance_view',$data);
		$this->load->view('templates/footer');


	}
	function do_insert()
	{
		$this->form_validation->set_rules('quotation_kitchen_id', 'Kitchen', 'required');
		$this->form_validation->set_rules('reference_quote_number', 'Reference Quote Number', 'required');
		$this->form_validation->set_rules('reference_quote_date', 'Reference Quote Date', 'required|callback_date_check');
		$this->form_validation->set_rules('reference_quote_amount', 'Reference Quote Total', 'required|numeric');
			
		if ($this->form_validation->run() == FALSE)
		{
			// false section
			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$this->index();
		}
		else
		{	// true section
			
			$quotation_kitchen_id=$this->input->post('quotation_kitchen_id');
			
			
			if($this->session->userdata('quo')=='')
			{
				$old_quotation_id=$this->session->userdata('quotation_id');
			}
			else {
				$old_quotation_id=$this->session->userdata('quo');
			}
				//Check if the edit was already cloned and revisioned, else clone and increase revision
			$this->quotation_model->check_changes_cloned();
						
			
			if($this->session->userdata('quo')=='')
			{
				$quo_in=$this->session->userdata('quotation_id');
			}
			else {
				$quo_in=$this->session->userdata('quo');
			}
			
			
			if($old_quotation_id != $quo_in && $quotation_kitchen_id != 0 ) {
				
					$where=array (
							'quotation_id'=>$old_quotation_id
					);
					$records=$this->crud_model->get('quotation_kitchen', $where);
					$i=-1;
					foreach($records as $kitchen_item) {
						$i++;
						if($kitchen_item['quotation_kitchen_id'] == $quotation_kitchen_id){
							break;
						}
					}
					
					$where=array (
						'quotation_id'=>$quo_in
					);
					$records=$this->crud_model->get('quotation_kitchen', $where);
					$quotation_kitchen_id=$records[$i]['quotation_kitchen_id'];
				 
			}	
			$data=array(
					'quotation_id'              => $quo_in,
					'quotation_kitchen_id'		=> $quotation_kitchen_id,
					'reference_quote_number'    => $this->input->post('reference_quote_number'),
					'reference_quote_date'      => date('Y-m-d',strtotime($this->input->post('reference_quote_date'))),
					'reference_quote_amount'    => $this->input->post('reference_quote_amount')
			);
			$rr=$this->crud_model->insert('quotation_appliance',$data);
				
			if($rr == false)
			{
				// error
					
				$this->session->set_flashdata('response','<div class="alert alert-error">Appliance cannot be inserted</div>',':old:');
				$this->load->view('templates/header');
				$this->load->view('transactions/quotation_appliances');
				$this->load->view('templates/footer');
			}
			else
			{
				// redirect
				$this->session->set_flashdata('response','<div class="alert alert-success">Quotation Appliance Details added successfully</div>');
				redirect('transactions/quotation_appliances');
					
			}
		}
			
	}
	function date_check($data)
	{
		$given_date = strtotime($data);
		$today_date = strtotime(date('Y-m-d'));
		/* echo date('Y-m-d',$given_date);
			echo date('Y-m-d',$today_date);
		exit ; */
		if($given_date <= $today_date){
			//true
			return true;
		}
		else{
			//false
			$this->form_validation->set_message('date_check', 'Date cannot be future date');
			return FALSE;
		}

	}
	function do_delete($id=0)
	{
		$old_quotation_id=$this->session->userdata('quotation_id');
		//Check if the edit was already cloned and revisioned, else clone and increase revision
		$this->quotation_model->check_changes_cloned();
		
		$quotation_id=$this->session->userdata('quotation_id');
		
		if($old_quotation_id != $quotation_id ) {
			$where=array (
					'quotation_id'=>$old_quotation_id
			);
			$records=$this->crud_model->get('quotation_appliance', $where);
			$i=-1;
			foreach($records as $appliance_item) {
					$i++;
					if($appliance_item['quotation_appliance_id'] == $id){
						break;
					}
			}
			$where=array (
				'quotation_id'=>$quotation_id
			);
			$records=$this->crud_model->get('quotation_appliance', $where);
			$id=$records[$i]['quotation_appliance_id'];
				
		}	
		
		
		$where=array(
				'quotation_appliance_id'=> $id
		);
		$this->crud_model->delete('quotation_appliance',$where);
		$this->session->set_flashdata('response','<div class="alert alert-success">Appliance deleted</div>');
		redirect('transactions/quotation_appliances');
	}
}