<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Quotation_client_project extends CI_Controller {

	function Quotation_client_project()
	{
		parent::__construct();

		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}

                /*
		if(!$this->session->userdata('quotation_id') > 0)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Choose a quotation first</div>');
			redirect('transactions/quotations');
		}
                */

		$this->load->library('form_validation');
		$this->load->library('pagination');
	}
	function index()
	{

		$where=array(
				'quotation_id'    => $this->session->userdata('quotation_id')
		);
		$data['quotation_id']= $this->session->userdata('quotation_id');

		$rs=$this->crud_model->get('view_quotations_client_project_users',$where);

		if($rs!=false)
		{

			$data = $rs[0];
		}

		$this->load->view('templates/header');
		$this->load->view('transactions/quotation_client_project/client_project_view',$data);
		$this->load->view('templates/footer');
	}
	function do_update()
	{
		$this->form_validation->set_rules('client_name', 'Client Name', 'required|max_length[100]');
		$this->form_validation->set_rules('client_address', 'Client Address', 'required|max_length[100]');
		$this->form_validation->set_rules('client_area', 'Client Name', 'required|max_length[50]');
		$this->form_validation->set_rules('client_phone_number1', 'Telephone 1', 'required|numeric|max_length[15]');
		$this->form_validation->set_rules('client_phone_number2', 'Telephone 2', 'numeric|max_length[15]');
		$this->form_validation->set_rules('client_fax_number', 'Fax', 'numeric|max_length[15]');
		$this->form_validation->set_rules('client_email_id', 'Client Email ID', 'required|valid_email');
		
		$this->form_validation->set_rules('project_name', 'Project Name', 'required|max_length[50]');
		$this->form_validation->set_rules('project_location', 'Project Location', 'required|max_length[100]');
		$this->form_validation->set_rules('project_more_details', 'Project More details', 'max_length[100]');
		
		if ($this->form_validation->run() == FALSE)
		{
			// false section
			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$this->index();
		}
		else
		{	// true section
				
			if ($this->session->userdata('quotation_mode') == 'new') {
                           $this->quotation_model->set_quotation_id();
                           }
			//Check if the edit was already cloned and revisioned, else clone and increase revision
			$this->quotation_model->check_changes_cloned();
				

                                                   
			// insert client details
			$data_client=array(
				'client_name'                 => $this->input->post('client_name'),
				'client_address'              => $this->input->post('client_address'),
				'client_area'                 => $this->input->post('client_area'),
				'client_phone_number1'        => $this->input->post('client_phone_number1'),
				'client_phone_number2'        => $this->input->post('client_phone_number2'),
				'client_fax_number'           => $this->input->post('client_fax_number'),
				'client_email_id'             => $this->input->post('client_email_id')
			);
			$client_id = $this->crud_model->insert('client_master',$data_client);
			$data=array(
				'client_id'  => $client_id
			);
			$where=array(
				'quotation_id'  =>$this->session->userdata('quotation_id')
			);
			$this->crud_model->update('quotations',$data,$where);
			
			// insert project details
			$data_project=array(
				'project_name'                    => $this->input->post('project_name'),
				'project_location'                => $this->input->post('project_location'),
				'project_more_details'            => $this->input->post('project_more_details')
			);
			$project_id=$this->crud_model->insert('project_master',$data_project);
			$data =array(
				'project_id'  =>$project_id
			);
			$where=array(
				'quotation_id'  =>$this->session->userdata('quotation_id')
			);

			$this->crud_model->update('quotations',$data,$where);
				
			// redirect
			$this->session->set_flashdata('response','<div class="alert alert-success">Client & Project Details updated successfully</div>');
			redirect('transactions/quotation_kitchens');

		}

	}
}
