<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Quotation_kitchens extends CI_Controller {
	private $mode='isert',$quotation_kitchen_id=0;
	

	function Quotation_kitchens()
	{
		parent::__construct();

		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
	}
	function index($page=1)
	{
		
		$config['per_page']		= 5;
		$config['base_url'] 	= site_url('transactions/quotation_kitchens/index/');
		$config['total_rows'] 	= $this->crud_model->get_count('view_qkitchen_with_kbrands_kareas_quotation',array('quotation_id'=>$this->session->userdata('quotation_id')));

		$offset = ($page-1) * $config['per_page'];

		$data['records'] = $this->crud_model->get('view_qkitchen_with_kbrands_kareas_quotation',
				array('quotation_id'=>$this->session->userdata('quotation_id')),
				$config['per_page'],
				$offset
		);
		//echo $this->db->last_query();exit;
		//print_r($data);exit;
		$this->pagination->initialize($config);
		$data['pagination'] = $this->pagination->create_links();
		
		$data['quotation_id']=$this->session->userdata('quotation_id');
		$data['mode']='insert';
		
		if ($this->mode == 'edit' ) {
			$where=array(
				'quotation_kitchen_id'=> $this->quotation_kitchen_id
			);
			$records=$this->crud_model->get('quotation_kitchen',$where);
			if($records == false) {
				redirect('transactions/quotation_kitchens');
				return;
			}
			$data['mode']=$this->mode;
			$data['quotation_kitchen_id']=$this->quotation_kitchen_id;
			$data['kitchen_brand_id'] = $records[0]['kitchen_brand_id'];
			$data['drawing_number']	= $records[0]['drawing_number'];
			$data['kitchen_area_id']= $records[0]['kitchen_area_id'];
			$data['kitchen_front_name']= $records[0]['kitchen_front_name'];
			$data['kitchen_front_code']= $records[0]['kitchen_front_code'];
			$data['kitchen_handle']= $records[0]['kitchen_handle'];
			$data['kitchen_plinth']= $records[0]['kitchen_plinth'];
			$data['kitchen_more_details']= $records[0]['kitchen_more_details'];
			$data['kitchen_price']= $records[0]['kitchen_price'];
			$data['kitchen_quantity']= $records[0]['kitchen_quantity'];
			$data['total_amount']= $data['kitchen_price']*$data['kitchen_quantity'];
			
		}
		if($this->mode == 'edit_submitted') {
			$data['mode']='edit';
			$data['quotation_kitchen_id']=$this->quotation_kitchen_id;
		}
		if($data['mode'] == 'edit') {
			$where=array(
				'quotation_kitchen_id'=>$this->quotation_kitchen_id
			);
			$records=$this->crud_model->get('quotation_worktop',$where );
			if($records!=false){
				$data['kitchen_price_attr']='readonly';
			}
			
		}
		
		
		$records = $this->crud_model->get('kitchen_brands');
		$rs = $this->crud_model->get('kitchen_areas');
		if($records != false)
		{
			//true section
			$list = $this->crud_model->get_list('kitchen_brand_id','kitchen_brand_name','kitchen_brands',array(0=>' - Select - '));
			/*$data['kitchen_brand_name']			     = $records[0]['kitchen_brand_name'];
			$data['kitchen_brand_id']			     = $records[0]['kitchen_brand_id'];*/

			$data['kitchen_brands'] = $list;

			$list1 = $this->crud_model->get_list('kitchen_area_id','kitchen_area_name','kitchen_areas',array(0=>' - Select - '));
			/*$data['kitchen_area_name']			     = $rs[0]['kitchen_area_name'];
			$data['kitchen_area_id']			     = $rs[0]['kitchen_area_id'];*/

			$data['kitchen_areas'] = $list1;
			$this->load->view('templates/header');
			$this->load->view('transactions/quotation_kitchens/kitchen_view',$data);
			$this->load->view('templates/footer');
		}

	}
	
	function do_insert($id=0)
	{
		$this->form_validation->set_rules('kitchen_brand_id', 'Kitchen Brand', 'required|is_natural_no_zero');
		$this->form_validation->set_rules('drawing_number', 'Drawing Number', 'required');
		$this->form_validation->set_rules('kitchen_area_id', 'Kitchen Area', 'required|is_natural_no_zero');
		$this->form_validation->set_rules('kitchen_front_name', 'Kitchen Front Name', 'required');
		$this->form_validation->set_rules('kitchen_front_code', 'Kitchen Front Code', 'required');
		$this->form_validation->set_rules('kitchen_handle', 'Kitchen Handle', 'required');
		$this->form_validation->set_rules('kitchen_plinth', 'Kitchen Plinth', 'required');
		$this->form_validation->set_rules('kitchen_price', 'Unit Price', 'required|numeric');
		$this->form_validation->set_rules('kitchen_more_details', 'Remarks', 'max_length[450]');
		$this->form_validation->set_rules('kitchen_quantity', 'Kitchen Quantity', 'numeric');
		
		if ($this->form_validation->run() == FALSE)
		{
			// false section
			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			if($id !=0) {
				$this->mode='edit_submitted';
				$this->quotation_kitchen_id=$id;
			}
			$this->index();
		}
		else
		{	// true section
			
			//Check if the edit was already cloned and revisioned, else clone and increase revision
			$old_quotation_id=$this->session->userdata('quotation_id');
			$this->quotation_model->check_changes_cloned();
			
			$quotation_id = $this->session->userdata('quotation_id');
						
			$data=array(
				'quotation_id'          => $quotation_id,
				'drawing_number'        => $this->input->post('drawing_number'),
				'kitchen_area_id'       => $this->input->post('kitchen_area_id'),
				'kitchen_brand_id'      => $this->input->post('kitchen_brand_id'),
				'kitchen_front_name'    => $this->input->post('kitchen_front_name'),
				'kitchen_front_code'    => $this->input->post('kitchen_front_code'),
				'kitchen_handle'        => $this->input->post('kitchen_handle'),
				'kitchen_plinth'        => $this->input->post('kitchen_plinth'),
				'kitchen_quantity'      => $this->input->post('kitchen_quantity'),
				'kitchen_price'         => $this->input->post('kitchen_price'),
				'kitchen_more_details'  => $this->input->post('kitchen_more_details')
			);
			if($id!=0) {
				if($old_quotation_id != $quotation_id) {
					$where=array (
						'quotation_id'=>$old_quotation_id
					);
					$records=$this->crud_model->get('quotation_kitchen', $where);
					$i=-1;
					foreach($records as $kitchen_item) {
						$i++;
						if($kitchen_item['quotation_kitchen_id'] == $id){
							break;
						}
					}
					
					$where=array (
						'quotation_id'=>$quotation_id
					);
					$records=$this->crud_model->get('quotation_kitchen', $where);
					$id=$records[$i]['quotation_kitchen_id'];
				}
					
				$where=array(
					'quotation_kitchen_id'=> $id
				);
				$this->crud_model->update('quotation_kitchen',$data,$where );
				$rr=true;
			} else {
				$rr=$this->crud_model->insert('quotation_kitchen',$data);
			}
				
			if($rr == false)
			{
				// error
				$this->load->view('templates/header');
				$this->load->view('transactions/quotation_kitchens');
				$this->load->view('templates/footer');
			}
			else
			{
				// redirect
				if($id!=0) {
					$this->session->set_flashdata('response','<div class="alert alert-success">Quotation Kitchen Details updated successfully</div>');
					$this->mode='insert';	
					$this->quotation_kitchen_id=0;
				} else {
					$this->session->set_flashdata('response','<div class="alert alert-success">Quotation Kitchen Details added successfully</div>');
				}
				redirect('transactions/quotation_kitchens');

			}
		}

	}
	function do_delete($id=0)
	{
		$old_quotation_id=$this->session->userdata('quotation_id');
		//Check if the edit was already cloned and revisioned, else clone and increase revision
		$this->quotation_model->check_changes_cloned();
		
		$quotation_id = $this->session->userdata('quotation_id');
		if($old_quotation_id != $quotation_id) {
				$where=array (
					'quotation_id'=>$old_quotation_id
				);
				$records=$this->crud_model->get('quotation_kitchen', $where);
				$i=-1;
				
				foreach($records as $kitchen_item) {
					$i++;
					if($kitchen_item['quotation_kitchen_id'] == $id){
						break;
					}
				}
			
				$where=array (
					'quotation_id'=>$quotation_id
				);
				$records=$this->crud_model->get('quotation_kitchen', $where);
				$id=$records[$i]['quotation_kitchen_id'];
		}
		
		$where=array(
				'quotation_kitchen_id'=> $id
		);
		
		$records=$this->crud_model->get('quotation_worktop',$where);
		if($records!=false)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Worktops are added for this kitchen. Kindly remove worktops before deleting this kitchen.</div>');
			redirect('transactions/quotation_kitchens');	
		}
		else{
			
			$records=$this->crud_model->get('quotation_appliance',$where);
			if($records!=false)
			{
				$this->session->set_flashdata('response','<div class="alert alert-error">Appliances are added for this kitchen. Kindly remove appliances before deleting this kitchen.</div>');
				redirect('transactions/quotation_kitchens');
			}
			else{
				
			
				// delete
				$records=$this->crud_model->delete('quotation_kitchen',$where);
				$this->session->set_flashdata('response','<div class="alert alert-success">Quotation Kitchen deleted</div>');
				redirect('transactions/quotation_kitchens');
			}
		}
	}
	
	function do_edit($id=0) {
		$this->mode='edit';
		$this->quotation_kitchen_id=$id;
		$this->index(1);		
				
	}
		
}