<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Quotation_worktops extends CI_Controller {

	function Quotation_worktops()
	{
		parent::__construct();

		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
	}
	function index($page=1)
	{

		$config['per_page']		= 5;
		$config['base_url'] 	= site_url('transactions/quotation_worktops/index/');
		$config['total_rows'] 	= $this->crud_model->get_count('view_qworktop_qkitchen_kbrands_wbrands_wfinish_wmodel_wept',array('quotation_id'=>$this->session->userdata('quotation_id')));

		$offset = ($page-1) * $config['per_page'];
		$data['records']=$this->crud_model->get('view_qworktop_qkitchen_kbrands_wbrands_wfinish_wmodel_wept',
				array('quotation_id'=>$this->session->userdata('quotation_id')),
				$config['per_page'],
				$offset
		);
		log_message('INFO',$this->db->last_query());
//print_r($data['records']);exit;

		$this->pagination->initialize($config);
		$data['pagination'] = $this->pagination->create_links();
		$list = $this->quotation_model->get_quotation_kitchen_list(array('quotation_id' => $this->session->userdata('quotation_id')));
		$data['quotation_kitchens'] = $list;

		$list = $this->crud_model->get_list('worktop_brand_id','worktop_brand_name','worktop_brands',array(''=>' - Select - ', 0=>'Other'));
		$data['worktop_brands'] = $list;
		//$list = $this->crud_model->get_list('worktop_finish_id','worktop_finish_name','worktop_finish',array(0=>' - Select - '));
		$list=array(''=>'-Select-');
		$data['worktop_finish'] = $list;
		
		$list=array(''=>'-Select-');
		$data['worktop_price_groups'] = $list;

		$list=array(''=>'-Select-');
		$data['worktop_models'] = $list;

		$list=array(''=>'-Select-');
		$data['worktop_ept'] = $list;
		
		$list=array();
		$rs=$this->crud_model->get('worktop_edgeprofile');
		foreach($rs as $edgeprofile) {
			$list[$edgeprofile['worktop_ep_id']]=$edgeprofile['worktop_ep_name'];		
			
		}
		$list[0]='Custom';
		$data['worktop_ep'] = $list;

		$data['linear_meter_per_kitchen']= $this->config->item('linear_meter_per_kitchen');
			
		$rs=$this->crud_model->get('quotation_worktop',array('quotation_id' => $this->session->userdata('quotation_id')));
		if($rs!=false)
		{
			$data['quotation_kitchen_id'] = $rs[0]['quotation_kitchen_id'];
			$data['quotation_worktop_id'] = $rs[0]['quotation_worktop_id'];
		}
		$data['quotation_id']= $this->session->userdata('quotation_id');


		$this->load->view('templates/header');
		$this->load->view('transactions/quotation_worktops/worktop_view',$data);
		$this->load->view('templates/footer');
	}
	function do_insert()
	{
		if( $this->input->post('worktop_brand_id')!='' and  $this->input->post('worktop_brand_id') > 0)
		{
			$this->form_validation->set_rules('worktop_name', 'Worktop Name', 'required|max_length[50]');
			$this->form_validation->set_rules('worktop_brand_id', 'Worktop  Brand', 'required|is_natural_no_zero');
			$this->form_validation->set_rules('worktop_finish_id', 'Worktop Finish', 'required');
			$this->form_validation->set_rules('worktop_model_id', 'Worktop Model', 'required');
			$this->form_validation->set_rules('worktop_ept_id', 'Worktop EPT', 'required');
			$this->form_validation->set_rules('worktop_ep_id', 'Worktop Edge Profile', 'required');
			$this->form_validation->set_rules('worktop_ep_name', 'Worktop Edge Profile Name', 'required');
					
			
			$this->form_validation->set_rules('worktop_quantity', 'Quantity', 'required|numeric');
			$this->form_validation->set_rules('worktop_lm', 'Linear Meter Per Kitchen', 'required|numeric');
			$this->form_validation->set_rules('worktop_price_per_lm', 'Rate Per Linear Meter', 'required|numeric');
			$this->form_validation->set_rules('worktop_ep_price', 'Edge Profile Rate Per Linear Meter', 'required|numeric');
			
			
		}
		else
		{
			$this->form_validation->set_rules('worktop_name', 'Worktop Name', 'required|max_length[50]');
			$this->form_validation->set_rules('finish_text', 'Worktop Finish', 'required');
			$this->form_validation->set_rules('model_text', 'Worktop Model', 'required');
			$this->form_validation->set_rules('ept_text', 'Worktop Ept', 'required');
			$this->form_validation->set_rules('worktop_ep_id', 'Worktop Edge Profile', 'required');
			$this->form_validation->set_rules('worktop_ep_name', 'Worktop Edge Profile Name', 'required');
					
			$this->form_validation->set_rules('worktop_quantity', 'Quantity', 'required|numeric');
			$this->form_validation->set_rules('worktop_lm', 'Linear Meter Per Kitchen', 'required|numeric');
			$this->form_validation->set_rules('worktop_price_per_lm', 'Rate Per Linear Meter', 'required|numeric');
			$this->form_validation->set_rules('worktop_ep_price', 'Edge Profile Rate Per Linear Meter', 'required|numeric');
		}

		if ($this->form_validation->run() == FALSE)
		{
			// false section
			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$this->index();
		}
		else
		{	// true section
			
			$old_quotation_id=$this->session->userdata('quotation_id');
			//Check if the edit was already cloned and revisioned, else clone and increase revision
			$this->quotation_model->check_changes_cloned();
			
			$quotation_id=$this->session->userdata('quotation_id');
			$quotation_kitchen_id=$this->input->post('quotation_kitchen_id');
			
			if($old_quotation_id != $quotation_id && $quotation_kitchen_id != 0) {
				$where=array (
						'quotation_id'=>$old_quotation_id
				);
				$records=$this->crud_model->get('quotation_kitchen', $where);
				$i=-1;
				foreach($records as $kitchen_item) {
					$i++;
					if($kitchen_item['quotation_kitchen_id'] == $quotation_kitchen_id){
						break;
					}
				}
				
				
				$where=array (
					'quotation_id'=>$quotation_id
				);
				$records=$this->crud_model->get('quotation_kitchen', $where);
				$quotation_kitchen_id=$records[$i]['quotation_kitchen_id'];
							
			}
						
			$data=array(
				'quotation_id'               =>$quotation_id,
				'quotation_kitchen_id'       => $quotation_kitchen_id,
				'worktop_brand_id'          => $this->input->post('worktop_brand_id'),
				'worktop_finish_id'         => $this->input->post('worktop_finish_id'),
				'worktop_finish_name'       => $this->input->post('finish_text'),
				'worktop_model_id'          => $this->input->post('worktop_model_id'),
				'worktop_model_name'        => $this->input->post('model_text'),
				'worktop_ept_id'            => $this->input->post('worktop_ept_id'),
				'worktop_ept_name'          => $this->input->post('ept_text'),
				'worktop_ep_id'				=> $this->input->post('worktop_ep_id'),
				'worktop_ep_name'			=> $this->input->post('worktop_ep_name'),
				'worktop_quantity'          => $this->input->post('worktop_quantity'),
				'worktop_lm'                => $this->input->post('worktop_lm'),
				'worktop_price_per_lm'      => $this->input->post('worktop_price_per_lm'),
				'worktop_ep_price'     		=> $this->input->post('worktop_ep_price'),
				'worktop_name'				=>$this->input->post('worktop_name')
			);
			
			$rr=$this->crud_model->insert('quotation_worktop',$data);

			if($rr == false){
				// error
				$this->session->set_flashdata('response','<div class="alert alert-error">worktop cannot be inserted</div>',':old:');
				$this->load->view('templates/header');
				$this->load->view('transactions/quotation_worktops');
				$this->load->view('templates/footer');
			}
			else
			{
				// redirect
				$this->session->set_flashdata('response','<div class="alert alert-success">Quotation Worktop Details added successfully</div>');
				redirect('transactions/quotation_worktops');
			}
		}
	}
	function do_delete($id)
	{
		$old_quotation_id=$this->session->userdata('quotation_id');
		//Check if the edit was already cloned and revisioned, else clone and increase revision
		$this->quotation_model->check_changes_cloned();
		
		$quotation_id = $this->session->userdata('quotation_id');
		
		if($old_quotation_id != $quotation_id) {
			$where=array (
				'quotation_id'=>$old_quotation_id
			);
			$records=$this->crud_model->get('quotation_worktop', $where);
			$i=-1;
				
			foreach($records as $worktop_item) {
				$i++;
				if($worktop_item['quotation_worktop_id'] == $id){
					break;
				}
			}
								
			$where=array (
				'quotation_id'=>$quotation_id
			);
			$records=$this->crud_model->get('quotation_worktop', $where);
			$id=$records[$i]['quotation_worktop_id'];
		
		}
		
		
		$where=array(
				'quotation_worktop_id'=> $id
		);
		$this->crud_model->delete('quotation_worktop',$where);
		$this->session->set_flashdata('response','<div class="alert alert-success">Worktop deleted</div>');
		redirect('transactions/quotation_worktops');
	}
	
	function get_worktop_price($worktop_ept_id)
	{
		$where=array(
				'worktop_ept_id' =>$worktop_ept_id
		);
		
		$rs=$this->crud_model->get('worktop_ept',$where);
		if($rs!=false)
		{
			$data['price']=$rs[0]['price'];
			echo $data['price'];
			exit;
		}
	}
	
	function get_ep_price($worktop_ep_id) {
		$where=array(
				'worktop_ep_id' =>$worktop_ep_id
		);
		
		$rs=$this->crud_model->get('worktop_edgeprofile',$where);
		if($rs!=false)
		{
			$data['worktop_ep_price']=$rs[0]['worktop_ep_price'];
			echo $data['worktop_ep_price'];
			exit;
		}
	}
	
	function get_ep_name($worktop_ep_id) {
		$where=array(
				'worktop_ep_id' =>$worktop_ep_id
		);
		
		$rs=$this->crud_model->get('worktop_edgeprofile',$where);
		if($rs!=false)
		{
			$data['worktop_ep_name']=$rs[0]['worktop_ep_name'];
			echo $data['worktop_ep_name'];
			exit;
		}
	}
	
	
	function get_worktop_finish($worktop_brand_id=0)
	{
		if($worktop_brand_id>0)
		{
			$where=array(
					'worktop_brand_id' =>$worktop_brand_id
			);

			$rs=$this->crud_model->get('worktop_finish',$where);
			$select='<select id="worktop_finish_id" name="worktop_finish_id" onChange="load_price_group();">';
			if($rs!=false)
			{
				foreach($rs as $row)
				{
					$select .='<option value="'.$row['worktop_finish_id'].'">'.$row['worktop_finish_name'].'</option>';
				}
			}
			$select.='</select>';
			echo $select;
			exit;
		}
		else
		{
			echo '<input type="text" name="finish_text">';
			exit;
		}

	}
	function display_model_text()
	{

		echo '<input type="text" name="model_text">';
		exit;
	}
	function display_ept_text()
	{

		echo '<input type="text" name="ept_text">';
		exit;
	}
	function get_worktop_price_groups($finish_id=0)
	{
		$where=array(
			'worktop_finish_id' =>$finish_id
		);
		
		$list = $this->crud_model->get_list('price_group_id','price_group_name','worktop_price_groups',array(),$where);
		echo form_dropdown('worktop_price_group_id',$list,'','id="worktop_price_group_id"  onChange="load_model();load_ept();"');
		exit;
	}
	function get_worktop_model($worktop_price_group_id=0)
	{
		$where=array(
				'price_group_id' =>$worktop_price_group_id
		);
		
		$rs=$this->crud_model->get('worktop_price_groups',$where);

		if($rs!=false){
			$price_group_id=$rs[0]['price_group_id'];
		}
		else
		{
			$price_group_id=0;
		}
		$where=array(
				'price_group_id' => $price_group_id
		);
	
	
		if($price_group_id!=0)
			$rs=$this->crud_model->get('worktop_models',$where);
		$select='<select id="worktop_model_id" name="worktop_model_id">';
		if($price_group_id!=0)
		{
			if($rs!=false)
			{
				foreach($rs as $row)
				{
					$select .='<option value="'.$row['worktop_model_id'].'">'.$row['worktop_model_name'].'</option>';

				}
			}
		}
		$select.='</select>';
		echo $select;

		exit;


	}
	function get_worktop_ept($worktop_price_group_id=0)
	{
		$where=array(
				'price_group_id' =>$worktop_price_group_id
		);

		$rs=$this->crud_model->get('worktop_price_groups',$where);
		if($rs!=false){
			$price_group_id=$rs[0]['price_group_id'];
		}
		else
		{
			$price_group_id=0;
		}
		$where=array(
				'price_group_id' => $price_group_id
		);
		if($price_group_id!=0)
			$rs=$this->crud_model->get('worktop_ept',$where);
		$select='<select id="worktop_ept_id" name="worktop_ept_id" onChange="load_price();">';
		if($price_group_id!=0)
		{
			if($rs!=false)
			{
				foreach($rs as $row)
				{
					$select .='<option value="'.$row['worktop_ept_id'].'">'.$row['worktop_ept_name'].'</option>';
				}
			}
		}
		$select.='</select>';
		echo $select;
		exit;


	}
	
		
	function get_quotation_kitchen_qty($quotation_kitchen_id = 0){
		
		$rs = $this->crud_model->get('quotation_kitchen',array('quotation_kitchen_id'=>$quotation_kitchen_id));
		if($rs != false){
			$qty = $rs[0]['kitchen_quantity'];
			if($qty > 0){
				echo $qty;
			}
			else{
				echo 1;
			}
		}
		else{
			echo 1;
		}
		exit;
		
	}
	
		
	
	function display_price($worktop_ept_id=0)
	{

		$where=array('worktop_ept_id'=>$worktop_ept_id);
		$rs=$this->crud_model->get('worktop_ept',$where);


		if($rs!=false){
			$price=$rs[0]['price'];
			echo $price;

		}
		else {
			echo '';
		}
		exit;
	}
}
