<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Quotations extends CI_Controller {

	function Quotations()
	{
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
	}
	
	public function index($page=1, $print_view=0, $print_quotation_id=0) {
		$where = array();
		if($this->session->userdata('user_group_id') != 1 && $this->session->userdata('user_group_id') != 3){
			$where = array('salesman_id' => $this->session->userdata('user_id'));
		}

		$config['per_page']		= 50;
		$config['base_url'] 	= site_url('transactions/quotations/index/');
		$config['total_rows'] 	= $this->crud_model->get_count('view_quotations_client_project_users',$where);
		$offset = ($page-1) * $config['per_page'];
		$data['records'] = $this->crud_model->get('view_quotations_client_project_users',
				$where,
				$config['per_page'],
				$offset,
				'last_modified_date',
                                //'quotation_id',
				'desc'
		);

		/*To handle previous versions code start*/
		$data['old_quotations']=array();
		if(is_array($data['records'])) {
			foreach($data['records'] as $key=>$record){
	
				$quotation_details=$this->quotation_model->get_full_quotation_details($record['quotation_id']);
				$data['records'][$key]['quotation_net_total'] = $quotation_details['quotation_net_total'];
	
				$data['old_quotations'][$record['quotation_number']]=array();
				
				if($record['quotation_number'] == 0) {
					continue;
				}
				
				$where=array('quotation_number'=>$record['quotation_number']);
				$quotation_data=$this->crud_model->get('view_quotations_client_project_users_all',
					$where, null,null, 'quotation_revision_number', 'asc');
					
				foreach($quotation_data as $single_quotation) {
				
					$data['old_quotations'][$record['quotation_number']][$single_quotation['quotation_revision_number']]=$single_quotation['quotation_id'];	
				}	
				unset($data['old_quotations'][$record['quotation_number']][$record['quotation_revision_number']]);
						
			}// End of foreach($data['records'] as $record)
		}
		/*To handle previous versions code end*/
		
		$this->pagination->initialize($config);
		$data['pagination'] = $this->pagination->create_links();
		//$rs=$this->crud_model->get('quotations');
		
		$data['print_view']=$print_view;
		$data['print_quotation_id']=$print_quotation_id;
		
		$list = $this->crud_model->get_list('user_id','user_name','users',array('all'=>' - All Salesperson - '),array('user_group_id'=>2));

		$data['salesman_list'] = $list;

		$this->load->view('templates/header');
		$this->load->view('transactions/quotations/quotation',$data);
		$this->load->view('templates/footer');
	}

	public function filter_quotation() {

		//$this->form_validation->set_rules('filter_sales', 'Salesman', 'required'); // For set_value()
                $this->form_validation->set_rules('filter_by', 'Filter Category', 'required');
                //$this->form_validation->set_rules('filter_value', 'Quotation Number/Client name', 'required');

                /*
                if($this->input->post('filter_sales') == "all") {
			$this->form_validation->set_rules('filter_value', 'Salesman', 'required');
		}
                */
		if ($this->form_validation->run() == FALSE) {
			// false section
			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$this->index();
			return;
		}
		$like=null;
		$or_where=null;
		$where=array();

		if($this->input->post('filter_by') == 1) {
			$where=array('quotation_number'=>$this->input->post('filter_value'));

		} elseif($this->input->post('filter_by') == 2) {
			$like=array('client_name'=> $this->input->post('filter_value'));
			$where=array();
		} else {
			$or_where = array('client_phone_number1'=>$this->input->post('filter_value'),
							'client_phone_number2'=>$this->input->post('filter_value'));
		}


                // Handling Empty Text Field.
		if($this->input->post('filter_value') == "") {
			$where=array();
			$or_where=array();
		}


                if($this->input->post('filter_sales') != 'all'){
			$where ['salesman_id'] = $this->input->post('filter_sales');
		}


                if($this->session->userdata('user_group_id') != 1 && $this->session->userdata('user_group_id') != 3 && $this->session->userdata('user_group_id') != 7){
			$where ['salesman_id'] = $this->session->userdata('user_id');
		}


		$data['records'] = $this->crud_model->get('view_quotations_client_project_users', $where, null, null,'last_modified_date', 'desc', $like,$or_where
		);

		if($data['records'] == false) {
			$this->session->set_flashdata('response','<div class="alert alert-error">No matching quotation found</div>',':old:');
			$this->index();
			return;
		}

		/*To handle previous versions code start*/
		$data['old_quotations']=array();
		if(is_array($data['records'])) {
			foreach($data['records'] as $key=>$record){

				$quotation_details=$this->quotation_model->get_full_quotation_details($record['quotation_id']);
				$data['records'][$key]['quotation_net_total'] = $quotation_details['quotation_net_total'];

				$data['old_quotations'][$record['quotation_number']]=array();

				if($record['quotation_number'] == 0) {
					continue;
				}

				$where=array('quotation_number'=>$record['quotation_number']);
				$quotation_data=$this->crud_model->get('view_quotations_client_project_users_all',
					$where, null,null, 'quotation_revision_number', 'asc');

				foreach($quotation_data as $single_quotation) {

					$data['old_quotations'][$record['quotation_number']][$single_quotation['quotation_revision_number']]=$single_quotation['quotation_id'];
				}
				unset($data['old_quotations'][$record['quotation_number']][$record['quotation_revision_number']]);

			}// End of foreach($data['records'] as $record)

			/*To handle previous versions code end*/
		}

		$data['pagination'] = '';

		$data['print_view']=0;
		$data['print_quotation_id']=0;
		
		$list = $this->crud_model->get_list('user_id','user_name','users',array('all'=>' - All Salesperson - '),array('user_group_id'=>2));
		$data['salesman_list'] = $list;

		$this->load->view('templates/header');
		$this->load->view('transactions/quotations/quotation',$data);
		$this->load->view('templates/footer');

	}

	public function show_agreement($quotation_id = 0){
		$rs = $this->crud_model->get('quotations',array('quotation_id' => $quotation_id));
		if($rs != false)
		{
			// agreement already created
			$data['agreement_content'] 	= $rs[0]['agreement_content'];
			$data['quotation_id']		= $quotation_id;
			$this->load->view('quotation_summary/header');
			$this->load->view('transactions/quotation_agreement/agreement',$data);
			$this->load->view('quotation_summary/footer');
			
		}
	}
	
	public function edit_agreement($quotation_id=0)
	{
		$rs = $this->crud_model->get('quotations',array('quotation_id'=>$quotation_id));
		$data['agreement_content'] = $rs[0]['agreement_content'];
		
		$data['quotation_id'] = $quotation_id;
		$this->load->view('quotation_summary/header');
		$this->load->view('transactions/quotation_agreement/edit_agreement',$data);
		$this->load->view('quotation_summary/footer');
	}
	
	public function do_update_agreement(){
		$this->form_validation->set_rules('agreement_content', 'Agreement content', 'required');
		
		if ($this->form_validation->run() == FALSE)
		{
			// false section
			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$this->edit_agreement($this->input->post('quotation_id'));
		}
		else
		{
			$data_ar = array(
				'agreement_content' => $this->input->post('agreement_content')
			);
			$where = array(
				'quotation_id' => $this->input->post('quotation_id')
			);
			$this->crud_model->update('quotations',$data_ar,$where);
			
			redirect('transactions/quotations/show_agreement/'.$this->input->post('quotation_id'));
		}
	}
	
	public function create()
	{
		//$this->quotation_model->set_quotation_id();
		$this->session->set_userdata('quotation_mode','new');

		redirect('transactions/quotation_client_project');
	}
	public function edit($quotation_id=0)
	{
		$this->session->set_userdata('quotation_id',$quotation_id);

		$where = array('quotation_id'=>$quotation_id);
		$rs = $this->crud_model->get('quotations',$where);
		if($rs != false){
			if($rs[0]['quotation_status'] != 'Draft'){
				$this->session->set_userdata('quotation_mode','edit');// later it will be 'edit_cloned'
			}
			else{
				$this->session->set_userdata('quotation_mode','edit_cloned');// to make it saved in same revision
			}
			if($rs[0]['quotation_status'] == 'Confirmed' )
			{
				$this->session->set_flashdata('response','<div class="alert alert-error">Confirmed quotations cannot be edited</div>');
				redirect('transactions/quotations');
			}
			if($rs[0]['quotation_status'] == 'Closed' )
			{
				$this->session->set_flashdata('response','<div class="alert alert-error">Closed quotations cannot be edited</div>');
				redirect('transactions/quotations');
			}
		}

		redirect('transactions/quotation_client_project');
	}
	function do_delete($quotation_id=0)
	{
		$where=array(
				'quotation_id'=> $quotation_id
		);

		$this->crud_model->delete('quotation_appliance',$where);
		$this->crud_model->delete('quotation_worktop',$where);
		$this->crud_model->delete('quotation_kitchen',$where);

		$rs = $this->crud_model->get('quotations',$where);
		if($rs != false){
			$where2 = array('client_id' => $rs[0]['client_id']);
			$where3 = array('project_id' => $rs[0]['project_id']);
			$this->crud_model->delete('client_master',$where2);
			$this->crud_model->delete('project_master',$where3);
		}
		$this->crud_model->delete('quotations',$where);

		$this->session->set_flashdata('response','<div class="alert alert-success">Quotation deleted</div>');
		redirect('transactions/quotations');
	}
	
	function view($quotation_id)
	{
		$this->load->model('quotation_model');
		$data = $this->quotation_model->get_full_quotation_details($quotation_id);
		if($data['payment_id']!=0) {
			$where=array('payment_id'=>$data['payment_id']);
			$rs=$this->crud_model->get('payment_terms',$where);
			if($rs!=false) {
				$data['payment_text']=$rs[0]['payment_text'];
			}
		}
		
		//print_r($data);exit;
		if($data != false){
			$this->load->view('quotation_summary/header');
			$this->load->view('transactions/quotations/view',$data);
			$this->load->view('quotation_summary/footer');
		}
		else{
			$this->session->set_flashdata('response','<div class="alert alert-error">Invalid quotation selected</div>');
			redirect('transactions/quotations');
		}
	}
	
	function view_old_version($quotation_id){
		$this->load->model('quotation_model');
		$data = $this->quotation_model->get_full_quotation_details($quotation_id, 'multiple' );
		if($data['payment_id']!=0) {
			$where=array('payment_id'=>$data['payment_id']);
			$rs=$this->crud_model->get('payment_terms',$where);
			if($rs!=false) {
				$data['payment_text']=$rs[0]['payment_text'];
			}
		}
		
				//print_r($data);exit;
		if($data != false){
			$this->load->view('quotation_summary/header');
			$this->load->view('transactions/quotations/view',$data);
			$this->load->view('quotation_summary/footer');
		}
		else{
			$this->session->set_flashdata('response','<div class="alert alert-error">Invalid quotation selected</div>');
			redirect('transactions/quotations');
		}
	}
	
	function view2($quotation_id)
	{
		$this->load->model('quotation_model');
		$data = $this->quotation_model->get_full_quotation_details($quotation_id);
		//print_r($data);exit;
		if($data != false){
			
			$where=array(
					'quotation_id' =>$quotation_id
			);
			$records=$this->crud_model->get('view_quotation_kitchen_with_kitchen_brands_and_kitchen_areas',$where);
			$i=0;
			if($records!=false)
			{
				foreach($records as $row)
				{
					$data['kitchen'][$i]=$row;
					$i++;
				}
			}
			else {
				$data['kitchen']=null;
			}
			
			$where=array(
					'quotation_id' =>$quotation_id
			);
			$rs=$this->crud_model->get('view_qworktop_qkitchen_kbrands_wbrands_wfinish_wmodel_wept',$where);
			$j=0;
			if($rs!=false)
			{
				foreach($rs as $row)
				{
					$list = $this->quotation_model->get_quotation_kitchen_list(array('quotation_id' => $quotation_id));
					$data['quotation_kitchens'] = $list;
					$data['worktop'][$j]=$row;
					$j++;
				}
				
				
			}
			else {
				$data['worktop']=null;
				$data['quotation_kitchens']=null;
			}

			$where=array(
					'quotation_id' =>$quotation_id
			);
			$records=$this->crud_model->get('quotation_appliance',$where);
			$i=0;
			if($records!=false)
			{
				foreach($records as $row)
				{
					$data['appliance'][$i]=$row;
					$i++;
				}
			}
			else {
				$data['appliance']=null;
			}
			
			
			$this->load->view('quotation_summary/header');
			$this->load->view('transactions/quotations/view2',$data);
			$this->load->view('quotation_summary/footer');
		}
		else{
			$this->session->set_flashdata('response','<div class="alert alert-error">Invalid quotation selected</div>');
			redirect('transactions/quotations');
		}
	}
	
	function report()
	{


		$this->form_validation->set_rules('quotation_number1', 'Quotation Number', 'numeric');
		$this->form_validation->set_rules('quotation_number2', 'Quotation Number', 'numeric');
		$this->form_validation->set_rules('report_date_from', 'Date', 'callback_date_check');
		$this->form_validation->set_rules('report_date_to', 'Date', 'callback_date_check');
		$this->form_validation->set_rules('client_phone_number1', 'Client Telephone 1', 'max_length[15]|numeric');

		if ($this->form_validation->run() == FALSE)
		{
			// false section
			if(validation_errors() != ''){
				$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			}
			$data['records'] = false;
		}
		else
		{
			if(	$this->input->post('quotation_number1') !='' or 
				$this->input->post('user_id') > 0  or 
				$this->input->post('report_date_from')!='1970-01-01' or 
				$this->input->post('report_date_to')!='1970-01-01' or 
				$this->input->post('quotation_status') != '0' or 
				$this->input->post('quotation_number2')!='' or 
				$this->input->post('report_dae_from')!='' or 
				$this->input->post('report_dae_to')!='' or 
				$this->input->post('project_location')!='' or 
				$this->input->post('client_phone_number1')!=''
			)
			{
				$this->db->select('*');
				
				
				if($this->input->post('revisions')=='all'){
					$this->db->from('view_quotations_client_project_users_all');
				}
				else{
					$this->db->from('view_quotations_client_project_users');
				}
				
				

				if($this->input->post('quotation_number1')!='')
				{
					$this->db->where('quotation_number >=',$this->input->post('quotation_number1'));

				}
				if($this->input->post('quotation_number2')!='')
				{
					$this->db->where('quotation_number <=',$this->input->post('quotation_number2'));

				}

				if($this->input->post('project_location')!='')
				{

					$this->db->where('project_location =', $this->input->post('project_location'));
				}
				if($this->input->post('client_phone_number1')!='')
				{

					$this->db->where('client_phone_number1 =',$this->input->post('client_phone_number1'));

				}

				if($this->input->post('user_id')> 0)
				{

					$this->db->where('salesman_id =',$this->input->post('user_id'));

				}
				if($this->input->post('quotation_status') != '0')
				{

					$this->db->where('quotation_status =',$this->input->post('quotation_status'));

				}
				if($this->input->post('report_date_from')!=''  or $this->input->post('report_date_to')!='' )
				{
					$date_fmt= date('Y-m-d',strtotime($this->input->post('report_date_from')));
					if($this->input->post('report_date_from')!='' and $this->input->post('report_date_to')!='')
					{
						$date_to= date('Y-m-d',strtotime($this->input->post('report_date_to')));
						$this->db->where('quotation_date >=',$date_fmt);
						$this->db->where('quotation_date <=',$date_to);
							
					}
					else  if($this->input->post('report_date_from')!='')
					{
						$this->db->where('quotation_date >=',$date_fmt);
					}
				 else if($this->input->post('report_date_to')!='')
				 {
				 	$this->session->set_flashdata('response','<div class="alert alert-error">'.'From Date is Mandatory'.'</div>',':old:');
				 }
				}

				$records= $this->db->get();


				if($records->num_rows >0)
				{
					$data['records']=$records->result_array();
				}
				else
				{
					$data['records']=false;
				}
			}
			else {
				$data['records']=false;
			}

		}
		
		
		if($this->input->post('export') != '' and $data['records'] != false){
			
			echo '"Quotation No.",';
			echo '"Date",';
			echo '"Client",';
			echo '"Project",';
			echo '"Saleman",';
			echo "\"Amount (in BD.)\"\n";
			
			foreach($data['records'] as $record){
				if($this->input->post('revisions') == 'all')
					$qdata = $this->quotation_model->get_full_quotation_details($record['quotation_id'],'all');
				else
					$qdata = $this->quotation_model->get_full_quotation_details($record['quotation_id']);
				
				
				echo '"'.$record['quotation_number'].'-'.$record['quotation_revision_number'] .'",';
				echo '"'.date('M d, Y',strtotime($record['quotation_date'])) .'",';
				echo '"'.$record['client_name'] . '",';
				echo '"'.$record['project_name']. '",';
				echo '"'.$record['user_name']. '",';
				echo '"'.number_format($qdata['quotation_net_total'],2). "\"\n";
			}
			
			header('Content-type: text/csv');
			header('Content-Disposition: attachment; filename="quotations_report.csv"');
			exit;
		}
		
		
		
		
		
		
		$records = $this->crud_model->get('users');
		if($records!=false){

			$list = array(0 => ' - Select - ');
			foreach($records as $record){
				$list[$record['user_id']] = $record['user_name'];
			}
			$data['users'] = $list;
			$data['quotation_status'] = $this->config->item('quotation_status_array');
			$this->load->view('templates/header');
			$this->load->view('transactions/quotations/report',$data);
			$this->load->view('templates/footer');
		}
	}

	function date_check($data)
	{
		$given_date = strtotime($data);
		$today_date = strtotime(date('Y-m-d'));
		/* echo date('Y-m-d',$given_date);
		 echo date('Y-m-d',$today_date);
		exit ; */
		if($given_date <= $today_date){
			//true
			return true;
		}
		else{
			//false
			$this->form_validation->set_message('date_check', 'Date cannot be future date');
			return FALSE;
		}

	}
}

function num_words($price, $prefix=''){	
	if ($price == 0) {
  		return '';
  	}	
   	$words = array(
	1=>'One', 2=>'Two', 3=>'Three',4=>'Four', 5=>'Five', 6=>'Six',7=>'Seven', 8=>'Eight', 9=>'Nine',
	11=>'Eleven', 12=>'Twelve', 13=>'Thirteen', 14=>'Fourteen', 15=>'Fifteen', 16=>'Sixteen', 17=>'Seventeen', 18=>'Eighteen',
	19=>'Nineteen', 10=>'Ten', 20=>'Twenty', 30=>'Thirty', 40=>'Forty', 50=>'Fifty', 60=>'Sixty', 70=>'Seventy', 80=>'Eighty', 90=>'Ninty'
	);
	
		
	(int)$thousands = $price / 1000;
	if((int)$thousands > 0){
		$pos = " Thousand ";
		if ($price%1000 != 0) {
			return num_words($price%1000, num_words((int)$thousands, '') . $pos) ;
		} else {
			return num_words((int)$thousands, '') . $pos; 
		}
	}
	
	
	(int)$hundreds = $price / 100;
	if((int)$hundreds > 0){
		$pos = " Hundred ";
		if ($price%100 != 0) {
			return num_words($price%100,  $prefix . num_words((int)$hundreds, '') . $pos) ;
		} else {
			if ($prefix != '') {
				return $prefix . ' and ' . num_words((int)$hundreds, '') . $pos; 	
			} else {
				return num_words((int)$hundreds, '') . $pos;
			}		
		}
	}


	if (($price < 21) || ((int)$price%10 == 0)) {
		if ($prefix != '') {
			return $prefix . ' and ' . $words[$price];
		} else {
			return $words[$price];
		}
	}
	
	(int)$tens = $price / 10;
	if ($prefix != '' ) {
		return $prefix . ' and ' . $words[(int)$tens * 10] . " " . $words[(int)$price%10];
	} else {
		return $words[(int)$tens * 10] . " " . $words[(int)$price%10];
	}

}
