<?php
class Crud_Model extends CI_Model {

	function __construct()             
	{
		// Call the Model constructor
		parent::__construct();
	}

	// select records count (for pagination)
	function get_count($table_name = '', $where=array()){
		$rs = $this->db->get_where($table_name,$where);
		return $rs->num_rows();
	}

	// select records
	function get($table_name = '', $where=array(),$limit=null,$offset=null,$order_by_field=null,$order_by_order=null,$like=null, $or_where=null,$or_like=null,$group_by=null){
		if(!is_null($offset) and !is_null($limit)){
			$this->db->limit($limit,$offset);
		}
		if($order_by_field != null and $order_by_order != null){
			$this->db->order_by($order_by_field, $order_by_order);
		}
		
		if($like !=null && is_array($like)) {
			foreach($like as $key=>$value) {			
				$this->db->like($key, $value); 
			}
		}
		
		if($or_where) {
			$this->db->or_where($or_where);
		}
		if($or_like) {
			$this->db->or_like($or_like);
		}
		if($group_by) {
			$this->db->group_by($group_by); 
		}
		$rs = $this->db->get_where($table_name, $where);

		if($rs->num_rows() > 0){
			return $rs->result_array();
		}
		else{
			return false;
		}
	}

	// get list of records for drop down
	function get_list($id_field_name,$value_field_name,$table_name,$init_list=array(),$where=array(),$order_by_field=null,$order_by_order=null){
		$this->db->select($id_field_name);
		$this->db->select($value_field_name);
		if($order_by_field != null and $order_by_order != null){
			$this->db->order_by($order_by_field, $order_by_order);
		}
		$this->db->where($where);
		$rs = $this->db->get($table_name);
		if($rs->num_rows()>0){
			$records = $rs->result_array();
			foreach($records as $record){
				$init_list[$record[$id_field_name]] = $record[$value_field_name];
			}
			return $init_list;
		}
		else{
			return array();
		}
	}

	// create new record
	function insert($table_name = '', $data=array()){
		$this->db->insert($table_name,$data);
		return $this->db->insert_id();
	}

	// update existing record
	function update($table_name = '', $data=array(),$where=array()){
		$this->db->update($table_name,$data,$where);
	}

	// delete existing record
	function delete($table_name = '', $where=array()){
		$this->db->delete($table_name,$where);
	}


	function get_view_furniture_quotations_client_project_users($where = array(),$limit=null,$offset=null,$order_by_field=null,$order_by_order=null,$like=null, $or_where=null){



		if(!is_null($offset) and !is_null($limit)){
			$this->db->limit($limit,$offset);
		}
		if($order_by_field != null and $order_by_order != null){
			$this->db->order_by($order_by_field, $order_by_order);
		}

		if($like !=null && is_array($like)) {
			foreach($like as $key=>$value) {
				$this->db->like($key, $value);
			}
		}

		if($or_where) {
			$this->db->or_where($or_where);
		}

		$this->db->select('*');
		$this->db->where($where);
		$this->db->from('furniture_quotation');
		$this->db->join('new_client_master','new_client_master.client_id = furniture_quotation.client_id','left');
		$this->db->join('users','users.user_id = furniture_quotation.salesman_id','left');
		$this->db->join('furniture_exstock_paymentterm','furniture_exstock_paymentterm.payment_id = furniture_quotation.exstock_paymenttermid','left');
		$this->db->join('furniture_byorder_paymentterm','furniture_byorder_paymentterm.payment_id = furniture_quotation.byorder_paymenttermid','left');
		$this->db->join('company_division','company_division.division_id = furniture_quotation.quotation_divisionid','left');

		$rs = $this->db->get();

		if($rs->num_rows() > 0){
			return $rs->result_array();
		}
		else{
			return false;
		}
		
		
	}
	function invoice($where = array(),$limit=null,$offset=null,$order_by_field=null,$order_by_order=null,$like=null, $or_where=null){



		if(!is_null($offset) and !is_null($limit)){
			$this->db->limit($limit,$offset);
		}
		if($order_by_field != null and $order_by_order != null){
			$this->db->order_by($order_by_field, $order_by_order);
		}

		if($like !=null && is_array($like)) {
			foreach($like as $key=>$value) {
				$this->db->like($key, $value);
			}
		}

		if($or_where) {
			$this->db->or_where($or_where);
		}

		$this->db->select('*');
		$this->db->where($where);
		$this->db->from('furniture_invoice');
		$this->db->join('new_client_master','new_client_master.client_id = furniture_invoice.client_id','left');
		$this->db->join('company_division','company_division.division_id = furniture_invoice.quotation_divisionid','inner');
		$this->db->join('furniture_quotation','furniture_quotation.id = furniture_invoice.quotation_id','left');
		$this->db->join('users','users.user_id = furniture_invoice.created_id','left');
		$rs = $this->db->get();

		if($rs->num_rows() > 0){
			return $rs->result_array();
		}
		else{
			return false;
		}
		
		
	}
	
	function get_view_furniture_quotations_client_project_users_count($where = array(),$limit=null,$offset=null,$order_by_field=null,$order_by_order=null,$like=null, $or_where=null){

		if(!is_null($offset) and !is_null($limit)){
			$this->db->limit($limit,$offset);
		}
		if($order_by_field != null and $order_by_order != null){
			$this->db->order_by($order_by_field, $order_by_order);
		}

		if($like !=null && is_array($like)) {
			foreach($like as $key=>$value) {
				$this->db->like($key, $value);
			}
		}

		if($or_where) {
			$this->db->or_where($or_where);
		}

		$this->db->select('*');
		$this->db->where($where);
		$this->db->from('furniture_quotation');
		$this->db->join('new_client_master','new_client_master.client_id = furniture_quotation.client_id','left');
		$this->db->join('users','users.user_id = furniture_quotation.salesman_id','left');
		$this->db->join('furniture_exstock_paymentterm','furniture_exstock_paymentterm.payment_id = furniture_quotation.exstock_paymenttermid','left');
		$this->db->join('furniture_byorder_paymentterm','furniture_byorder_paymentterm.payment_id = furniture_quotation.byorder_paymenttermid','left');
		$this->db->join('company_division','company_division.division_id = furniture_quotation.quotation_divisionid','left');

		$rs = $this->db->get();

		return $rs->num_rows();


	}

	function get_view_furniture_items_with_brand($where = array(),$limit=null,$offset=null,$order_by_field=null,$order_by_order=null,$like=null, $or_where=null){

		if(!is_null($offset) and !is_null($limit)){
			$this->db->limit($limit,$offset);
		}
		if($order_by_field != null and $order_by_order != null){
			$this->db->order_by($order_by_field, $order_by_order);
		}

		if($like !=null && is_array($like)) {
			foreach($like as $key=>$value) {
				$this->db->like($key, $value);
			}
		}
		
		if($or_where) {
			$this->db->or_where($or_where);
		}
	
		$this->db->select('*');
		$this->db->where($where);
		
		$this->db->from('furniture_items');
		$this->db->join('furniture_brands','furniture_brands.brand_id = furniture_items.furniture_brand','left');
		$this->db->join('items','items.id = furniture_items.item_id','left');
		$this->db->join('item_specifications','item_specifications.item_id = items.id','left');
		
		$rs = $this->db->get();
		
		if($rs->num_rows() > 0){
			return $rs->result_array();
		}
		else{
			return false;
		}
	}
	function get_view_invoice_items_with_brand($where = array(),$limit=null,$offset=null,$order_by_field=null,$order_by_order=null,$like=null, $or_where=null, $group_by=null){

		if(!is_null($offset) and !is_null($limit)){
			$this->db->limit($limit,$offset);
		}
		if($order_by_field != null and $order_by_order != null){
			$this->db->order_by($order_by_field, $order_by_order);
		}

		if($like !=null && is_array($like)) {
			foreach($like as $key=>$value) {
				$this->db->like($key, $value);
			}
		}
		
		if($or_where) {
			$this->db->or_where($or_where);
		}
		
		if($group_by) {
			$this->db->group_by($group_by); 
		}
	
		$this->db->select('*');
		$this->db->where($where);
		
		$this->db->from('furniture_invoice_details');
		//$this->db->join('furniture_brands','furniture_brands.brand_id = furniture_items.furniture_brand','left');
		
		$rs = $this->db->get();
		
		if($rs->num_rows() > 0){
			return $rs->result_array();
		}
		else{
			return false;
		}
	}
	
	function get_view_furniture_items_with_brand_count($where = array(),$limit=null,$offset=null,$order_by_field=null,$order_by_order=null,$like=null, $or_where=null){
	
		if(!is_null($offset) and !is_null($limit)){
			$this->db->limit($limit,$offset);
		}
		if($order_by_field != null and $order_by_order != null){
			$this->db->order_by($order_by_field, $order_by_order);
		}
		
		if($like !=null && is_array($like)) {
			foreach($like as $key=>$value) {			
				$this->db->like($key, $value); 
			}
		}
		
		if($or_where) {
			$this->db->or_where($or_where);
		}
	
		$this->db->select('*');
		$this->db->where($where);
		
		$this->db->from('furniture_items');
		$this->db->join('furniture_brands','furniture_brands.brand_id = furniture_items.furniture_brand','left');
		
		$rs = $this->db->get();
		
		return $rs->num_rows();
	}
	function check_permission($controller="",$field=""){
		if($this->session->userdata('user_id') != 26){
			$permission = $this->get("permission",array('user_id' => $this->session->userdata('user_id'),'controller' => $controller));
			
			if($permission[0]['view']!= "yes" && $field == "view"){
				return false;
			}else if($permission[0]['add']!= "yes" && $field == "add"){
				return false;
			}else if($permission[0]['edit']!= "yes" && $field == "edit"){
				return false;
			}else if($permission[0]['delete']!= "yes" && $field == "delete"){
				return false;
			}else{
				return true;
			}
		}else{
			return true;
		}
	}
	function get_total_amount($array_work_order_no=''){
		if ($array_work_order_no!=''){
			$total=0;
			for ($i=0;$i<count($array_work_order_no);$i++){
				$test	=	$array_work_order_no[$i];
				$data 			= 	$this->db->query("SELECT * FROM `work_order` WHERE `work_order_no`='$test' ");
				$data_result	=	$data->result_array();
				foreach ($data_result as $data_results){
					$amount = $data_results['quantity']*$data_results['rate'];
					if($data_results['minimum_call_out']!=0){
						if($amount<$data_results['minimum_call_out']){
							$amount = $data_results['minimum_call_out']*$data_results['sample_no'];
						}else{
							$amount = (($data_results['quantity']*$data_results['rate'])-$data_results['discount'])*$data_results['sample_no'];
						}
					}else{
						$amount = (($data_results['quantity']*$data_results['rate'])-$data_results['discount'])*$data_results['sample_no'];
					}
					$total  = $total+$amount;
					//print $test.'='.$total.'='.$amount.',';
				}
			}
			return $total;
		} else {
			return "failed";
		}
	}
}