<?php

class Furniture_Quotation_Model extends CI_Model {

	function __construct() {
	
		// Call the Model constructor
		parent::__construct();
	}
	
	function get_full_quotation_details($quotation_id = 0, $revisions= 'unique') {
	
		$data['quotation_id']  = $quotation_id;
		
		$where=array('furniture_quotation.id' => $quotation_id);
		
		
		if($revisions == 'unique'){
			$records=$this->crud_model->get_view_furniture_quotations_client_project_users($where);
		}
		else{
			$records=$this->crud_model->get_view_furniture_quotations_client_project_users($where);
		}
		
		
		if($records!=false) {
		
		
			
			$data['quotation_number']			=$records[0]['quotation_number'];
			$data['quotation_revisionnumber']	= $records[0]['quotation_revisionnumber'];
			$data['quotation_number_full']		= $records[0]['division_code']."-".$records[0]['quotation_number'] . "-". $records[0]['quotation_revisionnumber'];
			
			$data['quotation_date']				= $records[0]['quotation_date'];
			$data['quotation_confirmationdate']	= $records[0]['quotation_confirmationdate'];
			
			$data['quotation_status']			=$records[0]['quotation_status'];
			$data['reason_forclose']			=$records[0]['reason_forclose'];
			$data['quotation_cprid']			=$records[0]['quotation_cprid'];
			$data['lpono']						=$records[0]['lpono'];
						
			$data['last_modified_by']			= $records[0]['last_modified_by'];
			$data['last_modified_date']			= $records[0]['last_modified_date'];
			
			$data['division_id']				= $records[0]['quotation_divisionid'];
			$data['division_code']				= $records[0]['division_code'];
			$data['division_name']				= $records[0]['division_name'];
			
			$data['currency_code']				= $records[0]['currency_code'];
			$data['currency_name']				= $records[0]['currency_name'];
			$data['logo_filename']				= $records[0]['logo_filename'];
			
			$data['salesman_name']				= $records[0]['user_name'];
			$data['salesman_email_id']			= $records[0]['user_email_id'];
			$data['salesman_contact_number']	= $records[0]['user_contact_number'];
			$data['salesman_direct_number']		= $records[0]['user_direct_number'];
			
			$data['client_id']					= $records[0]['client_id'];
			$data['client_name']				= $records[0]['client_name'];
			$data['client_address']				= $records[0]['client_address'];
			$data['client_country']				= $records[0]['client_country'];
			$data['client_telephone1']			= $records[0]['client_telephone1'];
			$data['client_telephone2']			= $records[0]['client_telephone2'];
			$data['client_email']				= $records[0]['client_email'];
			$data['client_fax']				    = $records[0]['client_fax'];
			$data['contact_person']				= $records[0]['contact_person'];
			
			
			$data['project_name']				= $records[0]['project_name'];
			$data['project_location']			= $records[0]['project_location'];
			$data['project_remarks']			= $records[0]['project_remarks'];
			
			$data['quotation_total']			= round($records[0]['quotation_total'], 3);
			$data['quotation_discount_amount']      = $records[0]['quotation_discount'];

                        if  ($data['quotation_discount_amount']!=0 && $data['quotation_total']!= 0){
                           $data['discount_percentage']		= round(($data['quotation_discount_amount'] * 100) / $data['quotation_total'],8);
                        } else
                        {
                          $data['discount_percentage'] = 0;
                        }

			//$data['quotation_discount_amount'] 	= round($data['quotation_total'] * ($data['discount_percentage'] / 100),3);
			$data['quotation_net_total']		= round($data['quotation_total'] - $data['quotation_discount_amount'],3);
			$data['quotation_discount']			= $records[0]['quotation_discount'];
			$data['advance_percentage']			= $records[0]['advance_percentage'];
			$data['advance_amount']				= $records[0]['advance_amount'];

			$data['covering_letter']			= $records[0]['covering_letter'];
			
			$data['terms_and_conditions']			= $records[0]['terms_and_conditions'];
			
			$data['advance_required']			= $this->get_quotation_advance($quotation_id);
			
			$data['exstock_paymenttermid'] 	= $records[0]['exstock_paymenttermid'];
			$data['byorder_paymenttermid'] 	= $records[0]['byorder_paymenttermid'];
			$data['exstock_payment_label'] 	= $records[0]['payment_label'];
			$data['byorder_payment_label'] 	= $records[0]['payment_label'];
			$data['exstock_payment_text'] 	= $records[0]['payment_text'];
			$data['byorder_payment_text'] 	= $records[0]['payment_text'];
			
			$data['quotation_logos']		= $records[0]['quotation_logos'];
			$data['quotation_footer']		= $records[0]['quotation_footer'];
			$data['invoice_date']		= $this->get_invoice_date($quotation_id);
			
			
			$frs = $this->crud_model->get_view_furniture_items_with_brand(array('furniture_items.quotation_id'=> $records[0]['id']),null,null,"furniture_items.furniture_area, furniture_brands.brand_name, furniture_items.furniture_brand_other, furniture_items.furniture_id","ASC");
			
			if($frs  != false) {
				$data['furniture_items']=$frs;
			
			} else {
				$data['furniture_items']=array();
			}
			return $data;
				
		} else {
			return false;
		}
		
		
		
	}// End of get_full_quotation_details
	
	
	
	//new
	function get_full_invoice_details($invoice_id = 0, $revisions= 'unique') {
	
		$data['invoice_id']  = $invoice_id;
		
		$where=array('furniture_invoice.invoice_id' => $invoice_id);
		
		if($revisions == 'unique'){
			$records=$this->crud_model->invoice($where);
		}
		else{
			$records=$this->crud_model->invoice($where);
		}
		
		$division=$this->crud_model->get("furniture_invoice",$where);
		
		if($records!=false) {
		
			$data['invoice_number']			    = $records[0]['invoice_number'];
			$data['division_code']			    = $records[0]['division_code'];
			$data['currency_code']			    = $records[0]['currency_code'];
			$data['currency_name']				= $records[0]['currency_name'];
			$data['logo_filename']				= $records[0]['logo_filename'];
			$data['invoice_date']	            = $records[0]['invoice_date'];
			$data['quotation_id']		        = $records[0]['quotation_id'];
			$data['invoice_amount']				= $records[0]['invoice_amount'];
			$data['client_name']	            = $records[0]['client_name'];
			$data['salesman_name']				= $records[0]['user_name'];
			$data['salesman_email_id']			= $records[0]['user_email_id'];
			$data['client_email']	            = $records[0]['client_email'];
			$data['client_address']	            = $records[0]['client_address'];
			$data['client_telephone1']	        = $records[0]['client_telephone1'];
			$data['client_telephone2']	        = $records[0]['client_telephone2'];
			$data['invoice_status']			    = $records[0]['invoice_status'];
			$data['quotation_number']			= $records[0]['quotation_number'];
			$data['invoice_percentage']			= $records[0]['invoice_percentage'];
			$data['invoice_percentage_amount']	= $records[0]['invoice_percentage_amount'];
			$data['invoice_discount']			= $records[0]['invoice_discount'];
			$data['qoute_discount']				= $records[0]['qoute_discount'];
			$data['quotation_logos']			= $records[0]['quotation_logos'];
			$data['lpono']						= $records[0]['lpono'];
			$data['quotation_revisionnumber']	= $records[0]['quotation_revisionnumber'];
			$data['division_id']				= $records[0]['quotation_divisionid'];
			$data['invoice_division_id']		= $division[0]['quotation_divisionid'];
             
			$frs = $this->crud_model->get_view_invoice_items_with_brand(array('furniture_invoice_details.invoice_id'=> $records[0]['invoice_id']),null,null,"group_id","ASC",null,null,"group_name");
			
			if($frs  != false) {
				$data['invoice_items']=$frs;
			
			} else {
				$data['invoice_items']=array();
			}
			return $data;
				
		} else {
			return false;
		}
		
		
		
	}
	//new end




	function set_quotation_id($division=""){
	
		$furniture_quotation_number = $this->get_new_quotation_number($division);
		$data=array(
				'quotation_date' =>date('Y-m-d h:m:s'),
				'salesman_id'    =>$this->session->userdata('user_id'),
				'quotation_number' => $furniture_quotation_number
		);
		$furniture_quotation_id = $this->crud_model->insert('furniture_quotation',$data);
		$this->session->set_userdata('furniture_quotation_id',$furniture_quotation_id);
	}



	function get_new_quotation_number($division){
		$SQL = "SELECT MAX(quotation_number)+1 as `new_quotation_number` FROM furniture_quotation WHERE `quotation_divisionid`='$division';";
		$result = $this->db->query($SQL);
		$data = $result->result_array();
		
		if($data[0]['new_quotation_number'] != NULL and $data[0]['new_quotation_number'] != ""){
			return $data[0]['new_quotation_number'];
		} else{
			return 10001;
		}
	}
	
	
	function check_changes_cloned() {
	
	// If the quotation status is in edit mode, then do a cloning, set the mode in to draft and the new quotation_id in session
		if($this->session->userdata('quotation_mode') == 'edit' && $this->session->userdata('furniture_quotation_id')){
			
			$quotation_id=$this->session->userdata('furniture_quotation_id');
			
			$rs = $this->crud_model->get('furniture_quotation',array('id'=>$quotation_id));
			
			if($rs != false){
			
				$row = $rs[0];
				// Getting Max Revision Number //
				$records = $this->db->query("SELECT MAX(quotation_revisionnumber) as `max_rev_number` FROM furniture_quotation WHERE id = ".$this->db->escape($row['id']));
				
				$ds = $records->result_array();
				
				$new_rev_number = ($ds[0]['max_rev_number']) + 1;

				
				$data = array(									
					'quotation_number'			=> $row['quotation_number'],	
					'quotation_revisionnumber'  => $new_rev_number,					
					'quotation_date' 			=> $row['quotation_date'],
					'quotation_divisionid' 		=> $row['quotation_divisionid'],
					'quotation_currencyid' 		=> $row['quotation_currencyid'],
					'salesman_id'				=> $row['salesman_id'],
					'client_id'					=> $row['client_id'],
					'project_name'				=> $row['project_name'],
					'project_location'			=> $row['project_location'],
					'project_remarks'			=> $row['project_remarks'],
					'quotation_total'			=> $row['quotation_total'],
					'quotation_discount'		=> 0,
					'exstock_paymenttermid'		=> $row['exstock_paymenttermid'],
					'byorder_paymenttermid'		=> $row['byorder_paymenttermid'],
					'quotation_logos'			=> $row['quotation_logos'],
					'covering_letter'			=> $row['covering_letter'],
					'terms_and_conditions'		=> $row['terms_and_conditions'],
					'quotation_status'			=> 'Draft',
					'last_modified_by' 			=> $this->session->userdata('user_id'),
					'last_modified_date'		=> date('Y-m-d h:m:s')
				);
				
				
				$this->crud_model->insert('furniture_quotation',$data);
				
				$new_quotation_id = $this->db->insert_id();
				
				//Furniture Cloning
				
				$rs = $this->crud_model->get('furniture_items',array('quotation_id'=>$quotation_id), null, null, "furniture_id", "ASC");
				if($rs != false){
					foreach($rs as $furniture_item ) {
						
						$data = array(
							'quotation_id'			=> $new_quotation_id,
							'furniture_reference'	=> $furniture_item['furniture_reference'],
							'furniture_brand'		=> $furniture_item['furniture_brand'],
							'furniture_brand_other'	=> $furniture_item['furniture_brand_other'],
							'furniture_area'		=> $furniture_item['furniture_area'],
                            'ex_furniture_area'		=> $furniture_item['ex_furniture_area'],
							'sub_group'				=> $furniture_item['sub_group'],
                            'sub_group_id'			=> $furniture_item['sub_group_id'],
							'item_id'				=> $furniture_item['item_id'],
							'furniture_model'		=> $furniture_item['furniture_model'],
							'furniture_description'	=> $furniture_item['furniture_description'],
							'furniture_upholstery'	=> $furniture_item['furniture_upholstery'],
							'furniture_unitprice'	=> $furniture_item['furniture_unitprice'],
							'furniture_quantity'	=> $furniture_item['furniture_quantity'],
							'furniture_type'		=> $furniture_item['furniture_type'],
                            'furniture_height'		=> $furniture_item['furniture_height'],
                            'furniture_width'		=> $furniture_item['furniture_width'],
                            'furniture_uom'			=> $furniture_item['furniture_uom'],
                            'furniture_ratem2'		=> $furniture_item['furniture_ratem2'],
                            'furniture_stock_type'	=> $furniture_item['furniture_stock_type'],
							'category'				=> $furniture_item['category'],
							'fabric_width'			=> $furniture_item['fabric_width'],
							'gathering'				=> $furniture_item['gathering'],
							'uom'					=> $furniture_item['uom'],
							'furniture_item_name'	=> $furniture_item['furniture_item_name'],
							'furniture_test_name'	=> $furniture_item['furniture_test_name'],
							'furniture_method_name'	=> $furniture_item['furniture_method_name']
							
						);
						
						$this->crud_model->insert('furniture_items',$data);
					
					}
				
				}
				
				//Furniture Cloning End
					
			}		
		
			$this->session->set_userdata('furniture_quotation_id',$new_quotation_id);
			$this->session->set_userdata('quotation_mode','draft');
			log_message('INFO','After cloning, Furniture Quotation ID: '.$this->session->userdata('furniture_quotation_id'));
			
		}
		
		return;

	}	//End of check_changes_cloned
	
	
	
	function check_privilege($quotation_id){
	
				 
		$rs = $this->crud_model->get_view_furniture_quotations_client_project_users(array('furniture_quotation.id'=>$quotation_id));
		if($rs != false){
		
			$row = $rs[0];
			if(($row['quotation_status'] != 'Draft' && $row['quotation_status'] != 'Open' && $row['quotation_status'] != 'Confirmed')) {
				return false;
				
			}
		
			if($this->session->userdata('user_group_id') == 1 ) {
				return true;
			} else {
							
				if($row['salesman_id'] == $this->session->userdata('user_id') ) {
					return true;
				} else {
					return false;
				}
				
			}

		} 
		return false;
			
		
	} //End of function check_privilege
	
	
	function update_quotation_total(){
	
		$quotation_id=$this->session->userdata('furniture_quotation_id');
		$rs = $this->crud_model->get('furniture_items',array('quotation_id'=>$quotation_id));
		if($rs != false){
		
			$quotation_total=0;
			foreach($rs as $furniture_item ) {
				$quotation_total = $quotation_total + ($furniture_item['furniture_unitprice']*$furniture_item['furniture_quantity']);
				
			}
			$data=array('quotation_total'  		=> $quotation_total,
						'last_modified_by'		=> $this->session->userdata('user_id'),
						'last_modified_date'	=> date('Y-m-d h:m:s'));
						
			$where= array('id'=>$quotation_id);
			$this->crud_model->update('furniture_quotation',$data,$where );				
	
		}		
	
	} //End of function update_quotation_total
	
	
	function get_quotation_advance($quotation_id){
			
		$quotation_advance=0;

		$rs = $this->crud_model->get('furniture_items',array('quotation_id'=>$quotation_id));
		if($rs != false){
		
			$exorder_total=0;
			$byorder_total=0;
			
			foreach($rs as $furniture_item ) {
				if($furniture_item['furniture_type'] == 1) {
					$exorder_total = $exorder_total + ($furniture_item['furniture_unitprice']*$furniture_item['furniture_quantity']);
				} else {
					$byorder_total = $byorder_total + ($furniture_item['furniture_unitprice']*$furniture_item['furniture_quantity']);
				}
			}
			
			$quotation_total=$exorder_total+$byorder_total;
			
			//$rs = $this->crud_model->get('view_furniture_quotations_client_project_users',array('quotation_id'=>$quotation_id));
			$rs = $this->crud_model->get_view_furniture_quotations_client_project_users(array('furniture_quotation.id'=>$quotation_id));
			//var_dump($rs);
			
			$quotation_discount=$rs[0]['quotation_discount'];
			/*$exstock_payment_advance=$rs[0]['exstock_payment_advance'];
			$byorder_payment_advance=$rs[0]['byorder_payment_advance'];*/
			$exstock_payment_advance=$rs[0]['payment_advance'];
			$byorder_payment_advance=$rs[0]['payment_advance'];
						
			
			$exorder_total_after_discount=$exorder_total-($exorder_total*$quotation_discount/100);
			$byorder_total_after_discount=$byorder_total-($byorder_total*$quotation_discount/100);
			
			$exorder_advance=$exorder_total_after_discount*$exstock_payment_advance/100;
			$byorder_advance=$byorder_total_after_discount*$byorder_payment_advance/100;
			
			$quotation_advance=$exorder_advance+$byorder_advance;
		}	
		
		return	$quotation_advance;

	}//End of function get_quotation_advance
	
	function set_receipt_id($quotation_id=NULL){
		$furniture_receipt_number = $this->get_new_receipt_number();
		$data=array(
				'receipt_date' =>date('Y-m-d h:m:s'),
				'quotation_id'    =>$quotation_id,
				'receipt_number' => $furniture_receipt_number
		);
		$furniture_receipt_id = $this->crud_model->insert('furniture_receipts',$data);
		$this->session->set_userdata('furniture_receipt_id',$furniture_receipt_id);
			
	}
	
	function get_new_receipt_number(){
		$SQL = "SELECT MAX(receipt_number)+1 as `new_receipt_number` FROM furniture_receipts;";
		$result = $this->db->query($SQL);
		$data = $result->result_array();
		
		if($data[0]['new_receipt_number'] != NULL and $data[0]['new_receipt_number'] != ""){
			return $data[0]['new_receipt_number'];
		} else{
			return 10001;
		}
	}
	
	function set_invoice_id($quotation_id=NULL){
		$furniture_invoice_number = $this->get_new_invoice_number();
		$furniture_invoice_details = $this->get_invoice_details($quotation_id);
		$quotation_details = $this->crud_model->get('furniture_quotation',array('id'=>$quotation_id));
		$invoice_amount = $quotation_details[0]['quotation_total'] - $quotation_details[0]['quotation_discount'];
		$client_id = $quotation_details[0]['client_id'];
		$paid_amount = 0;
		if ($furniture_invoice_details != False){
                foreach($furniture_invoice_details as $receipt){
			$paid_amount = $paid_amount+$receipt['receipt_amount'];
		}
		}
		//var_dump($furniture_invoice_details); exit;
		$data=array(
				'invoice_date' 		=> date('Y-m-d h:m:s'),
				'quotation_id'    	=> $quotation_id,
				'invoice_number' 	=> $furniture_invoice_number,
				'invoice_amount'	=> $invoice_amount,
				'paid_amount' 		=> $paid_amount,
				'client_id'			=> $client_id
		);
		$furniture_invoice_id = $this->crud_model->insert('furniture_invoice',$data);
		$this->session->set_userdata('furniture_invoice_id',$furniture_invoice_id);
			
	}
	
	// Get the All the amount paid for the quotation
	function get_invoice_details($quotation_id=NULL){
		$where = array('quotation_id' => $quotation_id);
			
		$this->db->select('receipt_amount');
		$this->db->from('furniture_receipts');
		$this->db->where($where);
		$rs = $this->db->get();
		
		if($rs->num_rows() > 0){
			return $rs->result_array();
		}
		else{
			return false;
		}
		
	}
	
	function get_invoice_amount($quotation_id=NULL){
		$where = array('id' => $quotation_id);
		$this->db->select('receipt_amount');
		$this->db->from('furniture_receipts');
		$this->db->where($where);
		$rs = $this->db->get();
		
		if($rs->num_rows() > 0){
			return $rs->result_array();
		}
		else{
			return false;
		}
	}
	
	function get_invoice_date($quotation_id=NULL){
		$where = array('quotation_id' => $quotation_id);
		$this->db->select('invoice_date');
		$this->db->from('furniture_invoice');
		$this->db->where($where);
		$rs = $this->db->get();
		
		if($rs->num_rows() > 0){
			$data = $rs->result_array();
			return $data[0]['invoice_date'];
		}
		else{
			return false;
		}
	}
	
	function get_new_invoice_number(){
		$SQL = "SELECT MAX(invoice_number)+1 as `new_invoice_number` FROM furniture_invoice;";
		$result = $this->db->query($SQL);
		$data = $result->result_array();
		
		if($data[0]['new_invoice_number'] != NULL and $data[0]['new_invoice_number'] != ""){
			return $data[0]['new_invoice_number'];
		} else{
			return 1001;
		}
	}
	
	function check_invoice($quotation_id=NULL){
		$rs = $this->crud_model->get('furniture_invoice',array('quotation_id'=>$quotation_id));
		if($rs != false){
			return 1;
		}else{
			return 0;
		}
	}
	
	function check_receipt($quotation_id=NULL){
		$rs = $this->crud_model->get('furniture_receipts',array('quotation_id'=>$quotation_id));
		if($rs != false){
			return 1;
		}else{
			return 0;
		}
	}
	
	function get_all_invoices(){
		if(isset($_REQUEST['search_button'])){
		
		if($this->input->post('filter_division')!="" && $this->input->post('filter_value')!=""){
		if($this->input->post('filter_by') == 1) {
			$this->db->where('invoice_number',$this->input->post('filter_value'));
			$this->db->where('furniture_invoice.quotation_divisionid',$this->input->post('filter_division'));
		} elseif($this->input->post('filter_by') == 2) {
			$this->db->like('client', $this->input->post('filter_value'));
			$this->db->where('furniture_invoice.quotation_divisionid',$this->input->post('filter_division'));
		}
	    }
		else{
		$this->db->or_where('furniture_invoice.quotation_divisionid',$this->input->post('filter_division'));
		}
		}
		$this->db->select('*');
		$this->db->from('furniture_invoice');
		//$this->db->join('furniture_quotation','furniture_invoice.quotation_id = furniture_quotation.id','left');
		$this->db->join('company_division','company_division.division_id = furniture_invoice.quotation_divisionid','inner');
		$this->db->join('new_client_master','new_client_master.client_id = furniture_invoice.client_id','left');
		$this->db->join('furniture_quotation','furniture_quotation.id = furniture_invoice.quotation_id','left');
		$this->db->order_by("invoice_date","desc");
		//$this->db->group_by("furniture_receipts.quotation_id");
		$rs = $this->db->get();
		
		if($rs->num_rows() > 0){
			return $rs->result_array();
		}
		else{
			return false;
		}
	}
	/*
	function get_all_receipts(){
		$this->db->select('*');
		$this->db->from('furniture_receipts');
		$this->db->join('furniture_quotation','furniture_quotation.id = furniture_receipts.quotation_id','left');
		$this->db->join('company_division','company_division.division_id = furniture_quotation.quotation_divisionid','left');
		$rs = $this->db->get();

		if($rs->num_rows() > 0){
			return $rs->result_array();
		}
		else{
			return false;
		}

	}
	*/

	function get_all_receipts(){
		if(isset($_REQUEST['search_button'])){
		
		if($this->input->post('filter_division')!="" && $this->input->post('filter_value')!=""){
		if($this->input->post('filter_by') == 1) {
			$this->db->where('receipt_number',$this->input->post('filter_value'));
			$this->db->where('furniture_receipts.quotation_divisionid',$this->input->post('filter_division'));
		} elseif($this->input->post('filter_by') == 2) {
			$this->db->like('furniture_invoice.client', $this->input->post('filter_value'));
			$this->db->where('furniture_receipts.quotation_divisionid',$this->input->post('filter_division'));
		}
	    }
		else{
		$this->db->or_where('furniture_receipts.quotation_divisionid',$this->input->post('filter_division'));
		}
		}
		$this->db->select('receipt_id,receipt_number,receipt_number,receipt_date,receipt_status,sum(receipt_amount) receipt_amount,sum(furniture_receipts.receipt_discount) receipt_discount,receipt_mode,furniture_invoice.client,company_division.division_code,company_division.currency_code,furniture_receipts.quotation_divisionid' );
		$this->db->from('furniture_receipts');
		$this->db->group_by('receipt_number');
		$this->db->group_by('furniture_receipts.quotation_divisionid');
		//$this->db->join('furniture_quotation','furniture_quotation.id = furniture_receipts.quotation_id','left');
		//$this->db->join('new_client_master','furniture_quotation.client_id = new_client_master.client_id','left');
		$this->db->join('company_division','company_division.division_id = furniture_receipts.quotation_divisionid','inner');
		$this->db->join('furniture_invoice','furniture_invoice.invoice_id = furniture_receipts.invoice_id','inner');
		$this->db->order_by("receipt_date","desc");
		$rs = $this->db->get();
//echo $this->db->last_query().'<br>';
		if($rs->num_rows() > 0){
			return $rs->result_array();
		}
		else{
			return false;
		}

	}
	function get_all_receipts_invdetails($receipt_no,$receipt_id,$quotation_divisionid){
		$where = array('furniture_receipts.receipt_number' => $receipt_no,'furniture_receipts.quotation_divisionid' => $quotation_divisionid);
		//$where = array('furniture_receipts.quotation_divisionid' => $quotation_divisionid);
		$this->db->where($where);
		$this->db->select('receipt_date,furniture_receipts.invoice_id,invoice_number,invoice_amount,qoute_discount,furniture_receipts.receipt_amount as paid_amount,company_division.division_code,company_division.currency_code,furniture_receipts.balance_amount,invoice_percentage_amount,invoice_discount' );
		$this->db->from('furniture_receipts');
		//$this->db->join('furniture_quotation','furniture_quotation.id = furniture_receipts.quotation_id','left');
		//$this->db->join('new_client_master','furniture_quotation.client_id = new_client_master.client_id','left');
		
		$this->db->join('furniture_invoice','furniture_invoice.invoice_id = furniture_receipts.invoice_id','inner');
		$this->db->join('company_division','company_division.division_id = furniture_invoice.quotation_divisionid','inner');
		$rs = $this->db->get();
//echo $this->db->last_query().'<br>';
		if($rs->num_rows() > 0){
			return $rs->result_array();
		}
		else{
			return false;
		}

	}
	
	function get_receipt_details($receipt_no,$receipt_id,$quotation_divisionid){
		$where = array('furniture_receipts.receipt_number' => $receipt_no,'furniture_receipts.quotation_divisionid' => $quotation_divisionid);
		//$where = array('furniture_receipts.quotation_divisionid' => $quotation_divisionid);
        $this->db->select('receipt_reference,receipt_number,receipt_date,receipt_status,sum(receipt_amount) receipt_amount, sum(furniture_receipts.receipt_discount) receipt_discount, receipt_mode,furniture_invoice.client, receipt_remarks, receipt_bankname, receipt_generatedby,company_division.division_id,company_division.division_code,company_division.currency_code,company_division.currency_name,company_division.logo_filename' );
		$this->db->from('furniture_receipts');
		$this->db->where($where);
		$this->db->group_by('receipt_number');
		$this->db->group_by('furniture_receipts.quotation_divisionid');
		//$this->db->join('furniture_quotation','furniture_quotation.id = furniture_receipts.quotation_id','left');
		//$this->db->join('new_client_master','furniture_quotation.client_id = new_client_master.client_id','left');
		$this->db->join('company_division','company_division.division_id = furniture_receipts.quotation_divisionid','inner');
		$this->db->join('users','users.user_id = furniture_receipts.receipt_generatedby','left');
		$this->db->join('furniture_invoice','furniture_invoice.invoice_id = furniture_receipts.invoice_id','inner');
                $rs = $this->db->get();

		if($rs->num_rows() > 0){
			return $rs->result_array();
		}
		else{
			return false;
		}

	}

	function get_generated_receipts($quotation_id){
		$where = array('quotation_id' => $quotation_id, 'receipt_status' => 1);

                $this->db->select('sum(receipt_amount) rcpt_amount' );
		$this->db->from('furniture_receipts');
		$this->db->where($where);

                $rs = $this->db->get();

	        if($rs->num_rows() > 0){
			return $rs->result_array();

		} else{
			return 0;
		}


	}


	function get_outstanding_invoices($client_id = NULL){

		$where = array('furniture_invoice.client_id' => $client_id);
		//$where = '(furniture_invoice.client_id =1 AND (invoice_amount > paid_amount))';

		$this->db->select('*');
		$this->db->from('furniture_invoice');

                $this->db->where($where);
                //$this->db->where('invoice_amount>','paid_amount');
		//$this->db->where('furniture_invoice.client_id', $client_id);
                //$this->db->where('invoice_amount > paid_amount');
                //$this->db->join('furniture_invoice','furniture_invoice.quotation_id = furniture_quotation.id','left');
		//$this->db->join('furniture_receipts','furniture_receipts.quotation_id = furniture_quotation.id','left');
		$this->db->join('new_client_master','new_client_master.client_id = furniture_invoice.client_id','left');

                $this->db->group_by("furniture_invoice.invoice_id");
		$rs = $this->db->get();


//echo $this->db->last_query().'<br>';
		if($rs->num_rows() > 0){
			return $rs->result_array();
		}
		else{
			return false;
		}
	}
	function get_outstanding_invoices_new($client_id = NULL,$ref_division=NULL){

		//$where = array('furniture_invoice.client' => $client_id, 'furniture_invoice.invoice_amount ' > 'furniture_invoice.paid_amount');
		$where = '(furniture_invoice.client_id ="'.$client_id.'"  AND invoice_status="1")';
		//$where = '(furniture_invoice.client_id ="'.$client_id.'" AND furniture_invoice.quotation_divisionid ="'.$ref_division.'" AND (invoice_amount > paid_amount) AND invoice_status!="1")';

		$this->db->select('*');
		$this->db->from('furniture_invoice');

                $this->db->where($where);
                //$this->db->where('invoice_amount>','paid_amount');
		//$this->db->where('furniture_invoice.client_id', $client_id);
                //$this->db->where('invoice_amount > paid_amount');
                //$this->db->join('furniture_invoice','furniture_invoice.quotation_id = furniture_quotation.id','left');
		//$this->db->join('company_division','company_division.division_id = furniture_invoice.quotation_divisionid','inner');
		
		//$this->db->join('company_division','company_division.division_code = furniture_invoice.division','inner');
		
		$this->db->join('new_client_master','new_client_master.client_name = furniture_invoice.client','left');

        $this->db->group_by("furniture_invoice.invoice_id");
		$rs = $this->db->get();


//echo $this->db->last_query().'<br>';
		if($rs->num_rows() > 0){
			return $rs->result_array();
		}
		else{
			return false;
		}
	}
	
	function get_confirmed_quotes($client_id = NULL){
		
		$where = array('furniture_quotation.client_id' => $client_id );
	
		$this->db->select('*');
		$this->db->from('furniture_quotation');
		$this->db->where($where);
		//$this->db->join('furniture_invoice','furniture_invoice.quotation_id = furniture_quotation.id','left');
		//$this->db->join('furniture_receipts','furniture_receipts.quotation_id = furniture_quotation.id','left');
		$this->db->join('new_client_master','new_client_master.client_id = furniture_invoice.client_id','left');
		$this->db->order_by("furniture_invoice.invoice_id");
		$rs = $this->db->get();
		
		if($rs->num_rows() > 0){
			return $rs->result_array();
		}
		else{
			return false;
		}
	}
	
	function get_paid_receipts_total($quotation_id = NULL){
		$where = array('quotation_id' => $quotation_id, 'receipt_status' => 1 );
		
		$this->db->select_sum('receipt_amount');
		$this->db->from('furniture_receipts');
		$this->db->where($where);
		
		$rs = $this->db->get();
		if($rs->num_rows() > 0){
			$result = $rs->result_array();
			return $result[0]['receipt_amount'];
		}
		else{
			return 0;
		}
		
	}
	
	function get_confirmed_quotations($client_id = NULL, $not_included_quotations = array()){

                $SQL = "select * FROM  `furniture_quotation` INNER JOIN new_client_master ON furniture_quotation.client_id = new_client_master.client_id
                        WHERE furniture_quotation.client_id =". $client_id ."and quotation_status =  'Confirmed' AND furniture_quotation.id NOT IN
                        (SELECT quotation_id FROM furniture_invoice WHERE client_id =".$client_id.");";
		$result = $this->db->query($SQL);
		$rs = $result->result_array();

                /*
                $where = array('client_id' => $client_id, 'quotation_status' => 'Confirmed' );

		$this->db->select('*');
		$this->db->from('furniture_quotation');
		$this->db->where($where);
		if(!empty($not_included_quotations)){
			$this->db->where_not_in('id', $not_included_quotations);
		}


		$rs = $this->db->get();
                */
                echo $rs->num_rows(); 
		if($rs->num_rows() > 0){
			return $rs->result_array();
		}
		else{
			return false;
		}
	}
	
	function get_paid_amount_for_quotation($quotation_id = NULL){
		$where = array('quotation_id' => $quotation_id);
		$this->db->select('paid_amount');
		$this->db->from('furniture_invoice');
		$this->db->where($where);
		$rs = $this->db->get();
		if($rs->num_rows() > 0){
			$result = $rs->result_array();
			return $result[0]['paid_amount'];
		}
		else{
			return -1;
		}
	}
	function get_paid_amount_for_invoice($invoice_id = NULL){
		$where = array('invoice_id' => $invoice_id);
		$this->db->select('paid_amount');
		$this->db->from('furniture_invoice');
		$this->db->where($where);
		$rs = $this->db->get();
		if($rs->num_rows() > 0){
			$result = $rs->result_array();
			return $result[0]['paid_amount'];
		}
		else{
			return -1;
		}
	}
	function get_receipt_discount_for_invoice($invoice_id = NULL){
		$where = array('invoice_id' => $invoice_id);
		$this->db->select('receipt_discount');
		$this->db->from('furniture_invoice');
		$this->db->where($where);
		$rs = $this->db->get();
		if($rs->num_rows() > 0){
			$result = $rs->result_array();
			return $result[0]['receipt_discount'];
		}
		else{
			return -1;
		}
	}

}

?>