<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Qatar Engineering Laboratories</title>
    
    <style>
    .invoice-box{
        max-width:800px;
        margin:auto;
        padding:30px;
        border:1px solid #eee;
        box-shadow:0 0 10px rgba(0, 0, 0, .15);
        font-size:10px;
        line-height:12px;
        font-family:'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif;
        color:#555;
    }
    
    /*.invoice-box table{
        width:100%;
        line-height:inherit;
        text-align:left;
    }*/
    
    .invoice-box table td{
        padding:5px;
        vertical-align:top;
    }
    
    .invoice-box table tr td:nth-child(2){
        text-align:right;
    }
    
    .invoice-box table tr.top table td{
        padding-bottom:20px;
    }
    
    .invoice-box table tr.top table td.title{
        font-size:45px;
        line-height:45px;
        color:#333;
    }
    
    .invoice-box table tr.information table td{
        padding-bottom:40px;
    }
    
    .invoice-box table tr.heading td{
        background:#eee;
        border-bottom:1px solid #ddd;
        font-weight:bold;
    }
    
    .invoice-box table tr.details td{
        padding-bottom:20px;
    }
    
    .invoice-box table tr.item td{
        border-bottom:1px solid #eee;
    }
    
    .invoice-box table tr.item.last td{
        border-bottom:none;
    }
    
    .invoice-box table tr.total td:nth-child(2){
        border-top:2px solid #eee;
        font-weight:bold;
    }
    
    @media only screen and (max-width: 600px) {
        .invoice-box table tr.top table td{
            width:100%;
            display:block;
            text-align:center;
        }
        
        .invoice-box table tr.information table td{
            width:100%;
            display:block;
            text-align:center;
        }
    }
    </style>
</head>

<body>
    <div class="invoice-box">
        <table cellpadding="0" cellspacing="0">
            <tr class="top">
                <td colspan="4">
                    <table width="100%">
                        <tr>
							<td>
                               	Qatar Engineering Laboratories<br>
								PO Box 50191, Hidd
								Laboratory location: Flat 9,<br> Building 2189, Road 1529, Block 115,<br> Hidd
								Kingdom of Bahrain<br>+973 17250333<br>bkgh@batelco.com.bh
                            </td>
                            <td class="title">
                                <img src="<?php echo base_url();?>images/company_logo/logo3.png">
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
			<td colspan="4" align="center"><h2>INVOICE</h2></td>
			</tr>
            <tr class="information">
                <td colspan="4">
                    <table width="100%">
                        <tr>
							<td>
								<b>Client:</b><br>
								<?php echo $records[0]['client']; ?><br>
								<?php echo $records[0]['client_address']; ?>
                            </td>
                            <td>
                                <b>Invoice #:</b> <?php echo $records[0]['invoice_number']; ?><br>
                                <b>Invoice Date:</b> <?php echo date("d-m-Y",strtotime($records[0]['invoice_date'])); ?><br>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
			<?php if($details!=false){$grand_total=0;
					foreach($details as $detail) { 
						$order_no = $detail['work_order_no'];
					
						$work_order_sub22   = $this->db->query("SELECT item_id,item_name,work_order_no,sample_no FROM `work_order` WHERE work_order_no='$order_no' GROUP BY item_name");
						$work_order = $work_order_sub22->result_array();
			?>
            <tr class="heading">
                <td colspan="4" style="width:100%">
                    <span style="width:150px; display:inline-block; float:left;">Work Order # : <?php echo $detail['work_order_no'];?></span>
                    <span style="display:inline-block; float:right;">Project Name : <?php echo $detail['project_name'];?></span>
                </td>
            </tr>
			<?php if($work_order!=false){
					
					$work_total=0;
			
					foreach($work_order as $work_orders) { 
					
					$work_order_details	=	$this->crud_model->get('work_order',array('work_order_no'=>$work_orders['work_order_no'],'item_id'=>$work_orders['item_id']));
					
					$total=0;
					
					for($i=0;$i<$work_orders['sample_no'];$i++) { 
			?>
            <tr class="item">
                <td>
                    <b><?php echo $work_orders['item_name'];?></b>
                </td>
				<td>
                    <b>QTY</b>
                </td>
				<td align="right">
                    <b>Rate (BD)</b>
                </td>
				<td align="right">
                    <b>Amount</b>
                </td>
            </tr>
			<?php if($work_order_details!=false){ $j=0;
					foreach($work_order_details as $work_order_detail) { 
					
						$amount = $work_order_detail['quantity']*$work_order_detail['rate'];
						$total  = $total+$amount;
					
					$work_order_details	=	$this->crud_model->get('work_order',array('work_order_no'=>$work_orders['work_order_no'],'item_id'=>$work_orders['item_id'])); 
			?>
			<tr class="item">
                <td style="width:580px;">
                    <?php echo $work_order_detail['test_name'];?>
                </td>
				<td><?php echo $work_order_detail['quantity'];?></td>
				<td align="right"><?php echo number_format($work_order_detail['rate'],3);?></td>
				<td align="right"><?php echo number_format($amount,3);?></td>
            </tr>
			<?php $j++;} } } ?>
			<tr class="total">
                <td colspan="4">
					<?php 
						if($work_orders['item_name']!="Cube" && $work_orders['item_name']!="Cylinder"){
							$report_number1=''; 
							for($i=0;$i<$work_orders['sample_no'];$i++) { 
								$report_number1 .= $work_orders['work_order_no'].'-'.($i+1).' ( 1 - '.$j.' )'.','; 
							} 
							echo substr($report_number1, 0, -1);
						}else{
							$report_number2='';
							foreach($work_order_details as $work_order_detail) { 
								$test = explode("-",$work_order_detail['test_name']); 
								$report_number2 .= $work_orders['work_order_no'].'-'.(@$test[1]).'( '.$work_order_detail['sample_no_starting'].'-'.$work_order_detail['sample_no_ending'].' )'.',';
							}
							echo substr($report_number2, 0, -1);
						}
					?>
				</td>
				<!--<td colspan="2"><b>Group Total:</b></td>
                <td>
                  <?php echo number_format($total,3); ?>
                </td>-->
            </tr>
			<?php $work_total  = $work_total+$total;  }}  ?>
			<!--<tr class="total">
                <td></td>
				<td colspan="2"><b><?php echo $detail['work_order_no'];?> Total:</b></td>
                <td>
                  <?php echo number_format($work_total,3); ?>
                </td>
            </tr>-->
			<?php $grand_total  = $grand_total+$work_total; } } ?>
			<tr class="total">
				<td colspan="3" style="font-size:13px; text-align:right;"><b>Grand Total (BD) :</b></td>
                <td align="right" style="font-size:13px;">
                  <b><?php echo number_format($grand_total,3); ?></b>
                </td>
            </tr>
			<tr class="total">
                <td style="text-align:right; font-weight:bold; font-size:13px;" colspan="4"><?php //echo num_words($grand_total);
				
										 $intpart=(int) $grand_total;
										 $floatpart=(round($grand_total,3)*pow(10,3)-($intpart*pow(10,3)));
										 if($floatpart !=0) { 
											echo "Bahrain Dinar ".num_words($intpart) . '&nbsp;&amp;&nbsp;Fils &nbsp;' . $floatpart. "/ 1000 Only";
										 } else {
											echo "Bahrain Dinar ".num_words($intpart)." Only";
										 }
				
				 ?></td>
            </tr>
        </table>
		<table width="100%">
			<tr>
				<td>
				<b>
					<u>PLEASE MAKE REMITTANCE IN FAVOUR OF:</u><br>
					Qatar Engineering Laboratories<br>
					A/C No.BH79SBIN03000019820001<br>
					STATE BANK OF INDIA<br>
					SWIFT CODE:SBINBHBMFCB
				</b>
				</td>
			</tr>
			<tr>
				<td>&nbsp;
				
				</td>
				<td>
					<b>For QATAR ENGINEERING LABORATORIES(QEL)</b>
				</td>
			</tr>
		</table>
    </div>
</body>
</html>